%define fontname cjkunifonts-ukai
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: CJKUnifonts ukai
Summary(ja): CJKUnifonts 楷體（楷書体）
Version: 0.2.20080216.1
Release: 1%{?_dist_release}
License: Arphic Public License
Group: User Interface/X
URL: http://freedesktop.org/wiki/Software/CJKUnifonts

Source0: ttf-arphic-ukai_%{version}.orig.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: TrueType-%{fontname}-doc

%description
This Chinese Unicode TrueType fonts derived from the original fonts
generously made available by Arphic Technology under the 
"Arphic Public License" and extended by the CJK Unifonts project.

%description -l ja
この中国語ユニコード TrueType フォントは
"Arphic Public License" で Arphic Technology により
寛大にも使用可能となったオリジナルのフォントに由来し、
CJK Unifonts project により拡張されています。

%package doc
Summary: CJKUnifonts ukai documents
Summary(ja): CJKUnifonts ukai ドキュメント
Group: User Interface/X

%description doc
This package includes important documents for CJKUnifonts ukai
includes enduser license.

%description -l ja doc
このパッケージには CJKUnifonts ukai のライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -n %{name}-%{version}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttc $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/ukai.ttc

%files doc
%doc license/* Font_Comparison_ZenKai_UKai.*
%doc CONTRIBUTERS FONTLOG INSTALL KNOWN_ISSUES NEWS README TODO 

%changelog
* Sun Sep 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.20080216.1-1
- initial build for VineSeed
