%define fontname kouzan-brush
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name:             TrueType-%{fontname}
Summary:          Japanese Brush-style font, made by Kouzan Aoyagi
Summary(ja):      青柳衡山氏作成の毛筆フォント
Version:          20091228
Release:          2%{?_dist_release}
License:          Public Domain
Group:            User Interface/X
URL:              http://musashi.or.tv/

Source0:          KouzanGyousho.zip
Source1:          KouzanMouhitsuFont.zip
Source2:          KouzanSousho.zip
Source3:          License.txt

BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildArch:        noarch
Requires: TrueType-%{fontname}-doc

BuildRequires: unzip

%description
This font is Brush-style Japanese font, made by Kouzan Aoyagi. 
This package consists of three fonts. 

- Kouzan-mouhitsu.ttf
- Kouzan-mouhitsu-gyosho.ttf
- Kouzan-mouhitsu-sousho.ttf

%description -l ja
このフォントは青柳衡山氏により作成された毛筆フォントです。
このパッケージは3種のフォントから成っています。 

- 衡山毛筆フォント
- 衡山毛筆フォント行書
- 衡山毛筆フォント草書

%package doc
Summary: Gutenberg Labo Dingbats font Documents
Summary(ja): 衡山毛筆フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for kouzan-mouhitsu font
includes enduser license.

%description -l ja doc
このパッケージには衡山毛筆フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -T

%{_bindir}/unzip -oq %{SOURCE0}
%{_bindir}/unzip -oq %{SOURCE1}
%{_bindir}/unzip -oq %{SOURCE2}
cp -pr %{SOURCE3} .

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/*.ttf

%files doc
%doc License.txt

%changelog
* Fri Feb 17 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20091228-2
- replaced Source3 newer

* Mon Dec 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20091228-1
- initial build for VineSeed
