%define fontname meguri
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary:  Meguri fonts are combined fonts that use IPA and M+ fonts
Summary(ja): Meguri フォントは IPA フォントと M+ フォントの合成フォントです
Version: 20101113a
Release: 1%{?_dist_release}
License: IPA font license, mplus font license
# generate script's lincense is Public Domain.
Group: User Interface/X
URL: http://www.geocities.jp/ep3797/modified_fonts_01.html

Source0: %{fontname}-fonts-%{version}.tar.lzma
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: TrueType-%{fontname}-doc

%description
Meguri fonts are combined fonts that use IPA and M+ fonts.
This package includes two fonts.

- meguri.ttf (monospace)
- meguri-p.ttf (proportional)

%description -l ja
Meguri フォントは IPA フォントと M+ フォントの合成フォントです。
このパッケージは2つのフォントを含んでいます。

- meguri.ttf （等幅）
- meguri-p.ttf （プロポーショナル）

%package doc
Summary: Meguri font documents
Summary(ja): Meguri フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Meguri fonts
includes enduser license.

%description -l ja doc
このパッケージには Meguri フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -qn %{fontname}-fonts-%{version}
%__tar cjf script-%{fontname}.tar.bz2 script-%{fontname}/
%__tar cjf script-%{fontname}-p.tar.bz2 script-%{fontname}-p/

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/%{fontname}*.ttf

%files doc
%doc ChangeLog README
%doc docs-ipa docs-mplus
%doc script-*.bz2

%changelog
* Mon Jan 3 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20101113a-1
- initial build for VineSeed
