%define fontname mplus
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}
%define mplusver 049

Name: TrueType-%{fontname}
Summary: M+ OUTLINE FONTS
Summary(ja): M+ OUTLINE FONTS
Version: 0.TESTFLIGHT.%{mplusver}
Release: 1%{?_dist_release}
License: M+
Group: User Interface/X
URL: http://mplus-fonts.sourceforge.jp/mplus-outline-fonts/index.html
Source0: mplus-TESTFLIGHT-%{mplusver}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Distribution: Vine Linux
Vendor: Project Vine
Packager: daisuke

%description
The M+ OUTLINE FONTS are a font family under the Free license. You can
use, copy, and distribute it, with or without modification, either
commercially and noncommercially.

%description -l ja
M+ OUTLINE FONTS はコンピュータなどでの個人利用をはじめ、商業目的での
利用、フォント内容の改変、改変後の再配布にも制限の無い、自由なライセン
スで公開しているアウトラインフォントです。

%prep
%setup -q -n mplus-TESTFLIGHT-%{mplusver}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%build

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

chmod a-x m++ipa.pe
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -m644 *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%doc README_E README_J LICENSE_E LICENSE_J m++ipa.pe
%{_fontdir}/*.ttf


%changelog
* Thu May 31 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.TESTFLIGHT.049-1
- update to TESTFLIGHT 049

* Sun Jan 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.TESTFLIGHT.046-1
- update to TESTFLIGHT 046

* Sun Dec 04 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.TESTFLIGHT.044-1
- initial build for Vine Linux

