Name:      airstrike
Version:   1.0
Release:   2.pre6%{?_dist_release}
Summary:   2D Air combat
Summary(ja):   複葉機による二次元対戦ゲーム
Vendor: Project Vine
Distribution: Vine Linux

URL:       http://icculus.org/airstrike/
Source0:   %{name}-pre6a-src.tar.gz
Source1:   %{name}48x48.png
Source2:   %{name}.desktop
Source3:   %{name}
Patch0:    airstrikerc.patch
License:   GPL
Group:     Applications/Games
BuildRequires: SDL-devel SDL_image-devel SDL_mixer-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix:    /usr

%description
Airstrike  is  a  2d  biplane dogfight game in the tradition of the 
Intellivision and Amiga games 'Biplanes' and 'BIP'. It features a 
robust physics engine and several  other  extensions  of  the original 
games.

%description -l ja
IntellivisionとAmigaのゲーム、'Biplanes'と'BIP'に似た、2Dの複葉機対戦
ゲームです。元になったゲームに比べ、強健な物理エンジンと新たに追加された
拡張機能が特徴です。

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-pre6a-src
%patch0 -p1

%build
make airstrike-sound

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/data
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/data/sound
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6/

install -p -m 755 %{name}      $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}
install -p -m 644 airstrikerc  $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 644 data/*.png   $RPM_BUILD_ROOT%{_datadir}/%{name}/data
install -p -m 644 data/*.txt   $RPM_BUILD_ROOT%{_datadir}/%{name}/data
install -p -m 644 data/sound/* $RPM_BUILD_ROOT%{_datadir}/%{name}/data/sound
install -p -m 644 %{SOURCE1}   $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p -m 644 %{SOURCE2}   $RPM_BUILD_ROOT%{_datadir}/applications
install -p -m 755 %{SOURCE3}   $RPM_BUILD_ROOT%{_bindir}/%{name}
install -p -m 644 doc/airstrike.6   $RPM_BUILD_ROOT%{_mandir}/man6/airstrike.6

 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING LICENSE INSTALL README ChangeLog
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}*
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}*
%{_mandir}/man6/*

%changelog
* Sat Jun 18 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.0-2.pre6
- rebuild for Vine Linux 6

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.0-1.pre6vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0-0vl1.pre6
- rebuilt for Vine Linux 4.0
- changed Group to Applications/Games

* Sat Feb 5 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> - 1.0-0vl0.pre6
- add man
- add jp summary and description
- sound enable
- airstrikerc.patch

* Fri Feb 7 2003 Michal Ambroz <rebus@seznam.cz>
- pre6 version

* Wed Oct 26 2002 Michal Ambroz <rebus@seznam.cz>
- initial spec file
