Name: aptitude
Version: 0.4.4
Release: 0vl3
Summary: A curses-based apt frontend
Summary(ja): apt  CUI եȥ
Group: Applications/Administration
License: GPL
URL: http://www.debian.org/Packages/unstable/admin/aptitude.html
Source: http://http.us.debian.org/debian/pool/main/a/%{name}/%{name}-%{version}.tar.bz2
# apt-rpm patch from ALT linux source rpm
Patch0: aptitude-0.4.4-alt1.patch

#Source: http://http.us.debian.org/debian/pool/main/a/%{name}/%{name}-%{version}.tar.bz2
#Patch0: aptitude-0.3.3-alt-cnc-rpm.patch.bz2
#Patch1: aptitude-0.3.3-automake.patch.bz2
#Patch5: aptitude-0.3.3-build-fixes.patch.bz2
#Patch6: aptitude-0.3.3-new-build-fixes.patch.bz2

BuildRequires: apt-devel >= 0.5.15.cnc.7
BuildRequires: binutils
BuildRequires: coreutils
BuildRequires: gzip
BuildRequires: libsigc++-devel >= 2.0
#BuildRequires: libstdc++3-devel
BuildRequires: zlib-devel cppunit-devel
BuildRequires: ncurses-devel
BuildRequires: popt rpm-devel
BuildRequires: gcc-c++ make automake18 autoconf
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
Aptitude is a curses-based apt frontend with a number of useful extended
features, including: a mutt-like syntax for matching packages in a flexible
and extreme flexibility and customization.

%description -l ja
Aptitude  curses ١ǿʳĥǽ apt եȥɤǤ
mutt 饤ʥѥåޥå󥿥å˥ޥǽʥ
Ǥ

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .apt-rpm-altlinux
#patch1 -p1 -b .automake
#patch5 -p1 -b .build-fix
#patch6 -p1 -b .new-build-fix

%build
libtoolize --copy --force
aclocal -I m4
autoheader
automake -a -c
autoconf
%configure --disable-werror --disable-docs 

make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall STATEDIR=$RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
#makeinstall -C doc

rm -rf $RPM_BUILD_ROOT/%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS INSTALL NEWS COPYING FAQ README TODO aptitude-hackers-guide.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
#{_mandir}/man8/aptitude*.8*
#{_mandir}/*/man8/aptitude.8*

%changelog
* Sun Sep 14 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.4-0vl3
- rebuild with apt-0.5.15lorg3.93

* Sat Sep 13 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.4-0vl2
- rebuild with rpm-4.4.2.2

* Mon Jul 23 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.4-0vl1
- rebuilt with new toolchain
- changed Group to Appications/Administration
- updated to 0.4.4
- added patch from ALT linux

* Sun Apr 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.3-0vl2
- rebuild with apt-0.5.15lorg3

* Sat Dec 17 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.3-0vl1
- new upstream release
- update altlinux apt-rpm patch from MDK package.
- cleanup specs

* Fri May 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.15.6-0vl3
- updated Patch
  * Fri Oct 08 2004 Gustavo Pichorim Boiko <boiko@conectiva.com.br>
  + 2004-10-08 15:25:36 (69400)
  - fixed rpm patch file. It was causing a segfault when trying to 
    see the info of a package. Thanks to Alexey I. Froloff (raorn) 
    by his tip about that.

* Fri Apr  8 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.15.6-0vl2
- rebuild with apt 0.5.15.cnc7

* Wed Mar 30 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.15.6-0vl1
- new upstream from conectiva package
  * Fri Sep 17 2004 Gustavo Pichorim Boiko <boiko@conectiva.com.br>
  + 2004-09-17 14:51:34 (67964)
  - new upstream release: 0.2.15.6
  - removed patch file makeinstall because it is not necessary anymore
  - splitted rpm patch into two: rpm and rpm_po
    this was done because just the source code part of the patch usually 
    need to be re-done in each new release.
  - added a patch file fixing the compilation with gcc-3.4
  - removed old menu entry and references
- fixed spec file encoding 

* Fri Jul 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.11.1-0vl1
- merged with conectiva package
  * Mon Jun 18 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
  - 0.0.7.19-2vl2
  - Oops, the spec was in Shift_JIS. Fixed.
  * Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.7.19-2vl1
  - merged with 0.0.7.19-2cl
  * Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.7.6-1vl5
  - rebuild with apt-0.3.19cnc38-2vl5
  * Tue Dec 12 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.7.6-1vl2
  - build for Vine Linux
  * Sun Dec 10 2000 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.7.6-1vl1
  - build for Vine Linux

* Thu Mar 20 2003 Claudio Matsuoka <claudio@conectiva.com>
+ 2003-03-20 18:28:59 (28803)
- fixed remaining reference to pkgDPkgPM (closes: #8136)

* Tue Jan 07 2003 Mapi2 <distro@conectiva.com.br>
+ 2003-01-07 19:01:45 (21359)
- Copying release 0.2.11.1-21310cl to releases/ directory.
- Copying release 0.2.11.1-21310cl to pristine/ directory.
- Removing previous pristine/ directory.

* Tue Jan 07 2003 Ademar de Souza Reis Jr. <ademar@conectiva.com.br>
+ 2003-01-07 17:04:48 (21310)
- Increasing release (recompiling with new set of libraries from apt)
- Enabled parallell build

* Thu Oct 31 2002 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2002-10-31 13:37:49 (18505)
- Fixed aptitude-rpm

* Fri Oct 18 2002 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2002-10-18 10:14:17 (17858)
- New patch fixing gcc3 compilation.

* Mon Sep 23 2002 Helio Chissini de Castro <helio@conectiva.com.br>
+ 2002-09-23 19:37:56 (15710)
- Added large patch to fix compilation with gcc3
- Fixed template STL headers
- Changed Makefile -Werror annoying warning to -Wno-deprecated, removing another
  bad warning
- Fixed some define problems against bad included libsigc++ header
- Changed old curses require to ncurses
- Created whole new automake/autoconf headers/configure.in
- Changed invalid default declarations in source files

* Tue Sep 03 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-09-03 14:14:27 (11109)
- Copying release 0.2.11.1-2cl to releases/ directory.

* Tue Sep 03 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-09-03 14:14:25 (11108)
- Copying release 0.2.11.1-2cl to pristine/ directory.

* Tue Sep 03 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-09-03 14:14:23 (11107)
- Removing previous pristine/ directory.

* Tue Sep 03 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-09-03 14:14:20 (11106)
- Imported package from snapshot.

* Tue Sep 03 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-09-03 14:14:17 (11105)
- Created directory for version 0.2.11.1.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 17:19:11 (7311)
- Copying release 0.2.8-4cl to releases/ directory.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 17:19:10 (7310)
- Copying release 0.2.8-4cl to pristine/ directory.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 17:19:09 (7309)
- Removing previous pristine/ directory.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 17:19:07 (7308)
- Imported package from 8.0.

* Thu Aug 29 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-29 17:19:04 (7307)
- Created directory for version 0.2.8.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:07:00 (3656)
- Copying release 0.0.8.6-2cl to releases/ directory.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:06:59 (3655)
- Copying release 0.0.8.6-2cl to pristine/ directory.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:06:57 (3654)
- Removing previous pristine/ directory.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:06:55 (3653)
- Imported package from 7.0.

* Wed Aug 28 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-28 18:06:53 (3652)
- Created directory for version 0.0.8.6.



* Tue Aug 27 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-27 18:40:15 (135)
- Imported package from 6.0.

* Tue Aug 27 2002 Gustavo Niemeyer <niemeyer@conectiva.com>
+ 2002-08-27 18:40:12 (134)
- Created package directory
