Name: automoc4
Summary: automatic moc for Qt 4 packages
Version: 0.9.88
Release: 3%{?_dist_release}

Group: Development/Tools
License: BSD

Source: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: qt4-devel

%description
This package contains the automoc4 binary which is used to run moc
on the right binaries in a Qt 4 or KDE 4 application.

Moc is the meta object compiler which is a much used tool when using
the Qt toolkit. 

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/automoc4/*

%changelog
* Sun Jan  8 2012 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.88-3
- rebuilt with qt4-4.8.0

* Sun Feb  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.88-2
- rebuilt with new toolchains

* Thu Feb 19 2009 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.88-1
- new upstream release

* Mon Nov 24 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.87-1
- new upstream release

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.84-2
- added script to append qmake path
- modified library path for x86_64

* Tue Sep 30 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.84-1
- initial release for VineSeed

