Name:             bibutils
Version:          4.12
Release:          1%{?_dist_release}
Summary:          bibliography conversion utilities
Summary(ja):      文献データ変換ユーティリティ
License:          GPL
Distribution:     Vine Linux
Vendor:           Project Vine
Group:            Applications/Text
Source:           %{name}_%{version}_src.tgz
URL:              http://bibutils.sourceforge.net/
BuildRoot:        %{_tmppath}/%{name}-%{version}-root

%description
The bibutils program set interconverts between various bibliography 
formats using a common MODS-format XML intermediate. For example, 
one can convert RIS-format files to Bibtex by doing two transformations: 
RIS->MODS->Bibtex. By using a common intermediate for N formats, 
only 2N programs are required and not N^2-N. These programs operate 
on the command line and are styled after standard UNIX-like filters.

%description -l ja
bibutilsは様々な文献データ形式をXMLを通じて相互変換するプログラムです。
例えば、RIS形式をBib形式に変換するには、RIS->MODS->Bibtex と二回変換を
行います。プログラムは標準的なUNIXのコマンドと同じように使うことができます。

%prep

%setup -n %{name}_%{version}

%build
./configure --install-dir $RPM_BUILD_ROOT%{_bindir}
%__make

%install
%__install -d $RPM_BUILD_ROOT%{_bindir}
%makeinstall

%clean
%__rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root) 
%doc ChangeLog Copying readme.txt todos.txt
%{_bindir}/bib2xml
%{_bindir}/biblatex2xml
%{_bindir}/copac2xml
%{_bindir}/ebi2xml
%{_bindir}/end2xml
%{_bindir}/endx2xml
%{_bindir}/isi2xml
%{_bindir}/med2xml
%{_bindir}/modsclean
%{_bindir}/ris2xml
%{_bindir}/wordbib2xml
%{_bindir}/xml2ads
%{_bindir}/xml2bib
%{_bindir}/xml2end
%{_bindir}/xml2isi
%{_bindir}/xml2ris
%{_bindir}/xml2wordbib


%changelog
* Sun Feb 19 2012 Munehiro Yamamoto <munepi@vinelinux.org> 4.12-1
- new upstream release

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 3.37-1vl5
- applied new versioning policy, spec in utf-8

* Sun Aug 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.37-0vl2
- changed Group to Applications/Text

* Sun Aug 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 3.37-0vl1
- Updated to 3.37

* Mon Jun  4 2007 Susumu Tanimura <aruminat@gmail.com> - 3.33-0vl2
- Updated to 3.33

* Mon Dec  4 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Updated to 3.27

* Wed Nov 16 2005 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.2

