Summary: Blackbox - an X11 Window manager
Summary(ja): Blackbox - X11 ɥޥ͡
Name: blackbox
Version: 0.61.1
Release: 0vl2
Group:  User Interface/Desktops
Copyright: GPL
Requires: wmconfig, xscreensaver
Buildroot: %{_tmppath}/%{name}-root

Source: ftp://portal.alug.org/pub/blackbox/0.6x.x/blackbox-%{version}.tar.bz2
# sources/patches for vine.
Source101: blackbox-menu-vine.in
Source102: blackbox-menu-vine.ja.in
Source103: blackbox-CleanVine_theme
Patch100: blackbox-0.61.1-ja_nls.patch
Patch101: blackbox-0.60.3-snap_to_edges.patch
Patch102: blackbox-0.60.3-menu_extend-1.1.patch
Patch103: blackbox-0.60.3-large_font.patch
# XXX: This patch is too stupud patch for kinput2.
Patch104: blackbox-0.60.3-kinput2.patch
# patch for gcc-2.95.x
Patch110: blackbox-0.60.3-gcc295.patch

Vendor: Project Vine
Distribution: Vine Linux
Packager: Yasuyuki Furukawa <furukawa@vinelinux.org>

%description
Blackbox is yet another addition of the list of window managers 
for the Open Group's X Window System, Version 11 Release 6 and above. 
Blackbox is built with C++, sharing no common code with any other 
window manager (even though the graphics implementation is similar 
to that of Window Maker). 

This package's default menu is customized for Vine Linux.


%description -l ja
BlackboxϡOpen Group  X ɥƥ, X11R6ʹѤ
ɥޥ͡ΰĤǤBlackboxϡ¾Υɥ
ޥ͡Ȥζ̤ΥɤѤˡC++ǥå
Ƥޤ(Window MakerΥեåμ򻲹ͤˤƤ
)

ޤΥѥåǤϡǥեȤΥ˥塼Vine LinuxѤ
ޥƤޤ

%prep
%setup -q
%patch100 -p1 -b .ja_nls
%patch101 -p1 -b .snap_to_edges
%patch102 -p1 -b .menu_extend
%patch103 -p1
%patch104 -p1 -b .kinput2
%patch110 -p1
rm -f data/styles/*~ data/styles/*.orig
cp %{SOURCE101} data/menu.in
cp %{SOURCE102} data/menu.ja_JP.in
touch aclocal.m4 Makefile.in */Makefile.in config.h.in
rm -rf   %{buildroot}

%build
./configure --prefix=%{_prefix}
CFLAGS="$RPM_OPT_FLAGS"
make

%install
make prefix=%{buildroot}%{_prefix} install

strip %{buildroot}%{_bindir}/*  || :

# recreate symbolic directories.
# (use relative path instead of full path that is included "/var/tmp/..." )
for lang in POSIX US_ASCII en en_US; do
rm -f %{buildroot}%{_datadir}/Blackbox/nls/${lang}
ln -s C %{buildroot}%{_datadir}/Blackbox/nls/${lang}
done

rm -f %{buildroot}%{_datadir}/Blackbox/nls/es
ln -s es_ES %{buildroot}%{_datadir}/Blackbox/nls/es
rm -f %{buildroot}%{_datadir}/Blackbox/nls/ja
ln -s ja_JP %{buildroot}%{_datadir}/Blackbox/nls/ja

# install my poor theme :)
cp %{SOURCE103} %{buildroot}%{_datadir}/Blackbox/styles/CleanVine

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog*
%doc INSTALL LICENSE README README.bbtools TODO 
%doc data/README data/README.menu data/README.style
%{_datadir}/Blackbox/*
%{_bindir}/*


%changelog
* Fri Mar 15 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.61.1-0vl2
- rebuilt with glibc > 2.2

* Sat Jul 28 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- updated to 0.61.1
- modified ja_nls patch 

* Fri Aug 25 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- modified poor kinput2  patch for mozilla

* Fri Aug 18 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 0.61.0
- remove style_fix patch
- added my poor CleanVine theme :)

* Wed Jul 21 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.60.3-0vl2
- added a small patch to work with gcc-2.95.x

* Thu Jul  4 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- first release for 0.60.3
- replace menu files for vine.
- added ja_nls patch for Japanese catalog and menu files.
- added snap_to_edge and menu_extend patch from old 0.53.x
- FIXME!! added very stupid kinput2 patch.
- FIXME!! added temporary style_fix patch to prevend blackbox 0.60.3 style bug.
