Name:             camlp5
Version:          5.11
Release:          2%{?_dist_release}
Summary:          a preprocessor-pretty-printer of ocaml
License:          distributable
Group:            Development/Languages
Source0:          %{name}-%{version}.tgz
Source1:          %{name}-%{version}.ps
URL:              http://pauillac.inria.fr/camlimages/

BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildRequires:    ocaml
Requires:         ocaml

Vendor:           Project Vine
Distribution:     Vine Linux

Packager:         inagaki

%description
Camlp5 is a preprocessor-pretty-printer of OCaml.

%prep
%setup -q
cp -p %{SOURCE1} .

%build
./configure \
	--prefix %{_prefix} \
	--libdir %{_libdir}/ocaml \
	--mandir %{_mandir}

make world.opt

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make install DESTDIR=$RPM_BUILD_ROOT

%clean
if [ -d $RPM_BUILD_ROOT ]; then %{__rm} -rf $RPM_BUILD_ROOT; fi

%files
%defattr (-,root,root)
%doc CHANGES LICENSE README
%doc %{name}-%{version}.ps
%{_bindir}/*
%{_libdir}/ocaml/camlp5
%{_mandir}/man1/*

%changelog
* Fri Apr 16 2010 Shu KONNO <owa@bg.wakwak.com> - 5.11-2
- rebuilt with new tool chain and ocaml 3.11.0-2

* Sat May  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 5.11-1
- new upstream release
- built with ocaml 3.11.0
- added Packager tag

* Sun Aug  3 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 5.08-1
- new upstream release
- built with ocaml 3.10.2

* Wed Feb  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 5.07-0vl2
- rebuilt for VineSeed

* Wed Feb  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 5.07-0vl1
- new upstream release
- rebuilt with Ocaml 3.10.1

* Sun Dec 30 2007 Shu KONNO <owa@bg.wakwak.com> - 5.00-0vl2
- added option libdir to configure

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 5.00-0vl1
- initial package for Vine Linux
