Summary: Encoding/decoding utilities for C/C++ function declarations.
Name: cdecl
Version: 2.5
Release: 23%{?_dist_release}
License: distributable
Group: Development/Tools
Source: ftp://ibiblio.org/pub/Linux/devel/lang/c/%{name}-%{version}.tar.gz
Patch0: cdecl-2.5.misc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: readline-devel libtermcap-devel bison flex
Vendor: Project Vine
Distribution: Vine Linux

%description
The cdecl package includes the cdecl and c++decl utilities, which are
used to translate English to C or C++ function declarations and vice
versa.

%description -l ja
cdecl は cdecl や c++decl ユーティリティを含んだパッケージです。
これらのユーティリティは英語を C や C++の関数宣言に翻訳したり、
その逆の場合に使われます。

%prep 
%setup -q
%patch0 -p1 -b .misc

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

make BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1 \
	install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 2.5-23vl5
- applied new versioning policy, spec in utf-8

* Sat Mar 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.5-22vl2
- rebuilt with new toolchains

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 2.5-22vl1
- patch/spec synced with Rawhide 2.5-22

* Fri Oct 13 2000 MACHINO, Satoshi <machino@vinelinux.org> 2.5-9vl1
- added %description -l ja
- fixed in %files for brp-redhat

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- built for glibc 2.1

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- built against readline lib w/ proper soname

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
