Summary: Gtk+ based image viewer.
Summary(ja): Gtk+ ベースのイメージビューワ
Name: danpei
Version: 2.9.7
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Multimedia
URL: http://sourceforge.net/projects/danpei/
Source: %{name}-%{version}.tar.gz
BuildPrereq: gtk+-devel > 1.2.6, gdk-pixbuf-devel, libpng-devel, ImageMagick-devel
Requires: gtk+ > 1.2.6, gdk-pixbuf, libpng, ImageMagick 
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Danpei is a Gtk+ based thumbnail image viewer. You can rename files very easily looking through them in thumbnail forms.

%description -l ja
Danpei は Gtk+ ベースのイメージビューワです。サムネイル形式で画像を一覧しながら、簡単にファイル名をリネームできます。

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

cp -aRp [ACFINRT]* misc $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -ap src/icon/danpei.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

%makeinstall \
	DESTDIR=$RPM_BUILD_ROOT \
	bindir=%{_bindir}\
        localedir=%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}/* 
%{_bindir}/danpei
%{_datadir}/locale/ja/LC_MESSAGES/danpei.mo
%{_datadir}/pixmaps/danpei.xpm

%changelog
* Sun Sep 21 2008 Shu KONNO <owa@bg.wakwak.com> 2.9.7-1vl5
- applied new versioning policy, spec in utf-8

* Wed Aug  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.9.7-0vl1
- updated to 2.9.7
- changed Group to Applications/Multimedia

* Thu May 13 2004 Satoshi MACHINO <machino@vinelinux.org> 2.9.4-0vl1
- initial release

