Summary: Disk based hash library
Name: dbh
Version: 1.0.24
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Libraries
Source:	http://prdownload.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
URL: http://dbh.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description 
Disk based hashes is a method to create multidimensional binary trees on disk.
This library permits the extension of database concept to a plethora of 
electronic data, such as graphic information. With the multidimensional binary 
tree it is possible to mathematically prove that access time to any 
particular record is minimized (using the concept of critical points from 
calculus), which provides the means to construct optimized databases for 
particular applications.  

%package devel
Summary: developpment tools for dbh library
Group: Development/Libraries
Requires: dbh = %{version}-%{release}

%description devel
Static libraries and header files for the dbh library.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO 
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc examples/*.c examples/Makefile* doc/*.html
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.24-1vl5
- applied new versioning policy
- removed *.la

* Wed Aug 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.24-0vl3
- changed Group to System Environment/Libraries

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 1.0.24-0vl2
- new upstream release

* Wed Feb 02 2005 UECHI Yasumasa <uechi@potaway.net> 1.0.22-0vl1
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 1.0.20-0vl2
- separate devel package

* Wed Jan 19 2005 UECHI Yasumasa <uechi@potaway.net> 1.0.20-0vl1
- new upstream release
- change License QPL to GPL
- use %configure macro

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 1.0.18-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 1.0.17-0vl1
- initial release

