%define rel 1
%define jmdict_date 20081124

%define dictdir %{_datadir}/dict/jisx4081
%define dictpkgname engJMD

Summary: JIS X 4081 format EDICT Dictionary
Summary(ja): JIS X 4081 形式の EDICT 辞書
Name: dict-jisx4081-edict
Version: 1.0
Release: %{rel}.JMdict.%{jmdict_date}%{?_dist_release}
License: CC-by-sa 3.0 Unported
Group: Applications/Text
URL: http://www.csse.monash.edu.au/~jwb/edict.html
Source0: ftp://ftp.monash.edu.au/pub/nihongo/edict_en.fpwebz.tar
Source1: dict-jisx4081-edict.README.ja
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
JIS X 4081 format EDICT Dictionary

%description -l ja
JIS X 4081 形式の EDICT 辞書

%prep
%setup -q -c %{name}-%{version}
%{__cp} -a %{SOURCE1} ./README.ja
%{_fixperms} %{dictpkgname}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{dictdir}/%{dictpkgname}/%{dictpkgname}
pushd %{dictpkgname}
%{__install} -m0644 CATALOGS %{buildroot}%{dictdir}/%{dictpkgname}
%{__cp} -a %{dictpkgname} %{buildroot}%{dictdir}/%{dictpkgname}
popd


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.ja %{dictpkgname}/{ChangeLog,INFO,License,README}
%dir %{dictdir}
%{dictdir}/%{dictpkgname}


%changelog
* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> gene95-vl
- Initial build.

