Summary: a lightweight web browser based on LFTK2
Summary(ja): FLTKベースの軽量webブラウザ
Name: dillo
#Version: 0.7.3
Version: 3.0.2
Release: 1%{?_dist_release}
URL: http://www.dillo.org/
Source0: http://www.dillo.org/download/%{name}-%{version}.tar.bz2
License: GPLv3
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: fltk-devel >= 1.3
BuildRequires: libpng-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-turbo-devel

%description
- Dillo is a multi-platform  graphical web browser known for its speed and small footprint.
- Dillo is written in C and C++. 
- Dillo is based on FLTK, the Fast Light Toolkit (statically-linked by default!).
- Dillo is free software made available under the terms of the GNU General Public License (GPLv3).
- Dillo strives to be friendly both to users and developers.
- Dillo helps web authors to comply with web standards by using the bug meter.

%prep
%setup -q

%build
#configure --enable-meta-refresh --enable-web-search --program-prefix=
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/%{name}/dillorc
%config(noreplace) %{_sysconfdir}/%{name}/dpidrc
%config(noreplace) %{_sysconfdir}/%{name}/keysrc
#%{_bindir}/dillocfg
#%{_bindir}/bm_srv12
%{_bindir}/dillo
%{_bindir}/dpid
%{_bindir}/dpidc
%dir %{_libdir}/dillo
%{_libdir}/dillo/dpi/*
%{_docdir}/dillo/*
%{_mandir}/man1/dillo.*

%changelog
* Mon Jun 25 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.2-1
- upate to 3.0.2
- change BuildRequires: fltk-devel instead of fltk2-devel
- add BuildRequires: libpng-devel, libjpeg-turbo-devel

* Sat May 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.2-1
- updated dillo to 2.2
- applied new versioning policy, and spec in utf-8
- changed license to GPL3
- updated Summary and %%description
- dropt Patch0: dillo-0.7.3-i18n-misc-20031219.diff.bz2

* Mon Dec 29 2003 IWAI, Masaharu <iwai@alib.jp> 0.7.3-0vl1
- Initial build.

