Summary: a Python/XSLT application to convert a DocBook XML document to ePub
Name: docbook2epub
Version: 1.0.4
Release: 1%{?_dist_release}
License: New BSD License
Group: Applications/Publishing
URL: http://code.google.com/p/epub-tools/
Source0: http://epub-tools.googlecode.com/files/%{name}-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools unzip
Requires: python-lxml docbook-style-xsl >= 1.74.2

BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
docbook2epub is a Python/XSLT application to convert a DocBook XML document to ePub.

%prep
%setup -q -n %{name}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}
pushd epubtools
%__python setup.py install --root=%{buildroot}
popd

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/db2epub.py
%{python_sitelib}/docbook2epub*
%{python_sitelib}/epubtools*

%changelog
* Fri Apr  8 2011 IWAI, Masaharu <iwai@alib.jp> 1.0.4-1
- Initial build.


