Summary: convert dvi files to simple ASCII
Name: dvi2tty
Version: 5.1
Release: 1%{?_dist_release}
License: nocommercial
Group: Applications/Publishing
Source0: ftp://ftp.cdrom.com/pub/tex/ctan/systems/unix/linux/dvi/dvi2tty51.tgz
Source1: dvi2tty.sh
Source2: dvi2tty.csh
Patch0: dvi2tty-5.1.patch.gz
Patch1: dvi2tty-5.1-disdvi.patch
BuildPrereq: tetex, gzip
Requires: less
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
dvi2tty is designed to preview TeX dvi files on ASCII devices, (such as
terminals and line printers).  This version was written in the C language
by Marcel J.E. Mol, and is derived from the original pascal program
written by Svante Lindahl.

Since more sophisticated output devices are now common place, most users
rely on dvips, or other dvi converters, for everyday TeX processing.
However, every TeX user will find dvi2tty to be handy, (ie: you need
to transmit a TeX document in softcopy form to someone who religiously
bought every release of Word, thinking they could read *any* document
in existance).

%description -l ja
dvi ファイルをターミナル上で閲覧するためのツールです．
日本語のTeXファイルをAscii pTeX で処理したものを閲覧するには，
-A オプションを用いるか，環境変数DVI2TTYをAに設定してください．
NTT TeX で処理した場合は -J オプションとなります．

%prep
%setup -b 0
%patch0 -p1
%patch1 -p0 -b .disdvi

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}
make install bindir=%{buildroot}/%{_bindir} mandir=%{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_sysconfdir}/profile.d/
install -m 755 %{SOURCE1} %{buildroot}/%{_sysconfdir}/profile.d/
install -m 755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/profile.d/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc DVI.format README* TODO credits 
%doc dvi2tty.tex test.* ligtest.* debian/
%{_bindir}/disdvi
%{_bindir}/dvi2tty
%{_mandir}/man1/*
%{_sysconfdir}/profile.d/dvi2tty.*

%changelog 
* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 5.1-1vl5
- applied new versioning policy, spec in utf-8
- added dvi2tty-5.1-disdvi.patch

* Wed Oct  8 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 5.1-0vl2
- rebuild with new toolchains
- change BuildPrereq: tetex
- s/Copyright/License/

* Thu Mar 29 2001 Jun Nishii <jun@vinelinux.org>
- 5.1-0vl1

