%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary:	Good Plugins for the Elisa Media Center 
Summary(ja): 	Elisa メディアセンター用 Good プラグイン
Name:		elisa-plugins-good
Version:	0.5.37
Release: 	1%{?_dist_release}
Source0:	http://elisa.fluendo.com/static/download/elisa/elisa-plugins-good-%{version}.tar.gz
License:	GPLv3
Group:		Applications/Multimedia
URL:		http://elisa.fluendo.com/

Requires:	python
Requires:	elisa = %{version}
BuildRequires:	python, python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Packager:	kazutaka

%description
This package contains the good set of plugins for the Elisa 
Media Center, plugins which are considered stable and do not
present any licensing issues.

%description -l ja
このパッケージは Elisa メディアセンター用のプラグインのセットを
含んでいます。ここに含まれるプラグインは安定しており、また特許等
の問題も抱えていません。


%prep

%setup -q


%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install \
            --single-version-externally-managed \
            --root ${RPM_BUILD_ROOT}

# remove unnecessary windows plugin
%{__rm} -rf ${RPM_BUILD_ROOT}/%{python_sitelib}/elisa/plugins/winscreensaver
%{__rm} -rf ${RPM_BUILD_ROOT}/%{python_sitelib}/elisa_plugin_winscreensaver-*


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{python_sitelib}/elisa/plugins/base
%{python_sitelib}/elisa/plugins/gnome
%{python_sitelib}/elisa/plugins/hal
%{python_sitelib}/elisa_plugin_*


%changelog
* Fri May 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.37-1
- new upstream release

* Thu Apr 23 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.36-1
- new upstream release

* Thu Apr 09 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.35-1
- new upstream release

* Wed Apr 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.34-1
- new upstream release

* Tue Mar 17 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.32-1
- new upstream release

* Fri Mar 13 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.31-1
- new upstream release

* Sun Mar 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.29-1
- new upstream release

* Fri Feb 20 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.28-1
- new upstream release

* Fri Feb 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.26-1
- new upstream release

* Tue Jan 27 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.25-1
- new upstream release

* Wed Jan 21 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.24.1-1
- new upstream release

* Sat Jan 17 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.23-1
- new upstream release

* Wed Dec 24 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.22-1
- new upstream release

* Thu Dec 04 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.20-1
- new upstream release

* Sun Nov 16 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.5.17-1
- initial build for Vine Linux
