Summary: evilwm is a minimalist window manager for the X Window System.
Summary(ja): evilwmは X Window System 用の必要最低限機能のウィンドウマネージャです。
Name:           evilwm
Version:        1.1.0
Release:        2.pre8%{?_dist_release}

Group:          User Interface/Desktops
License:        AEWM LICENCE
URL:            http://www.6809.org.uk/

Source0:        http://www.6809.org.uk/evilwm/%{name}-%{version}pre8.tar.gz
Source1:        %{name}-execs.tar.bz2
Source2:        %{name}-cmds.tar.bz2
Source3:        %{name}.desktop
Source4:        start_%{name}
Source5:        exit_%{name}
Source6:        %{name}.txt
Source7:        %{name}-autostart
Source10:       mirror-vine.jpg
Patch1:         evilwm-extwm-1.1.0pre7.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  libXrandr-devel libXrender-devel libXext-devel
Requires:       libXrandr libXrender libXext zenity xsri xorg-x11-fonts-ISO8859-1-100dpi

Vendor:         Project Vine
Distribution:   Vine Linux

%description
evilwm is a minimalist window manager for the X Window System.

%description -l ja
evilwmは X Window System 用の必要最低限機能のウィンドウマネージャです。

%prep
%setup -q -a 1 -n %{name}-%{version}pre8
%patch1 -p1

%build
%__make
%install
rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} install
# install DM entry
%__mkdir -p %{buildroot}%{_datadir}/xsessions/
%__install -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/xsessions/
# install evilwm start & exit command
%__install -m 0755 %{SOURCE4} %{SOURCE5} %{buildroot}%{_bindir}/
# install hot-key evilwm commands
%__install -m 0755 %{name}-exec? %{buildroot}%{_bindir}/
# install hot-key usercommands, document, autostart file & wall paper
%__mkdir -p %{buildroot}%{_datadir}/%{name}
%__install -m 0644 %{SOURCE2} %{SOURCE6} %{SOURCE7} %{SOURCE10} %{buildroot}%{_datadir}/%{name}/

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog
%{_bindir}/*
%{_datadir}/*

%changelog
* Sat Sep  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1.0-2.pre8
- changed Group to User Interface/Desktops

* Sun Mar 14 2010 KATO Masashi <mkato@par.odn.ne.jp> 1.1.0-1.pre8
- upstream update
- moved desktop-entry to %{_datadir}/xsessions/

* Sun Aug 30 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0.1-1
- initial Vine release

* Thu Aug 27 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0.1-0.3.9
- extend hot-keys

