Name:           extundelete
Version:        0.2.0
Release:        3%{?_dist_release}
Summary:        An ext3 and ext4 file system undeletion utility
Summary(ja):    ext3 と ext4 ファイルシステムのための削除ファイル復元ユーティリティ

Group:          Applications/System
Packager:       kenta
Vendor:         Project Vine
License:        GPLv2+
URL:            http://extundelete.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  e2fsprogs-devel

%description
extundelete is a utility that can recover deleted files from an ext3 or ext4
partition. extundelete uses the information stored in the partition's journal
to attempt to recover a file that has been deleted from the partition. There is
no guarantee that any particular file will be able to be undeleted, so always
try to have a good backup system in place, or at least put one in place after
recovering your files!

%description -l ja
extundelete は ext3 と ext4 パーティション上で削除したファイルを復元することが
できます。extundelete はジャーナル・ファイルシステムの履歴情報を活用して、削除さ
れたファイルを復元します。
ただし、復元したいファイルを復元できる保証はありません。日頃からバックアップを欠か
ずに、そして、うまく復元できた場合にはそのファイルはしっかり管理しておきましょう。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{_bindir}/%{name}


%changelog
* Sat Apr 16 2011 NAKAMURA Kenta <kenta@vinelinux.org> - 0.2.0-3
- initial build for Vine Linux

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 24 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.2.0-1
- New upstream release
- Drop no-strict-aliasing-break patch
- Drop OPTFLAGS patch ( no need now since autotools are used )

* Tue Apr 13 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.1.8-2
- Fix miscellaneous issues ( https://bugzilla.redhat.com/show_bug.cgi?id=581723#c1 )

* Sun Apr 11 2010 Hicham HAOUARI <hicham.haouari@gmail.com> 0.1.8-1
- Initial rpm
