Summary: Fast User Switch Applet
Summary(ja): 高速なユーザ変更アプレット
Name: fast-user-switch-applet
Version: 2.14.2
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org

Source: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq:         scrollkeeper >= 0.3
Prereq:         GConf2
BuildRequires:  glib2-devel >= 2.10.0
BuildRequires:  pango-devel >= 1.11.0
BuildRequires:  gtk2-devel >= 2.8.0
BuildRequires:  libgnomeui-devel >= 2.13.0
BuildRequires:  gnome-panel >= 2.13.0

%description

%prep
%setup -q

%build
%configure --disable-schemas-install --disable-scrollkeeper
%__make  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update > /dev/null 2>&1 ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/cpufreq-applet.schemas > /dev/null

%postun
scrollkeeper-update > /dev/null 2>&1 ||:

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/%{name}
%{_datadir}/omf/%{name}


%changelog
* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 2.14.2-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- initial build for Vine Linux

