Summary:	Jar creation utility
Summary(ja):    Jar 作成ツール
Name:		fastjar
Version:	0.98
Release:        2%{?_dist_release}

License:	GPL
Group:		Applications/Archiving
Source0:	%{name}-%{version}.tar.gz

URL:		http://savannah.nongnu.org/projects/fastjar

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  zlib-devel
BuildRequires:  texinfo
Requires(post): /sbin/install-info
Requires(preun):/sbin/install-info

%description
Replacement for Suns .jar creation program. It is written in C 
instead of java and is tons faster. 

%prep
%setup -q

%build
%configure 
make %{?_smp_mflags} 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/fastjar.info.gz

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete \
	--info-dir=%{_infodir} %{_infodir}/fastjar.info.gz
fi

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES COPYING ChangeLog NEWS README
%{_bindir}/*
%{_infodir}/fastjar*
%{_mandir}/man1/*

%changelog
* Fri Jul 30 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98-2
- added BR: zlib-devel

* Wed Nov 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.98-1
- initial build for Vine Linux

