Summary:      Open Audio Library Utility Toolkit
Summary(ja):  オープンオーディオライブラリユーティリティツールキット
Name:         freealut
Version:      1.1.0
Release:      4%{?_dist_release}

License:      LGPL
Group:        System Environment/Libraries
URL:          http://www.openal.org/

Source:       freealut-%{version}.tar.gz

BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: openal-devel >= 1:0.0.8
Obsoletes:    openal < 1:0.0.8

%description
freealut is a highly portable Open Source implementation of ALUT, a
utility toolkit for OpenAL. ALUT makes managing of OpenAL contexts,
loading sounds in various formats and creating waveforms very easy.

%package devel
Summary:      Development files for the freealut library
Requires:     freealut = %{version}
Group:        Development/Libraries

%description devel
freealut is a highly portable Open Source implementation of ALUT, a
utility toolkit for OpenAL. ALUT makes managing of OpenAL contexts,
loading sounds in various formats and creating waveforms very easy.

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/libalut.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/alut.css doc/alut.html
%{_libdir}/libalut.so.*

%files devel
%defattr(-,root,root)
%doc doc/alut.css doc/alut.html
%{_bindir}/freealut-config
%{_includedir}/AL/alut.h
%{_libdir}/libalut.a
%{_libdir}/libalut.so
%{_libdir}/pkgconfig/freealut.pc

%changelog
* Wed Mar 16 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 1.1.0-4
- rebuild with openal-soft-1.13

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 1.1.0-3
- rebuilt with rpm-4.8.1 for pkg-config

* Wed Oct 01 2008 MATSUBAYASHI Kohji <shaoliN@vinelinux.org> - 1.1.0-2
- BuildRequires: openal-devel, not openal

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 1.1.0-1vl5
- applied new versioning policy, spec in utf-8

* Sat Jun 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.0-0vl1
- initial build for Vine Linux

