%define name freepwing
%define version 1.6.1
%define release 1%{?_dist_release}

Summary: FreePWING: Free JIS X 4081 Formatter
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.sra.co.jp/pub/misc/freepwing/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: Applications/Text
Url: http://www.sra.co.jp/people/m-kasahr/freepwing/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: perl
Requires: perl
BuildArch: noarch

%description
Free JIS X 4081 Formatter

%description -l ja
FreePWING は JIS X 4081 形式の書籍データを生成を行うソフトウェアです。
JIS X 4081 は EPWING V1 のサブセットですので、FreePWING によって生成し
た JIS X 4081 形式の書籍データは、原理上 EPWING の検索ソフトウェアで検
索を行うことが可能です。

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall perllibdir=%{buildroot}%{perl_vendorlib}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS AUTHOR COPYING ChangeLog
%{_bindir}/fpwmake
%{perl_vendorlib}/FreePWING
%{_libexecdir}/freepwing
%{_datadir}/freepwing


%changelog
* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> 1.6.1-1
- new upstream release
- change BuildArch: noarch
- drop unnecessary Prefix tag
- add ducumentations

* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.4-1vl5
- applied new versioning policy, spec in utf-8
- built with perl-5.10.0

* Sun Aug 13 2006 IWAI, Masaharu <iwai@alib.jp> 1.4.4-0vl1
- new package

