Summary:        Union filesystem in userspace
Summary(ja):    ユーザスペース Union ファイルシステム

Name:           funionfs
Version:        0.4.3
Release:        2%{?_dist_release}

Group:          System Environment/Base
License:        GPLv2+
URL:            http://funionfs.apiou.org
Source0:	http://funionfs.apiou.org/file/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	fuse
BuildRequires:	fuse-devel >= 2.5

%description
FunionFS implements a union filesystem in userspace using FUSE.  FUSE
provides a Linux kernel module which allows virtual filesystems to be written
in userspace.

%prep
%setup -q

%build
%configure
make %{?_smp mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
/usr/bin/funionfs
%doc AUTHORS ChangeLog COPYING BUGS TODO NEWS README
%{_mandir}/man1/*


%changelog
* Mon Apr 04 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.3-2
- rebuild with fuse-2.8

* Mon Jun 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.3-1
- initial build for Vine Linux

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.3-2
- Autorebuild for GCC 4.3


* Thu Jul 26 2007 Jeff Law - 0.4.3-1
- Initial RPM release.
