Summary:        FUSE-Filesystem to convert filesystem encodings
Summary(ja):    ファイルシステムのエンコーディングを変換する FUSE ファイルシステム
Name:           fuse-convmvfs
Version:        0.2.6
Release:	1%{?_dist_release}
Group:          System Environment/Base
License:        GPL
URL:            http://fuse-convmvfs.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/fuse-convmvfs/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  fuse-devel >= 2.5

%description
This is a filesystem client use the FUSE(Filesystem in
USErspace) interface to convert file name from one charset
to another. Inspired by convmv.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/convmvfs
%doc README* COPYING ChangeLog AUTHORS NEWS


%changelog
* Mon Feb 20 2012 Munehiro Yamamoto <munepi@vinelinux.org> 0.2.6-1
- new upstream release

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.3-1vl5
- applied new versioning policy, spec in utf-8

* Sat Jun 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.3-0vl1
- initial build for Vine Linux

* Mon Feb 12 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.2.3-2
- add doc AUTHORS NEWS, remove doc INSTALL
- Change URL

* Mon Feb 12 2007 ZC Miao <hellwolf.misty@gmail.com> - 0.2.3-1
- update to 0.2.3

* Fri Jul 28 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.2.2-1
- update to 0.2.2

* Tue Jul 25 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.2.1-1
- update to 0.2.1

* Mon Jul  3 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.2-2
- add URL for Source0

* Fri Jun 30 2006 ZC Miao <hellwolf@seu.edu.cn> - 0.2-1
- init build
