%define	soname	23
%define	libname libgal%{soname}

Summary:	The Gnome Application Library.
Summary(ja):	Gnome ץꥱ饤֥
Name:		gal
Version:	0.24
Release:	1vl3
License:	GPL
Group:		System Environment/Libraries
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.23/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildPreReq:	libxml-devel
BuildPreReq:	freetype2-devel
BuildPreReq:	libglade-devel >= 0.13
BuildPreReq:	gnome-vfs-devel
BuildPreReq:	gnome-print-devel >= 0.22
BuildPreReq:	gtk+-devel >= 1.2.7
BuildPreReq:	gtk-doc
BuildRequires:  autoconf213, automake14

Requires:	libxml >= 1.8.8
Requires:	libgnomeprint15 >= 0.22
Requires:	libglade >= 0.13
Requires:	gtk+ >= 1.2.7

Patch0:		gal-0.18.1-config.patch


%description
A collection of GNOME widgets and utility functions.

%description -l ja
GNOME ΥݡͥȤΩĵǽΥ쥯Ǥ

%package devel
Summary:  Development files for the GNOME Applications library
Summary(ja): GNOME ץꥱ饤֥γȯѥե
Group:    Development/Libraries
Requires: %{name} = %{PACKAGE_VERSION}, %{libname}
Requires: gnome-vfs-devel
Requires: gnome-print-devel >= 0.22
Requires: gnome-libs-devel
Requires: libglade-devel

%description devel
Development files for the GNOME Applications library

%package -n %{libname}
Summary: The GNOME Application Library
Summary(ja): GNOME ץꥱ饤֥
Group: System Environment/Libraries
Requires: %{name} >= %{version}

%description -n %{libname}
A collection of GNOME widgets and utility functions.

%description -n %{libname} -l ja
GNOME ΥݡͥȤΩĵǽΥ쥯Ǥ

%prep
%setup -q


%build
#autoconf
%define __libtoolize /bin/true
cp %{_datadir}/libtool/config.{guess,sub} .
%configure --disable-gtk-doc
make


%install
%makeinstall

##%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig


##%files -f %{name}.lang
%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%dir %{_datadir}/gal
%{_datadir}/gal/%{version}/pixmaps
%{_datadir}/gal/%{version}/glade
%{_datadir}/locale

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*sh
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%files -n %{libname}
%defattr(-, root, root)
%{_datadir}/etable
%{_datadir}/gal/html
%{_libdir}/libgal.so.%{soname}
%{_libdir}/libgal.so.*.*


%changelog
* Thu Sep 06 2007 Shu KONNO <owa@bg.wakwak.com> 0.24-1vl3
- dropt %%find_lang (added locale data directry to %%files)

* Tue Oct 26 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.24-1vl2
- rebuilt with db4-4.2.52
- added Japanese summary to all packages
- s/Copyright/License/
- fixed %post, %postun script

* Thu May  1 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.24-1vl1
- updated to 0.24 
- so ver is updated

* Wed Mar  5 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.23-1vl1
- updated to new upstream release.
- so ver is updated

* Sun Sep 15 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.19.3-0vl1
- updated to new upstream release.

* Tue Jan 15 2002 Akira TAGOH <tagoh@gnome.gr.jp> 0.19-0vl1
- New upstream release.
- Seperated the shared libraries.

* Tue Dec 18 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.18.1-0vl1
- New upstream release.

* Tue May  8 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.7-0vl1
- New upstream release.

* Fri Mar 30 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5-0vl2
- Fixed font selection with e-font.
- Use %find_lang macro.

* Wed Mar 14 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.5-0vl1
- New upstream release.

* Tue Jan  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.4.99.0-0vl1
- Build for Vine

* Fri Oct 10 2000 John Gotts <jgotts@linuxsavvy.com>
- Created spec file.
