%define name		gkrellm-gnome
%define version		0.1
%define release		1vl1

%define builddir	$RPM_BUILD_DIR/%{name}

Summary: GKrellM plugin to use GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: User Interface/Desktops
Source: http://web.wt.net/~billw/gkrellm/Plugins/%{name}.tar.gz
URL: http://web.wt.net/~billw/gkrellm/Plugins.html
Requires: gkrellm >= 1.0.4 gnome-libs
BuildRoot: /var/tmp/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
GKrellM-Gnome plugin will interface GKrellM to Gnome and give you
session management. For Gnome compliant window managers, you can
set the options: ontop, sticky, skip winlist, and skip focus.
For the Gnome panel, you can set the option: don't put on the tasklist.


%prep
rm -rf %{builddir}

%setup -n %{name}
touch `find . -type f`

%build
make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_libdir}/gkrellm/plugins
install -s -m 755 src/gkrellm-gnome.so %{buildroot}%{_libdir}/gkrellm/plugins

%files
%defattr(-,root,root)
%doc COPYRIGHT Changelog README
%{_libdir}/gkrellm/plugins/gkrellm-gnome.so

%clean
rm -rf %{buildroot}

%changelog
* Sun Jul 22 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 0.1-1vl1
- tailored for Vine Linux based on gkrellm-0.1-1 by
  Troy Engel <tengel@sonic.net>
