%define ver	0.2
%define rel	0vl3
%define	name	glibwww

Summary: GNU WWW library
Name:		%name
Version:	%ver
Release:	%rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{name}/%{name}-%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}-root
Docdir: %{_prefix}/doc
BuildPreReq: w3c-libwww-devel

%description

%package devel
Summary: GNU WWW library
Group: Development/Libraries

%description devel

%changelog
* Thu May 17 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.2-0vl3
- BuildPreReq: w3c-libwww-devel

* Tue Jan  9 2001 Akira TAGOH <tagoh@gnome.gr.jp>
- 0.4-0vl2
- Added defattr

* Thu Dec 28 2000 Akira TAGOH <tagoh@gnome.gr.jp>
- 0.4-0vl1
- Build for Vine

%prep
%setup
%build
%configure
%__make
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_includedir}/*

