# Note that this is NOT a relocatable package
%define ver	1.4.0.4
%define rel	0vl7

Summary:	The core programs for the GNOME GUI desktop environment.
Summary(ja):	GNOME GUI ǥȥå״ĶΥץ
Name: 		gnome-core
Version: 	%{ver}
Release: 	%{rel}
Copyright: 	LGPL
Group: 		System Environment/Base
Buildroot: 	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
URL: 		http://www.gnome.org
Obsoletes:	gnome
Prereq: 	/sbin/install-info

BuildPreReq:	xml-i18n-tools
BuildPreReq:	gnome-libs-devel
BuildPreReq:	glib-devel
BuildPreReq:	gtk+-devel
BuildPreReq:	ORBit-devel
BuildPreReq:	gdk-pixbuf-devel
BuildPreReq:	bzip2-devel
BuildPreReq:	scrollkeeper
BuildPreReq:	gtk-doc
BuildPreReq:	autoconf213
BuildPreReq:	automake14

Requires:	%{name}-libs = %{version}-%{release}
Requires: 	gnome-libs >= 1.2.0
Requires: 	ORBit >= 0.5.0
Requires:       gdk-pixbuf >= 0.7.0
Requires:	xscreensaver >= 3.17-4
Requires:	magicdev
Requires:	gdk-pixbuf >= 0.7.0
Requires:	vine-logos >= 1.2.1

Source:		ftp://ftp.gnome.org/pub/GNOME/stable/sources/%{name}/%{name}-%{ver}.tar.bz2

# for Kterm and misc by Vine
Source1:	pofuzclr.awk
Source2:	pohack.awk
Source10:	gnome-term-kterm.png
Source11:	Kterm.desktop
Source12:	System.order
Source14:	Development.directory
Source15:	gnome-panel-properties.desktop
Source16:	gnome-core-1.2.0-ja.po
Source21:	gnome-core-vine_panel.hints

# Red Hat
Source50:	gnome-ccdesktop.png
Source51:	gnome-devel.png
Source52:	gnome-gnomoku.png
Source53:	gnome-multimedia.png
Source54:	gnome-panel.png
Source55:	gnome-util.png

# Red Hat patches
Patch2:		gnome-core-1.0.54-smallfont.patch
Patch5:		gnome-core-1.2.1-nodesktops.patch
Patch9:		gnome-core-1.2.1-rectfix.patch
Patch11:	gnome-core-1.4.0.3-terminal_mb-0.4.patch
Patch12:	gnome-core-1.2.1-japanese-default-page.patch
Patch14:	gnome-core-1.4.0.3-defaultapplets.patch
Patch23:	gnome-core-nohttp.patch
Patch25:	gnome-core-1.2.4-newinfopath.patch
Patch30:	gnome-core-1.4.0.3-multibyteoption.patch

Patch55:	gnome-core-1.3.1-magicdev.patch

# for Vine Linux
Patch71:	gnome-core-1.4.0.4-vine_default_session.patch
Patch72:	gnome-core-1.3.1-vine_fontset.patch
Patch73:	gnome-core-1.4.0.3-mailcheck.patch
Patch74:	gnome-core-1.4.0.3-foobar-vl.patch
Patch75:	gnome-core-1.4.0.4-splash-vl.patch
Patch76:	gnome-core-1.4.0-config.patch
Patch77:	gnome-core-1.4.0.4-panelsegvfix.patch
Patch78:	gnome-core-1.4.0.4-vine_default_session2.patch
Patch79:	gnome-core-1.4.0.4-console-lock.patch

# FIXME: Ad-Hoc patch to add gdk_pixbuf cflags in gnome-about
Patch100:	gnome-core-1.4.0.4-adhoc-gdkpixbuf.patch


%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.  GNOME is similar in purpose and
scope to CDE and KDE, but GNOME is based completely on free
software.  The gnome-core package includes the basic programs and
libraries that are needed to install GNOME.

You should install the gnome-core package if you would like to use the
GNOME desktop environment.  You'll also need to install the gnome-libs
package.  If you would like to develop GNOME applications, you'll also
need to install gnome-libs-devel.  If you want to use linuxconf with a
GNOME front end, you'll also need to install the gnome-linuxconf package.

%description -l ja
GNOME (GNU Network Object Model Environment)ϡ
XɥƥѤΡɥޥ͡Ϣ뤷
GUIץꥱ󤪤ӥǥȥåץġΥ桼ե
ɥ꡼åȤǤ GNOMEŪ餹CDEKDE
ƱΩäƤޤGNOMEϴ˥ե꡼ʥեȥ
˴ŤƤޤgnome-coreѥåϡGNOMEΥ
ȡɬפʴܥץȥ饤֥꤬ޤޤƤ
ޤ

GNOMEǥȥå״ĶѤʤ顢gnome-coreѥå
򥤥󥹥ȡ뤷Ƥ gnome-libsѥå
ƱɬפǤGNOMEץꥱγȯԤ
, gnome-libs-develɬפˤʤޤlinuxconf
GNOMEեȥɤǻȤ硢gnome-linuxconfѥ
ɲäǥ󥹥ȡ뤷Ƥ

%package devel
Summary:	GNOME core libraries, includes and more.
Summary(ja):	GNOMEѥͥ볫ȯΥ饤֥ȥإåե
Group: 		Development/Libraries
Requires: 	%{name} = %{PACKAGE_VERSION}
Requires: 	%{name}-libs = %{PACKAGE_VERSION}
Requires:	gnome-libs-devel
PreReq: 	/sbin/install-info

%description devel
Panel libraries and header files for creating GNOME panels.

%description devel -l ja
GNOMEѥͥ뤿Υѥͥ饤֥ꤪӥإåեǤ

%package libs
Summary:	GNOME core libraries
Summary(ja):	GNOMEѥͥ볫ȯΥ饤֥
Group: 		Development/Libraries

%description libs
Panel libraries

%description libs -l ja
GNOMEѥͥ뤿Υѥͥ饤֥Ǥ

%prep
%setup -q
cp %{SOURCE21} panel/panel.hints

cp %{SOURCE50} pixmaps/
cp %{SOURCE51} pixmaps/
cp %{SOURCE52} pixmaps/
cp %{SOURCE53} pixmaps/
cp %{SOURCE54} pixmaps/
cp %{SOURCE55} pixmaps/

%patch2 -p1 -b .smallfont
%patch5 -p1 -b .nodesktops
%patch9 -p1 -b .rectfix
%patch11 -p1 -b .jpterm
%patch12 -p1 -b .nbsp
%patch14 -p1 -b .defaultapplets
%patch23 -p1 -b .nohttp
%patch25 -p1 -b .newinfopatch
%patch30 -p1 -b .multibyteoption

%patch55 -p1 -b .magicdev

# for Vine
%patch71 -p1 -b .vine_default
%patch72 -p1 -b .vine_fontset
%patch73 -p1 -b .mailcheck
%patch74 -p1 -b .foobar
%patch75 -p1 -b .splash
%patch76 -p1 -b .config
%patch77 -p1 -b .panelfix
%patch78 -p1 -b .vine_default2
%patch79 -p1 -b .console

# FIXME: Ad-Hoc patch to add gdk_pixbuf cflags in gnome-about
%patch100 -p1 -b .adhoc-gdkpixbuf

%build

autoheader-2.13
automake-1.4
autoconf-2.13
%configure --with-kde-datadir=/usr/kde/share --with-window-manager=sawfish

pushd po
make update-po
# po
awk -f %{SOURCE1} ja.po > new-ja.po && mv new-ja.po ja.po
awk -f %{SOURCE2} -v key='\"-adobe-helvetica-bold-r-normal-\\\*-\\\*-240-\\\*-\\\*-p-\\\*-\\\*-\\\*\"' -v val="-alias-fixed-bold-r-normal-*-*-240-*-*-*-*-*-*" -v overwrite=1 ja.po > new-ja.po && mv new-ja.po ja.po
awk -f %{SOURCE2} -v key='\"-adobe-helvetica-medium-r-normal-\\\*-8-\\\*-\\\*-\\\*-p-\\\*-\\\*-\\\*\"' -v val="-alias-fixed-medium-r-normal-*-10-*-*-*-*-*-*-*" -v overwrite=1 ja.po > new-ja.po && mv new-ja.po ja.po
awk -f %{SOURCE2} -v key='\"fixed\"' -v val="-alias-fixed-medium-r-normal--16-*-*-*-*-*-*-*" -v overwrite=1 ja.po > new-ja.po && mv new-ja.po ja.po
awk -f %{SOURCE2} -v key='\"-\\\*-helvetica-bold-r-normal-\\\*-\\\*-180-\\\*-\\\*-p-\\\*-\\\*-\\\*\"' -v val="-alias-fixed-bold-r-normal-*-*-180-*-*-*-*-*-*" -v overwrite=1 ja.po > new-ja.po && mv new-ja.po ja.po
awk -f %{SOURCE2} -v key='\"Open IM \\(input method\\)\"' -v val="IM (ץåȥ᥽å)Ȥ" ja.po > new-ja.po && mv new-ja.po ja.po
awk -f %{SOURCE2} -v key='\"Enable multibyte support\"' -v val="ޥХʸݡȤͭ" ja.po > new-ja.po && mv new-ja.po ja.po
awk -f %{SOURCE2} -v key='\"Remote APOP-server\"' -v val="⡼ȤAPOP" ja.po > new-ja.po && mv new-ja.po ja.po
popd

if [ "$SMP" != "" ]; then
  CFLAGS="$RPM_OPT_FLAGS" make -j$SMP "MAKE=make -j$SMP"
else
  CFLAGS="$RPM_OPT_FLAGS" make
fi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  find $RPM_BUILD_ROOT/usr/man -type f -exec gzip -9f {} \;
fi

%find_lang %{name}

#
# remove the unnecessary desktop entries for RedHat/Vine
#
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/*/Netscape.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/*/Emacs.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/*/GIMP.desktop

#
# install Kterm and some misc files. (for Vine)
#
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/gnome/apps/System/
cp %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/gnome/apps/System/.order
cp %{SOURCE14} $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Development/.directory
cp %{SOURCE15} $RPM_BUILD_ROOT%{_datadir}/control-center/Desktop/gnome-panel-properties.desktop
#tar zxvf %{SOURCE16} -C $RPM_BUILD_ROOT%{_datadir}/gnome/apps

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applets
%{_datadir}/gnome/apps/*
%{_datadir}/gnome/help/*
%{_datadir}/gnome/hints/*
%{_datadir}/gnome-about/*
%{_datadir}/gnome-terminal/*
%{_datadir}/idl/*
%{_datadir}/control-center/*
%{_datadir}/pixmaps/*
%config %{_sysconfdir}/*
%config %{_datadir}/gnome/default.session
%config %{_datadir}/gnome/default.wm

%files devel
%defattr(-, root, root)
%{_libdir}/*.sh
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/*

%files libs
%defattr(-, root, root)
%{_libdir}/lib*.so.*


%changelog
* Sat Jan 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.0.4-0vl7
- split libraries to gnome-core-libs subpackage

* Sun Apr 13 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.4.0.4-0vl6
- rebuild

* Mon Aug 12 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp> 1.4.0.4-0vl5
- Patch79: pam_console lock directory changed.
- fix Summary(ja)

* Wed Mar 27 2002 Daisuke SUZUKI <daisuke@linux.or.jp>  1.4.0.4-0vl4
- add gedit/emacs on default panel

* Sun Mar 03 2002 Daisuke SUZUKI <daisuke@linux.or.jp>  1.4.0.4-0vl3
- change default panel
- FIXME: adhoc Patch100
  gnome-about,applets/gen_util needs gdk_pixbuf,
  but its cflags does not appear in Makefile.am.

* Mon May 14 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.0.4-0vl1
- New upstream release.

* Mon May  7 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.0.3-0vl1
- New upstream release.

* Fri Apr 13 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.0.2-0vl1
- New upstream release.
- Added some build depends.

* Tue Apr  3 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.0.1-0vl1
- New upstream release.

* Sat Mar 24 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.0-0vl3
- Fixed defattr macro.

* Fri Mar 23 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.0-0vl2
- Fixed load the panel icon after restart GNOME.

* Fri Mar 16 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.4.0-0vl1
- New upstream release.
- Use rpmmacros.
- Added some RH bug fix patch.

* Sat Dec  9 2000 Jun Nishii <jun@vinelinux.org>
- 1.2.1-0vl4
- change startup pic as vine-gnome-splash2.png by lain
- move vine-gnome-splash.png by Mr.Furukawa is moved to vine-logos.

* Tue Oct 10 2000 Jun Nishii <jun@vinelinux.org>
- fix %defattr

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- 1.2.1-0vl2
- change menu (vmail->sylpheed)

* Wed Jun  7 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.2.1

* Mon May 29 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.2.0

* Tue May 09 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.9
- remove tasklist_fix patch merged
- added new gnome-hints included japanese.

* Tue Apr 14 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.8

* Thu Apr  4 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- updated to 1.1.7
- renew spec file from the file attached with gnome-core source.

* Sat Feb 26 2000 Gregory McLean <gregm@comstar.net>
- Updated to 1.1.4
- Autogenerate the %files section.

* Sat Oct 16 1999 Gregory McLean <gregm@comstar.net>
- Updated to 1.0.50
- Sorted the language specific stuff out.

* Sun Oct 03 1999 Gregory McLean <gregm@comstar.net>
- updated to 1.0.50
- Overhauled the %files section.

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- Cleaned %files section
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- Built 0.30 release

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-core CVS source tree

