Name:           gnome-do-docklets
Version:        0.8.2
Release:        1%{?_dist_release}
Summary:        Docklets for GNOME Do Docky
Summary(ja): 	GNOME Do Docky 用の Docklets
Group:          Applications/Accessories
License:        GPLv3
URL:            http://do.davebsd.com
Source0:        http://edge.launchpad.net/do-plugins/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel ndesk-dbus-glib gnome-do-devel
BuildRequires:  gnome-sharp2 gtk-sharp2 gnome-desktop-sharp2
BuildRequires:  gnome-keyring-sharp-devel mono-addins
BuildRequires:  notify-sharp-devel rsvg2-sharp wnck-sharp
BuildRequires:  gnome-do-devel intltool 

Packager:	kazutaka

%description
This package contains various docklets for GNOME Do Docky.

%description -l ja
このパッケージは Gnome Do の Docky 用の複数の docklet を含ん
でいます。


%prep
%setup -q

%build
%configure
           
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS COPYRIGHT
%{_libdir}/gnome-do/plugins/

%changelog
* Sat Jul 11 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.8.2-1
- Initial build for Vine Linux
