%define pkg_version 0.1.2
%define pkg_release 2%{?_dist_release}

Summary:	Common modules for GNOME JavaScript interpreters
Name:		gnome-js-common
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-js-common/0.1/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System Environment/Libraries 
URL:		http://git.gnome.org/browse/gnome-js-common/

Requires:	pkgconfig
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
Gnome-js-common is a module holding tests and JavaScript code useful
or common to both Seed and gjs. Note that Seed and GJS both (For now)
have many more tests internally.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_libdir}/gnome-js
%{_libdir}/pkgconfig/*.pc
%{_datadir}/doc/gnome_js_common


%changelog
* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-2
- rebuild with rpm-4.8.1 for pkg-config file
- fix typo

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-1
- initial build for Vine Linux

