%define		gst_req		0.10.32
%define		gst_majorminor	0.10

Name: 		gnonlin
Version: 	0.10.17
Release:	1%{?_dist_release}
Summary: 	GStreamer extension library for non-linear editing

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gnonlin.sf.net/
Source:		http://download.sf.net/gnonlin/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	gstreamer-plugins-base-devel >= %{gst_req}

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Gnonlin is a plugin for GStreamer (http://gstreamer.freedesktop.org) which
provides support for writing non-linear audio and video editing applications. It
introduces the concept of a timeline.

%prep
%setup -q -n gnonlin-%{version}

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_majorminor}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING README
%{_libdir}/gstreamer-%{gst_majorminor}/libgnl*


%changelog
* Sun Jan 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.17-1
- initial build for Vine Linux
