Summary: mpeg player frontend to mpg123
Summary(ja): mpg123のフロントエンドmpegプレイヤー
Name: gqmpeg
Version: 0.13.0
Release: 2%{?_dist_release}
Source: gqmpeg-%{version}.tar.gz
Requires: mpg123 >= 0.59
License: GPL
Group: Applications/Multimedia

Vendor: Project Vine
Distribution: Vine Linux

URL: http://gqmpeg.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: gtk+-devel >= 1.2.0
BuildRequires: gdk-pixbuf-devel >= 0.7.0
BuildRequires: gnome-libs-devel
Requires: gtk+ >= 1.2
Requires: gdk-pixbuf >= 0.7.0
Requires: mpg123 >= 0.59

%description
GQmpeg is a frontend to mpg123 with extensive themeability and playlist.

%description -l ja
GQmpeg は mpg123 のフロントエンドである mpeg プレイヤーです。

%prep
%setup -q

%build
%configure --with-japanese
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall GNOME_DATADIR=$RPM_BUILD_ROOT%{_datadir} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING FAQ TODO SKIN-SPECS SKIN-SPECS-V1 plugin/README.plugin
%{_bindir}/gqmpeg
%{_bindir}/gqmpeg-shoutcast-plugin.sh
%{_prefix}/share/gqmpeg/*
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/apps/Multimedia/gqmpeg.desktop
%{_datadir}/pixmaps/gqmpeg.png
%{_mandir}/man?/*

%changelog
* Sat Sep 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.13.0-2vl5
- added BuildRequires: gtk+-devel, gdk-pixbuf-devel, gnome-libs-devel
- added --enable-japanese to %%configure
- removed %%post and %%postun section

* Sun Sep 07 2008 Shu KONNO <owa@bg.wakwak.com> 0.13.0-1vl5
- applied new versioning policy, spec in utf-8
- s/Copyright/License/

* Wed Mar 27 2002 Jun Nishii <jun@vinelinux.org> 0.13.0-0v1l
- ver.up

* Mon Mar  6 2000 Jun Nishii <jun@vinelinux.org>
- rebuild for Vine Linux 2.0

* Wed Aug 18 1999 Yoshinori ARAI <yoshi@pisces.bekkoame.ne.jp>
- For 0.6.3_i18n_1.2

