Summary: a CD player and ripper/MP3-encoder front-end
Summary(ja): CD プレーヤー/リッパーおよび MP3 エンコーダのフロントエンド
Name: grip
Version: 3.3.1
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Multimedia
URL: http://www.nostatic.org/grip/
Source0: http://www.nostatic/grip/grip-%{version}.tar.gz
Icon: gripicon.gif
Requires: gtk2, libgnome
BuildRequires: glib2-devel, gtk2-devel, libgnome-devel, ORBit2-devel, libart_lgpl-devel
BuildRequires: libbonobo-devel, libbonoboui-devel, libgnomeui-devel, gnome-vfs2-devel
BuildRequires: openssl-devel, vte-devel, libxml2-devel, curl-devel
BuildRequires: openldap-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gcd

%description
Grip is a gtk-based cd-player and cd-ripper. It has the ripping capabilities
of cdparanoia builtin, but can also use external rippers (such as
cdda2wav). It also provides an automated frontend for MP3 encoders, letting
you take a disc and transform it easily straight into MP3s. The CDDB
protocol is supported for retrieving track information from disc database
servers. Grip works with DigitalDJ to provide a unified "computerized"
version of your music collection.

Obsoleted GCD package.
If you want to use the CD-Player, you run the grip with '--small' option.

%description -l ja
Grip は Gtk+ ベースの CD プレーヤーおよびリッパー(吸い出し)です。
内蔵の cdparanoia を使っても吸い出せますが、外部のものもつかえます
(cdda2wavなど)。また、MP3 エンコーダの自動フロントエンドにもなり、
CD 吸い出しから MP3 を簡単に作れます。
ディスク内容のデータベースサーバ CDDB にも対応しています。

GCD パッケージは無くなりました。
CD プレイヤーを使いたいならば、'--small' オプションで grip を起動してください。

%prep
%setup -q

%build
%configure --disable-cdpar
make %{?_smp_mflags} CC="gcc %optflags"

%install
rm -rf %{buildroot}
%makeinstall

%{find_lang} %{name}-2.2

%clean
rm -rf %{buildroot}

%files -f %{name}-2.2.lang
%defattr(-,root,root)
%doc README ChangeLog CREDITS COPYING INSTALL NEWS AUTHORS TODO
%{_bindir}/grip
%{_datadir}/gnome/help/grip
%{_datadir}/pixmaps/grip*.png
%{_datadir}/applications/grip.desktop

%changelog
* Sun May 31 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.3.1-1
- applied new versioning policy
- spec in utf8
- added BuildRequires: openldap-devel

* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.1-0vl4
- rebuild with openssl-0.9.8e

* Mon May 14 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl3
- rebuild with curl-7.16.2

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.1-0vl2
- rebuild with vte-0.16

* Fri Sep 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.3.1-0vl1
- new upstream release

* Sun Feb 13 2005 Satoshi MACHINO <machino@vinelinux.org> 3.3.0-0vl1
- new upstream release

* Sun Jun  6 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.2.0-0vl1
- new upstream release

* Fri Dec 26 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.0.7-0vl2
- rebuild with new toolchains

* Sun Jun 29 2003 IWAI Masaharu <iwai@alib.jp> 3.0.7-0vl1
- upstream release

* Sun Mar 16 2003 IWAI Masaharu <iwai@alib.jp> 3.0.6-0vl1
- upstream release
- obsolete GCD package
- add comments in %%description
- use %%{find_lang} and %%makeinstall macros
- change SOURCE0 URL
- add Requires esound, gnome-libs, ORBit, libghttp and db4
- add BuildRequires esound-devel, gnome-libs-devel, ORBit-devel, libghttp-devel  and db4-devel
- add grip.desktop file for gnome
- add gripicon.png file
- delete manpage in file list
- add ChangeLog in %%doc

* Thu Jul 19 2001 <sagami@vinelinux.org>
- 2.96-0vl1: use more (not better!) macros
- add BuildPreReq gtk+-devel, Requires: gtk+ (Is it necessary only for this?)

* Sat Apr 14 2001 Shoji Matsumoto <shom@vinelinux.org> 2.95-0vl2
- add jp desc
- use %%configure
- modify %files
- build for Seed

* Fri Dec 15 2000 Hirotaka Mizutani
- 2.95-0vl1
- Builded according to Vine Project rule
- updated %install, %files, so general user can rebuild
