%define tagname 2.14.0
%define relvers 0
%define tsuffix ga2ff3c5
%define dsuffix 19023b6

%global debug_package %{nil}

Name:           gtk-sharp-beans
Version:        %{tagname}
Release:        1%{?_dist_release}
Summary:        C# bindings for GTK+ API not included in GTK#

Group:          Development/Libraries
License:        LGPLv2
URL:            http://github.com/mono/%{name}
# Releases are tarballs downloaded from a tag at github.
# They are releases, but the file is generated on the fly.
# The actual URL is: http://github.com/mono/$name/tarball/$tagname
Source0:        mono-%{name}-%{tagname}-%{relvers}-%{tsuffix}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  mono-devel
BuildRequires:  gio-sharp-devel
BuildRequires:  gtk-sharp2
BuildRequires:  gtk-sharp2-gapi

# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

%package devel
Summary:        Development files for gtk-sharp-beans
Requires:	pkgconfig
Requires:       %{name} = %{version}-%{release}

%description
C# bindings for GTK+ API not included in GTK#

%description devel
Development files for gtk-sharp-beans

%prep
%setup -q -n mono-%{name}-%{dsuffix}

%build
NOCONFIGURE=true ./autogen.sh
%configure
make #%{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_prefix}/lib/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}-2.0.pc

%changelog
* Sun Jun 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.14.0-1
- initial build for VIne Linux


* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jan 01 2012 Christian Krause <chkr@fedoraproject.org> - 2.14.0-6
- Add mandatory BR mono-devel

* Wed Oct 26 2011 Christian Krause <chkr@fedoraproject.org> - 2.14.0-5
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 2.14.0-3
- updated the supported arch list

* Sun Oct 03 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 2.14.0-2
- Fix -devel requires (pkgconfig, base package)
- Disable debuginfo

* Wed Sep 29 2010 Nathaniel McCallum <nathaniel@natemccallum.com> - 2.14.0-1
- Initial version

