#%define dict_dir %{_prefix}/lib/chasen/dic
%define dict_dir %{_libdir}/chasen/dic
Name:         ipadic
License:      BSD, Other License(s), see package
Group:        Applications/Text
Autoreqprov:  on
Version:      2.7.0
Release:      1%{?_dist_release}
#URL:          http://chasen.aist-nara.ac.jp/
URL:          http://chasen-legacy.sourceforge.jp/
Source0:      ipadic-2.7.0.tar.gz
Patch0:       ipadic.patch
#BuildArch:    noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildPreReq:  chasen-devel autoconf automake16
Requires:     chasen
Summary:      Standard Japanese dictionary for ChaSen

%description
Standard Japanese dictionary for ChaSen



Authors:
--------
    chasen@cl.aist-nara.ac.jp
    matsu@is.aist-nara.ac.jp
    masayu-a@is.aist-nara.ac.jp

%prep
%setup -q
%patch0 -p 1

%build
%configure --with-chasenrc-path=/etc/chasenrc --with-dicdir=%{dict_dir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc
%makeinstall DESTDIR=$RPM_BUILD_ROOT 
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL* NEWS* README*
%doc doc/*.pdf
%config /etc/chasenrc
%{dict_dir}/ipadic

%changelog
* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 2.7.0-1vl5
- applied new versioning policy

* Sat Mar 08 2008 Shu KONNO <owa@bg.wakwak.com> 2.7.0-0vl3
- dropt 'BuildArch: noarch'
- added configure option '--with-dicdir'
- added macro 'dict_dir'
- changed url

* Mon Dec 19 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7.0-0vl2
- changed Group:

* Mon May 10 2004 Satoshi MACHINO <machino@vinelinux.org> 2.7.0-0vl1
- initial release

