Summary: IP masquerading additional modules
Name: ipmasqadm
%define version 0.4.2
Version: %{version}
Release: 0vl1
Copyright: GPL2
Group: Networking/Admin
Source: http://juanjox.home.ml.org/ipmasqadm-%{version}.tar.gz
Patch0: ipmasqadm-0.4.2-pathfix.patch
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Ipmasqadm is an administration tool to configure extra masquerading.

%prep
%setup 
%patch0 -p1

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/sbin 
install -d -m 0700 %{buildroot}/usr/lib/ipmasqadm
make DESTDIR=%{buildroot} MANDIR=%{buildroot}/%{_mandir} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/* ChangeLog
%{_mandir}/man8/ipmasqadm.8*
/usr/sbin/ipmasqadm
%dir /usr/lib/ipmasqadm
/usr/lib/ipmasqadm/portfw.so
/usr/lib/ipmasqadm/autofw.so
/usr/lib/ipmasqadm/mfw.so
