Name:           iwlwifi-6000g2a-ucode
Version:        17.168.5.2
Release:        1%{?_dist_release}
Summary:        Firmware for Intel(R) Wireless WiFi Link 6005 Series Adapters
Summary(ja):    Intel(R) Wireless WiFi Link 6005 シリーズ用ファームウェア

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-6000g2a-ucode-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch

Requires:       udev

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl6000g2a hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

%prep
%setup -c -q

# Change permission
find . -type f -exec chmod 0644 {} ';'

pushd iwlwifi-6000g2a-ucode-%{version}
# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-6000g2a-ucode README.iwlwifi-6000g2a-ucode
# Rename docs
mv LICENSE.iwlwifi-6000g2a-ucode ../LICENSE
mv README.iwlwifi-6000g2a-ucode ../README
# Preserve timestamp
touch -r *.ucode ../LICENSE ../README
popd


%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
pushd iwlwifi-6000g2a-ucode-%{version}
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README
/lib/firmware/*.ucode


%changelog
* Thu Apr 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 17.168.5.2-1
- initial build for Vine Linux

* Mon Feb 14 2011 John W. Linville <linville@redhat.com> - 17.168.5.2-1
- Update to version 17.168.5.2 from upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.168.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 John W. Linville <linville@redhat.com> - 17.168.5.1-1
- Initial import
