Summary: Program construction tool, similar to make
Name: jam
Version: 2.5
Release: 2%{?_dist_release}
Source0: ftp://ftp.perforce.com/pub/jam/%{name}-%{version}.zip
# Submitted upstream by e-mail
Patch0:         jam-2.5-overflow.patch
License: Distributable
Group: Development/Tools
URL:		http://public.perforce.com/public/jam/index.html

#Requires: byacc
BuildRequires: byacc
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Jam is a program construction tool, like make.

Jam recursively builds target files from source files,
using dependency information and updating actions expressed in
the Jambase file, which is written in jam's own interpreted
language.  The default Jambase is compiled into jam and
provides a boilerplate for common use, relying on a user-provide
file "Jamfile" to enumerate actual targets and sources.

The Jambase is described in the Jambase
Reference and the document Using Jamfiles and Jambase.
# '

%prep
%setup -q -c
%patch0 -p1 -b .overflows

%build
export CFLAGS="$RPM_OPT_FLAGS" CCFLAGS="$RPM_OPT_FLAGS"
%__make %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%__mkdir_p ${RPM_BUILD_ROOT}/%{_bindir}
%__install -m0755 bin.linux*/jam ${RPM_BUILD_ROOT}/%{_bindir}
%__install -m0755 bin.linux*/mkjambase ${RPM_BUILD_ROOT}/%{_bindir}

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README RELNOTES *.html
%{_bindir}/jam
%{_bindir}/mkjambase

%changelog
* Tue Feb  7 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.5-2
- use upstream zip instead of uncompressed tarball
- add the stack overflow fix patch

* Sun Sep 28 2008 Shu KONNO <owa@bg.wakwak.com> 2.5-1vl5
- applied new versioning policy

* Mon Sep 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.5-0vl2
- rebuild for VineSeed

* Mon Sep 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.5-0vl1
- initial build for Vine Linux 4.1

* Fri Jun 24 2005 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 2.5-0vlmp1
- initial build for Vine Linux 3.2

# end of file
