Summary: An OpenSSH key manager
Name: keychain
Version: 2.0.3
Release: 0vl1
License: GPL
Group: Applications/Internet
Source0: http://gentoo.oregonstate.edu/distfiles/%{name}-%{version}.tar.bz2
URL: http://www.gentoo.org/projects/keychain
Prefix: /usr
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: bash, openssh-clients
Summary(ja): OpenSSHθġ

%description
Keychain is an OpenSSH key manager, typically run from ~/.bash_profile.  When
run, it will make sure ssh-agent is running; if not, it will start ssh-agent.
It will redirect ssh-agent's output to ~/.ssh-agent, so that cron jobs that
need to use ssh-agent keys can simply source this file and make the necessary
passwordless ssh connections.  In addition, when keychain runs, it will
check with ssh-agent and make sure that the ssh RSA/DSA keys that you
specified on the keychain command line have actually been added to
ssh-agent.  If not, you are prompted for the appropriate passphrases so that
they can be added by keychain.

%description -l ja
keychainOpenSSHθ뤿Υġǡ~/.bash_profileʤɤ鵯ư
ޤ keychainϤޤssh-agentưƤ뤫ɤåư
Ƥʤ褦Ǥssh-agentưޤssh-agentνϤ
~/.ssh-agent-<hostname>Ȥե˽񤭹ߤޤΥեcron
ɤ¹Ԥ륷륹ץȤˤȤääͭѤǡñsource
ssh-agent˥뤳ȤǤ褦ˤʤޤη̡ѥե졼
Ϥɤ뤫ȤˤʤޤʤƺѤΤǤ

Ūˤ~/.bash_profile~/.zprofile˼Τ褦ʵҤ򤷤Ȥ褤Ǥ


  keychain ~/.ssh/id_rsa ~/.ssh/id_dsa ~/.ssh/identity
  . ~/.keychain/`hostname`-sh

  *  1.8-0vl3 ȤϽ񼰤ѤäƤޤ *

%prep

%setup -q

%build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}{%{_bindir},%{_mandir}/man1}
install -m555 keychain ${RPM_BUILD_ROOT}%{_bindir}
install -m555 keychain.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%{_bindir}/keychain
%{_mandir}/man1/keychain.1*
%doc ChangeLog README COPYING

%changelog
* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.3-0vl2
- fix typo in Group:
- use License: instead of Copyright:

* Fri Feb  6 2004 IWAI, Masaharu <iwai@alib.jp> 2.0.3-0vl1
- new upstream release
- add COPYING in %%doc
- update SOURCE0 URL
- update user's manual in %%description

* Sun Feb 03 2002 akira yamada <akira@vinelinux.org> 1.8-0vl3
- requires bash

* Mon Dec 03 2001 Yoichi Imai <yoichi@silver-forest.com>
- 1.8-0vl1
- source update

* Sun Dec 02 2001 Yoichi Imai <yoichi@silver-forest.com>
- 1.7-0vl1
- initial release.
