Name: latex-xft-fonts
Version: 0.1
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
License: Distributable
Group: User Interface/X
URL: http://wiki.lyx.org/beta/pmwiki.php/LyX/Troubleshooting
Source0: http://www.movement.uklinux.net/latex-xft-fonts-0.1.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Prereq: XOrg-font-utils
Summary: xft-compatible LaTeX fonts for math symbols

%description
Some xft-compatible versions of LaTeX fonts for use
with visual math symbol display in LyX. You will need
to install this package if your version of Qt is using
Xft for displaying fonts (most recent systems).

%prep
%setup -q

%build

%install
%__rm -rf %{buildroot}
%__make install DESTDIR=%{buildroot} INSTALLDIR=%{_datadir}/fonts/%{name}

%clean
%__rm -rf %{buildroot}

%post
fc-cache -f %{_datadir}/fonts/%{name}

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %{_datadir}/fonts/%{name}
fi
fc-cache

%files
%defattr(-,root,root)
%{_datadir}/fonts/%{name}

%changelog
* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 1.0-1vl5
- applied new versioning policy

* Sun Jun 13 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.0-0vl1
- Initial build.

