Summary:	Generate LaTeX document
Name:		latexmk
Version:	426
Release:	1%{?_dist_release}
Source0:	http://www.phys.psu.edu/~collins/software/%{name}-jcc/latexmk-%{version}.zip
License:	GPLv2+
Group:		Applications/Publishing 
URL:		http://www.phys.psu.edu/~collins/software/latexmk-jcc/ 

Requires:	texlive-common 
Requires:	ghostscript
Requires:	xdg-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch

Vendor: Project Vine
Distribution: Vine Linux


%description
Latexmk is a perl script for running LaTeX the correct number of times to resolve
cross references, etc; it also runs auxiliary programs (bibtex, makeindex if necessary,
and dvips and/or a previewer as requested). It has a number of other useful capabilities,
for example to start a previewer and then run latex whenever the source files are
updated, so that the previewer gives an up-to-date view of the document.


%prep
%setup -q -c


%install
%{__rm} -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man1

install -m 0755 %{name}.pl $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 0644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES COPYING README latexmk.pdf latexmk.txt example_rcfiles
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Mon Oct 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 426-1
- initial build for Vine Linux

