Summary:	Edit app shortcuts
Summary(ja):	アプリケーションのショートカットを編集します
Name:     	lxshortcut
Version:	0.1.2
Release:	1%{?_dist_release}
License:	GPLv3+
Group:		User Interface/Desktops
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
#Source1:        lxterminal-upstream-r1231-ja.po
#Patch0:         lxshortcut-0.1-configure-catalogs.patch
URL:		http://lxde.sourceforge.net/

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.12 gettext intltool
BuildRequires: pkgconfig automake autoconf
BuildRequires: perl-XML-Parser
BuildRequires: glib2-devel

Vendor:         Project Vine
Distribution:   Vine Linux

%description
LXShortcut is a small program used to edit application shortcuts created
with freedesktop.org Desktop Entry spec.

%description -l ja
LXShortcut は freedesktop.org デスクトップエントリの仕様に沿って
作成されたアプリケーションのショートカットを編集するために用いられる
小さなプログラムです。

%prep
%setup -q
### for ja.po
#%patch0 -p1 -b .catalogs
#%__cp -f %{SOURCE1} po/ja.po
#pushd po
#msgfmt -o ja.gmo ja.po
#popd


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post  

%postun

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README ChangeLog
%{_bindir}/*
%dir %{_datadir}/lxshortcut
%{_datadir}/lxshortcut/*


%changelog
* Sun Jul 24 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.2-1
- new upstream release
- added BuildRequires: perl-XML-Parser, glib2-devel

* Fri Jul 08 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.1.1-2
- rebuilt with current environment

* Mon Jul 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1.1-1
- new upstream release
- dropt Source1 and Patch1

* Sun Apr 12 2009 IWAI, Masaharu <iwai@alib.jp> 0.1-2
- add ja.po from upstream r1231 (Source1)
- add configure patch for ja.po (Patch0)
- add Vendor and Distribution tags
- fix License tag value
- using %%makeinstall macro
- add %%{_datadir}/lxshortcut directory in %%files
- update Group: User Interface/Desktops

* Fri Apr 3 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.1-1vl5
- initial build for VineSeed (imported Mandriva package)

* Sat Dec 06 2008 Funda Wang <fundawang@mandriva.org> 0.1-1mdv2009.1
+ Revision: 311195
- import lxshortcut

