Summary: GNOME library for CUPS integration
Summary(ja): GNOME-CUPS ライブラリ
Name: libgnomecups
Version: 0.2.3
Release: 5%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://www.ximian.com/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.bz2

Patch0:	libgnomecups-0.2.3-glib-header.patch

BuildRequires: cups-devel
BuildRequires: glib2-devel
BuildRequires: openssl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GNOME library for CUPS integration

%package devel
Summary: GNOME library for CUPS integration
Summary: GNOME-CUPS ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: cups-devel
Requires: openssl-devel

%description devel
GNOME library for CUPS integration

%prep
%setup -q
%patch0 -p1

%build
%configure
%__make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{name}

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-5
- add Patch0 (libgnomecups-0.2.3-glib-header.patch)

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 0.2.3-4
- build with rpm-4.8.1-1 for pkg-config file

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.3-3
- removed *.la
- spec in utf-8

* Thu Apr 17 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.2.3-2
- rebuilt with glib2-devel-2.16.3-1vl5 (without *.la files)

* Tue Mar 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.3-1vl5
- new upstream release

* Sun May 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.2-0vl4
- rebuilt with new toolchain and environment

* Sat Dec 02 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.2.2-0vl3
- add BuildRequires: openssl-devel
- add Requires: {glib2,cups,openssl}-devel to -devel package

* Mon Oct 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.2-0vl2
- add Requires: cups-libs instead of cups (<BTS:322>)

* Wed Sep 28 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.2-0vl1
- new upstream release

* Mon Jul 11 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.0-0vl2
- build with hal/dbus

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.0-0vl1
- new upstream version
- drop all patches

* Wed Nov 10 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.13-0vl2
- rebuild with gnome-2.8
- add patch1,4 from fc

* Sat Oct 09 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.13-0vl1
- new upstream release

* Fri Sep 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.11-0vl1
- new upstream release

* Sun Aug 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.9-0vl1
- new upstream release

* Sun Nov 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.6-0vl1
- Initial build for Vine Linux based on Mandrake package

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.6-1mdk
- Release 0.1.6

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.1.5-1mdk
- First Mandrake package

