%define gtk2_version 2.2.0
%define libgnomeprint_version 1.116.0
%define libgnomecanvas_version 2.0.0

Summary: GUI support for libgnomeprint
Name: libgnomeprintui20
Version: 1.116.0
Release: 0vl1
URL: ftp://ftp.gnome.org
Source0: libgnomeprintui-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires:  gtk2 >= %{gtk2_version}
Requires:  libgnomeprint20 >= %{libgnomeprint_version}
Requires:  libgnomecanvas >= %{libgnomecanvas_version}

BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeprint20-devel >= %{libgnomeprint_version}
BuildRequires:  libgnomecanvas-devel >= %{libgnomecanvas_version}

%description

The libgnomeprintui package contains GTK+ widgets related to printing.

%package devel
Summary: Libraries and headers for libgnomeprintui
Group: Development/Libraries
Requires:	%{name} = %{version}

Requires:  gtk2-devel >= %{gtk2_version}
Requires:  libgnomeprint20-devel >= %{libgnomeprint_version}
Requires:  libgnomecanvas-devel >= %{libgnomecanvas_version}

%description devel

The libgnomeprintui package contains GTK+ widgets related to printing.

You should install the libgnomeprintui-devel package if you would like
to compile applications that use the widgets in libgnomeprintui. You
do not need to install it if you just want to use precompiled
applications.

%prep
%setup -q -n libgnomeprintui-%{version}

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/libgnomeprintui-2.la

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.116.0-0vl1
- libgnomeprintui20 for compatibility

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1.116.0-2
- remove unpackaged files from the buildroot

* Wed Aug 14 2002 Akira TAGOH <tagoh@redhat.com> 1.116.0-1
- updates to 1.116.0

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.115.0

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add ldconfig to post/postun

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.114.0

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.113.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libs

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- 1.112.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- rebuild for new libs

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- hmm, didn't get all the libgnomeui dependency lines

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.109.0.90 snap, remove libgnomeui dep that's now gone

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- new snap 1.106.0.90
- explicitly require certain versions of dependent libs

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- rebuild for glib 1.3.10, new cvs snap

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- Initial build



