Summary: A library for manipulating JPEG image format files.
Summary(ja): JPEG 形式の画像ファイルを扱う為のライブラリ
Name: libjpeg6a
Version: 6a
Release: 8%{?_dist_release}
License: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6a.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
ExcludeArch: armv4l
Patch: jpeg-shlib.patch
%define LIBVER 6.0.1
Excludearch: ia64


%description
This package is a library of functions that manipulate jpeg images, along
with simple clients for manipulating jpeg images.

This version of the package includes only a library that is needed for
preserving the backwards compatibility with previous releases of Red Hat
Linux.

%description
このパッケージには JPEG 画像を扱う為のライブラリと，JPEG 画像を
扱う簡単なクライアントプログラムが収められています．

このバージョンのパッケージにはライブラリだけが収められています．
これは古いバージョンの Red Hat Linux との後方互換性を保つ為に
必要なものです．


%prep
%setup -n jpeg-6a
%patch -p1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT%{_prefix}
make
#ln -s libjpeg.so.%{LIBVER} libjpeg.so.6
#LD_LIBRARY_PATH=$PWD make test


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir} #$RPM_BUILD_ROOT%{_includedir} $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
#make install
#make install-headers
#make install-lib

install -m 755 libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT%{_libdir}
#ln -sf libjpeg.so.%{LIBVER} $RPM_BUILD_ROOT%{_libdir}/libjpeg.so


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_libdir}/libjpeg.so.%{LIBVER}


%changelog
* Mon Sep 29 2008 Shu KONNO <owa@bg.wakwak.com> 6a-8vl5
- applied new versioning policy, spec in utf-8

* Sat Aug 25 2007 Shu KONNO <owa@bg.wakwak.com> 6a-7vl2
- s/Copyright/License/

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 6a-7vl1
- based on 6a-7 from Rawhide
- use better macros (although it doesn't mean a thing for this package...)
- added Japanese summary and description (ditto...)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release
- add defattr, don't install as root for non-root packaging

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 03 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- renamed to libjpeg6a
- shared lib *only* package
- this package was made for use on RH 5.1 to support apps from 5.0

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package

