%define	ver	2.2.8
%define	rel	1%{?_dist_release}

Summary:	Structured Storage OLE2 library
Name:		libole2
Version:	%{ver}
Release:	%{rel}
Group:		System Environment/Libraries
License:	GPL
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.2/%{name}-%{ver}.tar.bz2

%description
A library containing functionality to manipulate OLE2 Structured Storage files. It is used by Gnumeric from Gnome, AbiWord from AbiSuite and by other programs.

%package devel
Summary:	Libraries, includes, etc to develop libole2 applications
Group:		Development/Libraries
Requires:	libole2 = %{version}

%description devel
Libraries, include files, etc you can use to develop libole2 applications.

%prep

%setup -q

%build
%configure --with-gnomevfs
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall 

# %find_lang %{name}
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*.a
#%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 2.2.8-1vl5
- applied new versioning policy
- removed *.la

* Sat Jul 22 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.8-0vl1
- updated to 2.2.8
- changed devel Group to Development/Libraries

* Mon Jul 28 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.4-0vl2
- rebuild with new toolchains
- s/Copyright/License/

* Wed Dec 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.2.4-0vl1
- New upstream release.

* Fri Mar 23 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.2.0-0vl1
- New upstream release.
- Use rpmmacros.

* Wed Jun 28 2000 Arturo Tena <arturo@directmail.org>
- Updated summary and description.

* Sun May 23 2000 John Gotts <jgotts@linuxsavvy.com>
- New SPEC file.

