# Note that this is NOT a relocatable package
%define	ver	1.0.3
%define	rel	0vl1

Name:		librsvg
Version: 	%{ver}
Release: 	%{rel}
License: 	LGPL
Group:		System Environment/Libraries
URL: 		http://nautilus.eazel.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildPreReq:	libpng-devel
BuildPreReq:	glib-devel
BuildPreReq:	gtk+-devel
BuildPreReq:	gdk-pixbuf-devel
BuildPreReq:	freetype2-devel
BuildPreReq:	libxml-devel
BuildPreReq:	gnome-libs-devel
BuildPreReq:	automake14
Requires:	glib >= 1.2.9
Requires:	gtk+ >= 1.2.9
Requires:	libxml >= 1.8.10
Requires:	gdk-pixbuf >= 0.10.0
Requires:	popt >= 1.5
Requires:	freetype2 >= 2.0.1
Requires:	libpng

Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.0/%{name}-%{ver}.tar.bz2

Patch0:		librsvg-1.0.0-datapath.patch

Summary:	Raph's SVG library
%description
Eazel Extension Library

%package devel
Summary:	Libraries and include files for developing with librsvg.
Group:		Development/Libraries
Requires:	%{name} = %{PACKAGE_VERSION}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%prep
%setup -q

#%patch0 -p1 -b .datapath

%build
automake-1.4

%configure

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%{_bindir}/librsvg-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_datadir}/aclocal/*

%changelog
* Mon Jul 28 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.3-0vl1
- updated to 1.0.3
- rebuild with new toolchains and add BuildRequires: automake14
- s/Copyright/License/
- fix URL

* Wed Dec 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.2-0vl1
- New upstream release.

* Sat Jul 28 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1.0.1-0vl1
- updated to new upstream release

* Wed May  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 1.0.0-0vl1
- Build for Vine

* Tue Oct 10 2000 Robin Slomkowski <rslomkow@eazel.com>
- removed obsoletes from sub packages and added mozilla and trilobite
subpackages

* Wed Apr 26 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing

