%define origversion 20050712

Summary: Library of Unicode annotation data
Summary(ja): ユニコード注釈データライブラリ
Name: libuninameslist
Version: 0.0.%{origversion}
Release: 1%{?_dist_release}
License: BSD
Group: System Environment/Libraries
URL: http://libuninameslist.sf.net/
Source: http://dl.sf.net/libuninameslist/%{name}_src-%{origversion}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>


%description
The Unicode consortium provides a file containing annotations
on many unicode characters.
This library contains a compiled version of this file so that
programs can access these data easily.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Summary(ja): libuninameslist 用のヘッダ、ライブラリおよび開発用ドキュメント
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -n %{name}

%build
%configure
%{__make} %{?_smp_mflags} LIBTOOL=/usr/bin/libtool

%install
%{__rm} -rf %{buildroot}
%makeinstall  LIBTOOL=/usr/bin/libtool \
	incdir="%{buildroot}%{_includedir}"

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING LICENSE
%_libdir/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 0.0.20050712-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20050712-0vl1
- initial build for Vine Linux

