%define ver 1.5.5
%define rel 2

Summary: a part of the m17n database for the m17n library
Name: m17n-db
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
License: LGPLv2.1+
Group: System Environment/Libraries
URL: http://www.m17n.org/m17n-lib-ja/
BuildArch: noarch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: m17n-lib
BuildRequires: glibc-common

Vendor: Project Vine
Distribution: Vine Linux


%description
This package is part of the m17n database; a sub-part of the m17n
library.


%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{makeinstall}

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%check
make check


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/m17n*
%{_datadir}/m17n
%{_datadir}/pkgconfig/m17n-db.pc


%changelog
* Wed Oct 06 2010 Shu KONNO <owa@bg.wakwak.com> 1.5.5-2
- rebuilt with rpm-4.8.1 for pkg-config

* Sun Feb  7 2010 IWAI, Masaharu <iwai@alib.jp> 1.5.5-1
- new upstream relase

* Wed Apr  1 2009 IWAI, Masaharu <iwai@alib.jp> 1.5.4-1
- initial release


