Summary: Utilities for manipulating Macintosh file formats.
Summary(ja): Macintosh のファイル形式を扱うユーティリティ
Name: macutils
Version: 2.0b3
Release: 14%{?_dist_release}
License: disributable
Group: Applications/System
Source: ftp://sunsite.unc.edu/pub/Linux/utils/compress/macutils.tar.gz
Patch0: macutils-misc.patch
Patch1: macutils-binhex.patch
Patch2: macutils-warnfix.patch
Patch3: macutils-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
The macutils package includes a set of utilities for manipulating
files that are commonly used by Macintosh machines.  Macutils includes
utilities like binhex, hexbin, macunpack, etc.

Install macutils if you need to manipulate files that are commonly used
by Macintosh machines.


%description -l ja
macutils パッケージには, Macintosh で一般的に利用されている
ファイル形式を扱うユーティリティが収められています.
例えば binhex, hexbin, macunpack などが収録されています.

Macintosh のファイル形式を使う必要があれば macutils パッケージを
インストールして下さい.


%prep
%setup -q -n macutils
%patch0 -p1 -b .misc
%patch1 -p1 -b .binhex
%patch2 -p1 -b .warnfix
%patch3 -p1 -b .gcc4


%build
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

make BINDIR=$RPM_BUILD_ROOT%{_bindir} install
cp man/* $RPM_BUILD_ROOT%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{_bindir}/macunpack
%{_bindir}/hexbin
%{_bindir}/macsave
%{_bindir}/macstream
%{_bindir}/binhex
%{_bindir}/tomac
%{_bindir}/frommac
%{_mandir}/man1/binhex.1*
%{_mandir}/man1/frommac.1*
%{_mandir}/man1/hexbin.1*
%{_mandir}/man1/macsave.1*
%{_mandir}/man1/macstream.1*
%{_mandir}/man1/macunpack.1*
%{_mandir}/man1/macutil.1*
%{_mandir}/man1/tomac.1*


%changelog
* Sat Oct 04 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0b3-14
- spec in UTF-8

* Thu Apr 17 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0b3-13
- rebuilt

* Mon May 21 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0b3-12vl6
- rebuilt with new toolchain
- imported Patch[123] from 2.0b3-32.2.1

* Fri Oct 13 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0b3-12vl5
- s/Copyright/License/

* Fri Oct 22 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0b3-12vl4
- rebuilt with current VineSeed environment

* Sun Jan 21 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0b3-12vl3
- modified Patch0 to allow non-root users' rebuild
- use better macros (%%{_tmppath}, %%{_bindir}, %%{_mandir})

* Mon Sep 04 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0b3-12vl2
- modified %files section to handle compressed man page(s)

* Sun Mar 12 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.0b3-12vl1
- based on 2.0b3-12 from LinuxPPC Developer Reference Release 1.1
- added Japanese summary/description

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
