Summary:	Background images and data for MATE
Name:		mate-backgrounds
Version:	1.4.0
Release:	1%{?_dist_release}
Source:		http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	mate-common
BuildRequires:	glib2-devel
BuildRequires:	autoconf
BuildRequires:	automake

Requires:	vine-backgrounds

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       Takemikaduchi

%description
This module contains a set of backgrounds packaged with the MATE desktop.

%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

ln -sf ../gnome-background-properties/vine-nature.xml ${RPM_BUILD_ROOT}%{_datadir}/mate-background-properties/vine-nature.xml
ln -sf ../gnome-background-properties/vine6.xml ${RPM_BUILD_ROOT}%{_datadir}/mate-background-properties/vine6.xml

%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%{_datadir}/mate-background-properties
%{_datadir}/pixmaps/backgrounds/mate

%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

