Summary:	A collection of icons used as the basis for MATE themes
Name:		mate-icon-theme
Version:	1.4.0
Release:	1%{?_dist_release}
Source:		http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Development/Tools
URL:		http://mate-desktop.org/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	mate-common
BuildRequires:	glib2-devel
BuildRequires:	icon-naming-utils
BuildRequires:	autoconf
BuildRequires:	automake

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       Takemikaduchi

%description
The age of hackers supplying their own artwork is over. For the sake of our
users, please leave the pixelpushin' to the artists. Please file a request
instead.

%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%{_datadir}/icons/mate
%{_datadir}/pkgconfig/mate-icon-theme.pc

%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

