Summary: Setup utility for metacity
Summary(ja): Metacity セットアップユーティリティ
Name: metacity-setup
Version: 0.7.1
Release: 1%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
Source1: metacity-setup-ja.po
Patch1: metacity-setup-0.7.1-default.patch
Patch2: metacity-setup-ja.patch
License: GPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

Requires: desktop-file-utils >= 0.3

%description
Configuration tool for the Metacity Window Manager.

%prep
%setup -q
%patch1 -p0 -b .default
%patch2 -p0 -b .ja

cp -f %{SOURCE1} po/ja.po

%build
autoconf
%configure
make

%install
%makeinstall

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/control-center-2.0/capplets          \
  $RPM_BUILD_ROOT%{_datadir}/control-center-2.0/capplets/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/metacity-setup
%{_datadir}/pixmaps/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 0.7.1-1vl5
- applied new versioning policy, spec in utf-8

* Fri Jan  3 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl4
- oops, add missing locale data to %%files.

* Sun Dec 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl3
- update ja.po, patch2
- translate .desktop files.

* Sun Dec 29 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl2
- add ja.po, patch2

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.7.1-0vl1
- initial build for Vine Linux


