Summary:  MH mail handling system
Summary(ja): MH ᡼ϥɥ󥰥ƥ
Name: mh
Version: 6.8.4_jp
Release: 13vl6
License: freeware
URL: http://www.chem.eng.himeji-tech.ac.jp/~hayashi/internet/mh-plus.html
Group: Applications/Internet
#Source: ftp://ftp.chem.eng.himeji-tech.ac.jp/pub/net/mh/mh-6.8.4-JP-3.03.tar.gz
Source: mh-6.8.4-JP-3.05.tar.gz
Source1: mh.sh
Source2: mh.csh
Patch0: mh-6.8.4-JP-3.02-glibc.patch
Patch1: mh-6.8.4-JP-3.05-20030114.patch.gz 
Patch2: mh-6.8.4-JP-3.05-20030326.patch.gz 
Patch3: mh-6.8.4-JP-3.05-20031023.patch.gz 
Patch4: mh-6.8.4-JP-3.05-20031106.patch.gz 
#Patch5: mh-6.8.4-stdarg.patch

BuildRequires: readline-devel ncurses-devel
BuildPrereq: sed gcc295
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine

%description 
MH mail handling system (with POP support).  MH is a popular
mail handling system but includes only a command line interface.  It is
an important base, however, for programs like xmh and exmh.

%description -l ja
ΥѥåϡMH ᡼ϥɥ󥰥ƥ(POP ݡդ)Ǥ
MH ͭ̾ʥ᡼ϥɥ󥰥ƥǤޥɥ饤󥤥󥿡
եΤߤޤߤޤ󡣤ʤ顢xmh  exmh Ȥäץ
ˤȤäƽפʴäʤޤ


%prep 
%setup -q -n mh-6.8.4-JP-3.05
%patch0 -p1
%patch1 -p0 -b .20030114
%patch2 -p0 -b .20030326
%patch3 -p0 -b .20031023
%patch4 -p0 -b .20031106
#%patch5 -p1 -b .stdarg

%build
#sh configure --prefix=/usr --bindir=/usr/bin/mh --enable-smtp --enable-batchmode --enable-sharedlib
export CC=gcc-2.95.3
%configure --bindir=%{_bindir}/mh --libexecdir=%{_libdir}/mh --enable-smtp --enable-batchmode --enable-sharedlib
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT

#cd $RPM_BUILD_ROOT/usr/lib
#ln -sf libmh.so.3.2 libmh.so

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/mh.sh
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/mh.csh
#echo "export PATH=\$PATH:/usr/bin/mh" > $RPM_BUILD_ROOT/etc/profile.d/mh.sh
#echo "set path=(\$path /usr/bin/mh)" > $RPM_BUILD_ROOT/etc/profile.d/mh.csh
chmod 755 $RPM_BUILD_ROOT/etc/profile.d/mh.sh
chmod 755 $RPM_BUILD_ROOT/etc/profile.d/mh.csh
chmod u+s $RPM_BUILD_ROOT%{_bindir}/mh/inc


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc READ-ME FAQ CHANGES doc-JP/*
%config /etc/profile.d/mh.sh
%config /etc/profile.d/mh.csh

%dir %{_bindir}/mh
%{_bindir}/mh/*
%{_libdir}/libmh.so.3.2
%{_libdir}/libmh.so

%dir %{_libdir}/mh
%config %{_libdir}/mh/mtstailor
%config %{_libdir}/mh/MailAliases
%config %{_libdir}/mh/components
%config %{_libdir}/mh/digestcomps
%config %{_libdir}/mh/distcomps
%config %{_libdir}/mh/forwcomps
%config %{_libdir}/mh/rcvdistcomps
%config %{_libdir}/mh/replcomps
%config %{_libdir}/mh/mhl.digest
%config %{_libdir}/mh/mhl.format
%config %{_libdir}/mh/mhl.forward
%config %{_libdir}/mh/mhl.body
%config %{_libdir}/mh/mhl.headers
%config %{_libdir}/mh/scan.mailx
%config %{_libdir}/mh/scan.default
%config %{_libdir}/mh/scan.size
%config %{_libdir}/mh/scan.time
%config %{_libdir}/mh/scan.timely
%{_libdir}/mh/packmbox
%{_libdir}/mh/mhn_defaults
%{_libdir}/mh/viamail
#%{_libdir}/mh/popaka
#%{_libdir}/mh/popwrd
%{_libdir}/mh/ap
%{_libdir}/mh/conflict
%{_libdir}/mh/dp
%{_libdir}/mh/install-mh
%{_libdir}/mh/mhl
%{_libdir}/mh/post
%{_libdir}/mh/rcvdist
%{_libdir}/mh/rcvpack
%{_libdir}/mh/rcvstore
%{_libdir}/mh/rcvtty
%{_libdir}/mh/fmtdump
%{_libdir}/mh/spost
#%{_libdir}/mh/spop
%{_libdir}/mh/slocal
%{_libdir}/mh/tmac.h

%{_mandir}/man?/*
%{_mandir}/ja/man?/*


%changelog
* Tue Jul 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 6.8.4_jp-13vl6
- changed Group to Applications/Internet

* Tue Nov  9 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 6.8.4_jp-13vl5
- used gcc-2.95.3 instead of Patch5, 

* Thu Nov  4 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 6.8.4_jp-13vl4
- fixed mh.csh, "EOF" was removed

* Thu Nov  4 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 6.8.4_jp-13vl3
- split /etc/profile.d/*.[c]sh files to SOURCE1 and 2

* Sun Oct 31 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 6.8.4_jp-13vl2
- rebuilt with new toolchains
- updated jp patch to version 3.05
- added Patch1--4 from upstream
- added Patch5 to avoid using varargs.h
- added BuildRequires: and BuildPrereq:
- s/Copyright/License/
- used better macros
- updated script at /etc/profile.d 

* Fri Sep 15 2000 Jun Nishii <jun@vinelinux.org>
- 6.8.4_jp-13
- added %defattr

* Fri Sep 08 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 6.8.4_jp-12
- modified %files section to handle compressed man page(s)

* Sun Oct 10 1999 Norihito Ohmori <ohmori@flatout.org>
- update mh-6.8.4-JP-3.03

* Wed Sep 29 1999 Norihito Ohmori <ohmori@flatout.org>
- fix alpha compilation bug (by Toru Hoshina)

* Wed Aug 26 1999 Norihito Ohmori <ohmori@flatout.org>
- apply glibc-2.1.x patch
- fix pick -search bug (19990309)
- fix (hencode(trim{subject})) core dump bug (19990611)
- fix long From: core dump bug (19990806)
- disable rpop

* Thu May 13 1999 Jun Nishii <jun@flatout.org>
- merged patch for rpop

* Tue Mar 13 1999 Daisuke SUZUKI <daisuke@linux.or.jp>
- updated to mh-6.8.4-JP3.02

* Tue Jan 19 1999 Daisuke SUZUKI <daisuke@linux.or.jp>
- updated to mh-6.8.4-JP3.01

* Tue Aug 18 1998 Daisuke SUZUKI <daisuke@linux.or.jp>
- added a patch to configure script for PentiumPRO/PentiumII

* Mon Aug 17 1998 Daisuke SUZUKI <daisuke@linux.or.jp>
- added MH-JP patch
