Summary: A utility for managing .Xauthority files.
Summary(ja): .Xauthority եꤹ桼ƥƥ
Name: mkxauth
Version: 1.7
Release: 15vl2
License: GPL
Group: Applications/System
Source0: mkxauth
Source1: mkxauth.1x
BuildArchitectures: noarch
Requires: /usr/X11R6/bin/xauth textutils fileutils sh-utils procps gzip
Prefix: /usr/X11R6
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
The mkxauth utility helps create and maintain X authentication
databases (.Xauthority files).  Mkxauth is used to create an
.Xauthority file or to merge keys from another local or remote
.Xauthority file.  .Xauthority files are used by the xauth
user-oriented access control program, which grants or denies
access to X servers based on the contents of the .Xauthority
file.

The mkxauth package should be installed if you're going to use
user-oriented access control to provide security for your X Window
System (a good idea).

%description -l ja
mkxauth 桼ƥƥ X ǧڥǡ١ (.Xauthority ե)
ꤹΤʥ桼ƥƥǤmkxauth Ȥä
.Xauthority ե¸ .Xauthority ե
ޡꤹ뤳Ȥޤ.Xauthority եϤƤ
Ť X ФؤΥĤݤꤹ xauth
ץ˻Ȥޤ

X ɥƥΥƥ󶡤륢
Τʤ mkxauth ѥå򥤥󥹥ȡ뤷Ʋ


%prep

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}

install -m 0755 $RPM_SOURCE_DIR/mkxauth $RPM_BUILD_ROOT/usr/X11R6/bin/mkxauth
install -m 0444 $RPM_SOURCE_DIR/mkxauth.1x $RPM_BUILD_ROOT/usr/X11R6/man/man1/mkxauth.1x


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/usr/X11R6/bin/mkxauth
/usr/X11R6/man/man1/mkxauth.1x*


%changelog
* Thu Jul  3 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.7-15vl2
- use License instead of Copyright

* Fri Jan 12 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.7-15vl1
- added Japanese summary and description

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Nalin Dahyabhai <nalin@redhat.com> 
- rebuild in the new build environment (release 14)

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- rebuild, change spec file name

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added more dependency information.

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
