Summary: FastCGI module
Summary(ja): FastCGIモジュール
Name: mod_fcgid
Version: 2.3.6
Release: 1%{_dist_release}
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.conf
License: GPL2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: apache2-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

%description

%package apache2
Group: System Environment/Daemons
Summary: FastCGI module for Apache2
Summary(ja): Apache2用FastCGIモジュール
Requires: apache2

%description apache2
This module makes Apache2 to support FastCGI.

%description apache2 -l ja
このモジュールは、Apache2にFastCGIサポートを追加します。

%prep
%setup -q

%build

# for Apache2
APXS=%{_bindir}/apxs ./configure.apxs
make %{?_smp_mflags}
#%{_bindir}/apxs -c -o mod_fcgid.so -Iarch/unix -I. \
#                fcgid_bridge.c fcgid_conf.c fcgid_pm_main.c \
#                fcgid_protocol.c fcgid_spawn_ctl.c mod_fcgid.c \
#                arch/unix/fcgid_proctbl_unix.c arch/unix/fcgid_pm_unix.c \
#                arch/unix/fcgid_proc_unix.c fcgid_bucket.c fcgid_filter.c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/apache2/modules/
mkdir -p %{buildroot}%{_localstatedir}/www/fcgi-bin/
install -m755 modules/fcgid/.libs/mod_fcgid.so %{buildroot}%{_libdir}/apache2/modules/

mkdir -p %{buildroot}%{_sysconfdir}/apache2/conf.d/
install -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apache2/conf.d/

%clean
rm -rf %{buildroot}

%files apache2
%defattr(-,root,root)
%doc CHANGES-FCGID STATUS-FCGID docs/ LICENSE-FCGID NOTICE-FCGID README-FCGID
%{_libdir}/apache2/modules/*.so
%dir %{_localstatedir}/www/fcgi-bin
%config(noreplace) %{_sysconfdir}/apache2/conf.d/*


%changelog
* Thu Mar 31 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.3.6-1
- new upstream release.
- replaced mod_fcgid.conf to use new directives.

* Wed May 06 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.2-4
- rebuild

* Wed Sep 03 2008 Shu KONNO <owa@bg.wakwak.com> 2.2-3
- spec in utf-8

* Thu May  8 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2-2
- added <DocumentRoot>/fcgi-bin/.

* Sat Apr 26 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.2-1
- initial build.
