Summary: multi-protocol CUI stream downloader for various streaming protocols
Summary(ja): 様々なストリーミングプロトコルに対応した CUI ストリームダウンローダ
Name: msdl
Version: 1.2.7
Release: 1.r2%{?_dist_release}
URL: http://msdl.sourceforge.net/
Source: %{name}-1.2.7-r2.tar.gz
License: GPLv3
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf

%description
msdl is a multi-protocol CUI stream downloader for various streaming protocols.
This program support many protocols, such as
* mms
* mmsh
* wms-rtsp
* real-rtsp
* ftp
* http
and so on.

%description -l ja
msdl は様々なストリーミングプロトコルに対応した CUI ストリームダウンローダです。
このプログラムは多くのプロトコル、例えば
* mms
* mmsh
* wms-rtsp
* real-rtsp
* ftp
* http
などをサポートしています。

%prep
%setup -q -n %{name}-1.2.7-r2
%configure

%build
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/man/*

%changelog
* Fri Aug 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.7.r2-1
- new upstream release

* Tue May 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.7.r1-1
- new upstream release
- applied new naming policy to spec

* Thu Oct 29 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2.6-1
- initial build for Vine Linux
