%define origbasever 0.2.0
%define origrev     1
%define rel         1

%define jaPOdir     po/ja_JP/LC_MESSAGES

Name: nautilus-mount-image
Version: %{origbasever}
Release: %{rel}%{?_dist_release}
Summary: mounting ISO image extensions for Nautilus
Summary(ja): NautilusのISOイメージマウント 拡張
Group: User Interface/Desktops
License: GPLv2+
URL: http://mundogeek.net/nautilus-scripts/
Source0: https://edge.launchpad.net/%7Ezootropo/+archive/+files/%{name}_%{origbasever}-%{origrev}.tar.gz
Source1: nautilus-mount-image-ja.po
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: gettext
Requires: python, nautilus-python

%description
This program adds a new entry to the contextual menu which allows us to 
mount and unmount the selected CD or DVD image.

%prep
%setup -q -n %{name}-%{version}
# ja.po
%{__mkdir_p} %{jaPOdir}
%{__cp} %{SOURCE1} %{jaPOdir}/%{name}.po
pushd %{jaPOdir}
msgfmt %{name}.po -o %{name}.mo
popd

%install
rm -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}

%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING changelog
%{_libdir}/nautilus/extensions-2.0/python/nautilus-mount-image.py
%{_datadir}/pixmaps/nautilus-mount-image.png

%changelog
* Mon Nov 30 2009 IWAI, Masaharu <iwai@alib.jp> 0.2.0-1
- initial release
