Name:           nepomukcontroller
Summary:        Applet to control the Nepomuk file indexer
Version:        0.2
Release:        4%{?_dist_release}

Group:          Applications/System
License:        LGPLv2
URL:            http://kde-apps.org/content/show.php?content=137088

Source0:        http://kde-apps.org/CONTENT/content-files/137088-%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  kdelibs-devel >= 4.5.80
BuildRequires:  kdebase-runtime
BuildRequires:  shared-desktop-ontologies-devel
BuildRequires:  soprano-devel

#{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Nepomukcontroller is a small systray applet that allows you to 
suspend and resume the Nepomuk file indexer.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}/%{_datadir}/applications/kde4/nepomukcontroller.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/nepomukcontroller
%{_datadir}/applications/kde4/nepomukcontroller.desktop


%changelog
* Sun Feb 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2-4
- added BR: shared-desktop-ontologies-devel, soprano-devel

* Sun Feb 13 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2-3
- initial package for Vine

* Tue Jan 18 2011 Jaroslav Reznik <jreznik@redhat.com> - 0.2-2
- fix license to LGPLv2 only

* Thu Jan 06 2011 Jaroslav Reznik <jreznik@redhat.com> - 0.2-1
- initial package