Summary: A network configuration tool.
Summary(ja): ͥåȥġ
Name: netcfg
Version: 2.36
Release: 3vl4
License: GPL
Group: Applications/System
Source0: netcfg-%{version}.tar.bz2
Source1: netcfg_ja.py
Source2: netcfg
Patch0: netcfg-Makefile.patch
#Patch1: netcfg-2.25-modulesconf.patch
#Patch2: netcfg-2.36-i18n.patch
Patch3: netcfg_ja-unicode.patch
Requires: pythonlib >= 1.20, python, tkinter, initscripts >= 3.24
Requires: tk >= 8.4.1
BuildPrereq: nkf >= 2.01
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
A Red Hat Linux tool which provides a graphical user interface for
setting up and configuring networking for your machine.

%description -l ja
ޥΥͥåȥꤹ륰ե桼󥿥ե
󶡤 Red Hat Linux ΥġǤ

%prep
%setup -q
%patch0
#%patch1 -p0

# ja.py
install -p -m 755 %{SOURCE1} netcfg_ja.py
#%patch2 -b .i18n
## euc-jp to UTF-8
#%__mv netcfg_ja.py netcfg_ja.euc
#nkf -E -w netcfg_ja.euc > netcfg_ja.py
%patch3 -b .unicode

# netcfg.auth
mv netcfg.auth netcfg.auth.org
sed -e 's/^SESSION/#SESSION/' netcfg.auth.org > netcfg.auth

# desktop
mv netcfg.desktop netcfg.desktop.org
sed -e 's/penguin.xpm/netcfg.xpm/' netcfg.desktop.org > netcfg.desktop

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
rm -rf $RPM_BUILD_ROOT

unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python

make	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLBIN="install -m755" INSTALLDATA="install -m644" \
	install

( cd $RPM_BUILD_ROOT
  mkdir -p ./usr/share/icons
  cp ./usr/lib/rhs/control-panel/netcfg.xpm ./usr/share/icons
)

mv -f $RPM_BUILD_ROOT/usr/sbin/netcfg{,.en}
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/usr/sbin/netcfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/X11/applnk/System/netcfg.desktop
%config(noreplace) /etc/pam.d/netcfg
%config            /etc/security/console.apps/netcfg
/usr/bin/netcfg
/usr/sbin/netcfg
/usr/lib/rhs/netcfg
/usr/lib/rhs/control-panel/netcfg.init
/usr/lib/rhs/control-panel/netcfg.xpm
/usr/share/icons/netcfg.xpm

%changelog
* Sat Apr 17 2004 Shu KONNO <owa@bg.wakwak.com> 2.36-3vl4
- rebuild with python-2.3.3-0vl1

* Sat Apr 10 2004 Shu KONNO <owa@bg.wakwak.com> 2.36-3vl3.1
- deleted netcfg-2.36-i18n.patch
- added netcfg_ja-unicode.patch for python-2.3.3

* Sun Jul 20 2003 Masaki Shinomiya <shino@pos.to> 2.36-3vl3
- i18n.patch to avoid odd charactors on the title bars
- spec file in euc-jp

* Sat Jul 19 2003 Masaki Shinomiya <shino@pos.to> 2.36-3vl2
- euc-jp to UTF-8 fo Tcl/Tk >= 8.4.1
- netcfg.auth, netcfg.desktop

* Sat Jul 06 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.36-3vl1
- merged with upstream 2.36-2

* Sat Aug 18 2001 Toru Sagami <sagami@vinelinux.org>
- 2.25-1vl2: ad hoc modules.confiscation

* Thu Aug  3 2000 Jun Nishii <jun@vinelinux.org>
- 2.25-1vl1

* Wed Jan 13 2000 Norihito Ohmori <nono@kondara.org>
- ad-hoc i18n.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Sep 11 1999 Norihito Ohmori <ohmori@flatout.org>
- Japanize.
- Japanese summary and description add.

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- actually build the version with the python fixes.

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- fixed netcfg version number in python src.

* Mon Mar 22 1999 Michael Johnson <johnsonm@redhat.com>
- fixed bug 881

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Bugs fixed:
 o wmconfig files take no paths
 o only root should see wmconfig

* Thu Nov 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Version 2.19 New features:
 o Debugging option for PPP devices
 o Supports active and passive PPP servers with a single configuration.

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- Bugs fixed:
 o icon name corrected in netcfg.init

* Fri Oct 24 1997 Michael K. Johnson <johnsonm@redhat.com>
- Version 2.18 New features:
 o "Clone" devices allow multiple interface configurations
 o IP Forwarding option
 o Menus for modem ports and speeds.
- Bugs fixed:
 o physical/logical PPP device name translation
 o ignores backup files better.
 o removes dip scripts when removing slip devices
 o USERCTL fixed for "bus" devices like ethernet
 o Now asks for interface number for PLIP devices

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Tue Apr 15 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Allows ALL device types to be user-controllable
 o Allows DHCP configuration

* Wed Apr 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Silently disallows senseless lo aliasing
 o Loudly disallows non-functional SLIP aliasing
- Bugs fixed:
 o Didn't always create correct alias numbers
 o Hung if a device without an IP was aliased

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>
- New features:
 o Supports user-controlled interfaces.
 o Includes PAP support for PPP interfaces.
 o Supports two kinds of timeouts for PPP interfaces.
 o Supports MTU as well as MRU
 o Allows giving arbitrary options to pppd
 o Sanity checking on /etc/hosts
- Bugs fixed:
 o Didn't always find the first free interface number
 o Sometimes tried to "add" an existing interface number
