Summary: C++ matrics library
Summary(ja): C++ 黻饤֥
Name: newmat
Version: 1.1
Release: 0vl1
URL: http://robertnz.net
Source:  newmat11.tar.gz
License: distributable
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gcc-c++

Vendor: Project Vine
Distribution: Vine Linux

%description
C++ Matrix Library. This package is intended for scientists and 
engineers who need to manipulate a variety of types of matrices
using standard matrix operations. Emphasis is on the kind of
operations needed in statistical calculations such as least 
squares, linear equation solve and eigenvalues.

%description -l ja
C++ ι黻饤֥Ǥչ󡤸ͭͤη׻
γƼ黻ԤȤǤޤ


%prep
%setup -q -c -n newmat-%{version}
#patch -p0
#patch1 -p1
#mkdir html
#tar xzvf %{SOURCE1} -C html

%build
#make -f gnu.mak libnewmat.a
make -f nm_gnu.mak libnewmat.a CXXFLAGS="${RPM_OPT_FLAGS} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/newmat}
install libnewmat.a $RPM_BUILD_ROOT%{_libdir}
install include.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install myexcept.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install newmat.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install newmatap.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install newmatio.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install newmatnl.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install newmatrc.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install newmatrm.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install precisio.h $RPM_BUILD_ROOT%{_includedir}/newmat/
install solution.h $RPM_BUILD_ROOT%{_includedir}/newmat/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc readme.txt nm11.htm rbd.css
%{_libdir}/libnewmat.a
%{_includedir}/newmat/*


%changelog
* Mon Aug  6 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.1-0vl1
- new upstream release
- rebuilt with new toolchain
- changed Group to Development/Libraries
- s/Copyright/License/
- updated URL

* Thu Sep 21 2000 Jun Nishii <jun@vinelinux.org>
- 1.0-0vl1

* Sun Jun 11 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.9-1vl1
- added a patch for gcc-2.95.x environment
