%define pkgname RealPlayer
%define dlurl	http://www.real.com/realcom/R?href=http://forms.real.com/real/player/download.html?f=unix/RealPlayer11GOLD.rpm

Summary:	Package to assist installation of RealPlayer
Summary(ja): 	RealPlayer のインストールを補助するパッケージ
Name:		install-assist-%{pkgname}
Version:	11
Release: 	1%{?_dist_release}
License:	Commercial
Group:		Applications/Multimedia

ExclusiveArch:	%{ix86} x86_64
# Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):	self-build-setup >= 0.9.0
# Required packages
Requires:	alsa-lib at bc cyrus-sasl-md5 cyrus-sasl-plain ed
Requires:	foomatic ghostscript groff lcms libXfont libXmu libXt
Requires:	libXxf86vm libdrm libfontenc libmng lsb lv mailx man
Requires:	mesa-libGL mesa-libGLU net-tools pax postfix qt qt4 time
Requires:	urw-fonts vixie-cron xorg-x11-font-utils 

Requires:	libXv
%ifarch x86_64
Requires:	compat32-libXv
Requires:	compat32-alsa-lib
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	munepi


%description
%{pkgname} %{version} for Linux

If you install this package, it automaticaly downloads 
required files to install %{pkgname}.
And the downloaded files are automatically installed if 
installation is executed by apt-get command or synaptic
package manager.

%description -l ja
%{pkgname} %{version} for Linux

このパッケージをインストールすると、自動的に %{pkgname}
のインストールに必要な rpm ファイルをダウンロードします。
また apt-get コマンドや synapticパッケージマネージャから実行
した場合は、ダウンロードした rpm ファイルのインストールも自
動的に行います。


%posttrans
/usr/lib/rpm/get-binary-rpm.sh %{name} %{dlurl}

%files


%changelog
* Sat Jul 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 11-1
- initial build for Vine Linux.
