%define gene95fpw_pkgname gene95-fpw
%define dictdir %{_datadir}/dict/jisx4081
%define dictpkgname gene95

Summary:	JIS X 4081 format GENE95 Dictionary 
Summary(ja): 	JIS X 4081 形式の GENE95 辞書
Name:		dict-jisx4081-gene95
Version:	1.0
Release: 	1%{?_dist_release}
Source0:	http://www.namazu.org/~tsuchiya/sdic/data/gene95.tar.bz2
License:	non-free
Group:		Applications/Text
URL:		http://www.namazu.org/~tsuchiya/sdic/data/gene.html
BuildArch:	noarch
BuildRequires:	%{gene95fpw_pkgname}
BuildRequires:  freepwing
BuildRequires:  jcode.pl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
JIS X 4081 format GENE95 Dictionary 

%description -l ja
JIS X 4081 形式の GENE95 辞書

%prep
%setup -q -c %{name}-%{version}
ln -s %{_datadir}/%{gene95fpw_pkgname}/Makefile .
ln -s %{_datadir}/%{gene95fpw_pkgname}/catalogs.txt .
ln -s %{_bindir}/fpwgene95
ln -s %{_datadir}/freepwing/fpwutils.mk .


%build
make PACKAGE=%{dictpkgname}
make catalogs PACKAGE=%{dictpkgname}
make package-tar-bz2 PACKAGE=%{dictpkgname}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{dictdir}/%{dictpkgname}/%{dictpkgname}/data
%{__install} -m0644 catalogs %{buildroot}%{dictdir}/%{dictpkgname}
%{__install} -m0644 honmon %{buildroot}%{dictdir}/%{dictpkgname}/%{dictpkgname}/data

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc readme.txt
%dir %{dictdir}
%{dictdir}/%{dictpkgname}

%changelog
* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> 1.0-1
- first release for Vine Linux
