Name:		oaf
Version: 	0.6.10
Release: 	7%{?_dist_release}
License: 	LGPL/GPL
Group:		System Environment/Libraries
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/oaf/0.6/%{name}-%{version}.tar.bz2
URL: 		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	glib-devel
BuildRequires:	ORBit-devel
BuildRequires:	libxml-devel
BuildRequires:	gtk-doc

Summary:	Object activation framework for GNOME

%description
OAF is an object activation framework for GNOME. It uses ORBit.

%package devel
Summary:	Libraries and include files for OAF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
#Obsoletes:	%{name}-devel

%description devel
Libraries and include files for Oaf.

%prep
%setup -q

%build
%configure
make -k

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/oaf/*.sample
%config %{_sysconfdir}/oaf/*.xml
%{_bindir}/oafd
%{_bindir}/oaf-client
%{_bindir}/oaf-sysconf
%{_bindir}/oaf-run-query
%{_bindir}/oaf-slay
%{_libdir}/*.so.*
%{_datadir}/idl/*
%{_datadir}/oaf/*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%doc api-docs/html
%dir %{_includedir}/liboaf
%{_bindir}/oaf-config
#{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.sh
%{_includedir}/liboaf/*.h
%{_datadir}/aclocal/*.m4

%changelog
* Sat Aug 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.10-7
- applied new versioning policy
- removed liboaf.la

* Sat Jun 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.10-6vl4
- rebuilt for (fixed liboaf.la)

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.10-6vl3
- rebuilt with new toolchain

* Wed Jul 07 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 0.6.10-6vl2
- rebuild

* Sun Jul  6 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.10-6vl1
- Rebuils with New toolchains.
- based on Radhat Rawhide 0.6.10-6

* Fri Dec 14 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.6.7-0vl1
- New upstream release.

* Tue Jun 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.6.5-0vl5
- Fixed packaging mistake.

* Wed May  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.6.5-0vl4
- Fixed missing .oaf files.

* Thu Apr 12 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.6.5-0vl3
- Include the API documents.

* Mon Apr  9 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.6.5-0vl2
- Added some build depends.
- Use find_lang macro.

* Wed Mar  7 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.6.5-0vl1
- New upstream release.

* Wed Dec 27 2000 Akira TAGOH <tagoh@gnome.gr.jp>
- 0.6.1-0vl1
- build for Vine

* Tue Aug 29 2000 Maciej Stachowiak <mjs@eazel.com>
- corrected Copyright field and renamed it to License
* Sun May 21 2000 Ross Golder <rossigee@bigfoot.com>
- created spec file (based on bonobo.spec.in)
