%define ruby     /usr/bin/ruby
%define rlibdir  %(%{ruby} -r rbconfig -e 'print Config::CONFIG["rubylibdir"]')

Summary: Object oriented framework for BAtch and Queue processing
Name: obaq
Version: 0.6.1
Release: 1%{?_dist_release}
License: GPL
Group: Development/Languages
Source0: http://www.brain-tokyo.jp/~research/koutetu/obaq/%{name}-%{version}.tar.gz
Patch0: obaq-0.6.1-ruby186.diff
URL: http://www.brain-tokyo.jp/~research/koutetu/
Prefix: /usr
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby ruby-devel
Requires: ruby >= 1.8.1

%description
Object oriented framework for BAtch and Queue processing - OBAQ provides
some features:
  * to generate HTML texts by using Ruby.
  * logging facility like log4j.
  * SQL wrappers for PostgreSQL.
  * to add options to objects by using outer rc-files.
  * environmental acquisition.

%prep

%setup -q
%patch0 -p0 -b .ruby18

%build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{rlibdir}

# installing binaries ...
make install \
  PREFIX=${RPM_BUILD_ROOT}%{_prefix} \
  SITE_DIR=${RPM_BUILD_ROOT}%{rlibdir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%{_bindir}/html2obaq
%{_bindir}/obaqsql
%{_bindir}/obaq
%{rlibdir}/obaq
%doc ChangeLog
%doc test
%doc sample

%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.1-1vl5
- applied new versioning policy

* Sun Apr 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.1-0vl4
- update patch0 for ruby-1.8.6

* Fri Mar  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.1-0vl3
- add patch0 to support ruby-1.8

* Sun Feb 15 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.1-0vl2
- rebuild with ruby-1.8.1

* Sun Jun 16 2002 akira yamada <akira@vinelinux.org> 0.6.1-0vl1
- Initial packaging.
