Summary:  X on-screen clock displayer
Summary(ja): X のスクリーン上に時計を表示するツール
Name: osd_clock
Version: 0.6
Release: 1%{?_dist_release}
Source0: http://leftorium.net/software/%{name}-%{version}.tar.gz
#Patch: osd_clock-init.patch
License: GPL
Group: Applications/System
URL: http://leftorium.net/software.phtml
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libxosd-devel 

%description
X on-screen clock displayer

%description -l ja
X のスクリーン上に時計を表示するツールです．

%prep
rm -rf %buildroot

%setup -q
#%patch -b .init

%build
make \
	CFLAGS="$RPM_OPT_FLAGS" \
	LIBDIR="%{_libdir}" \
	LDFLAGS="-L. -L/usr/X11R6/%{_lib} -lX11 -lXext -lpthread -lXt"

%install
mkdir -p %{buildroot}%{_bindir}
make install PREFIX=%{buildroot}%{_prefix} MANDIR=%{buildroot}/%{_mandir}

%clean
rm -rf %buildroot

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/osd_clock
%{_mandir}/man1/osd_clock.1*


%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.6-1vl5
- applied new versioning policy, spec in utf-8

* Sat Dec 29 2007 Shu KONNO <owa@bg.wakwak.com> 0.6-0vl2
- added options LIBDIR, INCLUDEDIR to make

* Thu Oct 20 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6-0vl1
- updated to 0.6
- build against libxosd-2.2.12
- added Japanese summary and description

* Mon Aug  5 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 0.5-0vl2
- build against libxosd-1.0.0
- add osd_clock-init.patch 

* Fri Feb 22 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 0.5-0vl1
- Initial release

