%define name	pcc-acpi-utils
%define pdate	20050811
%define ver	0.0.%{pdate}
%define rel	1%{?_dist_release}

Summary:        Utilities for Panasonic Hotkey driver
Summary(ja):    Panasonic Let's note 用ホットキードライバ用ユーティリティ
Name:		%{name}
Version:	%{ver}
Release: 	%{rel}
Source0:	%{name}-%{pdate}.tar.gz
Patch10:	%{name}-%{pdate}-vine.patch
License:	GPL
Group:		System Environment/Base
Url:		http://www.netlab.is.tsukuba.ac.jp/~yokota/izumi/panasonic_acpi/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	acpid
Requires:	alsa-utils
Requires:	hibernate
#Requires:	libxosd, ruby

%description
Utilities for Panasonic Hotkey driver.


%prep
%setup -q -n %{name}-%{pdate}
%patch10 -p1 -b .vine

%build

%install
%__rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events
install -m755 etc/acpi/*.sh $RPM_BUILD_ROOT%{_sysconfdir}/acpi
install -m644 etc/acpi/events/* $RPM_BUILD_ROOT%{_sysconfdir}/acpi/events


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README ChangeLog
%{_sysconfdir}/acpi/*


%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.0.20050811-1vl5
- applied new versioning policy, spec in utf-8

* Sun Sep 10 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.0.20050811-0vl3
- fix typo of Group. <BTS:VineLinux:148>

* Thu Aug 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20050811-0vl2
- update Patch10 to fix mute/brightness problems (<BTS:0095>)
  - fix unmuting.
  - do not use fixed step width to change the brightness.
    use *_brightness_max and *_brightness_min to determine the step width.

* Wed Aug 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20050811-0vl1
- initial build for Vine Linux

