Summary: simple analog clock program designed to run under WindowMaker
Summary(ja): Window Maker の dock 用のアナログ時計
Name: pclock
Version: 0.13.1
Release: 2%{?_dist_release}
Source: http://bnt.kourakos.com/~awk/programs/pclock-%{version}.tgz
License: GPL
Group: User Interface/Desktops
URL: http://www.kourakos.com/~awk/programs/pclock/
Vendor: Project Vine
Distribution: Vine Linux
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel libXext-devel libXpm-devel 

%description
pclock is a simple analog clock program designed to run under the
WindowMaker window manager. Any 64x64 pixmap may be used as a background,
including tiles.

%description -l ja
pclock は、WindowMaker の下で動かすよう設計された、シンプルなアナログ
時計のプログラムです。64x64 ピクセルの画像を背景に設定できます。

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" 
# LIBDIR="-L/usr/X11R6/%{_lib}"
strip src/pclock

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp src/pclock $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/pclock
cp XPM/* $RPM_BUILD_ROOT%{_datadir}/icons/pclock/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/pclock
%{_datadir}/icons/pclock/*
%doc CHANGES COPYING CREDITS README TODO

%changelog
* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 0.13.1-2
- rebuilt with new toolchain

* Mon Nov 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.13.1-1vl5
- applied new versioning policy
- spec in UTF-8
- added BuildRequires: libX11-devel libXext-devel libXpm-devel 

* Fri Dec 28 2007 Shu KONNO <owa@bg.wakwak.com> 0.13.1-0vl5
- added LIBDIR to make
- fixed year of changelog below

* Wed Aug  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.13.1-0vl4
- s/Copyright/License/
- changed Group to User INterface/Desktops

* Tue May  4 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.1-0vl3
- rebuild for VineSeed

* Thu Jun 13 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.1-0vl2
- add %defattr(-,root,root)

* Sun Mar 31 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 0.13.1-0vl1
- updated to 0.13.1
- removed a small patch for non-ix86, instead of 'make' option

* Sun Jun 11 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.12a-2vl1
- added a small patch for non-ix86 archtecture
