Summary: Simple totally OO CGI interface that is CGI.pm compliant
Name: perl-CGI-Simple
Version: 1.113
Release: 1%{?_dist_release}
Group: Development/Libraries
License: GPL or Artistic
URL: http://search.cpan.org/~andya/CGI-Simple/
Source0: http://search.cpan.org/CPAN/authors/id/A/AN/ANDYA/CGI-Simple-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildRequires: perl >= 5.8.2
BuildRequires: perl-IO-stringy
Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
%{summary}.

%prep
%setup -q -n CGI-Simple-%{version}
chmod -x Changes README 
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make 

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes README
%{perl_vendorlib}/CGI
%{_mandir}/man3/*.3*


%changelog
* Sun May 22 2011 IWAI, Masaharu <iwai@alib.jp> 1.113-1
- new upstream release
- add Vendor and Distribution tags

* Thu Nov 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.112-1
- new upstream release
- applied new versioning policy
- built with perl 5.10.0
- added BR: perl-IO-stringy (for make test)

* Sat Jul 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1-0vl1
- new upstream release
- changed Group to Development/Libraries

* Fri Sep  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.077-5vl1
- rebuild for Vine Linux

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.077-5
- remove BR: perl
- add license texts

* Fri Jul 29 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.077-4
- cleanup chmod -x

* Wed Jul 27 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.077-3
- add missing documentation
- fix URL

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.077-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.077-1
- Initial package for Fedora Extras
