%define	module	Crypt-DES
%define name	perl-%{module}
%define	version	2.05
%define	release	2%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl DES encryption module
Group:		Development/Languages
License:	GPL or Artistic
Url:		http://search.cpan.org/dist/%{module}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

Vendor:         Project Vine
Distribution:   Vine Linux

%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

%install
rm -rf %{buildroot}
%makeinstall
# rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
# %doc README Changes
%doc README
%{_mandir}/man3*/*
%{perl_vendorarch}/Crypt/*
%{perl_vendorarch}/auto/*


%changelog
* Fri Mar 25 2011 IWAI, Masaharu <iwai@alib.jp> 2.05-2vl6
- build with perl 5.12.3

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.05-1
- rebuilt with perl-5.10.0.

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.05-0vl1
- rebuilt for VineSeed

* Sun Mar 09 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.05-0vl0.43
- rebuilt to release for VinePlus 4.2 

* Tue Mar 04 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.05-0vl0.42
- built for Vine 4.2 (testing)

