Summary: Email::Valid which allows dot before at mark for Perl
Name: perl-Email-Valid-Loose
Version: 0.05
Release: 3%{?_dist_release}
License: Artistic and GPL
Group: Development/Libraries
Source0: http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Email-Valid-Loose-%{version}.tar.gz
# based http://cvs.sourceforge.jp/cgi-bin/viewcvs.cgi/*checkout*/perldocjp/docs/modules/Email-Valid-Loose-0.04/Email/Valid/Loose.pod?rev=1.2
Source1: Email-Valid-Loose-0.04.pod.ja
URL: http://search.cpan.org/author/MIYAGAWA/Email-Valid-Loose/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.004, perl-Email-Valid
Requires: perl >= 5.004, perl-Email-Valid
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux

%description
Email::Valid which allows dot before at mark for Perl.
Email::Valid::Loose is a subclass of Email::Valid, which allows . (dot)
before @ (at-mark). It is invalid in RFC822, but is commonly used in
some of mobile phone addresses in Japan (like docomo.ne.jp or
jp-t.ne.jp).

%prep
%setup -q -n Email-Valid-Loose-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make
cp %{SOURCE1} Loose.ja.pm

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

mkdir -p %{buildroot}%{_mandir}/ja/man3
pod2man --section=3 Loose.ja.pm %{buildroot}%{_mandir}/ja/man3/Email::Valid::Loose.3pm

%check
make test

%files -f %{name}.files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/man3/*
%{_mandir}/ja/man3/*
%dir %{perl_vendorlib}/Email/Valid

%changelog
* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 0.05-3vl6
- build with perl 5.12.3
- add Vendor and Distribution tags

* Sun Feb 15 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.05-2
- fixed Group tag

* Sat Feb 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.05-1
- new upstream release
- built with perl-5.10.0
- installed files to vendor_perl dir
- applied new versioning policy
- changed Group to Development/Libraries

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 0.04-0vl2
- build on perl-5.8.6-0vl1
- add manpage translated into Japanese ( Source1 ) from perldoc.jp

* Mon Aug 16 2004 IWAI, Masaharu <iwai@alib.jp> 0.04-0vl1
- new upstream release

* Thu Apr 24 2003 IWAI Masaharu <iwai@alib.jp> 0.02-0vl2
- build with perl-5.8.0
- add %%doc README Changes in %%files section
- add test in %%build section
- add perl-Email-Valid in BuildRequires

* Sun Aug 25 2002 IWAI Masaharu <iwai@alib.jp> 0.02-0vl1
- first build for Vine Linux
