%define real_name MIME-Lite-TT

Summary:        TT enabled MIME::Lite wrapper
Name:           perl-%{real_name}
Version:        0.02
Release:        1%{?_dist_release}
License:        Artistic or GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MIME-Lite-TT/
Source:         http://www.cpan.org/modules/by-module/MIME/MIME-Lite-TT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(Test::More) >= 0.32
BuildRequires:  perl(MIME::Lite)
BuildRequires:  perl(Template)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
TT enabled MIME::Lite wrapper.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -empty -exec rmdir ';'

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml
%{perl_vendorlib}/*
%doc %{_mandir}/man3/*

%changelog
* Sat Mar 10 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.02-1
- initial build for Vine Linux
