Name:           perl-Net-Frame-Simple
Summary:        Net-Frame-Simple - frame crafting made easy
Version:        1.05
Release:        1%{?_dist_release}
License:        Artistic or GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Frame/

Source:         http://search.cpan.org/CPAN/authors/id/G/GO/GOMOR/Net-Frame-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Class::Gomor)
BuildRequires:  perl(Class::Gomor::Array)
BuildRequires:  perl(Net::Frame)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
the base framework for frame crafting.

%prep
%setup -q -n Net-Frame-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

### Clean up docs
find examples/ -type f -exec %{__chmod} a-x {} \;

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes LICENSE LICENSE.Artistic MANIFEST META.yml README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Mar 13 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.05-1
- initial build for Vine Linux
