%define real_name Net-Write

Summary:        Portable interface to open and send raw data to network
Name:           perl-%{real_name}
Version:        1.05
Release:        1%{?_dist_release}
License:        Artistic or GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Write/
Source:         http://www.cpan.org/modules/by-module/Net/Net-Write-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Class::Gomor)
BuildRequires:  perl(Socket6)
BuildRequires:  perl(Net::Pcap) >= 0.12
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
A portable interface to open and send raw data to network.

%prep
%setup -q -n %{real_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

find examples/ -type f -exec %{__chmod} a-x {} \;

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc Changes LICENSE LICENSE.Artistic MANIFEST META.yml README examples/
%{perl_vendorlib}*
%{_mandir}/man3/*

%changelog
* Sun Mar 11 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.05-1
- initial build for Vine Linux
