%define name	perl-Pod-ToDemo
%define version	1.01
%define release	2%{?_dist_release}

Summary:	Pod::ToDemo - writes a demo program from a tutorial POD
Summary(ja): 	Pod::ToDemo - チュートリアル POD からデモプログラムを記述
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/Pod-ToDemo-%{version}.tar.gz
License:	Artistic and GPL
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Pod-ToDemo/

Requires:	perl
BuildRequires:	perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

%description
Pod::ToDemo allows you to write POD-only modules that serve as
tutorials which can write out demo programs if you invoke them
directly.

%description -l ja
Pod::ToDemoによりチュートリアルとして提供される POD のみの
モジュールを記述できます。このチュートリアルを直接呼び出すことで、
デモプログラムを書き出すことが可能になります。


%prep

%setup -q -n Pod-ToDemo-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# Remove unnecessary files.
%{__rm} -rf ${RPM_BUILD_ROOT}/%{perl_vendorarch}/auto/Pod/ToDemo/.packlist
%{__rm} -rf ${RPM_BUILD_ROOT}/%{perl_archlib}/perllocal.pod

%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes MANIFEST MANIFEST.SKIP README SIGNATURE
%{perl_vendorlib}/Pod/ToDemo.pm
%{_mandir}/man3//Pod::ToDemo.3pm*


%changelog
* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.01-2
- build with perl-5.12.3

* Wed Sep 03 2008 Shu KONNO <owa@bg.wakwak.com> 1.01-1vl5
- applied new versioning policy, spec in utf-8
- built with perl-5.10.0

* Wed Mar 21 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.01-0vl1
- initial build for Vine Linux
