%define real_name SVG

Summary: Perl extension for generating Scalable Vector Graphics (SVG) documents
Name: perl-SVG
Version: 2.50
Release: 1%{?_dist_release}
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/dist/SVG/

Source: http://www.cpan.org/modules/by-module/SVG/SVG-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503

Vendor: Project Vine
Distribution: Vine Linux

%description
Perl extension for generating Scalable Vector Graphics (SVG) documents.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
	PREFIX="%{buildroot}%{_prefix}" \
	INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot (noarch)
%{__rm} -rf %{buildroot}%{perl_archlib} \
		%{buildroot}%{perl_vendorarch}

### Clean up buildroot (arch)
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%check
make test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST README examples/
%doc %{_mandir}/man?/*
%{perl_vendorlib}/*

%changelog
* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 2.50-1
- new upstream release
- add Vendor and Distribution tags

* Fri Jul 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.33-1
- rebuild
- applied new versioning policy

* Sun Sep 24 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.33-0vl1
- initial build for Vine Linux

* Sat Nov  5 2005 Dries Verachtert <dries@ulyssis.org> - 2.33-1 - 3685/dries
- Updated to release 2.33.

* Tue Apr 13 2004 Dag Wieers <dag@wieers.com> - 2.28-1
- Initial package. (using DAR)
