Summary: Time-Object module for perl 
Name: perl-Time-Object
Version: 1.00
Release: 0vl1
Copyright: distributable
Group: Development/Languages
Source0: http://www.cpan.org/authors/id/M/MS/MSERGEANT/Time-Object-%{version}.tar.gz
Url: http://search.cpan.org/search?dist=Time-Object
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.004
Requires: perl >= 5.004

%description
Time-Object module for perl

%prep
%setup -q -n Time-Object-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v ^%{_mandir} | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{name}.files
%defattr(-,root,root)
%doc README
%dir %{perl_sitearch}/Time
%dir %{perl_sitearch}/auto/Time
%dir %{perl_sitearch}/auto/Time/Object
%{_mandir}/*/*

%changelog
* Mon Apr 15 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.00-0vl1
- first build for Vine Linux

