%define pkgname Video-Capture-V4l

Summary:	A perl module for the Video4linux framegrabber interface.
Name:		perl-%{pkgname}
Version:	0.901
Release:	1%{?_dist_release}
Group:		Development/Libraries
License:	distributable
URL:		http://search.cpan.org/dist/Video-Capture-V4l
Source0:	%{pkgname}-%{version}.tar.gz
Patch0:		perl-Video-Capture-V4l-0.901-buildfix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	perl-Video-Frequencies

%description
Video::Capture::V4l is a perl interface to the Video4linux framegrabber
interface.

%prep
%setup -q -n %{pkgname}-%{version} 
%patch -p1 -b .buildfix

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
make install

# remove old Vine::Frequencies module.
find $RPM_BUILD_ROOT%{_prefix} -name "*Frequencies*" -exec rm -f {} \;

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{pkgname}-%{version}-filelist
if [ "$(cat %{pkgname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{pkgname}-%{version}-filelist
%defattr(-,root,root)
%doc README MANIFEST

%changelog
* Tue Jan 06 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.901-1
- apply new versioning policy 
- rebuild with perl v5.10.0

* Wed May 16 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.901-0vl1
- new upstream release

* Sun Oct 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.224-0vl1
- initial build for Vine Linux

