Name:        pfaedit
Version:     020715
Release:     1%{?_dist_release}
Summary:     A PostScript font editor
License:     BSD Type
Group:       Applications/Publishing
Icon:        fficon.gif
Source0:     http://pfaedit.sourceforge.net/pfaedit_full-%{version}.tgz
Url:         http://pfaedit.sourceforge.net/
Vendor:      Project Vine
Distribution: Vine Linux
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildPreReq: libjpeg-devel, libtiff-devel, libpng-devel, libungif-devel, freetype2-devel

%description
PfaEdit allows you to edit outline and bitmap fonts.  You can create
new ones or modify old ones.  It is also a font format converter and
can convert among PostScript (ASCII & binary Type 1, some Type 3s,
some Type 0s), TrueType, OpenType (Type2) and CID-keyed fonts.

%prep
%setup -T -b 0 -n pfaedit

%build
%configure
## don't use smp_mflags
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/pfaedit
%{_datadir}/pfaedit/
%{_mandir}/man1/pfaedit.1*
%doc LICENSE README

%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 020715-1vl5
- applied new versioning policy, spec in utf-8

* Fri Dec 28 2007 Shu KONNO <owa@bg.wakwak.com> 020715-0vl2
- s/Copyright/License/

* Fri Jul 19 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/07/15.

* Fri Apr 19 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/04/16.

* Sun Mar 3 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/03/02.

* Mon Feb 18 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/16.

* Sat Feb 16 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/14.

* Thu Feb 14 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/12.

* Mon Feb 10 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Updated to 2002/02/09.

* Sat Feb 9 2002 Ryoichi Ichiyama <ir@bellbind.net>
- Change SPEC file to VineLinux Style
- Updated to 2002/02/05.

* Fri Nov  2 2001 George Williams <gww@silcom.com>
- went from three source packages down to just one which includes the others

* Thu May 10 2001 George Williams <gww@silcom.com>
- My first attempt at rpm, updated to 10 May sources

* Tue May 01 2001 Scott Pakin <pakin@uiuc.edu>
- Removed (unused) dynamic library files

* Sun Apr 29 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 220401 to 280401.

* Tue Apr 24 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 190401 to 220401.

* Fri Apr 20 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 020401 to 190401.

* Tue Apr 10 2001 Scott Pakin <pakin@uiuc.edu>
- Upgraded from 210301 to 020401.

* Thu Mar 22 2001 Scott Pakin <pakin@uiuc.edu>
- Initial release
