Summary: ClearSilver extension for PHP
Summary(ja): PHP用ClearSilverモジュール
Name: php-ext-clearsilver
Version: 0.4
Release: 3%{_dist_release}
URL: http://www.geodata.soton.ac.uk/software/php_clearsilver/
Source: php-clearsilver-%{version}.tar.gz
License: The PHP License
Group: Development/Languages
BuildRequires: clearsilver, php5-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Provides: php5-ext-clearsilver
Requires: %{req_php_api}

%description
This module adds ClearSilver functions to PHP.

%description -l ja
このモジュールはPHPにClearSilverテンプレート機能を追加します。

%prep
%setup -q -n php-clearsilver-%{version}
##perl -pi -e 's/refcount/refcount__gc/s' clearsilver.c

%build
aclocal
autoconf
phpize
libtoolize --copy --force
%configure
%__make %{_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/php5/
mkdir -p %{buildroot}%{_sysconfdir}/php5/php.d

install -m644 modules/clearsilver.so %{buildroot}%{_libdir}/php5/

cat > %{buildroot}%{_sysconfdir}/php5/php.d/clearsilver.ini <<EOF
; Enable clearsilver extension module
extension=clearsilver.so
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS INSTALL LICENSE README doc
%{_libdir}/php5/*
%{_sysconfdir}/php5/php.d/*

%changelog
* Sun Apr 29 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4-3
- converted encoding to UTF-8.

* Sat Apr 28 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4-2
- added an API version macro to "Requires:".

* Sat Dec 12 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4-1
- new upstream release.
 
* Fri Jul 10 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.1-2
- fixed for php-5.3.0.

* Mon Apr 28 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 0.1-1
- initial build.

