Summary: unit testing framework for PHP
Summary(ja): PHP のためのユニットテスティングフレームワーク
Name: phpunit
Version: 0.4
Release: 1%{?_dist_release}
URL: http://phpunit.sourceforge.net/
Source0: http://telia.dl.sourceforge.net/sourceforge/phpunit/%{name}-%{version}.tgz
License: MIT License
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: php


%description
Provide a testing framework for PHP, similar to JUnit for Java.

%description -l ja
Java の JUnit のような PHP のためのテスティングフレームワークを提供します。 


%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_datadir}/php
install -m 0644 phpunit.php %{buildroot}%{_datadir}/php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog phpunit_test.php stylesheet.css
%{_datadir}/php/phpunit.php

%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.4-1vl5
- applied new versioning policy, spec in utf-8

* Sun Aug 18 2002 IWAI Masaharu <iwai@alib.jp>
- first build for Vine Linux

