%define _prefix		/usr
%define texmf		%{_prefix}/share/texmf
%define texmfconf	%{texmf}/web2c/texmf.cnf
%define mode		epsonact
%define fontdir		%{_prefix}/share/fonts/pk

%define exec_texhash	[ -x %{_prefix}/bin/texhash ] && /usr/bin/env - %{_prefix}/bin/texhash 2> /dev/null
%define part_delete	if [ -e $CONF ]; then cp -f $CONF $CONF.rpmtmp && sed -e '/^. begin %{name} /,/^. end %{name} /d' < $CONF.rpmtmp > $CONF && rm -f $CONF.rpmtmp; fi

Summary: 300 dpi TeX pk fonts
Name: pk300
Version: 1
Release: 5%{?_dist_release}
License: distributable
Group: Applications/Publishing
Source0: http://www.tooyoo.l.u-tokyo.ac.jp/TeX/utility/makefont.tar.gz
Source1: makefonts-pje.tar.gz
BuildArch: noarch
PreReq: sed sh-utils
#Requires: tetex-xdvi
Requires: xdvik
BuildPreReq: tetex
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
300 dpi PK fonts for TeX. Only for xdvi.

%description -l ja
TeX で利用する pk font (300dpi)です。xdvi でのみ用います。

%prep
%setup -q -c -T -a 0 -a 1
cp latex2e.medium.sh latex2e.sh
cp ams.small.sh ams.sh

%build
make MODE=%{mode} latex2e
make MODE=%{mode} slitex
make MODE=%{mode} ams

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{fontdir}/%{mode}
make PKDIR=$RPM_BUILD_ROOT%{fontdir}/%{mode} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0


%files
%defattr(-, root, root)
%{fontdir}/%{mode}

%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 1-5vl5
- applied new versioning policy, spec in utf-8

* Tue Jun 25 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1-4vl3
- remove trigger/triggerun (PKFONTS.xdvi already exists in texmf.cnf)

* Thu Aug 16 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 1-4vl2
- Requires: tetex-xdvi -> xdvik again

* Fri Jul 20 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- pk300-1-4vl1 derived from Mr. Tutimura's 0test5.

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- Change Group.
- add defattr(-, root, root)

* Thu Dec 3 1998 Jun NISHII <nishii@postman.riken.go.jp>
- Mmm... more slim!

* Thu Nov 26 1998 Jun NISHII <nishii@postman.riken.go.jp>
- more fonts!

* Thu Nov 05 1998 Jun NISHII <nishii@postman.riken.go.jp>
- first release
