%define _lib lib

Summary: Plum - proxy irc deamon
Summary(ja): Plum - IRC 用中継/クライアントプログラム
Name: plum
Version: 2.33.2
Release: 2%{?_dist_release}
License: GPL
Group: Applications/System
Source: http://downloads.sourceforge.jp/plum/1482/%{name}-%{version}.tar.gz
Url: http://sourceforge.jp/projects/plum/
Patch: %{name}-2.33.1-debian.diff.gz
Patch1: %{name}-debian.patch
Patch2: plum-2.33.2-rfc2822.patch
Requires: perl
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Autoreqprov: no
BuildArchitectures: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>


%description
plum


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup
%patch -p1
%patch1 -p0
%patch2 -p1

%build


%install

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/plum

install -m 755 plum ${RPM_BUILD_ROOT}%{_bindir}/plum
cp -af module ${RPM_BUILD_ROOT}%{_libdir}/plum
cp -af support ${RPM_BUILD_ROOT}%{_libdir}/plum


%files
%defattr(-,root,root)
%doc doc/* *.conf
%{_bindir}/plum
%dir %{_libdir}/plum
%{_libdir}/plum/*


%changelog
* Wed Mar 18 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.33.2-2
- moved files from /usr/lib64 to /usr/lib. (for x86_64)

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 2.33.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Apr  7 2003 IWAI Masaharu <iwai@alib.jp> 2.33.2-0vl2
- add plum-2.33.2-rfc2822.patch (Patch2)
   - from http://sourceforge.jp/tracker/index.php?func=detail&aid=807&group_id=291&atid=1181

* Mon Nov  4 2002 IWAI Masaharu <iwai@alib.jp> 2.33.2-0vl1
- new upstream release
- add URL tag
- use rpmmacros
- add example configuration files in %%doc
- rename Patch0 in Spec file

* Wed May 09 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.33.1-0vl2
- increased release tag to avoid conflicting %{arch} & noarch rpm
  (both 2.33.1-0vl1.{i386,noarch}.rpm still exists on the tree)
