Summary: PostScript projector (not PowerPoint :-)
Name: ppt
Version: 0.0.0
Release: 1%{?_dist_release}
URL: http://www.blue.sky.or.jp/
Source0: http://www.blue.sky.or.jp/.tmp/%{name}.tar.gz
Source1: ppt-LICENSE
License: distributable
Group: Applications/Publishing
Vendor: Project Vine
Distribution: Vine Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ghostscript
BuildRequires: XOrg-devel
Patch0: ppt-0.0.0-next-page.patch
Patch1: ppt-0.0.0-previous-page.patch

%description
PostScript projector (not PowerPoint :-)

%prep
%setup -q -n %{name}
cp -a %{SOURCE1} ./LICENSE
%patch0 -p0 -b .next
%patch1 -p0 -b .previous

%build
make CFLAGS="$RPM_OPT_FLAGS" LIBS='-I/usr/include -L%{_libdir} -lX11'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
install -m0755 ppt %{buildroot}%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/ppt

%changelog
* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 0.0.0-1vl5
- applied new versioning policy

* Fri Dec 28 2007 Shu KONNO <owa@bg.wakwak.com> 0.0.0-0vl4
- updated lib to %{_lib} in make options

* Sat Jun  4 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.0-0vl3
- rebuild with new toolchain
- changed Group to Applications/Publishing
- changed BuildRequires to XOrg-devel

* Fri May  2 2003 IWAI Masaharu <iwai@alib.jp> 0.0.0-0vl2
- rebuild with new toolchain

* Sun Oct 20 2002 IWAI Masaharu <iwai@alib.jp> 0.0.0-0vl1
- first build for Vine Linux
- add Requires: ghostscript
- add BuildRequires: XFree86-devel

* Sun Oct 20 2002 IWAI Masaharu <iwai@alib.jp> 0.0.0-2
- add LICENSE file from [lilo:18219]
- add next page patch(Patch0) from [lilo:18350]
- add previous page patch(Patch1)[lilo:18515]

* Sun Oct 20 2002 IWAI Masaharu <iwai@alib.jp> 0.0.0-1
- Initial build.

