%define name prime-dict
%define version	1.0.0
%define release	1%{?_dist_release}

Summary:	Dictionaries for PRIME
Summary(ja):	PRIME の辞書
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://sourceforge.jp/projects/prime/
License:	GPL
Group:		Applications/Text
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Dictionaries for PRIME.

%description -l ja
PRIME の辞書パッケージです．

%prep
%setup -q

%build
# fix build:
#% define __libtoolize /bin/true

%configure --with-rubydir=%{rlibdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=${RPM_BUILD_ROOT} sitelibdir=%{rlibdir}

%clean
rm -rf $RPM_BUILD_ROOT


%check
%{__make} check


%files
%defattr(-,root,root)
%doc ChangeLog COPYING 
%{rlibdir}/*
%{_datadir}/prime/*


%changelog
* Sat Nov 01 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1
- initial build for VineSeed

* Sat Mar 29 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1vl5
- initial build for VineSeed

### end of file
