%{!?python_sitearch:    %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define ver 0.6
%define rel 3

Summary: Python toolkit for generation of output for the web
Name: python-genshi
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: http://ftp.edgewall.com/pub/genshi/Genshi-%{version}.tar.gz
License: modified BSD-style License
Group: Development/Libraries
URL: http://genshi.edgewall.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: python-babel >= 0.8 python-setuptools >= 0.6a2
BuildRequires: python-devel
BuildRequires: python-babel >= 0.8 python-setuptools >= 0.6a2
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux


%description
Genshi is a Python library that provides an integrated set of components for parsing, generating, and processing HTML, XML or other textual content for output generation on the web. 

%prep
%setup -q -n Genshi-%{version}

%build
python setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
python setup.py install --root=${RPM_BUILD_ROOT} 


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog README.txt doc examples
##%{python_sitearch}/Genshi-*.egg-info
##%{python_sitearch}/genshi
%{python_sitelib}/Genshi-*.egg-info
%{python_sitelib}/genshi


%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6-3
- rebuild with python-2.7.2

* Wed Apr 13 2011 Shu KONNO <owa@bg.wakwak.com> 0.6-2
- fixed python path
- added BuildArch: noarch

* Sun Apr 10 2011 IWAI, Masaharu <iwai@alib.jp> 0.6-1
- new upstream release
- add BuildRequires: python-devel

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.5.1-2
- rebuild with python-2.6

* Sun Apr  5 2009 IWAI, Masaharu <iwai@alib.jp> 0.5.1-1
- initial release

