Name:          queequeg
Version:       0.91
Release:       1%{?_dist_release}
Summary:       English grammar checker
Summary(ja):   英文法チェッカ
License:       GNU General Public License
Group:         Applications/Text
Url:           http://queequeg.sourceforge.net/
Source:        %{name}-%{version}.tar.gz
Vendor:        Project Vine
Distribution:  Vine Linux
Packager:      Susumu Tanimura <stanimura-ngs@umin.ac.jp>
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: python python-cdb wordnet
Requires:      python python-cdb        
BuildArch:     noarch

%description
English grammar checher for non-native speacker.
%description -l ja
Queequeg は英語ネイティブでない人のための簡単な英文法チェッカです (英
文スペルチェッカではありません)。おもに動詞の語形変化における数の一致 
(3単元の s) を検査します。英語で学術論文やビジネス文書などのフォーマ
ルな文章を書く場合、これらの初歩的な文法ミスは可能なかぎりなくしたい
ものですが、英語に慣れていない日本人にとってこれらをチェックするのは
骨の折れる仕事です。Queequeg はこのチェックをできるかぎり自動的に行う
ことによって、文書作成にかける総合的な時間を短縮することを目的として
います。 Queequeg は UN*X 上で動作します。ちなみに「Queequeg」という
名前はメルヴィルの代表作「白鯨 (Moby-Dick)」に出てくる登場人物に由来
しています。

%prep
%setup -q

%build
%{__make} dict WORDNETDICT=/usr/share/wordnet

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 644 *.py dict.cdb %{buildroot}%{_datadir}/%{name}
%{__install} -m 755 qq %{buildroot}%{_datadir}/%{name}
/bin/ln -s %{_datadir}/%{name}/qq  %{buildroot}%{_bindir}/qq

# (cd  %{buildroot} && /bin/ln -fs %{_datadir}/%{name}/qq %{_bindir}/qq)
# /bin/ln -s %{_datadir}/%{name}/qq %{_bindir}/qq

# %post
# /bin/ln -s %{_datadir}/%{name}/qq %{_bindir}/qq
# 
# %postun
# /bin/rm %{_bindir}/qq

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING TODO 
%doc htdocs/*
%{_datadir}/%{name}/*
%{_bindir}/*

%changelog
* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 0.91-1vl5
- applied new versioning policy, spec in utf-8

* Tue Aug 15 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- Rebuilt for VineSeed (4.0)
- BuildArch: noarch
- Changed Group to Applications/Text

* Wed Sep 29 2004  <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.0

