Summary:	Command line tool for parsing Adobe Flash media stream URLs
Summary(ja):	AdobeFlash メディアストリーム URL を解析するためのコマンドラインツール
Name:		quvi
Version:	0.4.2
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.xz
License:	LGPLv2.1+
Group:		Applications/Internet 
URL:		http://quvi.sourceforge.net/ 

BuildRequires:	gzip
BuildRequires:	curl-devel
BuildRequires:	libquvi-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libquvi is a small C library that can be used to parse Flash media stream URLs.
It originates from the idea of working around the Flash requirement found on many
media hosting websites (e.g. YouTube).


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

gzip $RPM_BUILD_ROOT%{_mandir}/man1/quvi.1


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/quvi
%{_mandir}/man1/quvi.1.gz


%changelog
* Wed Apr 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.2-1
- new upstream release
- add BuildRequires: libquvi-devel
- remove devel sub package

* Fri Aug 12 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.19-1
- initial build for Vine Linux

