Name:           raw-thumbnailer
Version:        0.99.1
Release:        1%{?_dist_release}
Summary:        Nautilus file manager thumbnailer for RAW images

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://libopenraw.freedesktop.org/wiki/RawThumbnailer
Source0:        http://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

BuildRequires:  libgsf-devel
BuildRequires:  libopenraw-gnome-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gtk2-devel

%description
RawThumbnailer is a thumbnailer for RAW files that works with Nautilus.

%prep
%setup -q


%build
%configure --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :

%preun
if [ "$1" -eq 0 ] ; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule \
%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root,-)
%{_bindir}/raw-thumbnailer
%{_datadir}/mime/packages/*.xml
%doc AUTHORS COPYING NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 22 2010 Victor Bogado <victor@bogado.net> - 0.99.1-5
- License tag
- gconf schemas don't recieve the "config" macro.

* Mon Feb 08 2010 Victor Bogado <victor@bogado.net> - 0.99.1-4
- More adjustments, fine tunnings, sugjested by ELMORABITY Mohamed in (https://bugzilla.redhat.com/show_bug.cgi?id=533887#c6).

* Wed Dec 30 2009 Victor Bogado <victor@bogado.net> - 0.99.1-3
- Fixed problems pointed out by ELMORABITY Mohamed in (https://bugzilla.redhat.com/show_bug.cgi?id=533887#c2).

* Mon Nov 09 2009 Victor Bogado <victor@bogado.net> - 0.99.1-2
- Compleated some missing some build requires.

* Mon Nov 09 2009 Victor Bogado <victor@bogado.net> - 0.99.1-1
- Initial spec file
