Name:               recode
Version:            3.6
Release:            1%{?_dist_release}
Summary:            Converter between charsets and surfaces
Group:              Applications/Text
License:            GPL, LGPL
Source:             ftp://ftp.gnu.org/pub/gnu/recode/%{name}-%{version}.tar.gz
Patch0:             recode.patch 
URL:                http://recode.progiciels-bpi.ca/
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Vendor:             Project Vine
Distribution:       Vine Linux
Packager:           Susumu Tanimura <stanimura-ngs@umin.ac.jp>


%description
The recode library converts files between character sets and usages.
It recognises or produces more than 300 different character sets
and transliterates files between almost any pair.  When exact
transliteration are not possible, it gets rid of offending characters
or fall back on approximations.  The recode program is a handy
front-end to the library.

%prep
%setup -q
%patch0 -p1

%build
%configure
make

%install
%makeinstall 

## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post

%files
%defattr(-,root,root)
%doc README ABOUT-NLS AUTHORS COPYING 
%{_bindir}/%{name}
%{_includedir}/*
%{_infodir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/LC_MESSAGES/recode.mo

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 3.6-1vl5
- applied new versioning policy
- removed *.la

* Sun Dec  9 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.6-0vl3
- rebuilt for VineSeed

* Sat Dec  2 2006 Susumu Tanimura  <stanimura-ngs@umin.ac.jp>
- Rebuilt for VineLinux4.0

* Thu Jan 27 2005 Susumu Tanimura  <stanimura-ngs@umin.ac.jp>
- initial package for VineLinux 3.1
