Summary: Yet Another Reversi
Summary(ja): 更にもう一つのリバーシ
Name: reverzi
Version: 1.0
Release: 2%{?_dist_release}
Source0: %{name}-%{version}.tgz
Source1: %{name}.desktop
Source2: %{name}.png

License: GPL
Group: Applications/Games
URL: http://sourceforge.net/projects/reverzi/

BuildRequires: SDL-devel SDL_image-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Reverzi starts in 'menu' mode, where you can select the type of both players
by clicking on the face icons at the bottom of the screen. Available types are:
Human   - waits for your input
Toaster - weak AI that responds immediately. Shouldn't be able to beat you.
Emil    - basic AI. Reasonable strength and speed.
Cyborg  - stronger AI. Slow but should be a bit harder to beat.

%description -l ja
いわゆるリバーシゲーム。
人間vs人間の対戦以外に、強さが異なる3種類の対戦相手を選択できます。

%prep
%setup -q -n %{name}


%build
echo make start
make PREFIX=%{_prefix} PREFIXBINARY=%{_bindir}
echo make end

%install
rm -rf $RPM_BUILD_ROOT

# bin install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -s -p %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}

# img install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/img
install -p img/* $RPM_BUILD_ROOT/%{_datadir}/%{name}/img/

# add desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# add desktop icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/reverzi

%changelog
* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.0-2vl5
- applied new versioning policy, spec in utf-8

* Thu Aug 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-1vl3
- rebuilt with new toolchain

* Wed Aug  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-1vl2
- changed Group to Applications/Games

* Wed Feb 9 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> 1.0-1vl1
- initial build for Vine Linux
- add icon and desktop
