Summary: Creates chroot environments for Fedora and CentOS
Summary(ja): Fedora や CentOS 等の chroot 環境を構築するツール
Name: rinse
Version: 1.9.1
Release: 1%{?_dist_release}
License: Perl
Group: Development/Tools
URL: http://xen-tools.org/software/rinse/

Source: %{name}-%{version}.tar.gz
Source1: %{name}-1.9.1-new-distro.tar.bz2
Patch1: rinse-1.9.1-rinseconf.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch


%description
The rinse tool was born out of a frustration with the currently available 
solutions for installing minimal copies of RPM-based distributions.
The need to perform simple chroot() installations of other distributions is 
not common, but the ability to do such a thing is very useful when it comes 
to testing new tools, and working towards the creation of new Xen guests.


%prep
%setup -q -a 1
%patch1 -p1

%build
%__make

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc BUGS INSTALL README
%{_sysconfdir}/bash_completion.d/*
%dir %{_sysconfdir}/rinse
%{_sysconfdir}/rinse/*
%{_sbindir}/*
%dir %{_prefix}/lib/rinse
%{_prefix}/lib/rinse/*
%{_var}/cache/rinse
%{_mandir}/man8/*

%changelog
* Tue Dec 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.9.1-1
- update to 1.9.1
- update rinse.conf, add source1 to support newer distro
- change buildarch to noarch

* Wed Feb 23 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7-2
- update from git master (http://gitorious.org/rinse)
- modify rinse.conf to update mirror urls
  - use ftp.jaist.ac.jp for centos and newer fedora

* Tue Feb 22 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7-1
- initial build for Vine Linux

