;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 23 用 Vine Linux rpm-spec-mode 設定
;;    IWAI, Masaharu <iwai@alib.jp>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; rpm-spec-mode の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; ad-hoc: defined rpm-spec-*
(if
    (> (length user-mail-address) 1)
    (setq rpm-spec-user-mail-address user-mail-address))
(if
    (> (length user-full-name) 1)
    (setq rpm-spec-user-full-name user-full-name))

;; autoload
(autoload 'rpm-spec-mode "rpm-spec-mode" "RPM spec mode." t)
(setq auto-mode-alist (append '(("\\.spec" . rpm-spec-mode))
			      auto-mode-alist))

(provide 'vine-default-rpm-spec-mode)

;; Local Variables:
;; mode: emacs-lisp
;; End:
