Summary: Keeps one or more Red Hat Linux systems current on updates
Name: rpm-utils
Version: 1.5
Release: 3%{?_dist_release}
License: GPL
Group: Applications/System
Source: ftp.kaybee.org:/pub/linux/rpm-utils-1.5.tar.gz
Patch: rpm-utils-1.5.vine.patch
Requires: bash,fileutils,sh-utils,grep,rpm,textutils,cpio
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Summary(ja): rpm パッケージを最新に保つためのスクリプト集

Vendor: Project Vine
Distribution: Vine Linux

%description
There are 8 scripts for use with RPM files for comparing them with
files already on your system.  It will also do directories.  There
is also a script to extract a single file from an RPM.  Finally, there
is a script that looks for files not owned by any package.

%description -l ja
rpmパッケージを、すでにシステムにインストールされている rpm と比較し
ながら操作するスクリプト集です。個々の使い方は各ファイルのヘッダを見
てください。

  rpm-checkfile   : 指定したrpmパッケージがインストールされているか
                    調べる
  rpm-checkdir    : 指定したディレクトリ以下のrpmパッケージがインス
                    トールされているか調べる
  rpm-del-preserve: ファイルを消さずにrpmパッケージの登録を消す
  rpm-findnorpm   : rpmパッケージに属さないファイルを表示
  rpm-get         : rpm パッケージから特定ファイルを抽出
  rpm-groups      : 特定グループに属するrpmパッケージ一覧(インスト
                    ールされているもの)
  rpm-rhupd       : アップデートする redhat パッケージをネットワー
                    ク上から入手
  rpm-updatedir   : 指定したディレクトリ以下のrpmパッケージのうち、
                    インストールされてないものや、新しいものを
                    みつけ、インストール/アップデートする
%prep

%setup
%patch -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 rpm-checkdir rpm-checkfile rpm-updatedir rpm-get rpm-findnonrpm rpm-groups rpm-del-preserve rpm-rhupd $RPM_BUILD_ROOT/usr/bin

%post

%files
%defattr(-,root,root)
%doc README rpm-get-orig
/usr/bin/rpm-checkfile
/usr/bin/rpm-checkdir
/usr/bin/rpm-updatedir
/usr/bin/rpm-get
/usr/bin/rpm-findnonrpm
/usr/bin/rpm-groups
/usr/bin/rpm-del-preserve
/usr/bin/rpm-rhupd

%changelog 
* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.5-3vl5
- applied new versioning policy, spec in utf-8

* Mon Mar 12 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.5-2vl2
- add Requires: cpio

* Thu Aug 17 2000 Jun Nishii <jun@vinelinux.org>
- 1.5-2vl1
- modify rpm-updatedir

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- 1.5-2
- added Japanese Summary and Description
- added %defattr
- change group

