Summary:	A Text Progress Bar Library for Ruby
Summary(ja):	Ruby のためのテキストプログレスバーライブラリ
Name:		ruby-progressbar
Version:	0.9
Release:	1%{?_dist_release}
Group:		Development/Libraries
License:	GPL
URL:		http://namazu.org/~satoru/ruby-progressbar/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	ruby
BuildRequires:	ruby
BuildArch:	noarch

%description
A Text Progress Bar Library for Ruby.

%description -l ja
Ruby のためのテキストプログレスバーライブラリ．

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{rlibdir}
install -m 644 progressbar.rb ${RPM_BUILD_ROOT}%{rlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%check
ruby test.rb

%files
%defattr(-,root,root)
%doc ChangeLog progressbar.en.rd progressbar.ja.rd test.rb
%{rlibdir}/progressbar.rb



%changelog
* Sat Nov 01 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9-1
- initial build for VineSeed

* Mon Mar 24 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9-1vl5
- initial build for VineSeed

### end of file
