%define version       0.9

Summary: Ruby Internet relay Chat Agents (based on RFC1459)
Name: ruby-rica
Version: %{version}
Release: 0vl1
#License: Artistic
Copyright: Artistic
Group: Development/Libraries
Source0: http://www.koka-in.org/~zophos/lib/rica/rica-%{version}.tar.bz2 
URL: http://www.koka-in.org/~zophos/SideA/lsnt/rica.html
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ruby >= 1.6
Prefix: /usr
%define rubylibdir %{_libdir}/ruby/1.6
Vendor: Project Vine
Distribution: Vine Linux

%description
Rica is RFC1459 matched irc clients class library for Ruby 1.6.x.

%prep
rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}

%setup -q -n rica
mkdir samples
mv erica.rb samples
mv erica.txt samples
mv ricaco.rb samples

%install
mkdir -p ${RPM_BUILD_ROOT}%{rubylibdir}
install -m 644 rica.rb ${RPM_BUILD_ROOT}%{rubylibdir}
install -m 644 logholder.rb ${RPM_BUILD_ROOT}%{rubylibdir}
install -m 644 ctcpresponder.rb ${RPM_BUILD_ROOT}%{rubylibdir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README classes_and_methods.txt event.lst
%doc rica-omt.png rica_classes.png samples
%{rubylibdir}/rica.rb
%{rubylibdir}/logholder.rb
%{rubylibdir}/ctcpresponder.rb

%changelog
* Mon Oct  1 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.9-0vl1
- first release for Vine Linux

* Sat Sep 29 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.9-1
- first release
