#%%define rlibdir ruby -r rbconfig -e 'print Config::CONFIG["rubylibdir"]'

Summary: a Romaji <-> Kana conversion library for Ruby
Name: ruby-romkan
Version: 0.4
Release: 2%{?_dist_release}
License: Ruby's
Group: Development/Libraries
Source0: http://0xcc.net/ruby-romkan/ruby-romkan-%{version}.tar.gz
URL: http://0xcc.net/ruby-romkan/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libruby >= 1.8.0
BuildRequires: ruby >= 1.8.0, rpm >=  3.0.6-0vl16

Vendor: Project Vine
Distribution: Vine Linux

%description
Ruby/Romkan is a Romaji <-> Kana conversion library for
Ruby. It can convert a Japanese Romaji string to a Japanese
Kana string or vice versa.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{rlibdir}
install -m 644 romkan.rb $RPM_BUILD_ROOT%{rlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog romkan.en.rd romkan.ja.rd test.rb test.sh
%{rlibdir}/romkan.rb

%changelog
* Sun May  1 2011 IWAI, Masaharu <iwai@alib.jp> 0.4-2
- add Vendor and Distribution tags

* Tue Sep 16 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4-1
- applied new versioning policy
- updated Source0 URL, URL:

* Wed Oct 08 2003 akira yamada <akira@vinelinux.org> 0.4-0vl3
- rebuild with ruby-1.8.0
- Requires: libruby >= 1.8.0
- BuildRequires: ruby >= 1.8.0
- removed Prefix:.  this package is not relocatable.

* Fri Mar 21 2003 IWAI Masaharu <iwai@alib.jp> 0.4-0vl2
- rebuild

* Sat Feb 16 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.4-0vl1
- upstream release

* Wed Feb  6 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.3-0vl2
- moved the directory installed the ruby library
    - sitelibdir -> rubylibdir
- changed  rpm version in BuildRequires: 3.0.6-0vl19 -> rpm-3.0.6-0vl16

* Wed Jan  2 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.3-0vl1
- upstream release
- first release for Vine Linux

* Fri Sep  7 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.3-1
- first release
