%define rname sary
%define name ruby-%{rname}
%define version 1.2.0
%define release 1%{?_dist_release}

Summary: Ruby Binding of Sary
Summary(ja): Sary の Ruby バインディング
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://prime.sourceforge.jp/src/
Source0: %{rname}-ruby-%{version}.tar.bz2
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ruby
Requires: sary
BuildRequires: ruby-devel
BuildRequires: sary-devel

%description
Ruby Binding of Sary

%description -l ja
Sary の Ruby バインディング

%prep
%setup -q -n %{rname}-ruby-%{version}

%build
%ruby extconf.rb
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sitearchdir=${RPM_BUILD_ROOT}%rarchdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README.en.rd README.ja.rd
%doc Reference.en.rd Reference.ja.rd
%{rarchdir}/%{rname}.so


%changelog
* Sat Nov 01 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.0-1
- initial build for VineSeed

* Mon Mar 24 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.2.0-1vl5
- initial build for VineSeed

### end of file
