%define version  0.9.6
%define release  1%{?_dist_release}

Summary:	SagCAD is CAD/CAM of 2D.
Summary(ja):	SagCAD - 2次元 CAD/CAM ソフトウエア
Name:		sagcad
Version:	%{version}
Release:	%{release}
URL:		http://sagcad.sourceforge.jp/index.html
Group:		Applications/Graphics
License:	GPL2
Source:		sagcad-%{version}.tar.gz
Source10:	sagcad.desktop
Patch10:	sagcad-0.9.6-gnome-open.patch

Requires:	glib >= 1.2, gtk+ >= 1.2
BuildRequires:	gtk+-devel >= 1.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SagCAD is a CAD/CAM of 2D. 
Designed for the X Window System, it uses the GTK+ 1.2 libraries. 

%description -l ja
SagCAD は 2 次元の CAD/CAM です。 
GTK+ 1.2 ライブラリを使い、X Window 上で動作します。

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch10 -p0 -b .mozilla

%build
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix}
fi
%configure
%{__make}

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cp -f %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/applications/

%clean
[ -n $RPM_BUILD_ROOT -a "SRPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS* COPYING* README* TODO*
%doc %{_datadir}/sagcad/doc/*
%attr(755,root,root) %{_datadir}/sagcad/tool/*
%attr(-,root,root) %{_bindir}/sagcad
%{_datadir}/locale/*/LC_MESSAGES/sagcad.mo
%{_datadir}/sagcad/font/*
%{_datadir}/sagcad/example/*
%{_datadir}/applications/

%changelog
* Wed Aug 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.6-1vl5
- applied new versioning policy, spec in utf-8

* Wed Jul 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.6-0vl4
- rebuild for VineSeed (4.0)

* Thu May 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.6-0vl2
- rebuild for Vine Linux 3.x

* Thu May 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.6-0vl3
- fixed Kanji code of spec file
- add desktop file

*Thu Feb 12 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.6-0vl1
- initial build for Vine Linux
- add patch10 to use mozilla instead of netscape.
