Name: salasaga
Summary: An Integrated Development Environment for producing Elearning
Summary(ja): E ラーニング用の統合開発環境
Version: 0.8.0.alpha5
Release: 1%{?_dist_release}
License: LGPL
Group: Applications/Graphics
URL: http://www.salasaga.org
Source0: %{name}-%{version}.tar.bz2

Requires: libgnome ming libxml2 pango
BuildRequires: autoconf automake libtool xorg-x11-proto-devel libgnome-devel 
BuildRequires: ming-devel popt-devel libxml2-devel libpng-devel gtk2-devel glib2-devel
Patch1: 01_create_cairo_pixbuf_pattern.c-patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux
packager: TOSHI <milk-tea1977@dune.ocn.ne.jp>

%description
A free, easy to use GUI authoring environment that helps you create
visually impressive, useful learning material.

%description -l ja
視覚的により印象的で、役に立つ学習教材を作成するのを助ける
自由で使い易い GUI オーサリング環境。

%prep
%setup -q -n salasaga-0.8.0~alpha5
%patch1 -p0

%build
./autogen.sh
%configure
%{__make}

%install
[ "%{buildroot}" != '/' ] && %{__rm} -rf %{buildroot}
%{makeinstall} install \
	PREFIX="%{buildroot}%{_prefix}" \
	LIBDIR="%{buildroot}%{_libdir}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/salasaga
%{_bindir}/salasaga_screencapture
%{_datadir}/pixmaps/salasaga-icon.png
%{_datadir}/applications/salasaga.desktop
%dir %{_datadir}/salasaga
%{_datadir}/salasaga/icons/salasaga-icon.ico
%{_datadir}/salasaga/icons/scalable/*
%{_datadir}/salasaga/icons/72x72/*
%{_datadir}/salasaga/font_outline/DejaVuSans.fdb
%{_datadir}/salasaga/sounds/*.mp3
%{_localedir}/*/LC_MESSAGES/salasaga.mo

%changelog
* Thu May 14 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 0.8.0.alpha5-vl5
- initial build for Vine Linux

* Sun Feb 03 2009 Justin Clift <justin@salasaga.org> - 0.8.0~alpha5
- Created initial package for 0.8.0 alpha 5.

