%define _noVersionedDependencies        1
%define prereq_ge()     %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1 | grep -v "is not")
%define emacsen_pkgdir /usr/lib/emacsen-common/packages
%define		origver		0.15
%define		origname	select-xface

Name:		%{origname}
Version:	%{origver}
Summary:	X-Face Choice Tool
Summary(ja):	X-Face 選択ツール
Release:	1%{?_dist_release}
License:	GPL

Distribution:	Vine Linux
Vendor:		Project Vine
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.gohome.org/pub/elisp/%{name}/%{name}-%{version}.tar.gz
Source10:	%{origname}-install.sh
Source11:	%{origname}-remove.sh
#Patch:		
Packager:	Hiroaki Irokawa <irorin@terra.dti.ne.jp>
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

PreReq:       emacsen
%prereq_ge   emacsen-common


%description
X-Face Choice Tool

%description -l ja
X-Face フィールドの挿入を顔の画像を見ながら選択的に行えます。
XEmacs, Mule2.3@19.28, Mule2.3@19.34, Emacs 20.2〜 で動作確認済みです。

Emacs/Mule で顔を見られるようにするには、x-face-mule.el が必要です。
x-face-mule.el は、ftp://ftp.jpl.org/pub/elisp/x-face-mule-**.tar.gz から入手
可能になっています。設定方法については、x-face-mule.el のパッケージに付属の
ドキュメントを参照してください。

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup
#%patch -p1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/emacs/site-lisp/%{origname}
#mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/emacsen-common/packages/install
#mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/emacsen-common/packages/remove
mkdir -p ${RPM_BUILD_ROOT}/%{emacsen_pkgdir}/install
mkdir -p ${RPM_BUILD_ROOT}/%{emacsen_pkgdir}/remove

cp -a *.el ${RPM_BUILD_ROOT}/%{_datadir}/emacs/site-lisp/%{origname}

%_installemacsenscript %{origname} %{SOURCE10}

%_removeemacsenscript  %{origname} %{SOURCE11}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post

## bytecompile el and install elc

if [ "$1" = 2 ] ; then

%_emacsenPackageRemove %{origname}

fi

%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}



%preun

if [ "$1" = 0 ] ; then

%_emacsenPackageRemove %{origname}

%_removeemacsenlist %{origname}

fi


%files 
%defattr(-,root,root)
%doc ChangeLog README.jis
%{_datadir}/emacs/site-lisp/%{origname}
#%{_libdir}/emacsen-common/packages/install/%{origname}
#%{_libdir}/emacsen-common/packages/remove/%{origname}
%{emacsen_pkgdir}/install/%{origname}
%{emacsen_pkgdir}/remove/%{origname}

%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.15-1vl5
- applied new versioning policy, spec in utf-8
- added macro %%emacsen_pkgdir

* Wed Sep 13 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.15-0vl3
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>

* Wed Jun 25 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 0.15-0vl2
- rebuild

* Fri Mar 29 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp>
- 0.15-0vl1
- 1st for VineSeed.
