%define ver 0.3.3
%define rel 2

Summary: simple sequence-diagram image generator
Name: seqdiag
Version: %{ver}
Release: %{rel}%{?_dist_release}

License: Apache License 2.0
Group: Applications/Text
URL: https://bitbucket.org/tk0miya/seqdiag
Source0: http://pypi.python.org/packages/source/s/seqdiag/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
Requires: python >= 2.4
Requires: python-imaging >= 1.1.5
Requires: python-funcparserlib >= 0.3.4

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
seqdiag generate sequence-diagram image file from spec-text file.

%prep
%setup -q

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc examples src/README.txt src/TODO.txt
%{_bindir}/seqdiag
%{python_sitelib}/seqdiag-%{ver}-py*.egg-info
%{python_sitelib}/seqdiag
%{python_sitelib}/sphinxcontrib_seqdiag.*
%{python_sitelib}/seqdiag_sphinxhelper.*

%changelog
* Wed Feb 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.3-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.3.3-1
- Initial build.

