;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 23 用 Vine Linux simple-hatena-mode 設定
;;    IWAI, Masaharu <iwai@alib.jp>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; simple-hatena-mode の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(require 'simple-hatena-mode)

;; はてダラスクリプトのパス(デフォルト値: hw.pl)
(setq simple-hatena-bin "/usr/bin/hw.pl")

;; はてダラデータを置くディレクトリ(デフォルト値: ~/.hatena)
;(setq simple-hatena-root "~/.mydiary")

;; はてダラで使うデフォルトのはてなid(デフォルト値: nil)
;(setq simple-hatena-default-id "")

;; はてダラで使うデフォルトのグループ名(デフォルト値: nil)
;(setq simple-hatena-default-group "vine")

;; はてなダイアリーライターのユーザエージェントオプション(デフォルト値:
;; simple-hatena-mode/vヴァージョン番号)
;(setq simple-hatena-option-useragent "Hatena::Diary::Writer")

;; はてなダイアリーライターのパーマリンクに、タイムスタンプを使うかどう
;; かを指定する(デフォルト値: t)
;(setq simple-hatena-use-timestamp-permalink-flag nil)

;; 日付を計算する際に用いるオフセット。たとえば以下のように6に設定する
;; と、午前6時まで前日の日付として扱われる(デフォルト値: nil)
;(setq simple-hatena-time-offset 6)

;; はてなダイアリーライターのデバッグモードオプション(デフォルト値: nil)
;(setq simple-hatena-option-debug-flag t)

;; はてなダイアリーライターのタイムアウトオプション(デフォルト値: 30秒)
;(setq simple-hatena-option-timeout 60)

;; はてなダイアリーライターのクッキーオプション(デフォルト値: t)
;(setq simple-hatena-option-cookie-flag nil)

;; はてダラを実行するプロセスのバッファ名(デフォルト値: *SimpleHatena*)
;(setq simple-hatena-process-buffer-name "*OtherBufferName*")

(provide 'vine-default-simple-hatena-mode)

;; Local Variables:
;; mode: emacs-lisp
;; End:
