%define enable_nls 1
Summary: SkipStone is a simple Gtk+ web browser that utlizes Mozilla's gecko engine.
name: skipstone
Version: 0.7.9
Release: 0vl1
Copyright: GPL
Group: Applications/Internet
Distribution: Vine Linux
Vendor: Project Vine
Packager: IWAI Masaharu <iwaim@cc.mbn.or.jp>
Source0: http://www.muhri.net/skipstone/skipstone-%{version}.tar.gz
# http://www.homa.ne.jp/~ashie/diary/?200112b&to=200112113S1#200112113S1
Patch3: http://www.homa.ne.jp/~ashie/linux/files/skipstone-reload-button.patch
# http://www.homa.ne.jp/~ashie/diary/?200112b&to=200112113S2#200112113S2
#Patch4: http://www.homa.ne.jp/~ashie/linux/files/skipstone-clipboard2.patch
# http://www.homa.ne.jp/~ashie/diary/?200112b&to=200112182S1#200112182S1
Patch5: http://www.homa.ne.jp/~ashie/linux/files/skipstone-file-dialog.diff

URL: http://www.muhri.net/skipstone/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gtk+-devel >= 1.2.6, mozilla-devel = 0.9.8
Requires: gtk+ >= 1.2.6, mozilla = 0.9.8
Prefix: /usr

%description
SkipStone is a Gtk+ Web Browser that embeds Mozilla's rendering component 
Gecko. It aims to be light and fast with few dependencies. 
SkipStone is currently under heavy development, but its progressing quickly 
and coming along nicely. It provides a nice and simple configurable interface, 
bookmarks and all of the other mandantory browsing features. 

%prep
%setup -q
#%patch3 -p1 -b .reload_button
%patch5 -p1 -b .dialog

# these binaries causes rpm independencies (at least on Alpha)
%ifnarch %ix86
rm -f plugins/Launcher/Launcher.{o,so}
%endif

%build
make PREFIX=%{prefix} LOCALEDIR=%{_localedir} enable_nls=%{enable_nls} 
# build  plugins
#pushd plugins
#  make
#popd
pushd plugins/AutoComplete
  make
popd
pushd plugins/Launcher
  make
popd
pushd plugins/NewButton
  make
popd
#pushd plugins/Throbber
#  make
#popd
pushd plugins/HistorySideBar
  make
popd
#pushd plugins/NewButtonImlib
#  make
#popd
pushd plugins/SearchToolBar
  make
popd
pushd plugins/Zoomer
  make
popd

%install
make install PREFIX=${RPM_BUILD_ROOT}%{prefix} \
             LOCALEDIR=${RPM_BUILD_ROOT}%{_localedir} enable_nls=%{enable_nls}
# remove *.o files in plugins directory
find plugins -name \*.o -print0 | xargs -0 rm -f

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS INSTALL ChangeLog COPYING README.copying plugins 
%doc convert_bookmarks.pl icons config.mk
%{_bindir}/skip*
%{prefix}/share/skipstone/pixmaps/default/*.xpm
%{_localedir}/*/LC_MESSAGES/skipstone.mo

%changelog
* Sat Mar 23 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.9-0vl1
- upstream release
- obsoleted title_encode.patch ( upstream merged )
- obsoleted bookmark.patch ( upstream merged )
- obsoleted clipboard.patch ( upstream merged )
- obsoleted clipboard1.patch ( upstream merged )
- added reload patch
- added mozilla{-devel,} version in {Build,}Requires tag

* Wed Dec 19 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.7-0vl4
- added file-dialog.patch (Patch5)

* Wed Dec 12 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.7-0vl3
- added reload-button.patch (Patch3)
- added clipboard2.patch (Patch4)
- built plugins
- added config.mk in %%doc (for plugins)

* Wed Dec  5 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.7-0vl2
- added clipboard.patch

* Mon Dec  3 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.7-0vl1
- upstream release
- updated title_encode.patch and bookmark.patch

* Tue Nov  6 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.7.6-0vl2
- added title_encode.patch for bookmark
- changed Group tag (Applications/Internet)

* Tue Nov  6 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.7.6-0vl1
- upstream release
- added mozilla version at Requires and BuildRequires tag
- updated title_encode.patch for title_encode and bookmark
- added convert_bookmarks.pl in %%doc
- used %%{_bindir} and %%{_localedir}

* Thu Sep 13 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 0.7.5-0vl3
- remove binary files in plugins/Launcher except on %%ix86

* Tue Sep 11 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.7.5-0vl2
- added bookmark.patch

* Sat Sep  8 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp>
- 0.7.5-0vl1
- First Release for Vine Linux (spec file: official 0.7.5-1)
- use RPM macros
- updated %description
- added plugins in docdir

* Mon Jul 16 2001 Hiroki<e5215@icsc.maizuru-ct.ac.jp>
- Fixed
* Fri Sep 01 2000 Muhri
- Initial Release
