Summary: SKK like Japanese-input application
Name: skkinput
Version: 2.06.3
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/X
Source0: http://downloads.sourceforge.jp/skkinput2/864/%{name}-%{version}.tar.gz
Source1: bash.dot.inputrc
#Source2: skkinput.1x.gz
Patch0: skkinput-fontset.patch
URL: http://sourceforge.jp/projects/skkinput2/
Requires: skkserv
BuildRequires: xorg-x11-devel
Requires: gzip
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
skkinput is a kana to kanji converter with kinput protcol/kinput2 protcol/
Ximp Protocol/X Input Method(X11R6 standard) under X Window System.

%prep
%setup -q
%patch -p1 -b .fontset
cp ${RPM_SOURCE_DIR}/bash.dot.inputrc .

rm -fr ${RPM_BUILD_ROOT}

%build
#/usr/X11R6/bin/xmkmf -a
%{_bindir}/xmkmf -a
make CDEBUGFLAGS="${RPM_OPT_FLAGS}"

%install
rm -fr ${RPM_BUILD_ROOT}
#mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
make DESTDIR=${RPM_BUILD_ROOT} install
make DESTDIR=${RPM_BUILD_ROOT} MANPATH=%{_mandir} install.man


%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc BUGS.jis CHANGES.jis ChangeLog FAQ.jis GPL PROGRAM.jis README.jis TODO.jis
%doc dot.skkinput
%doc bash.dot.inputrc
%{_sysconfdir}/X11/app-defaults/Skkinput
%{_bindir}/skkinput
%{_mandir}/man1/skkinput.1x*
%{_mandir}/ja/man1/skkinput.1x*

%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 2.06.3-1vl5
- applied new versioning policy

* Tue May 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 2.06.3-0vl3
- changed Requires: dbskkd-cdb to virtual package skkserv

* Sun May 25 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 2.06.3-0vl2
- added Requires: dbskkd-cdb

* Wed Dec 11 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 2.06.3-0vl1
- new upstream release
- move man /usr/X11R6/man to %{_mandir}

* Sat Nov 16 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 2.06.2-0vl1
- new upstream release

* Sun Aug 25 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 2.05-0vl1
- new upstream release
- change Copyright tag to License

* Wed Jul 17 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 2.04-0vl1
- version up to 2.04

* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix spelling error in description
- add gzipped manual
- clean up SPEC

* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix wrong category (close #24703)

* Mon Dec 26 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Mon Aug  4 2000 SATO Satoru <ssato@redhat.com>
- Initial release
