Summary: A Vector Drawing Application
Summary(ja): ベクタ型ドローイングプログラム
Name: sodipodi
Version: 0.34
Release: 3%{?_dist_release}
Group: Applications/Graphics
License: GPL
URL: http://sourceforge.net/projects/sodipodi/
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: sodipodi-0.34-amd64.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: freetype2-devel
BuildPreReq: gtk2-devel libart_lgpl-devel libxml2-devel
BuildPreReq: libgnomeprint-devel libgnomeprintui-devel
BuildRequires: xorg-x11-devel desktop-file-utils
Requires: freetype2
Requires: gtk2 libart_lgpl libxml2
Requires: libgnomeprint libgnomeprintui
Distribution: Project Vine
Vendor: Vine Linux
Packager: owa


%description
Sodipodi is a SVG based generic vector-drawing program.

%description -l ja
Sodipodi は SVG ベースのベクタ型ドローイングプログラムです。

%prep
%setup -q
%patch0 -p1 -b .amd64

%build
%configure --with-gnome-print --disable-mmx
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/libxmleditor.la

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post 
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO samples/
%{_bindir}/sodipodi
%{_libdir}/sodipodi/*
%{_datadir}/sodipodi/*
%{_datadir}/pixmaps/sodipodi.png
%{_datadir}/applications/*
%{_mandir}/man1/sodipodi.1*

%changelog
* Mon May 02 2011 Shu KONNO <owa@bg.wakwak.com> 0.34-3
- rebuilt

* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 0.34-2vl5
- added sodipodi-0.34-amd64.patch by shredzone

* Wed Jun 25 2008 Shu KONNO <owa@bg.wakwak.com> 0.34-1vl5
- applied new versioning policy and spec in utf-8
- added BuildRequires: xorg-x11-devel desktop-file-utils
- added japanese summary and description
- changed url

* Sun Jun 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.34-0vl1
- new upstream release
- dropped unneeded patch
- updated Summary and Description

* Sun Jun 22 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.32-0vl1
- rebuild with new toolchains and Gnome2
- changed Requires and BuildPreReq

* Thu Oct 24 2002 IWAI Masaharu <iwai@alib.jp> 0.27-0vl1
- add gnome-print, libgnomeprint15 and libgal19 in Requires
- add ORBit-devel, libglade-devel and libpng in BuildPreReq
- add gtk+-devel >= 1.2.0 in BuildPreReq
- eliminate bonobo-devel in BuildPreReq
- drop sodipodi-cvs.patch(Patch0) and sodipodi-0.24.1-build.patch(Patch1)
 
* Tue Jan 15 2002 Akira TAGOH <tagoh@gnome.gr.jp> 0.24.1-0vl2
- Build against with new gal.

* Tue Dec 25 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.24.1
- New upstream release.
- Use the appropriate rpmmacros.

* Wed Jul 11 2001 Jun Nishii <jun@vinelinux.org>
- 0.23-0vl1
- minor fix of spec file

* Mon Mar 27 2000 Lauris Kaplinski <lauris@ariman.ee>
- First RPM version
