%define name		streamripper
%define version		1.61.15
%define release 	1%{?_dist_release}

Summary:	Audio stream recorder
Summary(ja):	オーディオ ストリーム レコーダ
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Applications/Multimedia
URL:		http://sourceforge.net/projects/streamripper
License:	GPL

Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	glibc 
Requires: 	streamtuner

%description
Streamripper records shoutcast compatible and live365 streams.
For shoutcast style streams it finds the "meta data" or track
separation data, and uses that as a marker for where the track
should be separated. For live365 streams it hits the website 
and finds when a track has changed. Either way, the MP3 data 
will be decoded and scanned for a silent point which is where 
tracks will be created.

%description -l ja
Streamripperはshoutcast互換ストリームやlive365ストリームを録音します。
shoutcastスタイルのストリーム用に"メタデータ"やトラック毎に分かれたデータを検索して、トラックがどこで分離できるかを知るマーカーとして使えます。live365ストリーム用にはウェブサイトを探し、トラックがいつ切り替わるかを調べます。いずれの場合もMP3データはデコードされ、トラックが作成されるsilentポイントを探します。

%prep
%setup -q

%build
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
%makeinstall

%files
%defattr(-,root,root)
%doc CHANGES COPYING README THANKS *.txt 
%{_bindir}/*
%{_mandir}/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 1.61.15-1vl5
- applied new versioning policy, spec in utf-8

* Thu Jun  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.61.15-0vl2
- changed Group to Applications/Multimedia

* Mon Oct 31 2005 Satoshi MACHINO <machino@vinelinux.org> 1.61.15-0vl1
- new upstream release

* Fri Aug 19 2005 Satoshi MACHINO <machino@vinelinux.org> 1.61.11-0vl1
- new upstream release

* Sun Jul 10 2005 Satoshi MACHINO <machino@vinelinux.org> 1.61.10-0vl1
- new upstream release

* Mon May 02 2005 Satoshi MACHINO <machino@vinelinux.org> 1.61.8-0vl1
- new upstream release

* Sun Apr 16 2005 Satoshi MACHINO <machino@vinelinux.org> 1.61.7-0vl1
- new upstream release

* Mon Feb 07 2005 Satoshi MACHINO <machino@vinelinux.org> 1.61.3-0vl1
- new upstream version

* Wed Nov 17 2004 Satoshi MACHINO <machino@vinelinux.org> 1.60.8-0vl1
- built for VineLinux

