Summary:	Gnome panel applet to switch open windows using icons 
Summary(ja): 	アイコン表示のウィンドウ切り替え用 GNOME パネルアプレット
Name:		talika
Version:	0.48
Release: 	1%{?_dist_release}
Source0:	%{name}-%{version}_1.tar.gz
License:	GPLv2
Group:		User Interface/Desktops
URL:		http://sourceforge.net/projects/talika/

BuildRequires:	gnome-panel-devel, libwnck-devel, glib2-devel
BuildRequires:	GConf2-devel, libbonoboui-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
The package contains a GNOME panel applet which allows you to
switch between open windows using icons.

%description -l ja
このパッケージには、開いているウィンドウ間の切り替えをアイコン
で行える GNOME パネル向けのアプレットが含まれています。

%prep
%setup -q


%build
%configure --disable-schemas-install

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# remove document directory (duplicated)
%{__rm} -rf $RPM_BUILD_ROOT/%{_prefix}/doc/%{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null  || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi


%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README TODO
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_libexecdir}/%{name}
%{_libdir}/bonobo/servers/%{name}.server
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/%{name}/talika_prefs.ui


%changelog
* Wed Apr 21 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 0.48-1
- initial build for Vine Linux

