Summary: Virtual Package for teTeX
Summary(ja): teTeXバーチャルパッケージ
Name: task-tetex
Version: 3.0
Release: 4%{?_dist_release}
License: public domain
Group: Applications/Publishing
BuildArch: noarch
Requires: jvf
Requires: tetex >= %{version}
Requires: tetex-extra >= %{version}
Requires: tetex-macros >= %{version}
Requires: texmacro-otf
Requires: dvipdfmx
Requires: xdvik >= 22.84.10
Requires: xdvik-search
Conflicts: dvipdfm
#Conflicts: latex2html <= 2002-0vl2
#Requires: pk300
#Requires: VFlib
#Requires: freetype
Obsoletes: task-platex pk300
BuildRoot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: munepi

%description
This is a virtual package to install teTeX related packages.  
If you use apt-get for RPM, This package will install many packages 
related to teTeX automatically.

%description -l ja
teTeX関係のパッケージを簡単にインストールするための仮想パッケージです。
apt-getを使ってこのパッケージをインストールすることで、多くのteTeX関係の
パッケージをインストールすることができます。

%files


%changelog
* Fri Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-4
- added Requires: 
  - tetex-macros
  - texmacro-otf
- added Packager tag
- fixed some typo in %%description and %%description -l ja

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.0-3
- applied new versioning policy
- spec in utf8

* Mon Aug 07 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl2
- drop Requires freetype [VineSeed:11082]

* Wed Nov 16 2005 KOBAYASHI Taizo <tkoba@vinelinux.org> 3.0-0vl1
- modify to adapt with tetex-3.0-0vl1

* Fri Oct 29 2004 KOBAYASHI Taizo <tkoba@vinelinux.org> 2.0-0vl2
- added Requires xdvik-search

* Fri Apr 18 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0vl1
- modify to adapt with tetex-2.0.2-0vl1

* Thu Aug 16 2001 Jun Nishii <jun@vinelinux.org> 1.0-0vl3
- modify to adapt with tetex-1.0.7-0vl3

* Thu Aug  9 2001 Jun Nishii <jun@vinelinux.org> 1.0-0vl2
- requires xdvik instead of tetex-dvi

* Wed Jul 18 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl1
- rename package to task-tetex

* Wed Apr 25 2001 Jun Nishii <jun@vinelinux.org> 1.0-0vl1
- initial release
