%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%define texmf		%{_datadir}/texmf
%define build_texmf	%{buildroot}%{texmf}

%define altplatex	platex --kanji=euc
%define makepdf(%1)	%altplatex %1 && %altplatex %1 && %altplatex %1 && dvipdfmx %1;

Summary: TeX Live macro packages of writing manuscript for the Transaction of The Institute of Electrical Engineers of Japan
Summary(ja): TeX Live で使うマクロパッケージ 電気学会論文誌 原稿作成用
Name: texmacro-ieej
Version: 2.7
Release: 2%{?_dist_release}
BuildArch: noarch
Source0: http://www2.iee.or.jp/ver2/honbu/32-doc-kenq/latex2e.zip
URL: http://www.iee.or.jp/
License: distributable
Group: Applications/Publishing
BuildRequires: texlive-common
Requires: texlive-common
Requires(post): texlive
Requires(postun): texlive
Buildroot: %{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor: Project Vine

%description
TeX Live macro packages of writing manuscript for the 
Transaction of The Institute of Electrical Engineers of Japan.
Users can use this macro specifying "ieej" class.
Including
	ieej.cls

%description -l ja
電気学会論文誌 原稿作成用の TeX Live で用いる追加マクロパッケージです。
ieej クラスを指定して使用します。
以下のマクロが含まれています
	ieej.cls


%define ieejsrcdir	ieej%{version}/UNIXEUC

%prep
%setup -q -c -n %{name}-%{version}/

%build

(cd %ieejsrcdir
%makepdf readme
)

%install
%__rm -rf %{buildroot}

%__mkdir_p %{build_texmf}/ptex/platex/ieej
%__cp -a %ieejsrcdir/*.cls %{build_texmf}/ptex/platex/ieej

%post
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %ieejsrcdir/*.{tex,pdf,1st}
%{texmf}/ptex/platex/ieej


%changelog 
* Sun Jul 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.7-2
- TeX Live 2009

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 2.7-1
- initial build
