#!/bin/bash
## pdfplatex: support platex for TeXworks via dvipdfmx
PLATEX_OPTS="-kanji=utf8"
platex --help | egrep -q -e "^-synctex"
[ $? -eq 0 ] && PLATEX_OPTS="-synctex=1 ${PLATEX_OPTS}"
platex ${PLATEX_OPTS} $1 || exit 1
dvipdfmx -r 8000 $1 || exit 1
