Name: 		thunar-media-tags-plugin
Summary:        Adds ID3/OGG tag support to the Thunar bulk rename dialog
Version:        0.2.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/thunar-plugins/%{name}

Source0: 	http://archive.xfce.org/src/thunar-plugins/%{name}/0.2/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  Thunar-devel >= 0.4.0
BuildRequires:  libexo-devel >= 0.3.1.3
BuildRequires:  thunar-vfs-devel >= 0.4.0
BuildRequires:  taglib-devel >= 1.4

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The thunar-media-tags-plugin is a plugin for the Thunar File Manager, 
which adds ID3/OGG tag support to the bulk rename dialog.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/thunarx-2/%{name}.so


%changelog
* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- initial build for Vine Linux

