%define	_snapshot	-pre20000412

Summary: Programs for maintaining networked machines' time synchronization.
Summary(ja): ͥåȥ³줿ޥλƱץ
Name: timed
Version: 0.17
Release: 2vl1
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/netkit-timed-%{version}%{_snapshot}.tar.gz
Patch: timed-clk_tck.patch
Requires: inetd
BuildRoot: %{_tmppath}/%{name}-%{version}-root


%description
The timed package contains the timed daemon and the timedc program for
controlling the timed program.  Timed synchronizes its host machine's
time with the time on other local network machines.  The timedc
program is used to control and configure the operation of timed.

Install the timed package if you need a system for keeping networked
machines' times in synchronization.

%description -l ja
timed ѥåˤ timed ǡȡtimed 椹
timedc ץबƤޤtimed ϥۥȥޥλ
ͥåȥ³줿¾ΥޥλƱޤ
timedc ץ timed 椷ưꤷꤹΤ˻Ȥޤ

ͥåȥ³줿ޥλƱ륷ƥबɬפʤ
timed ѥå򥤥󥹥ȡ뤷Ʋ


%prep
%setup -q -n netkit-timed-%{version}%{_snapshot}
%patch -p1


%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

make


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

make INSTALLROOT=${RPM_BUILD_ROOT} install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_sbindir}/timed
%{_sbindir}/timedc
%{_mandir}/man8/timed.8*
%{_mandir}/man8/timedc.8*


%changelog
* Wed Jan 10 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.17-2vl1
- based on 0.17-2 from Rawhide
- added Japanese summary and description

* Mon Nov 20 2000 Bill Nottingham <notting@redhat.com>
- fix build with glibc-2.2

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to 0.17.

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- fix description

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- fix ifreq size problem.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
