Summary: An X client for Honyakudamashii.
Name: tkhonyaku
Version: 1.8
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Text
Source: http://www.yk.rim.or.jp/~kawagisi/tkhonyaku-%{version}.tar.gz
Patch1: tkhonyaku.dir.patch
Requires: tcl, tk
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root

Summary(ja): 「翻訳魂」用の高機能 GUI クライアント

%description
Tkhonyaku is a GUI/CUI client for Japanese to English translation software
"Honyakudamashii" of Omron Software Co., Ltd.

%description -l ja
tkhonyaku (Tk翻訳)は、オムロンソフトウェア（株）の英日・日英翻訳ソフト
「翻訳魂」用の高機能 GUI/CUI クライアントです。

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}

%patch1 -p0

#%build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p tkhonyaku $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp -p tkhonyaku-readme $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -p colors.gif $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/
cp -p tkhonyaku.gif $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p tkhonyaku.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc tkhonyaku-readme
%{_bindir}/*
%{_datadir}/%{name}-%{version}*
%{_datadir}/pixmaps/*

%changelog
* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 1.8-1vl5
- applied new versioning policy, spec in utf-8

* Sat Sep 25 2004 Kunio Murasawa <murasawa@fa2.so-net.ne.jp> 1.8-0vl1
- new upstream release
- fixed setup/install/files section
- fixed Requires
- changed Copyright to License

* Mon Feb 19 2001 Kunio Murasawa <murasawa@marineroad.com>
- 1.4-0vl2
- fixed patch

* Fri Feb 16 2001 Kunio Murasawa <murasawa@marineroad.com>
- 1.4-0vl1
- first release for vine
