Name:            toico
Version:         0.18
Release:         1%{?_dist_release}
Summary:         converts images to Windows ICO format
Summary(ja):     画像ファイルから Windows アイコンを生成するツール
License:         LGPL
Group:           Applications/Graphics
Url:             http://wizard.ae.krakow.pl/~jb/toico/
Source:          http://wizard.ae.krakow.pl/~jb/toico/%{name}-%{version}.tar.gz
Vendor:          Project Vine
Distribution:    Vine Linux
Packager:        Susumu Tanimura <stanimura-ngs@umin.ac.jp>
BuildRoot:       %{_tmppath}/%{name}-%{version}-root
BuildRequires:   libpng-devel libungif-devel libtiff-devel zlib-devel
Requires:        libpng libungif libtiff

%description
Toico converts PNG, GIF, TIFF, BMP and XPM files to Windows icon
format (ICO). It is possible to create multi-image icon. 

Usage example:

      toico icon-16x16.png icon-32x32.png -o favicon.ico

%description -l ja
ToICO は PNG, GIF, TIFF, BMP, XPM 形式画像をWindows ICO形式に変換する
プログラムです．解像度の異なる複数のイメージをアイコンに含めることができ， 
favicon.ico の作成に便利です．

使い方

      toico icon-16x16.png icon-32x32.png -o favicon.ico

%prep
%setup -q

%build
make
make ico2png

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_mandir}/man1

%{__install} -m 755 toico %{buildroot}%{_bindir}
%{__install} -m 755 ico2png %{buildroot}%{_bindir}
%{__install} -m 644 toico.man %{buildroot}%{_mandir}/man1/toico.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 0.18-1vl5
- applied new versioning policy, spec in utf-8

* Thu Aug 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.18-0vl1
- updated to 0.18
- include ico2png
- fixed %install section

* Thu Oct 14 2004 <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.0
