Name:          trackpad
Summary:       controls trackpad tapping behavior in Apple PowerBooks
Summary(ja):   Apple PowerBook Υȥåѥåɤεư椹ץ
Version:       0.1
Release:       1vl3
Source0:       %{name}-%{version}.tar.gz
Source1:       %{name}-%{version}.ja.po
Patch0:        %{name}-%{version}.nls.patch
URL:           http://www.linuxppc.org/~hollis/trackpad-0.1.tar.gz
Group:         Applications/System
Vendor:        Project Vine
Distribution:  Vine Linux
Packager:      MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Copyright:     GPL
ExclusiveArch: ppc


%description
Tool to control trackpad tapping behavior in Apple PowerBooks.

%description -l ja
trackpad  Apple PowerBook Υȥåѥåɤ
åԥ󥰤椹ץǤ


%prep
rm -rf $RPM_BUILD_ROOT


%setup -q
%patch0 -p1
cp %{SOURCE1} ${RPM_BUILD_DIR}/%{name}-%{version}/%{name}.ja.po


%build
make clean
make
msgfmt %{name}.ja.po -o %{name}.mo


%install
make install ROOT="$RPM_BUILD_ROOT"
mkdir -p ${RPM_BUILD_ROOT}%{_localedir}/ja/LC_MESSAGES/.
install -m 644 %{name}.mo ${RPM_BUILD_ROOT}%{_localedir}/ja/LC_MESSAGES/.


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/trackpad
%{_localedir}/*/*/*


%changelog
* Sun Sep 02 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org> 0.1-1vl3
- Oops, added forgotten %%defattr
- FIXME: this trackpad package should be merged into pmud package,
         which contains newer version of trackpad :-P

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.1-1vl2
- use better macros (%%{_bindir}, %%{_localedir})

* Wed Oct 04 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 0.1-1vl1
- "make clean" before doing "make"
- added Japanese summary, description and messages

* Tue May 30 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- 0.1
- Added a (tiny) Makefile, rpm-ized
