# Basic Information
Name:		translate-toolkit
Version:	1.9.0
Release:	2%{?_dist_release}
License:	GPLv2
Group:		Development/Tools
Source0:	translate-toolkit-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Translate Toolkit
Summary(ja):	翻訳用ツールキット

# Dependency
BuildRequires:	python-devel
BuildArch:	noarch

%description
The Translate Toolkit is a set of software and documentation designed to help
make the lives of localizers both more productive and less frustrating.
The Toolkit is part of the translate.sourceforge.net project,
hosted at http://translate.sourceforge.net/

%description -l ja
Translate Toolkit は、翻訳者の活動をより生産的で支障がないようにすることを助
けるために設計されたソフトウェアと文書のセットです。
このツールキットは、http://translate.sourceforge.net/ にホスティングされてい
る translate.sourceforge.net プロジェクトの一部です。


%package doc
Summary:	Documentation of Translate Toolkit
Summary(ja):	翻訳用ツールキットのドキュメント

%description doc
Documentation of Translate Toolkit

%description -l ja doc
翻訳用ツールキットのドキュメント


%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING README
/usr/bin/*
%{python_sitelib}/translate_toolkit-%{version}-py*.egg-info
%{python_sitelib}/translate

%exclude %{python_sitelib}/translate/doc

%files doc
%defattr(-,root,root)
%{python_sitelib}/translate/doc

%changelog
* Tue Feb 21 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.9.0-2
- rebuild with python-2.7.2

* Mon Sep 19 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.9.0-1
- initial build for Vine Linux

