Summary:      An educational typing tutor game starring Tux
Summary(ja):  Tux ͸Υԥ

Name:         tuxtype
Version:      1.0.1
Release:      1vl1
License:      GPL 
Group:        Applications/Games
Source0:      http://prdownloads.sourceforge.net/tuxtype/tuxtype-%{version}.tar.gz
## Vine Patch(es)
Patch100:     tuxtype-1.0.1-dataprefix.patch

URL:          http://www.geekcomix.com/dm/tuxtype/

BuildRoot:    %{_tmppath}/%{name}-%{version}-root

BuildPreReq:  SDL-devel >= 1.2.0, SDL_image-devel, SDL_mixer-devel
BuildRequires: autoconf213


%description 
Tux Typing is an educational typing tutor game starring Tux, the Linux
penguin. It is graphical and requires SDL to run. This is a stable
release.

%description -l ja
Tux Typing ϡLinux ڥ󥮥 Tux 륿ԥǤ
ưˤ SDL ɬפȤʤޤ


%prep
%setup -q
%patch100 -p1

find . -type f | \
    xargs perl -p -i -e 's|\$\(prefix\)/tuxtype|\$\(datadir\)/tuxtype|'


%build
autoconf-2.13
%configure
make


%install
rm -rf %{buildroot}
%makeinstall


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL* README* TODO
%doc tuxtype/*/README_*.TXT tuxtype/docs/*/index*

%{_datadir}/tuxtype
%{_bindir}/tuxtype


%changelog
* Sun Jul  2 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.1-1vl1
- rebuilt with new toolchains
- changed Group to Applications/Games
- s/Copyright/License/

* Tue Sep 25 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0.1-1vl0
- based on 1.0.1-1 and modified "arege" spec too much :-P

* Wed Aug 01 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Tweaked gameplay & menu speeds. Prep for 1.0 release

* Fri Jul 27 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Fixed word cascade LinuxPPC/Win32 crashing bug

* Sun Jul 15 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Added alpha blit option for fast word emphasis. Prepping for 1.0pre1 rel.

* Fri Jul 13 2001 Jesse Andrews <jdandr2@pop.uky.edu>
Fixed clipping blit bug as well as menu glitches

* Sat Jul 07 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Added preliminary theme support

* Tue Jun 20 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Added keyboard support to main menu

* Sat Jun 16 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Fixed tutorial screen crashing bug. Other minor work. Prepping for 0.9 rel.

* Fri Jun 15 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Better Kdevelop/SDL integration to fix non-POSIX OS support (first Win32 release).

* Tue Jun 12 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Further Tutorial stabilization work.

* Sat Jun 09 2001 Jesse Andrews <jdandr2@sheffield.cslab.uky.edu>
Fixed several small problems with Tutorial/Main screen bug.

* Sat May 19 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Fixed GIF->PNG and "yellow outline" in gameplay bugs.

* Mon May 14 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
Packaged up the 0.8 release.

* Fri May 04 2001 Sam "Criswell" Hart <criswell@geekcomix.com>
RPM ChangeLog began. For previous changes, see ChangeLog.old

