#! /bin/sh -e
# /usr/lib/emacsen-common/packages/install/uim-el

FLAVOR=$1
PACKAGE=uim-el

FLAGS="${SITEFLAG} -q -batch -f batch-byte-compile"

ELDIR="/usr/share/emacs/site-lisp/${PACKAGE}"
ELCDIR="/usr/share/${FLAVOR}/site-lisp/${PACKAGE}"

STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el"

ELISP_FILES="*.el"
BYTECOMPILE_FILES="uim.el"
SOURCES=${ELISP_FILES}

case "${FLAVOR}" in
    emacs)
    ;;

    *)
    echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
    install -m 755 -d ${ELCDIR}
    cd ${ELDIR}
    cp ${ELISP_FILES} ${ELCDIR}
    cd ${ELCDIR}
    ${FLAVOR} ${FLAGS} ${BYTECOMPILE_FILES} > ${ELCDIR}/CompilationLog 2>&1
    rm -f ${BYTECOMPILE_FILES}
    gzip -9 ${ELCDIR}/CompilationLog

    ln -sf ${ELDIR}/${STARTFILE} ${STARTDIR}/95${STARTFILE}
    echo " done."
    ;;

    *)
    ;;

esac

exit 0 ;
