Name:		vdpauinfo
Version:	0.0.6
Release:	1%{?_dist_release}
Summary:	Tool to query the capabilities of a VDPAU implementation
Summary(ja):	VDPAU の対応状況を確認するためのツール

Group:		Applications/System
License:	MIT
URL:		http://freedesktop.org/wiki/Software/VDPAU
Source0:	http://people.freedesktop.org/~aplattner/vdpau/vdpauinfo-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libvdpau-devel >= 0.2

Packager:	kazutaka

%description
Tool to query the capabilities of a VDPAU implementation.

%description -l ja
VDPAU の対応状況を確認するためのツールです。


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/vdpauinfo


%changelog
* Thu Nov 05 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.0.6-1
- initial build for Vine Linux based of fedora development
- add japanese description and summary

* Thu Sep 17 2009 kwizart < kwizart at gmail.com > - 0.0.6-2
- Tagged archive compatible with livdpau 0.2

* Fri Mar 22 2009 kwizart < kwizart at gmail.com > - 0.0.6-1
- Initial package
