Name:		vine-cui-guide
Version:	5.9.0
Release:	1%{?_dist_release}
License:	GFDL
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	CUI user guide for Vine Linux
Summary(ja):	Vine Linux CUI ユーザーガイド

# Dependency
Requires:	vine-manual-base

BuildRequires:	vine-manual-base
BuildRequires:	vine-manual-build

%description
CUI user guide for Vine Linux

%description -l ja
Vine Linux CUI ユーザーガイド

# Prepare
%prep
%setup -q

# Build
%build
%configure
%{__make} html

# Install
%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install-html DESTDIR=${RPM_BUILD_ROOT}

# Clean
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# after install
%post 
scrollkeeper-update > /dev/null 2>&1 || :
vine-manual-regist -p 30 %{_docdir}/Vine/cui-guide/vine-cui-guide.html
vine-manual-index-update

%postun
if [ $1 -eq 0 ]; then
	scrollkeeper-update > /dev/null 2>&1 || :
	vine-manual-regist -r %{_docdir}/Vine/cui-guide/vine-cui-guide.html
	vine-manual-index-update
fi

# File list
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_docdir}/Vine/cui-guide
%{_datadir}/omf/vine-cui-guide

# Change Log
%changelog
* Mon Mar 07 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.0-1
- written first.

