Name:		vine-making-rpm
Version:	5.9.1
Release:	1%{?_dist_release}
License:	GFDL
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	How to make RPM package
Summary(ja):	RPMパッケージの作成方法

# Dependency
Requires:	vine-manual-base

BuildRequires:	vine-manual-base
BuildRequires:	vine-manual-build

%description
How to make RPM package.

%description -l ja
RPMパッケージの作成方法について解説します。

# Prepare
%prep
%setup -q

# Build
%build
%configure
%{__make} html

# Install
%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install-html DESTDIR=${RPM_BUILD_ROOT}

# Clean
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# after install
%post 
scrollkeeper-update > /dev/null 2>&1 || :
vine-manual-regist -p 70 %{_docdir}/Vine/making-rpm/vine-making-rpm.html
vine-manual-index-update

%postun
if [ $1 -eq 0 ]; then
	scrollkeeper-update > /dev/null 2>&1 || :
	vine-manual-regist -r %{_docdir}/Vine/making-rpm/vine-making-rpm.html
	vine-manual-index-update
fi

# File list
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_docdir}/Vine/making-rpm
%{_datadir}/omf/vine-making-rpm

# Change Log
%changelog
* Sun Mar 20 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 5.9.0-1
- written first.

