Name:           wdfs
Version:        1.4.2
Release:        1%{?_dist_release}
Summary:        WebDAV File System
Summary(ja):    WebDAV ファイルシステム

Group:          System Environment/Base
License:        GPLv2+
URL:            http://noedler.de/projekte/wdfs/
Source0:        http://noedler.de/projekte/wdfs/wdfs-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  fuse-devel neon-devel glib2-devel
Patch0:		wdfs-1.4.2-as-needed.patch

%description
wdfs is a WebDAV filesystem that makes it possible to mount a WebDAV share
under Linux.  wdfs has some special features for accessing subversion
repositiories via WebDAV.

%prep
%setup -q
%patch0 -p1 -b .as-needed

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_bindir}/wdfs

%changelog
* Sun Jan 23 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.2-1
- initial build for Vine Linux

* Thu Sep 17 2009 Peter Lemenkov <lemenkov@gmail.com> - 1.4.2-9
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.2-6
- Autorebuild for GCC 4.3

* Tue Jan 22 2008 Adam Jackson <ajax@redhat.com> 1.4.2-5
- Fix License tag. (#428962)

* Mon Sep 24 2007 Adam Jackson <ajax@redhat.com> 1.4.2-4
- Fix spelling error in URL. (#302731)

* Thu Aug 23 2007 Joe Orton <jorton@redhat.com> 1.4.2-3
- rebuild for neon 0.27

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 1.4.2-2
- Rebuild for build id

* Tue Jun 05 2007 Adam Jackson <ajax@redhat.com> 1.4.2-1
- Initial version.
