Name:    wmifs
Version: 1.3
Release: 3%{?_dist_release}
License: GPL
Source0: ftp://ftp.mezaway.org/pub/DockApps/wmifs-1.3b1.tar.gz
URL: http://windowmaker.mezaway.org/dockapps/wmifs.html
Patch0: http://ftp.debian.org/debian/pool/main/w/wmifs/wmifs_1.3b1-11.diff
Vendor: Project Vine (Vine Plus)
Distribution: Vine Plus
Group:    User Interface/Desktops
BuildRequires: XOrg-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: wmifs - a dockable network monitoring app
Summary(ja): wmifs - ネットワーク監視 dock app

%description
WMiFS is a complete network monitoring dock.app, it's mainly
designed for usage in WindowMaker's dock and give you some
nice & nifty features.


%description -l ja
WMiFS は，ネットワーク監視用の dock app です．WindowMaker の
dock 用に作られたもので，いろいろな便利な機能を備えています．


%prep
%setup -n wmifs.app
%patch0 -p1

%build

cd ${RPM_BUILD_DIR}/wmifs.app/wmifs
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}/etc
mkdir -p %{buildroot}%{_mandir}/man1
install -m 755 wmifs/wmifs %{buildroot}/usr/X11R6/bin/.
install -m 644 wmifs/sample.wmifsrc %{buildroot}/etc/wmifsrc
install -m 644 debian/wmifs.1 %{buildroot}%{_mandir}/man1/wmifs.1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING HINTS INSTALL README TODO
/etc/wmifsrc
/usr/X11R6/bin/wmifs
%{_mandir}/man1/wmifs.1*


%changelog
* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 1.3-3
- rebuilt with new toolchain

* Sun Jun 14 2009 Shu KONNO <owa@bg.wakwak.com> 1.3-2
- applied new versioning policy, spec in utf-8

* Tue Sep 26 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.3-1vl2
- rebuilt with new toolchains
- s/Copyright/License/
- changed Group to User Interface/Desktops

* Thu Mar 25 2004 KOBAYASHI R. Taizo (tkoba@vinelinux.org) 1.3-1vl1
- added patch0

* Thu Jan 13 2000 MATSUBAYASHI 'Shaolin' Kohji
  - 1.3-0.1
  - version & release changed (contents are same as in 1.3b1-1)

* Sun Aug 22 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.3b1
