Summary: Website META Language
Name: wml
Version: 2.0.9
Release: 0vl7
License: GPL
Group: Applications/Internet
URL: http://www.engelschall.com/sw/wml/
Source0: http://www.engelschall.com/sw/wml/distrib/wml-%{version}.tar.bz2
Patch0: wml-2.0.9-perllibs.patch
Patch1: wml-2.0.9-gcc4.patch
Requires: perl >= 5.005
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux
BuildRequires: gdbm-devel db4-devel

%description
WML is a free and extensible Webdesigner's off-line HTML
generation  toolkit  for  Unix.			  
#'

%prep
%setup -q
%patch0 -p1 -b .perllib
%patch1 -p1 -b .gcc4

%build
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ;
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
./configure --prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir}
#configure 
make

%install
rm -rf %{buildroot}
#makeinstall
make prefix=%{buildroot}/usr mandir=%{buildroot}%{_mandir} infodir=%{buildroot}%{_infodir} install

pushd %{buildroot}%{_mandir}

# move some man files 
mv cat1/* man1
mv cat7/* man7

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc ANNOUNCE BUGREPORT COPYING COPYRIGHT* CREDITS ChangeLog
%doc INSTALL MANIFEST NEWS README* SUPPORT VERSION*
/usr/bin/wmk
/usr/bin/wml
/usr/bin/wmd
/usr/bin/wmb
/usr/bin/wmu
/usr/lib/wml
%{_mandir}/man*/*

%changelog
* Sun Jul  1 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.9-0vl7
- rebuilt with new toolchain
- added Patch0 and Patch1 from http://cvs.mandriva.com/cgi-bin/viewvc.cgi/SPECS/wml/

* Sun Jul 17 2005 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 2.0.9-0vl6
- rebuilt with db4-4.2.52 (db4-devel)
- add BuildRequires: gdbm-devel, db4-devel

* Sun Nov  7 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.0.9-0vl5
- rebuilt with db4-4.2.52

* Wed May  5 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.9-0vl4
- rebuild for VineSeed

* Wed May  5 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.9-0vl2
- rebuild for VineSeed

* Wed May  5 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0.9-0vl1
- updated to 2.0.9

* Thu Feb 07 2002 Toru Sagami <sagami@vinelinux.org> 2.0.8-0vl1
- updated to 2.0.8 with minor spec cleanups
- handle %%{optflags}
- install man pages into %%{_mandir}

* Tue Jun 13 2000 Yoichi Imai <yoichi@silver-forest.com>
- version up to 2.0.1

* Mon May 22 2000 Yoichi Imai <yoichi@silver-forest.com>
- Create rpm
