Summary: WMMon monitors the realtime CPU load and system load 
%define version 1.0
Name: wmmon
Version: %{version}
Release: 2%{?_dist_release}
License: GPL
Group: User Interface/Desktops
URL: http://www.xs4all.nl/~warp/files
Source: http://www.xs4all.nl/~warp/files/wmmon-1.0b2.tar.gz
Patch0: http://http.us.debian.org/debian/pool/main/w/wmmon/wmmon_1.0b2-13.diff
Vendor: Project Vine
Distribution: Vine
Packager: Jun Nishii <jun@vinelinux.org>
BuildRoot: /var/tmp/wmmon-root
Summary(ja): CPU および システム負荷の表示モニタ

%description
WMMon monitors the realtime CPU load as well the average
system load and gives you some nice additional features too...

WMMon currently provides:

* Realtime CPU 'stress' meter;
* Average systemload, like xload & wmavgload;
* Average systemload graphic is autoscaling;
* Realtime Disk I/O 'stress' meter;
* Average Disk I/O load grapic (autoscaling);
* Realtime total Mem & Swap usage meters;
* System uptime display;
* Realtime cycling through all monitor modes;
* Can lauch 3 user definable commands through ~/.wmmonrc;
* Can be started multiple times;
* Commandline options for help (-h), version (-v),
  start mode (-i & -s) and display (-d);

%prep
%setup -q -n wmmon.app
%patch0 -p1

%build
make -C wmmon

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}%{_mandir}/man1
install -s -m 755 wmmon/wmmon %{buildroot}/usr/X11R6/bin
install -m 644 wmmon/wmmon.1 %{buildroot}%{_mandir}/man1/wmmon.1

%files
%defattr(-,root,root)
/usr/X11R6/bin/wmmon
%doc README HINTS CHANGES
%{_mandir}/man1/wmmon.1*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 14 2009 Shu KONNO <owa@bg.wakwak.com> 1.0-2
- applied new versioning policy, spec in utf-8

* Thu Mar 25 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- added patch0

* Wed Jan  5 2000 Jun Nishii <jun@vinelinux.org>
- change group

* Sat Nov 13 1999 Jun Nishii <jun@flatout.org>
- build for Vine-2.0

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- package built for PowerTools

