Summary:      wmwave - a wireless ethernet connection monitoring app
Summary(ja):  wmwave - 無線ネットワーク監視プログラム
Name:         wmwave
Version:      0.4
Release:      2%{?_dist_release}
License:      GPL
Source0:      http://www.schuermann.org/~dockapps/dist/wmwave-0-4.tgz
URL:          http://www.schuermann.org/~dockapps/
Group:        User Interface/Desktops
BuildRequires: XOrg-devel
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>

%description
wmwave is dockapp for window maker to display statistical information
about a current wireless ethernet connection.

%description -l ja
wmwave は WindowMaker 用ドックアプリケーションで，
ワイヤレスネットワークの現在の情報を表示してくれます．


%prep
%setup -n %{name}

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/{bin,man/man1}
install -m755 wmwave ${RPM_BUILD_ROOT}/usr/X11R6/bin/.
install -m755 wmwave.1 ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/.

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING README
/usr/X11R6/bin/*
/usr/X11R6/man/man1/*


%changelog
* Sun Feb 21 2010 Shu KONNO <owa@bg.wakwak.com> 0.4-2
- rebuilt with new toolchain

* Sun Jun 14 2009 Shu KONNO <owa@bg.wakwak.com> 0.4-1
- applied new versioning policy, spec in utf-8

* Tue Sep 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.4-0vl2
- rebuilt with new toolchains
- changed Group to User Interface/Desktops

* Wed Jul 18 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.4-0vl1
- initial package
