#!/bin/sh
# /usr/lib/emacsen-common/packages/remove/wnn7egg
# [ This particular script hasn't been tested either, so be careful. ]
### based on Debian wnn7egg_1.02-7.diff.gz

set -e

FLAVOR=$1
PACKAGE="wnn7egg"

if [ "X${FLAVOR}" = "X" ]; then
    echo Need argument to determin FLAVOR of emacs;
    exit 1
fi

if [ "X${PACKAGE}" = "X" ]; then
    echo Internal error: need package name;
    exit 1;
fi

ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
STARTDIR=/etc/${FLAVOR}/site-start.d
STARTFILE="${PACKAGE}-init.el";

SITELISP=/usr/share/${FLAVOR}/site-lisp

case "${FLAVOR}" in

    *)

	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
	rm -rf ${ELCDIR}
	rm -f ${STARTDIR}/50${STARTFILE}*;
	echo " done."

	;;
esac

exit 0;
