%define For_Vine 1

%define	sversion 0.1
%define	srelease 4
%define _bindir /usr/bin/

Summary: Wakeup on LAN client
Summary(ja): Wakeup on LAN クライアント
Name: wol
Version: %{sversion}
Source0: wol-%{sversion}.tar.gz
License: distributable
Group: Applications/System
URL: http://www.gcd.org/sengoku/freesoft.ja.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%if %{For_Vine}
Release: %{srelease}%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
%else
Release: %{srelease}
%endif


%description
Wakeup on LAN client program.

Usage: wol <IP address> <MAC address>

Wakeup a machine whose interface is <MAC address>.
The wakeup packet is sent to <IP address>,
so mostly <IP address> is a broadcast address.

Example: wol 192.168.1.255 12:xx:56:76:9a:xx

%prep
%setup -c

%build
cc ${RPM_OPT_FLAGS} -o wol wol.c 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install wol $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/wol

%changelog
* Sun Oct 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1-4
- applied new versioning policy
- spec in UTF-8

* Mon Jul  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1-3vl1
- rebuilt with new toolchains
- changed Group to Applications/System
- added Japanese summary

* Sun May 12 2002 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.1-0vl2 / 0.1-2
- for Vine 2.5

* Sun May 12 2002 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.1-0vl1 / 0.1-1
- 1st release for Vine 2.1.5



