Summary: automatically click the left mousebutton
Name: xautoclick
Version: 0.30
Release: 1%{?_dist_release}
License: GPLv2
Group: Applications/Accessories
URL: http://xautoclick.sourceforge.net/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libXtst-devel
BuildRequires: gtk2-devel

Distribution: Vine Linux
Vendor: Project Vine
Packager: iwaim

%description
This application enables you to automatically click the left mousebutton.
It is designed to reduce strain on the wrist muscles caused by repetitive
mouse clicking, which can lead to serious injury or impair
 (RSI, Carpal Tunnel Syndrome, et cetera).  By specifying the interval,
a random factor and the number of times to click, the program simulates 
natural clicking.

%package gtk2
Summary: automatically click the left mousebutton for GTK+ 2
Group: Applications/Accessories

%description gtk2
This application enables you to automatically click the left mousebutton.
It is designed to reduce strain on the wrist muscles caused by repetitive
mouse clicking, which can lead to serious injury or impair
 (RSI, Carpal Tunnel Syndrome, et cetera).  By specifying the interval,
a random factor and the number of times to click, the program simulates 
natural clicking.

%prep
%setup -q
./configure --prefix=%{_prefix}

%build
make

%install
rm -rf %{buildroot}
# ad-hoc
make install PREFIX=%{buildroot}%{_prefix}
%{__rm} -rf %{buildroot}%{_prefix}/man
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -a xautoclick.1 %{buildroot}%{_mandir}/man1/gautoclick2.1
%{__cp} -a xautoclick.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README
%{_bindir}/[ac]autoclick
%{_mandir}/man1/xautoclick.1*

%files gtk2
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README
%{_bindir}/gautoclick2
%{_mandir}/man1/gautoclick2.1*

%changelog
* Sat Feb 26 2011 IWAI, Masaharu <iwai@alib.jp> 0.30-1
- Initial build.

