Name: xbanner
Summary: A program for customizing the look of the standard XDM interface.
Version: 1.31
Release: 7vl2
License: GPL
Group: User Interface/X
Source0: ftp://physics.fullerton.edu/pub/Linux/XBanner/XBanner1.31.tar.gz
Patch0: xbanner-1.3-rh.patch
Patch1: xbanner-1.3-nonroot.patch
Buildroot: %{_tmppath}/xbanner-root

%description
The XBanner program allows the display of text, patterns and images
in the root window, so users can customize the XDM style login screen
and/or the normal X background.

Install XBanner if you'd like to change the look of your X login screen
and/or X background.

%prep
%setup -q -n XBanner1.31
%patch0 -p1 -b .patch
%patch1 -p0 -b .nonroot

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

make ROOT="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
# I left random_effect out because the default "make install" rule doesn't
# install it
%defattr(-,root,root)
%doc samples docs/*
%attr(755,root,bin) /usr/X11R6/bin/freetemp
%attr(755,root,bin) /usr/X11R6/bin/xbanner
%attr(755,root,bin) /usr/X11R6/bin/xb_check

%changelog
* Mon Sep 18 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.31-7vl2
- rebuilt with new toolchains
- removed xsri
- changed Group to User Interface/X

* Wed Dec 19 2001 Toru Sagami <sagami@vinelinux.org>
- 1.31-7vl1: non-root build

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- hacked xsri into this package for now

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 27 1999 Preston Brown <pbrown@redhat.com>
- removed shadow-penguin thingie, replaced with real shadowman (tm reasons)
- cleanups

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- cleaned up spec, built for 5.2 

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
