# disable buildroot strip
%define __spec_install_post %{nil}

Summary: A action game for X Window System like XEVIOUS.
Name: xbat
Version: 1.11
Release: 3%{?_dist_release}
Source0: http://www.nemoto.ecei.tohoku.ac.jp/~wai/Xbat/xev111.tar.gz
SOURCE10: %{name}.desktop
#SOURCE11: %{name}.png
Patch0:  xev111.patch
License: GPLv2
Group: Applications/Games
URL: http://www.nemoto.ecei.tohoku.ac.jp/~wai/Xbat/xevious.html

BuildRequires:  imake
BuildRequires:  desktop-file-utils
BuildRequires:  libX11-devel libXext-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Xbat is a action game for X Window System.
It is like XEVIOUS.
XEVIOUS is a video game that namco released in Dec.1983


%prep
%__rm -rf ${RPM_BUILD_ROOT}

%setup -n Xev111 -q

%build
patch < ${RPM_SOURCE_DIR}/xev111.patch
xmkmf -a
%__make xbat

%install
%__make DESTDIR=${RPM_BUILD_ROOT} install
%__mkdir_p ${RPM_BUILD_ROOT}%{_datadir}/applications

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE10}
#%__cp -a %{SOURCE11} %{buildroot}%{_datadir}/pixmaps/

## changed executable bit 
find %{buildroot}%{_datadir}/games/Xbat -type f -exec chmod -x {} \;

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/xbat
%{_datadir}/games/Xbat
%{_datadir}/applications/%{name}.desktop
%dir %{_localstatedir}/games/Xbat
%attr(666,root,root) %{_localstatedir}/games/Xbat/Score/*

%changelog
* Tue Aug 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.11-3
- added BuildRequires:  libXext-devel

* Mon Aug 29 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.11-2
- used some rpm macros
- added BuildRequires:  desktop-file-utils
- changed SCORES_DIR to /var/games/Xbat/Score

* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.11-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.11-0vl2
- rebuild for VineSeed

* Tue Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.11-0vl1
- initial build for Vine Linux

# end of file
