%define name	xbindkeys
%define version	1.7.3
%define release	1%{?_dist_release}

Summary:	Grab keys os mouse buttons in X Window and start shell command.
Summary(ja): 	X 上でキーやマウスボタンの組合せにコマンドを割り当てるユーティリティ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	http://hocwp.free.fr/xbindkeys/%{name}-%{version}.tar.gz
License:	GPL
Group:		Applications/System
URL:		http://hocwp.free.fr/xbindkeys/xbindkeys.html

Requires:	tk
BuildRequires:	xorg-x11-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
xbindkeys is a program that allows you to launch shell commands
with your keyboard or your mouse in X Window. It links commands
to keys or mouse buttons, using a configuration file. It's 
independant of the window manager and can capture all keyboard
keys (ex: Power, Wake...).

You should configure your X Desktop environment to run "xbindkeys"
at startup.

%description -l ja
xbindkeys は X 上でキーボードやマウスボタンからコマンドを実行
できるようにするプログラムです。このプログラムは設定ファイルを
使ってキー入力やマウスボタンとコマンドを関連付けます。ウィンドウ
マネージャから独立しているので、キーボード上の全てのキーを取得
できます。(例:電源ボタン、起動ボタン等)

ログイン時に "xbindkeys" が実行されるように、X デスクトップ環境
を設定する必要があります。

%prep
%setup -q


%build
%configure --disable-guile
%__make


%install
%__rm -rf ${RPM_BUILD_ROOT}
%makeinstall


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%doc xbindkeysrc
%{_bindir}/xbindkeys
%{_bindir}/xbindkeys_show
%{_mandir}/man1/xbindkeys*


%changelog
* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.7.3-1vl5
- applied new versioning policy, spec in utf-8

* Tue Jan 16 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.7.3-0vl1
- initial build for Vine Linux
