Summary: CD-ROM dictionary search for X
Name: xdic
Version: 1.1
Release: 9%{?_dist_release}
Group: Applications/Productivity
Source: http://seki.math.sci.hokudai.ac.jp:20080/factory/xdic-1.1.tgz
# vine patch
Patch: xdic-1.1-readline.patch
Patch1: xdic-1.1-less.patch
Obsoletes: dic
License: unknown
Buildroot: %{_tmppath}/%{name}-root
Summary(ja): CD-ROM 辞書検索プログラム

Vendor: Project Vine
Distribution: Vine Linux 

%description
CD-ROM dictionary search tool for X based on dic.

%description -l ja
xdicはCD-ROM辞書検索プログラムのdicをX Window Systemのクライアント
に改造したものです。dicの機能に加えて、外字の表示、白黒画像表示、
ルビ、添字、強調表示、関連語検索、ヒストリ機能、Xのセレクション対応、
等が強化されています．

dic コマンドに関してもヒストリ機能を追加しています．

%prep
rm -rf  $RPM_BUILD_ROOT

%setup
%patch -p1
%patch1 -p1

%build
xmkmf -a
make xdic

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install
make clean
cp Imakefile.dic Imakefile
xmkmf -a
make dic
cp doc_dic/dic.man .
make DESTDIR="$RPM_BUILD_ROOT" install
make DESTDIR="$RPM_BUILD_ROOT" MANPATH=%{_mandir} install.man

#prepare docs
rm doc_dic/{makefile*,dic.*}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* doc_dic/
%{_bindir}/*
%{_mandir}/man1/*


%changelog 
* Sun Nov 09 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-9vl5
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Tue Oct 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-8vl5
- applied new versioning policy, spec in utf-8

* Sun Apr 23 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.1-7vl2
- rebuild with readline-5.1
- s/Copyright/License/

* Wed Apr 02 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.1-7vl1
- rebuild with readline-4.3

* Fri Jun 29 2001 Jun Nishii <jun@vinelinux.org> 1.1-7
- try readline patch
- use less instead of more

* Wed Dec 20 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.1-6
- rebuilt with ncurses5

* Thu Jun  1 2000 Jun Nishii <jun@vinelinux.org>
- move man to ja from ja_JP.ujis

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- added %defattr

* Fri Dec 24 1999 Jun Nishii <jun@vinelinux.org>
- change group

* Thu Nov 18 1999 Jun NISHII <jun@vinelinux.org>
- 1.1-2
- added dic

* Thu Nov 18 1999 Jun NISHII <jun@vinelinux.org>
- added Japanese Summary and description
- updated to 1.1

* Sat Dec 26 1998 Hideya Hane <pje@linux.or.jp>
- Initial Release

