Summary: 	Multi channel settings manager
Name: 		xfce-mcs-manager
Version: 	4.4.2
Release: 	1%{?_dist_release}
License:	LGPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	libxfce4mcs >= %{version}
Requires:	libxfcegui4 >= %{version}
Requires:	libxfce4util >= %{version}
Requires:	atk pango
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires: 	libxfcegui4-devel >= %{version}
BuildRequires: 	libxfce4util-devel >= %{version}
BuildRequires:	atk-devel pango-devel

%description
xfce-mcs-manager is a multi channel settings manager for xfce4

%package devel
Summary:	header file to build xfce-mcs-manager plugins
Group:		Development/Libraries
Requires:	xfce-mcs-manager

%description devel
Header files for other apps to be able to build their own mcs plugins.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README INSTALL TODO COPYING AUTHORS
%{_datadir}/xfce4/doc/
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/xfce-mcs-manager


%changelog
* Sun Aug 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- appiled new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream version

* Sun Jan 04 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream version

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream version

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release for vine

