Name: 		xfce4-fsguard-plugin
Summary:        Free space checker plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 空き容量チェッカプラグイン
Version:        1.0.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.0/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  libxfce4util-devel >= 4.4.0
BuildRequires:  libxfce4ui-devel >= 4.4.0
BuildRequires:  libxfcegui4-devel >= 4.4.0
BuildRequires:  xfce4-panel-devel >= 4.4.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The FSGuard panel plugin checks free space on a chosen mount point
frequently and displays a message when a limit is reached.  There are
two limits: a warning limit where only the icon changes, and an urgent
limit that advise the user with a message.  The icon button can be
clicked to open the chosen mount point.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/xfce4/panel-plugins/xfce4-fsguard-plugin
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/xfce4/panel-plugins/fsguard.desktop

%changelog
* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-1
- initial build for Vine Linux

