Summary: 	Next generation filemanager and SMB network navigator for XFce4
Name: 		xffm
Version: 	4.2.3
Release: 	0vl1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.gz
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	dbh >= 1.0
Requires:	glib2 >= 2.0.0
Requires:	gtk2 >= 2.0.0
Requires:	libxfce4mcs >= %{version}
Requires:	libxfce4util >= %{version}
Requires:	libxfcegui4 >= %{version}
Requires:	libxml2 >= 2.4.0
BuildRequires:	dbh >= 1.0
BuildRequires: 	glib2-devel >= 2.0.0
BuildRequires: 	gtk2-devel >= 2.0.0
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	libxml2-devel >= 2.4.0

%description
xffm is a filemanager and SMB network navigator for XFce4.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}/*
%{_libdir}/*
%{_datadir}/applications
%{_datadir}/icons
%{_datadir}/xffm/
%{_datadir}/xfce4/
%{_mandir}/man1/*


%changelog
* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Wed Jan 07 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release

