%define	patchver "11.3.2-9vl5 August 2003"

Summary: xgraph - 2D data plotting program (+ hack 9 + color PS + and so on.)
Summary(ja): ǡץå (+ hack 9 + color PS + )
Name: xgraph11
Version: 11.3.2
Release: 9vl8
Source: ftp:://shambhala.Berkeley.EDU/pub/xgraph-11.3.2.tar.gz
Patch0: localhost:/xgraph-h9.diff
Patch1: localhost:/xgraph-colorPS.diff
Patch2: localhost:/xgraph-geometry.diff
Patch3: localhost:/xgraph-ps-mark5.patch
License: distributable
Group: Applications/Engineering
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

Conflicts: xgraph

%description
Xgraph is a 2D data plotting program.
This package contains hack9, PSCOLOR, geometry bug fix,
svga option patches.

Install xgraph if you need a simple 2D scientific data 
viewer package.

%description -l ja
xgraph ϲʳصʬ˱Ū˻Ȥ褿ǡ
ץåǤΥѥåǤ¿ΥХեåǽ 
(hack 9, geometry fix) ȡǽĥ (color PostScript) ʤƤޤ

Υǡڤ˻в xgraph 򥤥󥹥ȡ뤷Ʋ

%prep
%setup -n xgraph-%{version}
%patch0 -p1 -b .h9
%patch1 -p1 -b .colorPS
%patch2 -p1 -b .geo
%patch3 -p1 -b .psMark5

sed -e 's|#define VERSION_STRING	"11.3.2 December 1989"|#define VERSION_STRING	%{patchver}| g' xgraph.h > xgraph.h.tmp
mv xgraph.h.tmp xgraph.h


rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
        ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
        ln -sf $RPM_BUILD_ROOT/usr/X11R6 $RPM_BUILD_ROOT/usr/X11R6.3
fi
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1


%build
xmkmf -a
make all

%install
TOPDIR=$RPM_BUILD_ROOT/usr
BINDIR=$TOPDIR/X11R6/bin
MANDIR=$TOPDIR/X11R6/man/man1

make TOP=$TOPDIR BINDIR=$BINDIR install
make TOP=$TOPDIR MANDIR=$MANDIR install.man

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root)
%doc README.* examples
/usr/X11R6/bin/xgraph
/usr/X11R6/man/man1/xgraph.1x*

%changelog
* Fri Jul 21 2006 KOBAYASHI Taizo <tkoba@vinelinux.org> 11.3.2-9vl8
- rebuild

* Thu Oct 28 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 11.3.2-9vl7
- drop defined INTEGER_UNIT

* Wed Mar 10 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 11.3.2-9vl6
- rebuild

* Wed Aug 14 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 11.3.2-9vl5
- rename xgraph11

* Fri Dec 13 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 11.3.2-9vl4
- more fixed colorPS patch

* Wed Feb 13 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- fixed colorPS patch 
- fixed Group: section (by sagami@mwc.biglobe.ne.jp [VineSeed:05647])
- rebuild on XF86-4

* Mon Jan 15 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- fixed mark5 ps output.

* Sat Dec 08 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- applied 
    hack9 : http://www.goice.co.jp/member/mo/hack-progs/xgraph.html
    color PS : http://zeus.c.oka-pu.ac.jp/~watanabe/Solaris/xgraph.html
    geometry fix : http://www.imc.im.hiroshima-cu.ac.jp/~sakapon/prog/
    svga, colorPS option
- first release
