%define over 1_7_4
%define dver %(echo %{over} | sed -e s/_/./g)
%define rblibdir %(ruby -r rbconfig -e 'print Config::CONFIG["rubylibdir"]')

Name: xmlrpc4r
Version: %{dver}
Release: 0vl1
Copyright: distributable
Group: Development/Languages
Source: http://www.fantasy-coders.de/ruby/xmlrpc4r/%{name}-%{over}.tar.gz
Patch1: xmlrpc4r-1.7.3.install.rb.patch
URL: http://www.fantasy-coders.de/ruby/xmlrpc4r/index.html
Prefix: /usr
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby, ruby-devel >= 1.6.4-0vl3
Requires: nqxml
Summary: XML-RPC support for Ruby
Summary(ja): RubyѤXML-RPC饤֥

%description
XML-RPC provides remote procedure calls over HTTP with XML. It is
like SOAP but much easier. For more information see the XML-RPC
homepage <URL:http:// www.xmlrpc.com/>. This package provides XML-RPC
support for Ruby.

Note: The package also can be used with ruby-xmlparser.

%description -l ja
XML-RPCHTTPXMLȤäƥ⡼ɥץ㥳ǽȤΤǡ
SOAP˻ƤޤñǤXML-RPCˤĤƤξܤXML-RPC
ۡڡ<URL:http:// www.xmlrpc.com/>ǻȤǤޤΥѥå
RubyѤXML-RPCݡȥ饤֥Ǥ

ʤΥ饤֥ruby-xmlparserȤ߹碌ƻѤ뤳ȤǽǤ

%prep

%setup -q -c
cd %{name}-%{over}
%patch1 -p1
cd ..

%build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{rblibdir}

cd %{name}-%{over}
ruby install.rb ${RPM_BUILD_ROOT}
cd ..

(find \
  $RPM_BUILD_ROOT%{_libdir} \
      -type f -o -type l) | 
 sort | sed -e "s,^$RPM_BUILD_ROOT,," > xmlrpc4r.files

%clean
rm -f xmlrpc4r.files
rm -rf ${RPM_BUILD_ROOT}

%pre

%post

%files -f xmlrpc4r.files
%defattr(-, root, root)
%doc %{name}-%{over}/ChangeLog
%doc %{name}-%{over}/ToDo
%doc %{name}-%{over}/README
%doc %{name}-%{over}/doc
%doc %{name}-%{over}/redist
%doc %{name}-%{over}/samples
%doc %{name}-%{over}/test

%changelog
* Tue Oct 23 2001 akira yamada <akira@vinelinux.org> 1.7.4-0vl1
- new upstream version.

* Sun Oct 14 2001 akira yamada <akira@vinelinux.org> 1.7.3-0vl1
- Initial packaging.
