%define tarball xf86-input-diamondtouch

Name:           xorg-x11-drv-diamondtouch
Version:        0.2.0
Release: 1%{?_dist_release}
Summary:        Xorg X11 diamondtouch input driver
Summary(ja):        Xorg X11 diamondtouch 入力ドライバ

Group:          User Interface/X Hardware Support
License:        MIT
URL:            http://people.freedesktop.org/~whot/diamondtouch/
Source0:        http://people.freedesktop.org/~whot/diamondtouch/%{tarball}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  xorg-x11-server-sdk
Requires:       xorg-x11-server-Xorg

%description
X.Org X11 mouse input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-blobs
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la | xargs rm -f
find $RPM_BUILD_ROOT -name \*.h | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/xorg/modules/input/diamondtouch_drv.so
%{_mandir}/man4/diamondtouch.4.gz

%changelog
* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.2.0-1
- initial build for Vine Linux

* Thu Aug 09 2007 Adam Jackson <ajax@redhat.com> 0.2.0-0.1
- Initial revision.

