%define tarball xf86-input-tek4957
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/input

Summary:   Xorg X11 tek4957 input driver
Summary(ja):   Xorg X11 tek4957 入力ドライバ
Name:      xorg-x11-drv-tek4957
Version: 1.2.0
Release: 1%{?_dist_release}
URL:       http://www.x.org
Source0:   http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
License:   MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

ExcludeArch: s390 s390x

BuildRequires: xorg-x11-server-sdk >= 1.3.0.0-6

Requires:  xorg-x11-server-Xorg

%description 
X.Org X11 tek4957 input driver.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/tek4957_drv.so
%{_mandir}/man4/tek4957.4*

%changelog
* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.0-1
- initial build for Vine Linux

* Thu Mar 20 2008 Adam Jackson <ajax@redhat.com> 1.2.0-1
- tek4957 1.2.0

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.0-5
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Adam Jackson <ajax@redhat.com> - 1.1.0-4
- Rebuild for ppc toolchain bug

* Mon Jun 18 2007 Adam Jackson <ajax@redhat.com> 1.1.0-3
- Update Requires and BuildRequires.  Disown the module directories.  Use
  explicit filename instead of glob.

* Fri Feb 16 2007 Adam Jackson <ajax@redhat.com> 1.1.0-2
- ExclusiveArch -> ExcludeArch

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Sun Apr  9 2006 Adam Jackson <ajackson@redhat.com> 1.1.0-1
- Update to 1.1.0 from 7.1RC1.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Nov 4 2005 Mike A. Harris <mharris@redhat.com> 1.0.0.1-1
- Updated xorg-x11-drv-tek4957 to version 1.0.0.1 from X11R7 RC1
- Fix *.la file removal.
- Add manpages to file manifest.

* Fri Sep 2 2005 Mike A. Harris <mharris@redhat.com> 1.0.0-0
- Initial spec file for tek4957 input driver generated automatically
  by my xorg-driverspecgen script.
