%define name xpenguins
%define version 2.2
%define release 2%{?_dist_release}

Summary: Cute little penguins that walk along the tops of your windows
Summary(ja): デスクトップやウィンドウの上を歩き回る可愛いペンギン達

Name: %{name}
Version: %{version}
Release: %{release}
License: GPL

Source0: %{name}-%{version}.tar.gz
#Packager: Robin Hogan <R.J.Hogan@reading.ac.uk>
URL: http://xpenguins.seul.org/

Group: Applications/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: xorg-x11-devel


%description
XPenguins animates a friendly family of penguins in your root window.
They drop in from the top of the screen, walk along the tops of your
windows, up the side of your windows, levitate, skateboard, and do
other similarly exciting things. XPenguins is now themeable so if
you're bored of penguins, try something else. The themes that come
with this package are "Penguins", "Classic Penguins", "Big Penguins",
"Turtles" and "Bill".

%description -l ja
あなたのルートウィンドウ上を可愛らしいペンギン一家が歩き回る
プログラムです．スクリーンの一番上から落ちて来て，ウィンドウの上や横を
歩き回ったり，飛び回ったり，スケボーで走り回ったり，その他楽しい動作を
見せてくれます．この xpenguin はテーマ機能をサポートしていますので，
他のテーマを試すことも出来ます．このパッケージに入っているテーマは
"Penguins", "Classic Penguins", "Big Penguins", "Turtles", "Bill" です．


%prep
%setup


%build

%configure
make


%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog lay-out-frames.scm resize-frames.scm
%attr(755,root,root) %{_bindir}/xpenguins
%{_mandir}/man1/*
%{_datadir}/%{name}/themes/Penguins/*
%{_datadir}/%{name}/themes/Big_Penguins/*
%{_datadir}/%{name}/themes/Classic_Penguins/*
%{_datadir}/%{name}/themes/Turtles/*
%{_datadir}/%{name}/themes/Bill/*


%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.2-2vl5
- applied new versioning policy, spec in utf-8

* Wed Jul 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2-1vl2
- rebuilt with new toolchains
- s/Copyright/License/
- changed Group to Applications/Other

* Mon Sep 23 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.2-1vl1
- based on upstream's 2.2-1 and built for Vine Linux

* Mon Oct  1 2001 Robin Hogan <R.J.Hogan@reading.ac.uk> 2.1.5-1
- Removed Lemmings (now in xpenguins_themes), added Bill, Big Penguins
- Added resize-frames.scm to docs
* Wed Aug 22 2001 Robin Hogan <R.J.Hogan@reading.ac.uk> 2.1.3-1
- Added Lemmings theme
* Sat May  5 2001 Robin Hogan <R.J.Hogan@reading.ac.uk> 1.9.1-1
- First spec file used with autoconf
* Tue May 23 2000 Robin Hogan <R.J.Hogan@reading.ac.uk> 1.2-1
- Use BuildRoot.

# end of file
