Name: xpuyopuyo
Version: 0.9.8
Release: 1%{?_dist_release}
Summary: Xpuyopuyo is a Tetris-like puzzle game
Summary(ja): Xpuyopuyo はテトリスと似たパズルゲームです
License: GPL2
Group: Applications/Games
Source: http://chaos2.org/%{name}/%{name}-%{version}.tar.gz
Source1: xpuyopuyo.desktop
URL: http://chaos2.org/xpuyopuyo/
BuildPrereq: gtk+-devel glib-devel mikmod-devel desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Xpuyopuyo is a Tetris-like puzzle game where you strive to match up four
"blobs" of the same color.  Each match gives you points, and also dumps gray
rocks on your opponent which are irritating and troublesome to get rid of. 
Multiple matches at one time score more points, and result in more rocks
being dumped on the opponent (much to their dismay).  First person to fill
up their screen with puyopuyo blobs loses.

The game features an AI, and is capable of single-player, human-human play,
human-AI gameplay, or AI-AI gameplay (demo mode).  It will keep track of the
total number of matches each player recieves, and the number of
single-matches, double-matches, triple-matches, etc. as well.

%description -l ja
Xpuyopuyo は同じ色のブロックを並べる、テトリスに似たパズルゲームです。
一回並べるごとにポイントが入り、敵にはいらいらのもとになる邪魔な灰色の岩が
落ちます。一度にたくさん並べると多くの点が入り、たくさんの岩が敵に降ります。
一番早くpuyopuyoブロックをスクリーン一杯にためてしまった人が負けです。

このゲームは AI を搭載しており、一人で遊ぶことも、人対人で遊ぶことも、人対
AIで遊ぶことも、AI対AIでデモを行うこともできます。

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT

%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Games
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor= \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/xpuyopuyo
%{_mandir}/man6/*
%{_datadir}/applications/xpuyopuyo.desktop
#%{_datadir}/gnome/apps/Games/xpuyopuyo.desktop
%{_datadir}/pixmaps/xpuyopuyo.xpm
%{_datadir}/xpuyopuyo/

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.9.5-1vl5
- applied new versioning policy, spec in utf-8

* Sat Feb  2 2002 Jun Nishii <jun@vinelinux.org> - 0.9.5-0vl1
- updated to 0.9.8
- changed Group to Applications/Games

* Sat Feb  2 2002 Jun Nishii <jun@vinelinux.org> - 0.9.5-0vl1
- ver.up

* Thu Sep 21 2000 Jun Nishii <jun@vinelinux.org>
- 0.9.2-0vl1
- with gnome 
- build for Vine Linux 2.1

* Fri Jan 14 2000 Jun Nishii <jun@vinelinux.org>
- --without-gnome

* Wed Jan  5 2000  Ian Macdonald <ian@caliban.org>
- updated to 0.3.1

* Sun Jan  2 2000  Ian Macdonald <ian@caliban.org>
- updated to 0.3.0

* Fri Dec 10 1999  Ian Macdonald <ian@caliban.org>
- first RPM release (0.2.10)

