Name:         xqbiff
Version:      0.75.2
Release:      1%{?_dist_release}
Summary:      Maildir-capable X biff client
Summary(ja):  Maildir 対応 した X クライアント版 biff

Source0:      http://www11.plala.or.jp/ishizawa/xqbiff/src/xqbiff-%{version}.tar.gz
URL:          http://www11.plala.or.jp/ishizawa/xqbiff/
License:    GPL2

Packager:     MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
Vendor:       Project Vine
Distribution: Vine Linux

Group:        Applications/Internet
BuildRequires: imlib-devel zlib-devel
BuildRoot:    %{_tmppath}/%{name}-%{version}-root


%description
xqbiff is a variation of X biff clients. It works well with
qmail's Maildir-format mailboxes, as well as conventional
Mailbox-format mailboxes and POP3 capability.

Other detailed information can be available at:

  http://www11.plala.or.jp/ishizawa/xqbiff/
  (sorry, currently available only in Japanese)


%description -l ja
xqbiff は，qmail のメール配送方式である Maildir 方式用に作られた，
X 上で動作する biff です．従来の Mailbox 形式や POP3 経由の
メールチェックも可能です．

主な特徴

  - 新しいメールが届くと、ポップアップウィンドウでお知らせします
    (日本語対応)
  - ウィンドウをマウスで左クリックすることで、未読メールのサブジェクトや
    受信時間のリストを見ることができます
  - マウスの中クリック、右クリック時に任意のコマンドを起動できます
    (簡易ランチャー機能)
  - ウィンドウの絵がアニメーションします(xpm形式の画像ファイルを使用)
  - 未読メールリストの配色を好みに変えることができます

詳しくは、xqbiff の web ページ

  http://www11.plala.or.jp/ishizawa/xqbiff/

を御覧下さい。


%prep
%setup


%build
%configure
make


%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
install -m 644 xqbiff.jman ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/xqbiff.1


%post


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGELOG* COPYING INSTALL* README*
%doc Xqbrc* xqbiff-poprc image

%{_mandir}/ja/*/xqbiff.1*
%{_bindir}/xqbiff


%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.75.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Jul 24 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.75.2-0vl1
- new upstream release

* Wed Jan 28 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.75-0vl1
- updated in sync with new upstream release 0.75

* Fri Aug 16 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.74-0vl1
- updated in sync with new upstream release 0.74

* Mon Dec 25 2000 MATSUBAYASHI 'Shaolin' Kohji
- 0.73.1-0vl1
- included official bugfix patch

* Tue Oct 31 2000 MATSUBAYASHI 'Shaolin' Kohji
- 0.73-0vl1
- updated in sync with 0.73 released
- patch for bigendian archs are removed:
  now OP_ENDIAN="-DWORDS_BIGENDIAN" is passwd during make instead
- modified %files section to handle compressed man page(s)

* Thu Jun 22 2000 MATSUBAYASHI 'Shaolin' Kohji
- 0.72-0vl1
- updated in sync with 0.72 release
- changed man dir from ja_JP.ujis to ja

* Thu Dec  9 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.71.1-1
- updated in sync with 0.71.1 - a bug fix release

* Tue Nov 30 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.71-1
- updated in sync with 0.71 release
- added a patch for Big Endian architectures (ppc, sparc)

* Mon Aug 30 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.70-2
- included a patch to fix time-related problem
  (contributed by Mr. Ishizawa himself!)

* Tue Aug 24 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.70-1
- a long-awaited 0.70 release :-)

* Tue Aug 10 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.70b10-1

* Mon Jul 26 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.70b9-1

* Sat Jul 17 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.70b8-1

* Wed Jul  7 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.70b7-1
- removed vl tag from the release number
  (may work well with other Red Hat 5.2-based distribution)

* Mon Jul  5 1999 MATSUBAYASHI 'Shaolin' Kohji
- 0.70b6-1vl1
- first package compilation for Red Hat 5.2-based distributions
