%define name xscavenger
%define version 1.4.4
%define release 1%{?_dist_release}

Summary: Scavenger is a cool arcade/thinking game very much like Lode Runner.
Summary(ja): ロードランナー風のゲーム
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.xdr.com/dash/%{name}-%{version}.tgz
License: GNU General Public License
Group: Applications/Games
URL: http://www.xdr.com/dash/scavenger.html

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Scavenger is a cool arcade/thinking game very much like Lode Runner. 
You have got to run around and collect objects while avoiding enemies. 
Some objects are buried and you have got to dig down to get at them. 
It is an addictive game and some of the levels are devilishly (cruelly) 
complicated to solve.


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{name}-%{version}/src

%build
xmkmf -a
make scavenger

%install
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications
cat >  ${RPM_BUILD_ROOT}/usr/share/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Scavenger
Comment=Scavenger is a cool arcade/thinking game very much like Lode Runner.
TryExec=scavenger
Exec=/usr/X11R6/bin/scavenger
Icon=
Terminal=0
Type=Application
Categories=GNOME;Application;Game
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/scavenger
%{_prefix}/lib/X11/scavenger
/usr/share/applications/%{name}.desktop

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.4-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.4.4-0vl2
- rebuild for VineSeed

* Tue Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 1.4.4-0vl1
- initial build for Vine Linux

# * Sun Jul 24 2005 1.4.4-0vl1
# - initial build for Vine Linux

# end of file
