Name: 		zphoto
Version:	1.2
Release: 	2%{?_dist_release}
License: 	LGPL
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL:            http://www.namazu.org/~satoru/zphoto/
Source0:	%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
#Patch0:         zphoto-1.2-wxgtk26.patch
Summary:	a flash-based photo album generator
Summary(ja):	Flash ベースのアルバムを作るツール
Group: 		Applications/Multimedia

Requires: imlib2, ming, zip
#Requires: wx-gtk2, libgcc
BuildRequires: imlib2-devel, ming, popt, gcc-c++
#BuildRequires: imlib2-devel, ming, popt, wx-gtk2-devel, gcc-c++

%description
zphoto is a flash-based photo album generator. You can create 
a flash-based on-line album from photos taken by a digital camera.

%description -l ja
zphoto は Flash ベースのフォトアルバムを作るツールです。デジカメ写真
から Flash を用いたフォトアルバム (オンラインアルバム) を簡単に作成
できます。

%prep
%setup -q
#patch0 -p1 -b .wxgtk26

%build
%configure --disable-wx
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

[ -d "./zphoto-doc" ] && rm -rf ./zphoto-doc
mv $RPM_BUILD_ROOT%{_datadir}/zphoto/doc ./zphoto-doc

# install icon and .desktop files
# mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/zphoto
# mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
# /usr/bin/install -m644 ./icon/wxzphoto* \
#     $RPM_BUILD_ROOT%{_datadir}/pixmaps/zphoto
# /usr/bin/install -m644 %{SOURCE1} \
#     $RPM_BUILD_ROOT%{_datadir}/applications

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root, 755)
%doc AUTHORS COPYING ChangeLog NEWS README zphoto-doc/*
%{_bindir}/zphoto
#{_bindir}/wxzphoto
#{_datadir}/applications/%{name}.desktop
#{_datadir}/pixmaps/zphoto
%{_datadir}/zphoto

%changelog
* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 1.2-2vl5
- rebuilt with ming-0.4.2
- spec in utf-8

* Tue May  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2-1vl5
- removed wxzphoto (for wxWidgets compatibity)

* Sun Jun  3 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2-0vl3
- rebuilt with new toolchain

* Wed Jul 13 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2-0vl2
- rebuild with wx-gtk 2.6
- added Patch0 to build with wx-gtk 2.6

* Fri Aug 13 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.2-0vl1
- new upstream release
- added zphoto.desktop
- added Requires: libgcc, BuildRequires: gcc-c++

* Wed Jun  9 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-0vl3
- fixed Group

* Sat May 29 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-0vl2
- added BuildReqires: wx-gtk2-devel, Requires: wx-gtk2 for wxzphoto

* Sat May 15 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0-0vl1
- Initial spec file :-)
- added Japanese summary and description
