Summary: Linear Algebra PACKage in C++
Name: Lapackpp
Version: 2.5.2
Release: 0vl1
URL: http://lapackpp.sourceforge.net/
Source: lapackpp-%{version}.tar.gz
#Source1: lapack++_install.ps.gz
#Source2: lapackpp1_1.ps.gz
#Source3: lapackppman1_1.ps.gz 
#Source4: NOTICE
# Vine Patch
#Patch: Lapackpp1.1a.makefile.patch
License: LGPL
Group: Development/Libraries
BuildRequires: blas-devel lapack-devel
BuildRequires: gcc-c++ pkgconfig
Requires: pkgconfig
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
LAPACK++ (Linear Algebra PACKage in C++) is a software library
for numerical linear algebra that solves systems of linear
equations and eigenvalue problems on high performance computer
architectures. 

Computational support is provided for supports various matrix
classes for vectors, non-symmetric matrices, SPD matrices,
symmetric matrices, banded, triangular, and tridiagonal matrices;
however, it does not include all of the capabilities of original 
f77 LAPACK. Emphasis is given to routines for solving linear
systems consisting of non-symmetric matrices, symmetric positive
definite systems, and solving linear least-square systems. 

%prep
%setup -q -n lapackpp-%{version}
#%patch -p1
#cp %{SOURCE1} .
#cp %{SOURCE2} .
#cp %{SOURCE3} .
#cp %{SOURCE4} .

%build
%configure --disable-atlas
make

%install
rm -rf %{buildroot}
%makeinstall 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README RELEASE.NOTES
%doc testing
%{_includedir}/lapackpp
%{_libdir}/*
%{_datadir}/aclocal/*.m4

%changelog 
* Wed Aug  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.5.2-0vl1
- new upstream release
- updated URL, dependancies
- changed Group to Development/Libraries

* Sat Feb 24 2001 Jun Nishii <jun@vinelinux.org>
- 1.1a-0vl1

