Summary: fast multi-purpose plotting program for X11-windows
Summary(ja): X11 ư륰պġ
Name:  Plotmtv
Version: 1.4.4t
Release: 0vl3
Source:  plotmtv_1.4.4t.orig.tar.gz
Patch0: Plotmtv.larger.patch
Patch1: plotmtv_1.4.4t-6.diff.gz
Patch2: Plotmtv_1.4.4t.larger.patch
License: distributable
Group: Applications/Engineering
Buildroot: %{_tmppath}/%{name}-%{version}-root


%description
plotmtv  is  a fast and convenient X11 program for visual-
ization of scientific data.  The program reads in data  in
the  MTVDAT format and plots each dataset in the data-file
in turn.  Each plot comes with  a  simple  but  functional
Graphical User Interface (GUI), which allows users to zoom
in or pan to areas of interest on the plot, or  to  toggle
between  2D  and  3D  plots.  The  plots  may then be sent
directly to a grayscale or color  PostScript  printer  for
hard-copy output.

%description -l ja
plotmtv ϲʳإǡĻĤ®ǻȤ䤹ץǤ
MTVDATեޥåȤΥǡɤ߹ߡǡեγƥǡ
åȤץåȤޤƥץåȤϴñʤǽŪGUI
Ǥɽꥢ䥺ࡤ2D, 3D ץåȤڤؤ
ʤɤñˤǤޤդϥ쥤䥫顼
ץ󥿡ľܽϤǤޤ

%prep
%setup -n %{name}%{version}
%patch1 -p1
%patch2 -p1

%build
xmkmf
make World

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=${RPM_BUILD_ROOT} install
cd Docs/
install -d ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/
install -m 644 plotmtv.man ${RPM_BUILD_ROOT}/usr/X11R6/man/man1/plotmtv.1x

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.INSTALL README.VERSION Tests/ Docs/
/usr/X11R6/bin/plotmtv
/usr/X11R6/bin/ctr2mtv
/usr/X11R6/bin/drawplot2mtv
/usr/X11R6/bin/pdraw2mtv
/usr/X11R6/bin/mtv2mtv
/usr/X11R6/man/man1/plotmtv.1x*

%changelog 
* Sun Jul 11 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.4.4t-0vl3
- s/Copyright/License/
- changed Group to Applications/Engineering
- fixed Buildroot to use macros

* Sun May 09 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.4.4t-0vl2
- modified patch0 to patch2

* Sat May 08 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.4.4t-0vl1
- source update from debian package

* Sun Oct 15 2000 MACHINO, Satoshi <machino@vinelinux.org> 1.4.1-0vl2
- fixed in %files for brp-redhat scripts

* Thu Mar  9 2000 Jun Nishii <jun@vinelinux.org> 1.4.1-0vl1
- build for Vine Linux 2.0

* Thu Nov 5 1997 Jun NISHII <Jun NISHII>
- make array size larger

* Thu Oct 9 1997 Jun NISHII <Jun NISHII>
- make array size large 
