Summary:	Libraries connecting Pango text rendering engine and SDL.
Summary(ja): 	Pango テキスト描画エンジンと SDL を接続するライブラリ
Name:		SDL_Pango
Version:	0.1.2
Release: 	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
Patch0:		SDL_Pango-0.1.2-API-adds.patch
License:	LGPL
Group:		System Environment/Libraries
URL:		http://sourceforge.net/projects/sdlpango/

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  SDL-devel >= 1.2.4
BuildRequires:	pango-devel >= 1.2.0

%description
Pango is the text rendering engine of GNOME 2.
SDL_Pango connects the engine to SDL.

%description -l ja
Pango は GNOME 2 用のテキスト描画エンジンです。
SDL_Pangoはこのエンジンと SDL を接続するライブラリです。

#-----------------------------------------------------------------------------

%package devel
Summary:	Libraries and includes to develop SDL_Pango programs
Summary(ja): 	SDL_Pango 用の開発ライブラリおよびヘッダファイル
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This is the libraries, include files and other resources you can use
to develop SDL_Pango using applications.

You should install the SDL_Pango-devel package if you would like to
develop applications using SDL_Pango.

%description -l ja devel
このパッケージは SDL_Pango アプリケーションを開発するために使用する
include ファイルやその他リソースを含んでいます。

SDL_Pango を使用したアプリケーションを開発するなら、このパッケージ
をインストールしてください。

#-----------------------------------------------------------------------------

%prep

%setup -q
%patch0 -p0 -b .add-api

%build
%configure
%__make


%install
%__rm -rf ${RPM_BUILD_ROOT}
%makeinstall

# remove unnecessary file.
%{__rm} -rf $RPM_BUILD_ROOT%{_libdir}/libSDL_Pango.{a,la}

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_libdir}/libSDL_Pango.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/SDL_Pango.h
%{_libdir}/libSDL_Pango.so
%{_libdir}/pkgconfig/SDL_Pango.pc

%changelog
* Mon Sep 20 2010 IWAI, Masaharu <iwai@alib.jp> 0.1.2-2
- remove *.a

* Sun Sep 21 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.1.2-1
- applied new versioning policy
- spec in UTF-8

* Wed Mar 21 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1.2-0vl1
- initial build for Vine Linux
