%define fontname aoyagi-soseki
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Aoyagi soseki font
Summary(ja): 青柳疎石フォント
Version: 20070207
Release: 1%{?_dist_release}
License: Public Domain
Group: User Interface/X
URL: http://musashi.or.tv/aoyagisosekifont.htm

Source0: %{fontname}.zip
Source1: License.txt

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires: unzip
Requires: TrueType-%{fontname}-doc

%description
Aoyagi soseki font is Japanese TrueType brush-style font, 
made by Aoyagi Kouzan.

%description -l ja
青柳疎石フォントは青柳衡山氏により作成された
日本語 TrueType 毛筆フォントです。

%package doc
Summary: Aoyagi soseki font documents
Summary(ja): 青柳疎石フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Aoyagi soseki font
includes enduser license.

%description -l ja doc
このパッケージには青柳疎石フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -c -T
%{_bindir}/unzip -oq %{SOURCE0}
cp -pr %{SOURCE1} .

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/*.ttf

%files doc
%doc License.txt

%changelog
* Fri Feb 17 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 20070207-1
- initial build for VineSeed
