%define fontname konatu
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Konatu font - Gothic type font set for Japanese
Summary(ja): ゴシック系日本語フォントセット 小夏フォント
Version: 26
Release: 2%{?_dist_release}
License: Creative Commons (CC-BY-SA)
Group: User Interface/X
URL: http://www.masuseki.com/index.php?u=be/konatu.htm

Source0: Konatu_ver_%{version}.zip

BuildRequires: unzip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: %{name}-doc

Obsoletes: TrueType-konatu-fixed, TrueType-konatu-proportional

%description
Konatu is Gothic type font set for Japanese.
This font was created as BeOS(ZETA) bitmap font at first,
and also made as TrueType font.

This font is contained two type fonts.

- Konatsu.ttf（proportional）
- KonatuTohaba.ttf （monospace）

%description -l ja
小夏フォントはゴシック系の日本語フォントセットです。
当初は BeOS(ZETA) のビットマップフォントとして
作られ、その後 TrueType フォントとしても作成されました。

このフォントは2つのタイプのフォントを含んでいます。

- Konatsu.ttf（プロポーショナル）
- KonatuTohaba.ttf （等幅）

%package doc
Summary: Konatu font Documents
Summary(ja): 小夏フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Konatu font
includes enduser license.

%description -l ja doc
このパッケージには小夏フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -q -n Konatu_ver_%{version}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/*.ttf

%files doc
%doc *.txt

%changelog
* Mon Oct 11 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 26-2
- unified fixed and proportional font again
- fixed description a little

* Wed Jan 6 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 26-1
- new upstream release
- splitted two packages - mono and proportional

* Fri Oct 23 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 25-1
- initial build for Vine Linux
