%define _fontdir %{_datadir}/fonts/%{name}
%define mplus_version 048
%define ipag_version 00303

Summary: mixed font with M-plus and IPA
Summary(ja): IPA と M+ フォントの合成フォント
Name: TrueType-migu
Version: 20120411
Release: 2%{?_dist_release}
License: IPA Font License v1.0
Group: User Interface/X
URL: http://mix-mplus-ipa.sourceforge.jp/
Source0: http://sourceforge.jp/projects/mix-mplus-ipa/downloads/53034/migu-1c-%{version}-2.zip
Source1: http://sourceforge.jp/projects/mix-mplus-ipa/downloads/53034/migu-1m-%{version}-2.zip
Source2: http://sourceforge.jp/projects/mix-mplus-ipa/downloads/53034/migu-1p-%{version}-2.zip

BuildRequires: unzip

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     munepi, kudoh

%description
Migu is a mixed font with M-plus and IPA. 
It is based on MigMix. 


%description -l ja
Migu は M+ と IPA の合成フォントです。
MigMix フォントを元にいくつかの改変がされています。

%package doc
Summary: Migu font documents
Summary(ja): Migu フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Migu fonts
includes enduser license.

%description -l ja doc
このパッケージには Migu フォントのライセンスを含む
ドキュメント類が含まれています。

%prep
%setup -q -c -n %{name}-%{version} -a 1 -a 2

%build

%install
%__rm -rf $RPM_BUILD_ROOT

%__mkdir_p $RPM_BUILD_ROOT%{_fontdir}
%__cp -a migu-1{c,m,p}-%{version}-2/migu-*.ttf $RPM_BUILD_ROOT%{_fontdir}/

%clean
%__rm -rf $RPM_BUILD_ROOT

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%defattr(-,root,root,-)
%{_fontdir}/migu-1c-bold.ttf
%{_fontdir}/migu-1c-regular.ttf
%{_fontdir}/migu-1m-bold.ttf
%{_fontdir}/migu-1m-regular.ttf
%{_fontdir}/migu-1p-bold.ttf
%{_fontdir}/migu-1p-regular.ttf

%files doc
%defattr(-,root,root,-)
%doc migu-1c-%{version}-2/migu-README.txt
%doc migu-1c-%{version}-2/mplus-TESTFLIGHT-%{mplus_version}
%doc migu-1c-%{version}-2/ipag%{ipag_version}

%changelog
* Tue Jul 31 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 20120411-2
- removed M plus Font License
  - because IPA font Lisence do not coexist other lisence
    (http://d.hatena.ne.jp/itouhiro/20120607)

* Wed Apr 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 20120411-1
- new upstream release

* Sun Aug 28 2011 Munehiro Yamamoto <munepi@vinelinux.org> 20110825-1
- new upstream release
- addes doc subpackage

* Sun Jun  5 2011 Munehiro Yamamoto <munepi@vinelinux.org> 20110514-1
- Initial build.
