%define fontname roboto
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name: TrueType-%{fontname}
Summary: Roboto font
Summary(ja): Roboto フォント
Version: 1.0
Release: 1%{?_dist_release}
License: apache License 2.0
Group: User Interface/X
URL: https://github.com/android/platform_frameworks_base/tree/master/data/fonts
#URL: http://developer.android.com/design/style/typography.html
Source0: roboto-font-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: %{name}-doc

%description
Roboto is new font that introduced with Android OS 4.0 
"Ice Cream Sandwich".

%description -l ja
Roboto は Android OS 4.0 "Ice Cream Sandwich" と
一緒に紹介された新しいフォントです。

%package doc
Summary: Robot font Documents
Summary(ja): Roboto フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Roboto font
includes enduser license.

%description -l ja doc
このパッケージには Roboto フォントのライセンスを含む
ドキュメント類が含まれています。


%prep
%setup -qn roboto-font

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/Roboto-*.ttf

%files doc
%doc MODULE_LICENSE_APACHE2 NOTICE README.txt

%changelog
* Sat Jan 28 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0-1
- initial build for VineSeed
