%define instdir /var/lib/Zope2/Products
%define product FSCounter
Name: Zope2-FSCounter
Version: 1.4.0
Release: 2%{?_dist_release}
License: Zope Public License (ZPL) Version 2.0
URL: http://www.zope.org/Members/SmileyChris/FScounter
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: Zope2-zserver >= 2.12
Group: Development/Web Applications
Source: FScounter.%{version}.tar.gz
Patch0: FScounter-1.4.0-init.patch
Patch1: FScounter-1.4.0-FSCounter.patch
Vendor: Projpct Vine
Distribution: Vine Linux
Packager: owa

Summary: A web page hit counter product.
Summary(ja): Webページのヒットカウンタプロダクト.
%description
FSCounter is an improvement over ZCounter, by creating a web page hit counter
that uses the File System to store the value, stopping the ZODB from being
filled with multiple copies of the same object.
%description -l ja
FSCounter は ZCounter の改良版. ZODB が沢山の同じようなオブジェクトのコピーで
埋まるのを止めるため, カウンタ値をファイルシステム上に保存するように作った.

%prep
%setup -q -c -n %{name}
%patch0 -p0 -b .init
%patch1 -p0 -b .FSCounter

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{instdir}
cp -Rdp %{product} $RPM_BUILD_ROOT%{instdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, Zope2, Zope2)
%{instdir}/%{product}

%changelog
* Sat Dec 11 2010 Shu KONNO <owa@bg.wakwak.com> 1.4.0-2
- changed package name to Zope2-FSCounter
- added FScounter-1.4.0-FSCounter.patch (include lastday.patch)

* Mon Jun 09 2008 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.4.0-1vl5
- applied new versioning policy and spec in utf-8

* Fri Oct 06 2006 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.4.0-0vl6
- added FScounter-1.4.0-init.patch

* Thu Jun 08 2006 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.4.0-0vl5
- added getTodaysCount() method to FScounter-1.4.0-lastday.patch

* Fri Mar 04 2005 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.4.0-0vl4
- updated FScounter.1.4.0.lastday.patch

* Tue Nov 09 2004 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.4.0-0vl3
- updated FScounter.1.4.0.lastday.patch

* Mon Nov 01 2004 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.4.0-0vl2
- droped FScounter.1.4.0.flock.patch 
- added FScounter.1.4.0.lastday.patch 

* Sat Oct 30 2004 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.4.0-0vl1
- updated FScounter to 1.4.0
- droped fscounter134.except.patch
- added FScounter.1.4.0.flock.patch 

* Tue Jun 22 2004 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.4-0vl6
- updated fscounter134.except.patch

* Sun Jun 20 2004 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.4-0vl5
- droped fscounter.locked.patch
- added fscounter134.except.patch

* Sat Jun 19 2004 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.4-0vl4
- added fscounter.locked.patch

* Sat Apr 24 2004 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.4-0vl3
- rebuild with python-2.3.3-0vl1

* Fri Sep 26 2003 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.4-0vl2
- added 'BuildArch: noarch'

* Sun Jul 13 2003 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.4-0vl1
- updated FSCounter to 1.3.4

* Sun Apr 13 2003 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.2-0vl1
- updated FSCounter to 1.3.4
- changed name

* Tue Feb 11 2003 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.3.2-0vp1
- upgraded license to ZPL 2.0

* Tue Jul 23 2002 Shu KONNO <owa@bg.wakwak.com> Zope-FSCounter-1.31-0vp1
- packaged new

