%define instdir /var/lib/Zope2/Products
%define product LocalFS
Summary: Local File System product
Summary(ja): ローカルなファイルシステムを操作するZopeプロダクト.
Name: Zope2-%{product}
Version: 1.3
Release: 3%{?_dist_release}
License: BSD2
URL: http://www.easyleading.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: Zope2-zserver >= 2.12
Group: Development/Web Applications
Source: %{product}-%{version}-andreas.tar.gz
Patch0: LocalFS-1.3-init.patch
Patch1: LocalFS-1.3-LocalFS.patch
Vendor: Projpct Vine
Distribution: Vine Linux
Packager: owa

%description
This product allows you to serve files and browse directories from
the local file system (or network shares on Windows platforms).
It also allows you to upload files to the file system.
%description -l ja
このプロダクトはローカルなファイルシステムからファイルを受け取ったり
ディレクトリを参照したりできるようにします. (これはネットワークで共有
された Windowsプラットフォームについても言えます)
またそのファイルシステムにファイルをアップロードすることも可能にします.


%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p0 -b .init
%patch1 -p0 -b .LocalFS

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{instdir}
cp -Rdp %{product} $RPM_BUILD_ROOT%{instdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, Zope2, Zope2)
%{instdir}/%{product}

%changelog
* Sat Dec 11 2010 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.3-3
- changed package name to Zope2-LocalFS
- dropt LocalFS-1.3-content_types.patch
- added LocalFS-1.3-init.patch
- added LocalFS-1.3-LocalFS.patch

* Thu Jul 17 2008 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.3-2vl5
- updated LocalFS-1.3-content_types.patch

* Mon Jun 09 2008 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.3-1vl5
- applied new versioning policy and spec in utf-8

* Mon Oct 09 2006 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.3-0vl3
- rebuilt

* Fri Jan 13 2006 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.3-0vl2
- added LocalFS-1.3-content_types.patch for zope 2.9

* Tue Jun 22 2004 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.3-0vl1
- updated LocalFS to 1.3-andreas.tar.gz

* Sat Apr 24 2004 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.2-0vl1
- updated LocalFS to 1.2-andreas.tar.gz
- build with python-2.3.3-0vl1

* Fri Sep 26 2003 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.0.0-0vl5
- added 'BuildArch: noarch' to rpm options

* Fri Aug 29 2003 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.0.0-0vl4
- modified LocalFS-1.0.0.patch (by Kiyoharu UENO)
- fixed manage_addLocalFS method bug

* Tue Aug 19 2003 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.0.0-0vl2
- rebuilt

* Sun Apr 13 2003 Shu KONNO <owa@bg.wakwak.com> Zope-LocalFS-1.0.0-0vl1
- packaged new
- included LocalFS-1.0.0.patch (by Shu KONNO)

