Summary: Help files for use in the Vine Linux installer
Summary(ja): Vine Linux インストーラで使用するヘルプファイル
Name: anaconda-vine-help
Version: 11.0.0.1
Release: 1%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
License: distributable
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: openjade, docbook-style-dsssl, xmlto, kdesdk
BuildArch: noarch

%description
The anaconda-help package contains the help used in anaconda, 
the Vine  Linux installer.

%prep
%setup -q

%build
LANG=ja_JP.UTF-8 make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/anaconda/
%{_datadir}/anaconda/help


%changelog
* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.1-1
- spec in utf-8, new versioning policy

* Mon Oct 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.7-0vl1
- update help-screen-C.xml
- update ja.po

* Fri Oct 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.6-0vl1
- update help-screen-C.xml
- update ja.po

* Fri Sep 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.5-0vl1
- update ja.po

* Fri Sep 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.4-0vl1
- update ja.po

* Wed Sep 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.3-0vl1
- apply ja.po patch (<BTS:0147>)

* Sun Sep 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.2-0vl1
- fix account window help.

* Fri Aug 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1-0vl1
- fix Makefile

* Tue Aug 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1-0vl1
- update fo anaconda-vine-10.1

* Thu May 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 9.1.1-0vl1
- initial build for Vine Linux

