Summary: Images used in the Vine Linux installer
Summary(ja): Vine Linux インストーラで使用するイメージファイル
Name: anaconda-vine-images
Version: 11.0.0.1
Release: 2%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
License: Distributable
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: anaconda-vine-runtime

%description
The anaconda-vine-images package (the "Package") contains images used in
anaconda, the Vine Linux installer. Included in these images are
files of the "Vine Linux" logos (the "Logos").

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/anaconda
%{_datadir}/anaconda/pixmaps
%{_prefix}/lib/anaconda-runtime/boot/syslinux-splash.png


%changelog
* Mon Aug 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.1-2
- rebuilt

* Fri Mar 20 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 11.0.0.1-2
- update to Vine Linux 5

* Wed Nov 07 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.5-0vl1
- update progress for Vine Linux 4.2

* Tue Nov 06 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.4-0vl1
- update splash/first for Vine Linux 4.2

* Tue Jan 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.3-0vl1
- update splash/progress for Vine Linux 4.1

* Tue Aug 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.2-0vl1
- remove unneeded files

* Fri Aug 25 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1.1-0vl1
- fix Makefile

* Fri Aug 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 10.1-0vl1
- modified for anaconda-10

* Tue Aug 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 9.1.1-0vl1
- initial build for Vine Linux

