%bcond_with vine6
%if %with vine6
%define build_vine6 1
%define build_vineseed 0
%else
%define build_vine6 0
%define build_vineseed 1
%define _vineseed .vineseed
%endif

Summary:	Sources.list file for main and updates category
Summary(ja):	main および updates カテゴリ用の sources.list ファイル
Name:		apt-sourceslist-main
Version:	1.3
Release: 	1%{?_vineseed}%{?_dist_release}
Source0:	sources.list-vineseed-main
Source1:	sources.list-vine6-main
License:	GPL
Group:		Applications/Administration
#URL:		

Requires:	apt
Obsoletes:	apt < 0.5.15lorg3.94a-6
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch


%description
This package contains source.list file for main and updates category
of Vine Linux.

You *must* install this package if you want to use apt/synaptic with
Vine Linux.

%description -l ja
このパッケージには Vine Linux の main および updates カテゴリ用の
source.list ファイルを含んでいます。

Vine Linux で apt/synaptic を使用する場合は *必ず* このパッケージを
インストールしてください。


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d

%if %{build_vineseed}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d/main.list
%elseif %{build_vine6}
%{__install} -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d/main.list
%endif

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%config(noreplace) %verify(not mtime) %{_sysconfdir}/apt/sources.list.d/main.list


%changelog
* Mon May 30 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-1
- add  Vine Linux 6 list

* Mon Oct 25 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2-1
- update to Vine Linux 5.2
- change mirror list order

* Sat Feb 13 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1-1
- update to Vine Linux 5.1

* Sun Sep 27 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0-2
- bump release number for VineSeed

* Fri Jul 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-1
- build for Vine Linux 5

* Sun Feb 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1-1
- initial build for Vine Linux
