%define build_vineseed %(grep -c VineSeed /etc/vine-release)

Summary:	Sources.list file for test category
Summary(ja):	test カテゴリ用の sources.list ファイル
Name:		apt-sourceslist-test
Version:	0.1
Release: 	3%{?_dist_release}
Source0:	sources.list-vineseed-test
License:	GPL
Group:		Applications/Administration
#URL:		

Requires:	apt
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch


%description
This package contains source.list file for test category of VineSeed.

You should install this package if you want to install test packages
of VineSeed.

%description -l ja
このパッケージには VineSeed の test カテゴリ用の source.list ファイル
を含んでいます。

VineSeed の Test パッケージをインストールする場合はこのパッケージを
インストールしてください。


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d

%if %{build_vineseed}
%{__install} -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}/%{_sysconfdir}/apt/sources.list.d/test.list
%endif

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%if %{build_vineseed}
%config(noreplace) %verify(not mtime) %{_sysconfdir}/apt/sources.list.d/test.list
%endif


%changelog
* Tue Feb 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1-3
- rebuild with VineSeed environment

* Sun Feb 01 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1-2
- add BuildArch: noarch

* Sun Jan 25 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1-1
- initial build for Vine Linux
