Summary: Athlon Powersaving bits enabler
Summary(ja): AMD Athlon/Duronの省電力機能を有効にする
Name: athcool
Version: 0.3.12
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
URL: http://members.jcom.home.ne.jp/jacobi/linux/softwares-ja.html
Source: http://members.jcom.home.ne.jp/jacobi/linux/files/%{name}-%{version}.tar.gz
Patch10: athcool-0.3.12-fix-build.patch
BuildPrereq: pciutils-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: %{ix86} x86_64
Vendor: Project Vine
Distribution: Vine Linux
Requires: chkconfig


%description
athcool is a small utility, enabling/disabling Powersaving mode
for AMD Athlon/Duron processors.

Since enabling Powersaving mode, you can save power consumption,
lower CPU temprature when CPU is idle.

Powersaving works if your kernel support ACPI (APM not work).

!!!WARNING!!!
Depending on your motherboard and/or hardware components,
enabling powersaving mode may cause that:

 * noisy or distorted sound playback
 * a slowdown in harddisk performance
 * system locks or instability
 * massive filesystem corruption (rare, but observed at least once)

If you met those problems, you should not use athcool.
Please use athcool AT YOUR OWN RISK.

Check the website http://members.jcom.home.ne.jp/jacobi/linux/softwares-ja.html
for more information on compatibility issues.


%description -l ja
athcool は AMD Athlon/Duron プロセッサのの省電力機能のためのユーティリティです。

省電力モードを有効にすると、CPU 利用率が低いときの電力消費を抑え、
CPU 温度を下げることができます。

この省電力機能を使うには、カーネルが ACPI 対応である必要があります。

!!! 警告 !!!
お使いのハードウェア構成やマザーボードの種類によっては、
省電力機能を有効にすることで以下の問題が起こる可能性があります。

 * サウンド再生で雑音が発生したり音が割れたりする
 * ハードディスクへのアクセスが遅くなってしまう
 * システムがロックしたり、不安定になってしまう
 * ファイルシステムが激しく破損してしまう
   (滅多には起こらないが1件報告されている)

こういった症状が発生したら、athcool を使わないで下さい。
くれぐれも、ご自分の責任で athcool を使って下さい。

互換性情報については、以下のサイトを参照して下さい。
http://members.jcom.home.ne.jp/jacobi/linux/softwares-ja.html


%prep
%setup -q
%patch10 -p1


%build
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
{ cd $RPM_BUILD_ROOT
  mkdir -p .%{_sysconfdir}/rc.d/init.d
  install -m755 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.init .%{_sysconfdir}/rc.d/init.d/%{name}
}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del %{name}
fi

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog
%{_sbindir}/%{name}
%{_mandir}/man8/*
%{_sysconfdir}/rc.d/init.d/%{name}

%changelog
* Fri Nov  7 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.3.12-1
- newest upstream release
- new versioning policy; spec in UTF-8
- revise English/Japanese description
- add x86_64 to ExclusiveArch

* Sun Jul  9 2006 yamamoto <yamamoto@yu.vinelinux.org> 0.3.11-1vl2
- rebuild for vine 4.0

* Mon Nov  7 2005 yamamoto <yamamoto@yu.vinelinux.org> 0.3.11-1vl1
- update to 0.3.11

* Sat Jan  8 2005 yamamoto <yamamoto@yu.vinelinux.org> 0.3.9-1vl1
- update to 0.3.9

* Sun May 30 2004 yamamoto <yamamoto@yu.vinelinux.org> 0.3.5-1vl2
- rebuild for vine 3.0

* Sun May 22 2004 yamamoto <yamamoto@yu.vinelinux.org> 0.3.5-1vl1
- update to 0.3.5

* Sun Apr 25 2004 yamamoto <yamamoto@yu.vinelinux.org> 0.3.4-1vl2
- fix spec

* Sun Apr 25 2004 yamamoto <yamamoto@yu.vinelinux.org> 0.3.4-1vl1
- update to 0.3.4

* Tue Feb 17 2004 yamamoto <yamamoto@yu.vinelinux.org> 0.3.3-1vl1
- update to 0.3.3

* Sun Dec 28 2003 yamamoto <yamamoto@yu.vinelinux.org> 0.3.2-1vl1
- update to 0.3.2

* Sun Oct  5 2003 yamamoto <yamamoto@yu.vinelinux.org> 0.3.1-1vl1
- update to 0.3.1

* Sat Jun 21 2003 yamamoto <yamamoto@yu.vinelinux.org> 0.3.0-1vl1
- update to 0.3.0 which includes patches
- remove patch1 and 2

* Thu Jun 12 2003 yamamoto <yamamoto@yu.vinelinux.org> 0.2.0-1pl_n.0.2vl2
- fix description in Japanese

* Wed Jun 11 2003 yamamoto <yamamoto@yu.vinelinux.org> 0.2.0-1pl_n.0.2vl1
- fix AMD-761 bug (patch1 by Nakata <info@nakata-jp.org>)
- refine the whole (patch2 by Nakata <info@nakata-jp.org>)

* Mon Jun  9 2003 yamamoto <yamamoto@yu.vinelinux.org> 0.2.0-1vl1
- base on 0.2.0-1ok
- add summary and description in Japanese
