Summary: A program that plays Othello/Reversi
Summary(ja): リバーシゲーム
Name: atilo
Version: 1.1
Release: 3%{?_dist_release}
License: GPL
Group: Applications/Games
Source0: ftp://download.sourceforge.net/pub/sourceforge/atilo/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
Source2: %{name}.png

BuildRequires: gtk2-devel
URL: http://atilo.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
This program allows the user to play the game of Othello/Reversi
against his computer.

%description -l ja
コンピューター相手のリバーシゲームが出来ます。

%prep
%setup -q

%build
unset DEBUG
make

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# add desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# add desktop icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

%files
%doc AUTHOR README
%{_bindir}/*
%{_datadir}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.1-3vl5
- applied new versioning policy, spec in utf-8

* Tue Aug  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.1-2vl2
- rebuilt for Vine Seed (4.0)
- added BuildRequires: gtk2-devel
- changed Group to Applications/Games

* Fri Feb 18 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> - 1.1-2vl1
- add ja summary and description
- add desktop entry and icon
