%define pname	xmms-scrobbler
%define name 	audioscrobbler 
%define version	0.3.6
%define release	0vl5

Summary:   	Plugin of audioscrobber
Name: 	   	%{name}
Version:   	%{version}
Release:   	%{release}
Source0:   	%{pname}-%{version}.tar.bz2
URL:       	http://www.audioscrobbler.com/
Group:     	Applications/Multimedia
License:   	LGPL
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Plugins of audioscrobber for xmms and beepmp

%package xmms
Summary: 	Plugin of audioscrobber for xmms
Group: 		Applications/Multimedia
BuildRequires:  libmusicbrainz-devel >= 2.0.0
BuildRequires:  gtk+-devel curl-devel libidn-devel openssl-devel zlib-devel 
BuildRequires:  xmms >= 1.2.4
Requires: 	%{name} = %version-%release
Requires:	xmms libmusicbrainz curl openssl zlib libidn
Provides: 	%{name}-xmms = %version-%release

%description xmms
Plugin of audioscrobber for xmms

%package beepmp
Summary:  	Plugin of audioscrobber for beepmp
Group: 		Applications/Multimedia
BuildRequires:  libmusicbrainz-devel >= 2.0.0
BuildRequires:  curl-devel libidn-devel openssl-devel zlib-devel
BuildRequires:  beepmp-devel >= 0.9.7
Requires: 	%{name} = %version-%release
Requires:	beepmp libmusicbrainz curl openssl zlib libidn
Provides: 	%{name}-beepmp = %version-%release

%description beepmp
Plugin of audioscrobber for beepmp

%prep
%setup -q -n %{pname}-%{version}

%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}-xmms -p /sbin/ldconfig
%post -n %{name}-beepmp -p /sbin/ldconfig

%postun -n %{name}-xmms -p /sbin/ldconfig
%postun -n %{name}-beepmp -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog KnownIssues NEWS README* TODO

%files xmms
%defattr(-,root,root)
%{_libdir}/xmms/General/*

%files beepmp
%defattr(-,root,root)
%{_libdir}/bmp/General/*


%changelog
* Sat May 19 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.6-0vl5
- rebuild with new curl

* Sat Jun  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.6-0vl4
- changed Group to Applicatins/Multimedia

* Sat Mar 19 2005 Satoshi MACHINO <machino@vinelinux.org> 0.3.6-0vl3
- added "BuildRequires:  gtk+-devel"

* Sun Mar 06 2005 Satoshi MACHINO <machino@vinelinux.org> 0.3.6-0vl1.1
- rebuilt for Vine Linux-3.1

* Sun Mar 06 2005 Satoshi MACHINO <machino@vinelinux.org> 0.3.6-0vl2
- fixed dependencies

* Sat Mar 05 2005 Satoshi MACHINO <machino@vinelinux.org> 0.3.6-0vl1
- initial built.
