Name:		aufs-util
Version:	0.0.20120619
Release:        1%{?_dist_release}
License:	GNU/GPLv2+	
URL:		http://aufs.sourceforge.net/
Group:		System/Filesystems
Summary:	Another unionfs implementation
Summary(ja):    もうひとつの unionfs 実装
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source:		%{name}-%{version}.tar.xz

Patch0:		aufs-util-install.patch

BuildRequires: kernel-headers >= 3.4.3-1
BuildRequires: glibc-static

%description
Aufs is a stackable unification file system, which can merge the
contents of several directories (so called branches) while keeping
their physical content separate. It allows any mix of read-only and
read-write branches, as well as insertion and deletion of branches on
the fly.

%pre

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make %{?_smp_mflags} install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir}

%files
%defattr(-,root,root)
%doc COPYING README sample/
%{_sysconfdir}/default/aufs
/sbin/auibusy
/sbin/auplink
/sbin/mount.aufs
/sbin/umount.aufs
%{_bindir}/aubrsync
%{_bindir}/aubusy
%{_bindir}/auchk
%{_libdir}/libau.so
%{_libdir}/libau.so.*
%{_mandir}/man5/aufs.5*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 19 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.20120619-1
- update to git aufs3.0 branch head

* Fri Jan 27 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 	0.0.20120127-1
- initial build for Vine Linux

