Summary: Kill and destroy as many targets as possible within 3 minutes
Summary(ja): 3分間で出来るだけ多くの敵を倒すゲーム
Name: barrage
Version: 1.0.4
Release: 1%{?_dist_release}
License: GPLv2
Group: Applications/Games
Source: %{name}-%{version}.tar.gz
URL: http://lgames.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

Requires(post,postun): desktop-file-utils
BuildRequires:	SDL-devel >= 1.2.0
Requires:	SDL >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
Requires:	SDL_mixer >= 1.2.0

%description
Barrage is a rather violent action game with the objective to kill
and destroy as many targets as possible within 3 minutes. The player
controls a gun that may either fire small or large grenades at
soldiers, jeeps and tanks. It is a very simple gameplay though it is
not that easy to get high scores.

%description -l ja
かなり暴力的なゲーム。
砲台を操作して大小の手榴弾を発射し、
3分間で出来るだけ多くの兵士、ジープ、戦車を倒そう。
操作はとても簡単ですが、高得点を取るのはなかなか困難です。

%prep
%setup

%build
%configure --prefix=%{_prefix}
%__make

%install
%__rm -fR $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install

%clean
%__rm -fR $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications || :

%postun
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :


%files
%defattr(-, root, root)
%{_datadir}/games/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Sat Feb 11 2012 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.4-1
- new upstream release
- updated License tag
- added Requires(post,postun): desktop-file-utils
- dropped barrage.desktop and barrage.bmp
  - use official desktop file

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.1-2vl5
- applied new versioning policy, spec in utf-8

* Mon Oct  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.1-1vl2
- rebuilt for Vine Linux 4.0
- changed Group to Applications/Games

* Tue Jan 25 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp>
- 1.0.1-1vl1
- add icon
- change desktop entry
- based on original src.rpm package
