%define version 0.4
%define name battfink

Summary: Battfink is a power management preference dialog.
Summary(ja): Battfink ѥޥ͡
Name: %{name}
Version: %{version}
Release: 0vl1
URL: http://ftp.gnome.org/pub/GNOME/sources/battfink/%{version}/
Source: http://ftp.gnome.org/pub/GNOME/sources/battfink/%{version}/%{name}-%{version}.tar.bz2
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk2-devel, libglade2-devel, libgnomeui-devel, GConf2-devel
BuildPrereq: desktop-file-utils
Requires: apmd, gtk2, libglade2, libgnomeui, GConf2
PreReq: scrollkeeper

%description
Battfink is a power management preference dialog that allows you to 
manage the power saving options for your desktop. 

Battfink allows you to configure your display power saving options, 
setting timeouts for standby, suspend and power off.

Battfink also allows you to display a notification icon in the 
Panel Notification Area for your battery status. If a battery is
not available, then a simple plug icon will be displayed to show
that the system is running on AC power.


%prep
%setup -q
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT


%build
%configure
%{__make}


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/control-center-2.0/capplets          \
  $RPM_BUILD_ROOT%{_datadir}/control-center-2.0/capplets/*


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT


%post
scrollkeeper-update > /dev/null 2>&1 || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="%{name}.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update > /dev/null 2>&1 || :


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL
%doc NEWS README TODO
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_libdir}/bonobo/servers/*
%{_datadir}/%{name}/
%{_datadir}/control-center-2.0/capplets/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/omf/%{name}/*
%{_datadir}/pixmaps/%{name}.png




%changelog
* Sat Apr 19 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4-0vl1
- initial build

