%define version 0.2.5
%define release 0vl1

Name: bbsload
Version: %{version}
Release: %{release}
Group: User Interface/Desktops
Source0: http://bbtools.thelinuxcommunity.org/sources/bbsload-%{version}.tar.gz
Url: http://bbtools.thelinuxcommunity.org/available.phtml#bbsload
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /usr
Copyright: GPL2
Summary: bbsload - A small (in dimensions) tool to display the average load. 
%description
This Tool displays (in gauge or label): 
 - the average load over the last 1,5 and 10 minutes 
 - the number of running tasks (label only) 
 - total task (label only) 
 - part of memory used (used memory : total memory) 
 - part of swap used (used swap : total swap) 
 - part of total memory used (used swap + memory : total swap + memory) 
 - cpu load (system, idle nice and user) 
Support for multiple color in gauge. 
Support for Blackox Slit. 

This program is written to be used with Blackbox, 
but it works in any other X11-Windowmanager.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
./configure --prefix=${RPM_BUILD_ROOT}%{prefix}
make datadir=%{prefix}/share

%install
mkdir -p ${RPM_BUILD_ROOT}
make install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL NEWS README TODO
%{prefix}/share/bbtools/README.bbsload
%{prefix}/share/bbtools/bbsload.bb
%{prefix}/share/bbtools/bbsload.nobb
%{_bindir}/bbsload

%changelog
* Sat Jul 28 2001 IWAI, Masaharu <iwaim@cc.mbn.or.jp>
- 0.2.5-0vl1
- first release for 0.2.5
