Summary: Block device settings tool
Summary(ja): ブロックデバイス設定ツール
Name: blktool
Version: 4
Release: 1%{?_dist_release}
# No version specified in code.
License: GPL+
Group: Applications/System
URL: http://sourceforge.net/projects/gkernel/
Source0: http://download.sourceforge.net/gkernel/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel

%define _sbindir	/sbin

%description
This utility allows querying and changing of block device settings,
such as write caching, identity, dma, geometry, read-ahead, and many
other settings.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/usr/sbin
ln -s /sbin/blktool %{buildroot}/usr/sbin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
/sbin/blktool
/usr/sbin/blktool
%{_mandir}/man8/blktool.*

%changelog
* Wed May 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 4-1
- initial build for Vine Linux

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4-8
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 4-7
- Autorebuild for GCC 4.3

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 4-6
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Fri Sep 22 2006 Jeff Garzik <jgarzik@pobox.com> - 4-5
- pre-FC6 mass rebuild

* Wed Apr 05 2006 Jeff Garzik <jgarzik@pobox.com> - 4-4
- Add dist macro to Release.

* Tue Apr 04 2006 Jeff Garzik <jgarzik@pobox.com> - 4-3
- Fix minor bugs found in review

* Tue Apr 04 2006 Jeff Garzik <jgarzik@pobox.com> - 4-2
- Update BuildRoot.

* Tue Apr 04 2006 Jeff Garzik <jgarzik@pobox.com> - 4-1
- Initial package.
