Summary: Block Rage is a "falling-blocks" arcade game,
Summary(ja): コラムスみたいなゲーム
Name: blockrage
Version: 0.2.3
Release: 2%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
Source1: blockrage.desktop
License: GPLv2+
Group: Applications/Games
URL: http://blockrage.sourceforge.net/

Requires(post,postun): desktop-file-utils
Requires: SDL >= 1.2.0
BuildRequires:  SDL-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Block Rage is a "falling-blocks" arcade game, inspired by a DOS
classic. It features a two-player hotseat mode. In the future
it should also feature nice graphics and sound.


%prep
%setup -q

%build
./configure \
    --prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --datadir=%{_datadir}/games \
    --sysconfdir=%{_sysconfdir} \
    --mandir=%{_mandir} \
    ;
%__make %{?_smp_mflags}

%install
%__rm -rf ${RPM_BUILD_ROOT}
%__make DESTDIR=${RPM_BUILD_ROOT} install

%__mkdir_p ${RPM_BUILD_ROOT}%{_datadir}/applications
%__install -m0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%post
# touch --no-create %{_datadir}/icons/hicolor
# if [ -x %{_bindir}/gtk-update-icon-cache ]; then
#   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
# fi 
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications || :

%postun
%{_bindir}/update-desktop-database --quiet %{_datadir}/applications
# touch --no-create %{_datadir}/icons/hicolor
# if [ -x %{_bindir}/gtk-update-icon-cache ]; then
#   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
# fi || :


%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL.txt KNOWN_BUGS README TODO
%{_datadir}/games/%{name}
%{_bindir}/blockrage
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/blockrage.6.gz
%{_sysconfdir}/%{name}


%changelog
* Wed Feb  8 2012 Munehiro Yamamoto <munepi@vinelinux.org> 0.2.3-2
- fixed License tag

* Sat Sep 06 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.3-1vl5
- applied new versioning policy, spec in utf-8
- updated man-path to %%{_mandir}

* Sun Jun 3 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 0.2.3-0vl2
- rebuild for VineSeed

* Tue Mar 9 2007 Munehiro Yamamoto <myamamoto@g.math.s.chiba-u.ac.jp> 0.2.3-0vl1
- initial build for Vine Linux

# * Tue Oct 25 2005 0.2.3-0vl1
# - update

# * Mon Sep 26 2005 0.2.2-0vl1
# - initial build for Vine Linux

# end of file
