Name: bmon
Version: 1.2.1
Release: 0vl2
Vendor: Project Vine
Distribution: Vine Linux
License: Artistic License
Group: Applications/System
URL: http://trash.net/~reeler/bmon/
Source0: http://trash.net/~reeler/bmon/files/%{name}-%{version}.tar.bz2
Source1: bmon.desktop
Patch0: bmon-Makefile.patch
BuildRoot: %{_tmppath}/%{name}-root
Requires: ncurses
BuildPreReq: ncurses-devel
Summary: an interface bandwidth monitor
Summary(ja): ͥåȥ󥿡եΥ˥

%description
bmon is an interface bandwidth monitor.
It is able to generate and draw three types of diagrams:

 * The overview diagram which is a list of all interfaces and their
   send/receive rates.
 * A very MRTG like graphical diagram in ASCII showing the rate over a
   specific time period in a bar diagram.
 * The details diagram which contains all counters of an interface
   such as total bytes sent/received, errors, compressed packets, ...

%description -l ja
bmon ϥͥåȥ󥿡եΥ˥Ǥ
ɽǽǤ

 * overview  : ƤΥͥåȥ󥿡ե졼Ȥɽ
 * graphical : MRTG ΥաASCIIˤǡ졼Ȥּξɽ
 * detail    : Хȿ顼ѥåȿʤɤοͤɽ

%prep
%setup -q
%patch0 -p1

%build
%configure
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

%define applnkdir %{_datadir}/applications
%__mkdir_p %{buildroot}%{applnkdir}
%__install -m644 %{SOURCE1} %{buildroot}%{applnkdir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog bmonrc
%config %{applnkdir}/*
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Sun Oct 10 2004 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.2.1-0vl2
- add Japanese Summary
- change path to desktop file
- separate desktop file from spec file

* Sat Aug  2 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> - 1.2.1-0vl1
- new upstream version.
- add Requires and BuildPreReq

* Thu Apr 17 2003 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> 1.2.0-0vl1
- Initial build.


