Summary:        Bonobo configuration moniker.
Name:		bonobo-conf
Version:	0.16
Release:	2%{?_dist_release}
License:	GPL
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gnome-print-devel >= 0.22
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	bonobo-devel >= 1.0.14
BuildRequires:	GConf-devel >= 1.0.4

Source0: ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.16/%{name}-%{version}.tar.gz

Group: System Environment/Libraries
Requires: bonobo >= 1.0.14
Requires: GConf >= 1.0.4
Requires: oaf >= 0.6.2
Requires: glib >= 1.2.0
Requires: gtk+ >= 1.2.0

%description
Bonobo configuration moniker.

%package devel
Summary: Libraries and include files for the configuration moniker.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: bonobo-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo configuration moniker.

%prep
%setup -q

%build
%configure --disable-static
make

%install
%makeinstall

%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*/*.la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_libdir}/bonobo/monikers/*.so*
%{_libdir}/*.so.*
%{_datadir}/idl
%{_datadir}/oaf

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.sh
%{_includedir}/*

%changelog
* Sat May  2 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16-2
- rebuilt with bonobo-1.0.22-6 (linking with db-4.6.21)
- excluded *.a

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 0.16-1vl5
- applied new versioning policy
- excluded *.la

* Sun Jun 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16-0vl3
- rebuilt with db4-4.3.29

* Wed Oct 27 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16-0vl2
- rebuild with db4-4.2.52
- s/Copyright/License/

* Thu May  1 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16-0vl1
- update to 0.16
- rebuild with new toolchains

* Wed Dec 19 2001 Akira TAGOH <tagoh@gnome.gr.jp> 0.14-1vl1
- Rebuild for Vine.

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- 0.14
- s/Copyright/License/

* Tue Oct  9 2001 Havoc Pennington <hp@redhat.com>
- remove epoch

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- created 0.12 RPM based on David Sainty's RPM

* Thu Oct 04 2001 David Sainty <dsainty@redhat.com>
- Bumped to 0.12.99.20011004 for evolution 0.15

* Sun Aug 05 2001 David Sainty <dsainty@redhat.com>
- Created spec file, incorporated bits from Jens Finke <jens@gnome.org>


