Name: bumprace
Epoch: 1
Version: 1.5.3
Release: 1%{?_dist_release}
Summary: Bump Race - 1 or 2 players race through a multi-level maze
Summary(ja): 迷宮でのレースゲーム
URL: http://www.linux-games.com/bumprace/
Source: http://www.linux-games.com/bumprace/%name-%version.tar.gz
Source1: %{name}.xpm
Source2: %{name}.6
License: GPL
Group: Applications/Games
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: SDL_mixer-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL-devel
Requires: libjpeg libpng SDL_mixer SDL_image SDL

Vendor: Project Vine
Distribution: Vine Linux
Packager: OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp>

%description
BumpRace is a simple arcade game. You've to get from the start to the finish
line without crashing into deadly blocks.

%description -l ja
プレイヤは 4 種類の機体の中から自機を選択して、
複数のレベルがある迷宮の中でレースを行います。
2 人のプレイヤが、チームを組むことも、競争することも可能です。
制限時間内に、ボーナスを獲得しつつ、罠や敵の銃火を避けなければなりません。

%prep
%setup
%configure

%build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat >$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Bump Race
Comment=1 or 2 players race through a multi-level maze
Generic Name=Arcade Game
Type=Application
Exec=bumprace
X-KDE-StartupNotify=false
Icon=bumprace.xpm
Categories=Application;Game;
Terminal=0
EOF

# add desktop icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.xpm

# add man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man6
install -p -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_mandir}/man6/%{name}.6

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ NEWS README
%{_bindir}/bumprace
%{_datadir}/bumprace
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man6/*

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Feb 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1:1.5.3-1
- update to 1.5.3
- add BuildRequires: SDL_image-devel

* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 1.45-4vl5
- applied new versioning policy, spec in utf-8

* Tue Oct 10 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.45-3vl3
- rebuilt for Vine Linux 4.0
- changed Group to Applications/Games

* Wed Feb 16 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> - 1.45-3vl2
- change Group:

* Sat Feb 5 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> - 1.45-3vl1
- based on ark rpm
- add desktop icon
- add man (from deb)

* Sat Jun 19 2004 Zackary Deems <zdeems@arklinux.org> 1.45-3ark
- Moved to Applications/Games

* Mon Aug 26 2002 Ark Linux Team <arklinux@arklinux.org> 1.45-1ark
- automated rebuild

* Sun Aug 18 2002 Bernhard Rosenkraenzer <bero@arklinux.org>
- initial RPM
