%define	ver 1.1.2
%define rel 1

Summary: GUI application for using Bazaar
Summary(ja): Bazaar のための GUI アプリケーション
Name: bzr-explorer
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: GPLv2
Group: Development/Tools
URL: http://doc.bazaar.canonical.com/explorer/en/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

Requires: python >= 2.4, bzr >= 2.1
Requires: qbzr >= 0.18
Requires: PyQt4 >= 4.4
BuildRequires: python-devel >= 2.4

%description
GUI application for using Bazaar.

%description -l ja
Bazaar のための GUI アプリケーション

%prep
%setup -q -n explorer

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING.txt NEWS README.txt
%{python_sitearch}/bzrlib/plugins/explorer
%{python_sitearch}/explorer-%{version}*.egg-info

%changelog
* Wed Mar 16 2011 IWAI, Masaharu <iwai@alib.jp> 1.1.2-1
- Initial build.


