%define _noVersionedDependencies        1
%define prereq_ge()     %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1 | grep -v "is not")
%define emacsen_pkgdir /usr/lib/emacsen-common/packages
%define		origver		3.8
%define		origname	c-sig

Name:		%{origname}
Version:	%{origver}
Summary:	c-sig is an emacs lisp aprication to insert signature wisely.
Summary(ja):	c-sig とは emacs 上で動く signature の選択挿入プログラムです
Release:	1%{?_dist_release}
License:	GPL
Distribution:	Vine Linux
Vendor:		Project Vine
Group:		Applications/Editors/Emacs
Source0:	http://www.threeweb.ad.jp/~kshibata/c-sig/programs/%{name}.%{version}.tar.gz
Source10:	%{origname}-install.sh
Source11:	%{origname}-remove.sh
#Patch:		
Packager:	Hiroaki Irokawa <irorin@terra.dti.ne.jp>
URL:		http://www.threeweb.ad.jp/~kshibata/c-sig/index.shtml
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

PreReq:       emacsen
%prereq_ge   emacsen-common


%description
c-sig is an emacs lisp aprication to insert signature wisely.

%description -l ja
c-sig とは emacs 上で動く signature の選択挿入プログラムです。
最初は普通の「signature の選択挿入す る lisp」でした。しかし
「あんなこともしたい」、「こんなこともしたい」 といろいろな人の
意見を採り入れているうちに「ウルトラ・スーパー・デラッ クスな
 signature の挿入プログラム」になってしまいました。

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup -c %{origname}.%{origver}
#%patch -p1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
[ "${RPM_BUILD_ROOT}" != "/" ] && mkdir -p ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/emacs/site-lisp/%{origname}
#mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/emacsen-common/packages/install
#mkdir -p ${RPM_BUILD_ROOT}/%{_libdir}/emacsen-common/packages/remove
mkdir -p ${RPM_BUILD_ROOT}/%{emacsen_pkgdir}/install
mkdir -p ${RPM_BUILD_ROOT}/%{emacsen_pkgdir}/remove

cp -a *.el ${RPM_BUILD_ROOT}/%{_datadir}/emacs/site-lisp/%{origname}

%_installemacsenscript %{origname} %{SOURCE10}

%_removeemacsenscript  %{origname} %{SOURCE11}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%post

## bytecompile el and install elc

if [ "$1" = 2 ] ; then

%_emacsenPackageRemove %{origname}

fi

%_addemacsenlist %{origname}

%_emacsenPackageInstall %{origname}



%preun

if [ "$1" = 0 ] ; then

%_emacsenPackageRemove %{origname}

%_removeemacsenlist %{origname}

fi


%files 
%defattr(-,root,root)
%doc c-sig-eng.faq c-sig-eng.man c-sig-jp.faq c-sig-jp.man whats.new
%{_datadir}/emacs/site-lisp/%{origname}
#%{_libdir}/emacsen-common/packages/install/%{origname}
#%{_libdir}/emacsen-common/packages/remove/%{origname}
%{emacsen_pkgdir}/install/%{origname}
%{emacsen_pkgdir}/remove/%{origname}

%changelog
* Fri Sep 19 2008 Shu KONNO <owa@bg.wakwak.com> 3.8-1vl5
- applied new versioning policy, spec in utf-8

* Tue Sep 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8-0vl3
- changed Group to Appliations/Editors/Emacs <BTS:VineLinux:163>
- s/Copyright/License/

* Wed Jun 25 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 3.8-0vl2
- rebuild.

* Sun Mar 24 2002 Hiroaki Irokawa <irorin@terra.dti.ne.jp>
- 3.8-0vl1
- 1st for VineSeed.
