%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%global	python_module_name cdemu

Summary: A simple command-line client to control CDEmu daemon
Summary(ja): CDEmu デーモンを制御するシンプルなコマンドラインクライアント
Name: cdemu-client
Version: 1.5.0
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/Accessories
URL: http://cdemu.sourceforge.net
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

BuildRequires: dbus-python-devel
BuildRequires: gettext intltool
BuildRequires: perl-XML-Parser
#BuildRequires: python-devel

%description
This is cdemu-client, a simple command-line client for controlling CDEmu daemon.
It is part of the userspace-cdemu suite, a free, GPL CD/DVD-ROM device emulator 
for linux.

It provides a way to perform the key tasks related to controlling the CDEmu
daemon, such as loading and unloading devices, displaying devices' status and
retrieving/setting devices' debug masks.

%prep
%setup -q

%build
%{configure}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%find_lang cdemu-client

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f cdemu-client.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
#%dir %{python_sitelib}/%{python_module_name}/
#%{python_sitelib}/%{python_module_name}/*.py*
%config(noreplace) %{_sysconfdir}/bash_completion.d/cdemu-bashcomp
%{_bindir}/*
%{_datadir}/applications/cdemu-client.desktop
%{_mandir}/man1/*


%changelog
* Sat May 05 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.5.0-1
- new upstream release
- changed atchive type gzip to bzip2
- dropt BuildRequires: python-devel

* Sat Dec 24 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.4.0-1
- new upstream release

* Thu Sep 2 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.3.0-1
- new upstream release

* Sat Sep 26 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.2.0-1
- initial build for VineSeed

* Sat Jun 28 2008 Rok Mandeljc <rok.mandeljc@email.si> - 1.1.0-1
- Updated to 1.1.0

* Thu Dec 20 2007 Rok Mandeljc <rok.mandeljc@email.si> - 1.0.0-1
- Initial RPM release.
