Summary:	Image viewer specillay designed for comic book
Summary(ja): 	漫画向けにデザインされたイメージビューワ
Name:		comix
Version:	4.0.4
Release: 	2%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Group:		Applications/Graphics
URL:		http://comix.sourceforge.net

Requires:	pygtk2 >= 2.12, python-imaging >= 1.1.5, libjpeg
BuildRequires:	python
BuildRequires:	pygtk2-devel, python-imaging
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka, kudoh

%description
Comix is a user-friendly, customizable image viewer. It is specifically
designed to handle comic books, but also serves as a generic viewer. 
It reads images in ZIP, RAR or tar archives (also gzip or bzip2 compressed)
as well as plain image files. 

%description -l ja
Comix はユーザーフレンドリでカスタマイズ可能なイメージビューワです。
このビューワは漫画を読むのに特化してデザインされていますが、一般的な画像
ビューワとしても利用できます。 
通常のイメージファイルと同様に、ZIP、RAR または tar (gzip 及び bzip2 で圧縮
されたものも含む) アーカイブ中のイメージも読み込めます。


%prep

%setup -q


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir} -p ${RPM_BUILD_ROOT}/%{_prefix}
%{__python} install.py install --no-mime --dir ${RPM_BUILD_ROOT}/%{_prefix}
%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc
%{_bindir}/comix
%{_datadir}/applications/comix.desktop
%{_datadir}/comix
%{_datadir}/icons/hicolor/16x16/apps/comix.png
%{_datadir}/icons/hicolor/22x22/apps/comix.png
%{_datadir}/icons/hicolor/24x24/apps/comix.png
%{_datadir}/icons/hicolor/32x32/apps/comix.png
%{_datadir}/icons/hicolor/48x48/apps/comix.png
%{_datadir}/icons/hicolor/scalable/apps/comix.svg
%{_mandir}/man1/comix.1.gz

%changelog
* Sun Mar 07 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 4.0.4-2
- add BuildRequires: pygtk2-devel, python-imaging (<BTS:VineLinux:896>)
- add Packager tag

* Mon Oct 12 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 4.0.4-1
- new upstream release
- added %post, %postun (run update-desktop-database and gtk-update-icon-cache) 

* Sun Mar 22 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 4.0.3-1
- new upstream release
- change configure option (from --installdir to --dir)
- update %%files list
- applied new versioning policy
- update Requires: pygtk2 2.8.0 -> 2.12, python-imaging 1.1.4 -> 1.1.5

* Sat Nov 24 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.6.4-0vl1
- initial build for Vine Linux
