Summary: Cpu Frequency Monitor/Control Daemon
Summary(ja): CPUFreq 監視・制御デーモン
Name: cpufreqd
Version: 1.2.2
Release: 1%{?_dist_release}
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.init
Source2: cpufreqd.conf
Patch11: cpufreqd-1.1.1-fix-Makefile.patch
License: GPL
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/cpufreqd/
BuildRoot: %{_tmppath}/%{name}-root
PreReq: initscripts

%description
cpufreqd is used to monitor the status of the battery and adjust the frequency
of the CPU accordingly in order to preserve battery power while providing
optimal performance. The behaviour of the daemon is fully configurable. Logs
are reported through syslogd.


%prep
%setup -q
%patch11 -p1


%build
%configure 
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/cpufreqd
mv $RPM_BUILD_ROOT%{_sysconfdir}/cpufreqd.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/cpufreqd.conf.org
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/cpufreqd.conf

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add cpufreqd
%{_sysconfdir}/init.d/cpufreqd condrestart

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del cpufreqd
    %{_sysconfdir}/init.d/cpufreqd stop
fi


%files
%defattr(-,root,root)
%doc COPYING README TODO examples/ scripts/
%attr(0711,root,root) %{_sbindir}/*
%{_libdir}/*.so
%config %{_sysconfdir}/cpufreqd.conf
%config %{_sysconfdir}/cpufreqd.conf.org
%{_sysconfdir}/rc.d/init.d/cpufreqd
%{_mandir}/man*/*


%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.2-1vl5
- applied new versioning policy, spec in utf-8

* Sun May 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.2-0vl1
- new upstream release
- add condrestart in initscript
- check cpufreq and power management interface in initscript
- use condrestart in %%post script instead of restart

* Thu Jun 17 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.1.2-0vl1
- new upstream release
- use macros %configure
- fix cpufreqd.conf and added original config file
- added pmu swich in rc.cpufreqd

* Thu Mar  4 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.1-0vl1
- new upstream release
- add PreReq: initscripts

* Sat Aug 16 2003 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.0-0vl0.4
- added Patch11 to enable building with non-root user

* Tue May 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl0.3
- add small patch to work apm support.

* Tue May 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl0.2
- fix scripts
- add post/preun script to restart/stop daemon.

* Tue May 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl0.1
- new upstream release 1.0-beta1

* Tue Jan 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl0
- initial release
