Summary:      a program to remove TeX constructs
Summary(ja):  TeXコマンドを取り除くプログラム
Name:         detex
Version:      2.8
Release:      3%{?_dist_release}
URL:          http://www.cs.purdue.edu/homes/trinkle/detex/
License:      distributable
Group:        Applications/Text
Source:       http://www.cs.purdue.edu/homes/trinkle/detex/detex-2.8.tar
Patch0:       detex-2.8-malloc.patch
Buildroot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires: sed flex

Vendor:       Project Vine
Distribution: Vine Linux


%description
Detex is a program to remove TeX constructs from a text file.  
It recognizes the \input command.

This program assumes it is dealing with LaTeX input if it sees the string
"\begin{document}" in the text.  It recognizes the \include and \includeonly
commands.


%description -l ja
LaTeX 文書から LaTeX コマンドを取り除くプログラムです。

%prep 
%setup -q 
%patch0 -p0 -b .malloc

# To convert the man page from 1L to 1
%__sed -i "s/1L/1/" detex.1l

%build
%__make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%__install -Dpm 755 detex $RPM_BUILD_ROOT%{_bindir}/detex
%__install -Dpm 644 detex.1l $RPM_BUILD_ROOT%{_mandir}/man1/detex.1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYRIGHT
%{_bindir}/detex
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Jan 24 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2.8-3
- rebuild
 
* Sat Dec  3 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.8-2
- added man file
 
* Mon Sep 29 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.8-1vl5
- new upstream release
- added Patch0 for compiling new toolchains
- added BuildRequires: sed flex
- applied new versioning policy
- spec in UTF-8

* Sun Jul 15 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.7-0vl3
- build with new toolchains
- to use License instead of Copyright

* Thu Jan  4 2001 Jun Nishii <jun@vinelinux.org>
- 2.7-0vl2
- build with gcc

* Wed Jan  3 2001 Jun Nishii <jun@vinelinux.org>
- 2.7-0vl1
- first build

