Summary: Japanese/English Dictionary
Name: edict
Version: V00_004
Release: 1%{?_dist_release}
Url: http://www.csse.monash.edu.au/~jwb/edict.html
Group: Applications/Text
License: Distrubutable
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Source0: ftp://ftp.cc.monash.edu.au/pub/nihongo/%{name}.gz
Source1: ftp://ftp.cc.monash.edu.au/pub/nihongo/%{name}_doc.html
Source2: ftp://ftp.cc.monash.edu.au/pub/nihongo/%{name}_doc.txt
Source3: http://www.csse.monash.edu.au/groups/edrdg/newlic.html

%description
The EDICT file is the outcome of a voluntary project to produce a freely-
available Japanese/English Dictionary in machine-readable form. This project
has been under way since early 1991, beginning with the small original
file included with the MOKE (Mark's Own Kanji Editor) Japanese word-processing
package. It reached a size of nearly 103,000 entries when it was split
into two files: EDICT containing the "normal" dictionary entries, and 
ENAMDICT containing names. Both files are used by a number of software
packages and thousands of users world-wide. The EDICT file is now over
60,000 entries and the ENAMDICT file over 160,000. 

%prep
%setup -n %{name} -c -T
cp $RPM_SOURCE_DIR/%{name}.gz .
cp $RPM_SOURCE_DIR/%{name}_doc.html .
cp $RPM_SOURCE_DIR/%{name}_doc.txt .
cp $RPM_SOURCE_DIR/newlic.html .
gzip -d %{name}.gz

%install
mkdir -p $RPM_BUILD_ROOT/usr/share
install -m 644 %{name} $RPM_BUILD_ROOT/usr/share

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc edict_doc.html edict_doc.txt newlic.html
/usr/share/edict


%changelog
* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> V00_004-1vl5
- applied new versioning policy

* Wed Feb 28 2001 Uechi Yasumasa <uh@u.dhis.portside.net>
- V00_004vl1
- 1st release

