Name: eiciel
Version: 0.9.8.1
Summary: Eiciel - GNOME File ACL editor
Source: http://rofi.roger-ferrer.org/eiciel/download/%{name}-%{version}.tar.bz2
Release: 1%{?_dist_release}
Group: Applications/System
License: LGPL2+
URL: http://rofi.roger-ferrer.org/eiciel/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++ pkgconfig libacl-devel gtkmm3-devel libgnome-devel
BuildRequires: nautilus-devel

Patch0:	eiciel-0.9.8.1-no-such-file.patch

%description
Eiciel allows you to visually edit file ACL entries. You can add
and remove users and groups who will be granted permissions through
the graphical interface.

%prep
%setup -q
%patch0 -p1

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/nautilus/extensions-3.0/*.so
%{_datadir}/applications/*
%{_datadir}/eiciel/img/*
%{_datadir}/gnome/help/eiciel/C/*
%{_datadir}/locale/*
%{_mandir}/man1/*

%changelog
* Sun Jun 24 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.8.1-1
- update to 0.9.8.1
- add BuildRequires: nautilus-devel
- change BuildRequires: gtkmm3-devel instead of gtkmm2-devel
- remove BuildRequires: libgnomeui-devel
- add Patch0 (eiciel-0.9.8.1-no-such-file.patch)

* Wed Jun 18 2008 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.9.6.1-1
- initial release
