%define name elfio
%define oname ELFIO
%define version 1.0.3
%define release 1%{?_dist_release}

Summary: ELF (Executable and Linkable Format) reader and producer implemented as a C++ library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/%{name}/%{oname}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
Url: http://elfio.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
ELFIO is a C++ library for reading and generating files in the ELF
binary format. This library is unique and not based on any other
product. It is also platform independent. The library uses standard
ANSI C++ constructions and runs on a wide variety of architectures.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure
%__make

%install
rm -rf %{buildroot}
%makeinstall

# compat name
ln -sf libELFIO.a %{buildroot}%{_libdir}/libelfio.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS doc/tutorial.pdf
%{_bindir}/ELFDump
%{_includedir}/ELF*.h
%{_libdir}/*.a


%changelog
* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.3-1vl5
- applied new versioning policy

* Sat Jun 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.3-0vl1
- initial build for Vine Linux

