Summary: Estraier is a full-text search system for personal use.
Name: estraier
Version: 1.2.14
Release: 1%{?_dist_release}
Source: http://estraier.sourceforge.net/%{name}-%{version}.tar.gz
License: GPL
Group: Applications/Text
Packager: Yasumichi Akahoshi <yasumichi@users.sourceforge.jp>
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: zlib, kakasi
BuildPrereq: zlib-devel, kakasi-devel
Summary(ja): Estraierは個人用途向けの全文検索システムです。

%description
Estraier is a full-text search system for personal use. Full-text search
means functions to search lots of documents for some documents including
specified words. The principal purpose of Estraier is to realize a full-text
search system of a web site. It functions similarly to Google, but for a
personal web site or sites in an intranet.

%description -l ja
Estraierは個人用途向けの全文検索システムである。いわゆる全文検索とは、数多く
の文書の中から、特定の語句を含むいくつかの文書を見つけ出すことである。
EstraierはWebサイト上の文書を対象とした全文検索システムを実現することを主なÌ
的とする。Googleのような検索システムを個人のサイトやイントラネットで利用でき
るようにしたものである。

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure --enable-kakasi
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/estindex
%{_bindir}/estserver
%{_bindir}/estxview
%{_bindir}/estmbtomh
%{_bindir}/estpdfhtml
%{_bindir}/estdochtml
%{_bindir}/estxlshtml
%{_bindir}/estppthtml
%{_bindir}/estmanhtml
%{_bindir}/estgzhtml
%{_bindir}/estxdwhtml
%{_bindir}/estxdthtml
%{_bindir}/estautoreg
%{_prefix}/libexec/estsearch.cgi
%{_prefix}/libexec/estmerge.cgi
%{_datadir}/estraier/

%changelog
* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.14-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jul 04 2004 Yasumichi Akahoshi <yasumichi@users.sourceforge.jp>
- I write spec file at first for estraier-1.2.14.

