Name: exif
Summary: A utility to display exif headers from jpeg files
Summary(ja): JPEG ファイルの EXIF ヘッダを表示するためのユーティリティ
Version: 0.6.19
Release: 1%{?_dist_release}

Group: Applications/Multimedia
License: GPLv2+
URL: http://libexif.sourceforge.net/

Source: http://prdownloads.sourceforge.net/libexif/exif-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libexif-devel >= 0.6.19
BuildRequires: popt-devel
BuildRequires: gettext
BuildRequires: pkgconfig
Requires: libexif >= 0.6.19

%description
'exif' is a small command-line utility to show EXIF information hidden
in JPEG files. I wrote it to demonstrate the power of libexif.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Tue Sep 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.19-1
- new upstream release with security fix (CVE-2009-3895)

* Mon Oct 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.18-1
- new upstream release

* Tue Mar 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.17-1
- new upstream release
- built with libexif-0.6.17
- added BuildRequires: popt-devel

* Tue Sep 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.15-1
- new upstream release

* Mon Sep 22 2008 Shu KONNO <owa@bg.wakwak.com> 0.6.9-1vl5
- applied new versioning policy

* Sat Feb 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.6.9-0vl3
- rebuild for VineSeed

* Sat Feb 26 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.6.9-0vl2
- rebuild with libexif-0.6.11

* Wed Sep 29 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.6.9-0vl1
- first release
