Name:           faenza-icon-theme
Version:        0.9.2
Release:        1%{?_dist_release}
Summary:        Icon theme designed for Equinox GTK theme

Group:          User Interface/Desktops 
License:        GPL+
URL:            http://gnome-look.org/content/show.php/Faenza?content=128143
Source0:        http://faenza-icon-theme.googlecode.com/files/%{name}_%{version}.tar.gz
BuildArch:      noarch

%description
Contains icons for Equinox GTK theme

%prep
%setup -q -c %{name}-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT

# change default gnome-menu icons
cd ./Faenza/places/scalable/ && ln -sf start-here-gnome.svg start-here.svg && cd ../../..
cd ./Faenza/places/22/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
cd ./Faenza/places/24/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
cd ./Faenza/places/32/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
cd ./Faenza/places/48/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
cd ./Faenza-Dark/places/scalable/ && ln -sf start-here-gnome.svg start-here.svg && cd ../../..
cd ./Faenza-Dark/places/22/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
cd ./Faenza-Dark/places/24/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
cd ./Faenza-Dark/places/32/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
cd ./Faenza-Dark/places/48/ && ln -sf start-here-gnome.png start-here.png && cd ../../..
# should include vine logo later...
#cd ./Faenza/places/48/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
#cd ./Faenza/places/32/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
#cd ./Faenza/places/24/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
#cd ./Faenza/places/22/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..
#cd ./Faenza/places/16/ && ln -sf distributor-logo-fedora.png distributor-logo.png && cd ../../..

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Dark/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Darker/ $RPM_BUILD_ROOT%{_datadir}/icons
cp -a ./Faenza-Darkest/ $RPM_BUILD_ROOT%{_datadir}/icons
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Dark/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Darker/index.theme
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/icons/Faenza-Darkest/index.theme


%clean
rm -rf $RPM_BUILD_ROOT


%post
for d in Faenza Faenza-Dark Faenza-Darker Faenza-Darkest; do
  touch --no-create %{_datadir}/icons/$d
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/$d ||:
  fi
done


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/icons/Faenza
%{_datadir}/icons/Faenza-Dark
%{_datadir}/icons/Faenza-Darker
%{_datadir}/icons/Faenza-Darkest


%changelog
* Mon May 23 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.9.2-1
- initial build for Vine Linux based on fedora development

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.6-1
- New Version from upstream

* Tue Aug 10 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-5
- Cleaned up files macro
- Modified install macro  with -a option to keep timestamps on files

* Mon Aug 09 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5-4
- Version number comes from URL
- made corrections to prep macro 

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@arhclinux.us> - 0.5-3
- Corrected version number
- Added scriplet
- Corrected unused of macro

* Sun Aug 08 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-2
- added global tarname macro
- Corrected the License 
- made corrections to scriplets
- deleted redundant characters
- changed permission issues to satisfy rpmlint errors

* Thu Aug 05 2010 Tajidin Abd <tajidinabd@archlinux.us> - 0.5.2-1
- Intial RPM release
