Name:           freepats
Version:        20060219
Release:        3%{?_dist_release}
Summary:  Patch set(soundfonts) for MIDI audio synthesis (GUS)
Summary(ja): Midi󥻤ΤΥɥեȥå(GUSѥåߴ)
Group:          Applications/Multimedia
License:	GPLv2
URL:		http://freepats.opensrc.org/
#--------------------------------------------------------------------

Source0:	http://freepats.opensrc.org/freepats-%{version}.tar.bz2
Source1:	timidity.freepats.cfg
Source2:	freepats.cfg
# Source3:	mandrake-freepats.cfg
Source4:	freepat_README.ja
Source5:	mkcfg.sh.txt
Source6:	mkdist.sh.txt

BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Provides:  soundfont2

#--------------------------------------------------------------------
#
# NOTE:
#
# 1. When big change is involved (e.g. timidity.cfg change location),
# so that new timidity binray and old patch RPM won't work together,
# increment this number by 1 for all timidity related RPMs
#
# 2. Current config is hand merged from freepats.cfg and crude.cfg,
# so if new version is available, please merge both config, and make
# sure all patch files listed in config file do exist.
#
#--------------------------------------------------------------------
# (꡼ֹ)н:
#                     MandrakeMandriva  NOTEǤ(Ͼ)
#
# 1.礭Ѳ˴ޤ(㤨 timidity.cfgξ꤬ѹ줿)
#    timidityХʥȸŤѥå()RPMƯ
#   ʤΤʤСΥʥСƤ timidity˴Ϣդ줿RPM
#   ѥåǡ1ʬ(+1)롣
#
# 2.ߤΥեϡfreepats.cfg  crude.cfg Ȥǥޡ
#   ƤꡢСѲǽˤʤäϡξ
#   եޡƤơƤΥѥåե
#   եեΥꥹ̤Ǥ뤫ǧƤ
# 
#--------------------------------------------------------------------


#--------------------------------------------------------------------

%description
Freepats is a project to create a free and open set of GUS
compatible patches that can be used with softsynths such as
Timidity and WildMidi. They are verified to contain no non-free
restriction. Freepats is distributed under GPL v2 or later, with
the follow exception clause about the relation of MIDI composition
and patches:

=========================================================
As a special exception, if you create a composition which uses
these patches, and mix these patches or unaltered portions of
these patches into the composition, these patches do not by
themselves cause the resulting composition to be covered by the
GNU General Public License. This exception does not however
invalidate any other reasons why the document might be covered
by the GNU General Public License. If you modify these patches,
you may extend this exception to your version of the patches,
but you are not obligated to do so. If you do not wish to do so,
delete this exception statement from your version.
==========================================================

This patch set is of limited quality, because some instruments are
still missing. For personal use, feel free to use other patch sets
(such as eawpatches which has excellent quality, but the site is
no more), or other free soundfonts.


%description -l ja
  Freepats ϥե꡼ǥץʡ㤨 Timidity  WildMidi
  Ȥäեȥ󥻤ǻȤν GUSѥååȸߴ
  ѥåŪȤץȤǤϡͳ
  ʤ¤ޤFreepats  GPL С2ʹߤ
  ǺۤƤꡢMIDIǤκʤȥѥå˴ط㳰
  Τ褦˥եƤޤ

  =========================================================
                         㳰
  =========================================================
    ̤㳰ȤơΥѥåѥå򺮹(MIX)
  Ρ뤤ϤΥѥåѹäƤʤ
  ʬʤѤơֶʡפϺΤǤʤС
  Υѥå켫Τ򸶰()Ȥơη()
  ȤƤΡֶʡפGNU̸ͭѵоݤȤʤ
  ǤϤޤ󡣤㳰ϡΥɥȤ
  ¾ͳGNU Public License оݤȤʤ˸ޤ
   Υѥå硢ʤΥѥåΥС
  㳰ĥϽޤ̳ǤϤޤ
  ˾ޤʤΤǤ顢ʤΥС󤫤餳㳰
  Ʋ
  ==========================================================

   ΥѥååȤϸ¤줿ʼΤᡢĤγڴϰȤ
  (ꥹȤ)ޤäƤޤ󡣸ĿŪѤˤĤƤϡ¾Υѥå
  å(㤨 ͥ줿ʼ eawpatches Τ褦ʡϤ
  ΥȤ¸ߤޤ)䡢¾Υե꡼ʥɥեȤ
  褦ˡڤˤѲ


#--------------------------------------------------------------------

%prep
%setup -q -n freepats

cp -p  %{SOURCE4} ./
cp -p  %{SOURCE5} ./
cp -p  %{SOURCE6} ./

#--------------------------------------------------------------------
%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/soundfonts/freepats/
cp -a Drum_000 Tone_000 $RPM_BUILD_ROOT%{_datadir}/soundfonts/freepats/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/timidity/
cp -p  %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/timidity/timidity.freepats.cfg
cp -p  %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/timidity/freepats.cfg

%clean
rm -rf $RPM_BUILD_ROOT

#--------------------------------------------------------------------
%post
/sbin/update-alternatives --install \
  %{_sysconfdir}/timidity/timidity.cfg timidity.cfg \
  %{_sysconfdir}/timidity/timidity.freepats.cfg 30

%preun
if [ "$1" = "0" ]; then
  /sbin/update-alternatives --remove \
  timidity.cfg %{_sysconfdir}/timidity/timidity.freepats.cfg
fi

#--------------------------------------------------------------------
%files
%defattr(-,root,root)
%doc README README.ja COPYING mkcfg.sh.txt  mkdist.sh.txt crude.cfg freepats.cfg
%config(noreplace) %{_sysconfdir}/timidity/timidity.freepats.cfg
%config(noreplace)  %{_sysconfdir}/timidity/freepats.cfg
%{_datadir}/soundfonts/freepats

#--------------------------------------------------------------------
%changelog
* Fri May 30 2008 Seiichirou Babasaki 20060219-3
- genetic translation  freepat /README
- Updated specfile

* Fri May 2 2008 Seiichirou Babasaki 20060219-2
- Import freepat - Packager: Babasaki
- Updated specfile (base  Mandriva)

#--------------------------------------------------------------------
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 20060219-8mdv2008.1
+ Revision: 171143
- rebuild

* Fri Jan 04 2008 G?tz Waschk <waschk@mandriva.org> 20060219-7mdv2008.1
+ Revision: 144833
- fix alternatives uninstallation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060219-6mdv2008.1
+ Revision: 128453
- kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 20060219-6mdv2008.0
+ Revision: 90839
- update to new version

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 20060219-5mdv2008.0
+ Revision: 90338
- rebuild

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 20060219-4mdv2008.0
+ Revision: 73491
- bump release

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060219-3mdv2008.0
+ Revision: 44025
- bump release

* Mon Jun 25 2007 Thierry Vignaud <tvignaud@mandriva.com> 20060219-2mdv2008.0
+ Revision: 44003
- add "noreplace" flag

* Sat Apr 28 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20060219-1mdv2008.0
+ Revision: 18981
- update to new release: 20060219


* Tue Mar 20 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20040611-3mdv2007.1
+ Revision: 146933
- bump release

  + Pixel <pixel@mandriva.com>
    - fix typo making alternatives break (#29527)

* Wed Feb 28 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20040611-2mdv2007.1
+ Revision: 126852
- bump

* Wed Feb 28 2007 Per ?yvind Karlsen <pkarlsen@mandriva.com> 20040611-1mdv2007.1
+ Revision: 126842
- add #extension in config files to avoid old timidity used by SDL_mixer
  gets syntax errors
- %%mkrel
- Import timidity-patch-freepats

* Thu Feb 17 2005 Abel Cheung <deaddog@mandrake.org> 20040611-1mdk
- First package for Mandrakelinux

