Summary: mirroring tool
Summary(ja): ftpミラーツール
Name: ftpmirror
Version: 1.96
Release: 3%{?_dist_release}
License: Distributable
Group: Applications/Internet
Source: ftp://ftp.intec.co.jp/pub/utils/ftpmirror/beta/ftpmirror-1.96.tar.gz
Patch0: ftpmirror.rhl.patch
Patch1: ftpmirror.Fan.diff
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 1:5.8.2

Vendor: Project Vine
Distribution: Vine Linux

%description
ftpmirror is a tool to get contents of a directory recursively by FTP. 
ftpmirror consumes less memory than 'mirror'.

%description -l ja
ftpmirror は FTP を用いて、ある特定のディレクトリ以下をほぼ完全
な状態で再帰的にコピーする(これをミラーと呼ぶ)ためのツールです。

同様のものに mirror というものがありますが、ftpmirror は mirror
と比較してメモリ使用量を劇的に抑えるように設計されています。

%prep

%setup
%patch0 -p1
%patch1 -p1

%build
./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}
make PREFIX=%{buildroot}%{_prefix} \
	prefix=%{buildroot}%{_prefix} SYSCONFDIR=%{buildroot}%{_sysconfdir} \
	INSTALLSITEARCH=%{buildroot}%{perl_vendorarch} \
	install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT README* RELEASE*
%{_bindir}/rotate
%{_bindir}/ftpmirror
%{perl_vendorarch}/Fan*
%{perl_vendorarch}/auto/Fan
%{_sysconfdir}/ftpmirror.cf-sample

%changelog
* Sun Oct 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.96-3
- spec in UTF-8

* Sat May 17 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.96-2
- use %%{perl_vendorarch} instead of %%{perl_sitearch}

* Fri May 16 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.96-1
- rebuild
- apply new versioning policy

* Fri Mar  5 2004 Tomoya TAKA <taka@vinelinux.org> 1.96-0vl4
- remove DESTDIR from 'make install'
- Requires: perl >= 1:5.8.2
- s/Copyright/License/

* Wed Sep  3 2003 IWAI, Masaharu <iwai@alib.jp> 1.96-0vl3
- build with perl-5.8.0

* Tue Jun 19 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 1.96-0vl2
- build for VineSeed, with perl-5.6.1
- use better macros


* Tue Jun 19 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 1.96-0vl1
- update to 1.96
- add Requires: perl >= 5.00503
- remove BuildArch: noarch
- fix ftpmirror.Fan.diff (%%patch1)
- fix spec file

* Thu Sep 21 2000 Jun Nishii <jun@vinelinux.org>
- 1.95-3vl1
- minor fix of spec file

* Fri Dec 24 1999 Jun Nishii <jun@vinelinux.org>
- change group

* Sat Nov 27 1999 Jun Nishii <jun@vinelinux.org>
- build for Vine Linux 2.0
