Summary: GTK 2 based scientific calculator
Summary(ja): GTK2 ベースの関数電卓
Name: galculator
Version: 1.3.4
Release: 2%{?_dist_release}
License: GPLv2
Group: Applications/Accessories
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libglade2-devel

Vendor:		Project Vine
Distribution:	Vine Linux 

%description
galculator is a GTK 2 based scientific calculator with "ordinary" and reverse polish notation.

%description -l ja
galculator は GTK2 ベースの 電卓です。

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_bindir}/galculator
%{_datadir}/applications/galculator.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Apr 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.4-2
- rebuild with rpm-4.8.1

* Sun Apr 26 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.4-1
- new upstream release
- updated BuildRequires
- changed Group to Applications/Accessories

* Thu Sep 25 2008 Shu KONNO <owa@bg.wakwak.com> 1.3.1-1vl5
- applied new versioning policy, spec in utf-8

* Fri Sep 28 2007 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.3.1-0vl1
- update

* Wed Jun  7 2006 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.2.5.2-0vl1
- update
- Group changed(Applications/System -> Applications/Productivity)

* Tue May 10 2005 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.2.5-0vl1
- update
- Group changed(Application/Math -> Applications/System)

* Tue Jun 15 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.2.3-0vl1
- update

* Mon Apr  5 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.2.2-0vl1
- update

* Thu Mar 11 2004 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.2.0-0vl1
- update

* Wed Nov 12 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.1.4-0vl1
- update

* Mon Sep  1 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.1.3-0vl1
- update

* Wed Jul  2 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 1.1.1-0vl1
- 1st build for VineSeed

* Thu Oct 3 2002 Simon Floery <simon.floery@gmx.at>
- description update
