Summary: A web based photo album viewer/creator. 
Name: gallery
Version: 1.2.4
Release: 0vl2
Source0: current.gallery.tar.gz
Url: http://www.menalto.com/projects/gallery/index.php
Copyright: GPL2
BuildArch: noarch
Group: Applications/Internet
Requires: jhead, netpbm, php >= 4, apache
Buildroot: %{_tmppath}/%{name}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Gallery is a web based photo album viewer/creator. 

After installation, please follow the installation procedures.
1) Add the following lines to httpd.conf
-------------------------------------
<Directory /home/httpd/html/gallery>
    AllowOverride Options FileInfo
</Directory>
-------------------------------------
2) Enable PHP3 for apache, by 
$ echo "OPTIONS=-DHAVE_PHP4" >> /etc/sysconfig/apache
3) set /etdc/php.ini as
magic_quotes_qpc = Off
4) configure gallery by
$ cd /home/httpd/html/gallery
$ sh ./configure.sh
Then, setup by accessing http://???/gallery/

%prep
rm -rf %{buildroot}

%build

%install
mkdir -p %{buildroot}/home/httpd/html/
cd  %{buildroot}/home/httpd/html/
tar xzvf %{SOURCE0}

mkdir -p %{buildroot}/home/httpd/html/albums

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/home/httpd/html/gallery/
%attr(-,nobody,nobody)/home/httpd/html/albums

%changelog 
* Thu Dec  6 2001 Jun Nishii <jun@vinelinux.org> 1.2.4-0vl2
- set BuildArch as noarch

* Sun Dec  2 2001 Jun Nishii <jun@vinelinux.org> 1.2.4-0vl1
- first release

