Summary: Gcompris educational software suite
Summary(ja): Gcompris 知育用ソフトウェア・スィート
Name:           gcompris
Version:        12.05
Release:        1%{?_dist_release}
License:        GPLv2
URL:            http://gcompris.net/
Group:          Applications/Edutainment
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk2-devel >= 2.12.0
BuildRequires:	librsvg2-devel >= 2.26.0
BuildRequires:	libxml2-devel >= 2.6.16
BuildRequires:	SDL_mixer-devel
BuildRequires:	gstreamer-devel
BuildRequires:	gnet2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	python-devel
BuildRequires:	pygtk2-devel
BuildRequires:	pycairo-devel
BuildRequires:	gnuchess
BuildRequires:	texi2html
# for info file
BuildRequires:  texinfo

Requires:       sqlite3 gnuchess gtk2 SDL_mixer smpeg 
Requires:       gnet2 tuxpaint

Requires(post,postun): desktop-file-utils
Requires(post,preun): install-info

Source0:        http://sourceforge.net/projects/gcompris/files/gcompris/%{name}-%{version}.tar.bz2


%description
GCompris is a high quality educational software suite comprising of numerous activities for children aged 2 to 10.

%description -l ja
GCompris は、主に 2歳〜10歳位の子供を対象とした、多数の科目を含む高品質な
知育用ソフトウェア・スィートです。

%prep
%setup -q

%build
%configure  --enable-gnet
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%{find_lang} %{name}


%clean
%__rm -rf ${RPM_BUILD_ROOT}

%post
update-desktop-database &> /dev/null ||:
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gcompris.info.gz

%preun
/sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gcompris.info.gz

%postun
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING TODO ChangeLog
%{_bindir}/*
%{_infodir}/gcompris.info.gz
%{_datadir}/applications/*
%{_datadir}/%{name}/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/pixmaps/*
%{_libdir}/*
%{_mandir}/*

%changelog
* Tue Jun 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 12.05-1
- new upstream release

* Tue Apr  5 2011 IWAI, Masaharu <iwai@alib.jp> 8.4.12-2
- build with python 2.6
- add BuildRequires: texinfo: for info file
- using find_lang rpm macro
- using Requires(post,preun): replace Prereq for install-info

* Sat Jul  4 2009 KATO Masashi <mkato@par.odn.ne.jp> 8.4.12-1
- initial build for Vine Linux

