Summary: convert program to JIS X 4081 format for GENE95 Dictionary with FreePWING
Summary(ja): FreePWING を使って GENE95 英和辞書を JIS X 4081 形式へ変換するプログラム
Name: gene95-fpw
Version: 1.1.2
Release: 1%{?_dist_release}
License: GPLv2+
Group: Applications/Text
URL: http://openlab.ring.gr.jp/edict/fpw/#gene95
Source0: http://openlab.ring.gr.jp/edict/fpw/dist/gene95/%{name}%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: freepwing

%description
convert program to JIS X 4081 format for GENE95 Dictionary with FreePWING

%description -l ja
FreePWING を使って GENE95 英和辞書を JIS X 4081 形式へ変換するプログラム

%prep
%setup -q -n %{name}%{version}


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_datadir}/%{name}
%{__install} -m0755 fpwgene95 %{buildroot}%{_bindir}
%{__install} -m0644 Makefile catalogs.txt %{buildroot}%{_datadir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/fpwgene95
%{_datadir}/%{name}

%changelog
* Thu Mar 25 2010 IWAI, Masaharu <iwai@alib.jp> 1.1.2-1
- Initial build.

