Summary: Extra files for the GIMP.
Summary: The GNU Image Manipulation Program Extra Datas
Summary: GIMP 用追加データ集
Name: gimp-data-extras
Version: 2.0.2
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Graphics
URL: http://www.gimp.org/
Source: gimp-data-extras-%{version}.tar.bz2
Source2: pats-tigert-pov-granites.tar.gz
Source3: pats-tigert-pov-stones.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires: /usr/bin/gimptool
BuildRequires: gimp-devel >= 2.0
Requires: gimp >= 2.0

Vendor: Project Vine
Distribution: Vine Linux

%description
Patterns, brushes etc. for gimp. This package isn't required, but contains
lots of goodies for gimp.

%description -l ja
Gimp用のパターンやブラシ等の拡張データです.
このパッケージは基本的に必要ありませんが, GIMP を使うのに
便利なデータをたくさん含んでいます。

%prep
%setup -q 

%build
%configure
make

%install
make GIMP_DATA_DIR=$RPM_BUILD_ROOT/`gimptool --gimpdatadir` \
    prefix=$RPM_BUILD_ROOT%{_prefix} install
tar zxvf %{SOURCE2} -C $RPM_BUILD_ROOT/`gimptool --gimpdatadir`/patterns
tar zxvf %{SOURCE3} -C $RPM_BUILD_ROOT/`gimptool --gimpdatadir`/patterns

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%{_datadir}/gimp/*/*

%changelog
* Sun Apr 12 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.2-1
- updated to 2.0.2
- applied new versioning policy, spec in UTF-8

* Mon Sep 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-1vl2
- changed Group to Applications/Graphics

* Wed May 18 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1-1vl1
- new upstream release 

* Wed Jan 23 2002 Jun Nishii <jun@vinelinux.org>
- 1.2.0-0vl1

* Mon Oct  9 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.26-0vl2

* Mon Jun  5 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- fix japanese encoding of this spec file into EUC-UP.
- added tigert's extra patterns.

* Mon Apr 24 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- Vine first release based RH 6.2
