%define pkg_version 3.2.0
%define pkg_release 1%{?_dist_release}

Summary:	Extra data files for the gnome-games
Summary(ja):	gnome-games 用追加データファイル集
Name:		gnome-games-extra-data
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.2/%{name}-%{version}.tar.xz
License:	GPL
Group:		Applications/Games
URL:		http://live.gnome.org/GnomeGamesExtraData/ 

Requires: gnome-games >= 3.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
This package contains extra data files for the gnome-games package. At the moment this is almost entirely extra themes and artwork for the games. Releases of gnome-games-extra-data correspond to a specific release of GnomeGames. 

%description -l ja
このパッケージは gnome-games パッケージのための追加データファイル集です。ゲーム用の追加テーマ及びアートワークです。gnome-games-extra-data のリリースは特定の gnome-games のリリースと一致しています。

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/gnome-games/glines/pixmaps/*.png
%{_datadir}/gnome-games/gnobots2/themes/*.png
%{_datadir}/gnome-games/iagno/pixmaps/*.png
%{_datadir}/gnome-games/mahjongg/pixmaps/*.png


%changelog
* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release

* Wed Apr 21 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- initial build for Vine Linux

