# Note that this is NOT a relocatable package

Summary: The GNOME virtual file-system extra modules.
Name:           gnome-vfs-extras
Version:        0.2.0
Release:        0vl2
License:        GPL
Group:          System Environment/Libraries
Source:         %{name}-%{version}.tar.bz2

URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       gnome-vfs >= 1.0.3

BuildRequires:	glib-devel >= 1.2.9
BuildRequires:	gnome-libs-devel >= 1.2.8
BuildRequires:	gnome-vfs-devel >= 1.0.3
BuildRequires:	readline-devel


%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. This package contains some extra modules that for
various reasons are not distributed with the core gnome-vfs package.
Amongst other things it includes a samba based smb network browser.


%prep
%setup -q


%build
%configure

make


%install
rm -fr %{buildroot}

%makeinstall


%clean
rm -fr %{buildroot}


%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/vfs/modules/extra-modules.conf
%{_libdir}/vfs/modules/*.so


%changelog
* Mon Jul 21 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.0-0vl2
- rebuild and moved docdir to /usr/share/doc
- s/Copyright/License/

* Wed Apr 23 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.0-0vl1
- update to 0.2.0
- rebuild with new toolchains

* Sat Nov 24 2001 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.1.3-1vl1
- based on 0.1.3-1 from Rawhide and rebuilt for Vine
- modified spec (BuildRequires et al.)

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- New release

* Tue Jul  3 2001 Alexander Larsson <alexl@redhat.com>
- Release 2. Removed the vendor and distribution tags from
- the specfile.

* Wed Jun  7 2001 Alexander Larsson <alexl@redhat.com>
- Don't build on IA64

* Wed Jun  6 2001 Alexander Larsson <alexl@redhat.com>
- Initial version
