# Note that this is NOT a relocatable package

Summary: Extra modules for version 2 of the GNOME virtual file-system
Name:           gnome-vfs2-extras
Version:        0.99.11
Release:        0vl3
License:        GPL
Group:          System Environment/Libraries
Source:         gnome-vfs-extras-%{version}.tar.bz2

URL:            http://www.gnome.org/
BuildRoot:      /var/tmp/%{name}-root

Requires:       gnome-vfs2 >= 2.4.1
Requires:	samba-libsmbclient >= 3.0.7
BuildPrereq:	gnome-vfs2-devel >= 2.4.1
BuildPrereq:	samba-libsmbclient >= 3.0.7

%description
GNOME VFS is the GNOME virtual file system. It is the foundation of the
Nautilus file manager. This package contains some extra modules for
version 2 of GNOME VFS that for various reasons are not distributed with 
the core gnome-vfs package. Amongst other things it includes a samba 
based smb network browser.

%prep
%setup -q -n gnome-vfs-extras-%{version}

%build
%configure

make

%install
rm -fr %{buildroot}

%makeinstall
%clean
rm -fr %{buildroot}

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gnome-vfs-2.0/modules/extra-modules.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so
%{_datadir}/gnome/network/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Wed Nov 03 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.11-0vl3
- rebuild with samba-3.0.7

* Thu Feb  5 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.99.11-0vl2
- add BuildPrereq: libsmbclient
- s/Copyright/License/

* Sat Jan 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.11-0vl1
- new upstream release
- add Requires: libsmbclient

* Wed Dec 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.10-0vl3
- rebuild with new toolchain

* Thu May 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.10-0vl2
- add missing desktop-files
- add ja.po

* Wed May 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.10-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.8-0vl1
- new upstream release

* Mon Dec 16 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99.5-0vl1
- build for Vine Linux

* Tue Sep  3 2002 Alexander Larsson <alexl@redhat.com>
- Update to 0.99.5, fixes #70873

* Mon Aug 12 2002 Alexander Larsson <alexl@redhat.com>
- Update to 0.99.3, fixes #70873

* Fri Aug  9 2002 Alexander Larsson <alexl@redhat.com>
- Update to 0.99.2

* Mon Jun 24 2002 Owen Taylor <otaylor@redhat.com>
- Create a gnome-vfs2-extras package with version 0.99

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 27 2002 Havoc Pennington <hp@redhat.com>
- 0.2.0, fixes #61669

* Thu Aug  9 2001 Alexander Larsson <alexl@redhat.com> 0.1.2-1
- New release

* Tue Jul  3 2001 Alexander Larsson <alexl@redhat.com>
- Release 2. Removed the vendor and distribution tags from
- the specfile.

* Wed Jun  7 2001 Alexander Larsson <alexl@redhat.com>
- Don't build on IA64

* Wed Jun  6 2001 Alexander Larsson <alexl@redhat.com>
- Initial version
