Summary:	A PDF file viewer for GNOME
Summary(ja):    GNOME  PDF եӥ塼
Name:		gpdf
Version:	2.10.0
Release:	0vl2
License:	GPL
Group:		Applications/Publishing
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/2.10/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	xpdf-common >= 3.01

Vendor: Project Vine
Distribution: Vine Linux


%description
Xpdf is an X Window System based viewer for Portable Document Format (PDF)
files. PDF files are sometimes called Acrobat files, after Adobe Acrobat
(Adobe's PDF viewer).  Xpdf is a small and efficient program which uses
standard X fonts.

%description -l ja
GPdfGNOMEѤPDF(Portable Document Format)եΥӥ塼Ǥ
PDFե, AdobeҤAcrobat(AdobeҤPDFӥ塼)Ѥ뤿
, Acrobat եȤƤФƤޤ. 


%prep
%setup -q

%build
%configure \
	   --enable-a4-paper \
	   --enable-opi \
	   --enable-annotations-view \
	   --enable-japanese \
	   --disable-scrollkeeper

make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %name

rm -rf %{_localstatedir}/scrollkeeper

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications >& /dev/null ||:
scrollkeeper-update >& /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gpdf.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
update-desktop-database %{_datadir}/applications >& /dev/null ||:
scrollkeeper-update >& /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES README NEWS AUTHORS README.GPdf
%{_bindir}/*
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_datadir}/application-registry/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome/help/%{name}
%{_datadir}/%{name}/
%{_datadir}/mime-info/*
%{_datadir}/omf/gpdf/*
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}/*
%{_sysconfdir}/gconf/schemas/gpdf.schemas

%changelog
* Thu Jun 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl2
- add Requires: xpdf-common >= 3.01

* Tue Mar 22 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sat Jan 29 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.3-0vl1
- new upstream release

* Sun Jan 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl1
- new upstream release

* Sat Jan 08 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Wed Dec 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Fri Apr 02 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.131-0vl1
- new upstream release

* Tue Mar 23 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.130-0vl1
- new upstream release

* Sat Mar 20 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.125-0vl1
- new upstream release

* Sat Dec 13 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.120-0vl1
- new upstream release

* Sat Oct 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.111-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.110-0vl1
- new upstream release

* Thu Sep 04 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.106-0vl1
- new upstream release

* Sun Jul 06 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.104-0vl1
- new upstream release

* Sun Jun 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.103-0vl1
- new upstream release

* Sat May 24 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.102-0vl1
- initial build

