%define	name	gpspoint
%define	libname	libgpspoint2
%define	release	0vl5
%define	version	2.030521

Summary: Garmin GPS data transfer utility
Summary(ja): GarminGPSǡž桼ƥƥ
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Engineering
License: GPL
Source: http://gpspoint.dnsalias.net/gpspoint2/download/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Url: http://gpspoint.dnsalias.net/gpspoint2/
Vendor: Project Vine
Distribution: Vine Linux
Packager: Susumu Tanimura <stanimura-ngs@umin.ac.jp>

%description
With gpspoint you can interact with a garmin gps device. Most importantly you
can down- and upload waypoints, routes and tracks.  It also dialog based
frontend mgpspoint.

%description -l ja
GarminGPSPCȤδ֤ǥǡž뵡ǽޤ
ݥȡ롼ȡפΥǡɤޤϥåץɤǽ
gpspointΥեȥɤȤmgpspointƱƤޤ

%package -n %{libname}
Summary:     Dynamic libraries from %{name}
Summary(ja): %{name}Υ饤֥
Group:       System Environment/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%description -n %{libname} -l ja
%{name}Υ饤֥

%package -n %{libname}-devel
Summary:        Header files and static libraries from %name
Summary(ja):    %{name}饤֥γȯå
Group:          Development/Libraries
Requires:       %{libname} >= %{version}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %{name}.

%description -n %{libname}-devel -l ja
%{name}饤֥γȯå

%prep
%setup

%build
%configure
%{__make}

%install
%makeinstall

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS TODO
%{_bindir}/gpspoint
%{_bindir}/mgpspoint
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgpspoint2.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/gpspoint2
%{_includedir}/gpspoint2/*.h
%{_libdir}/libgpspoint2.a
%{_libdir}/libgpspoint2.la
%{_libdir}/libgpspoint2.so

%clean
rm -rf $RPM_BUILD_ROOT/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%changelog 
* Fri Dec  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- changed libgpspoint Group to System Environment/Libraris
- changed libgpspoint-devel Group to Development/Libraris
- run /sbin/ldconfig at %post and %postun section

* Wed Nov 29 2006 Susumu Tanimura <stanimura-ngs@umin.ac.jp>
- Rebuilt for VineLinux4.0

* Wed Sep 22 2004 Susumu Tanimura  <stanimura-ngs@umin.ac.jp>
- Initial package for VineLinux3.0

* Sun Aug 17 2003 Susumu Tanimura <stanimura-ngs@umin.ac.jp> 
- Replaced some parts with rpm macros following instruction of
  Mr. Masaharu Iwai

* Sat Aug 16 2003 Susumu Tanimura <stanimura-ngs@umin.ac.jp> 
- Changed subpackages' name

* Fri Aug 15 2003 Susumu Tanimura  <stanimura-ngs@umin.ac.jp>
- initial package
