Summary: graphical LDAP directory browser and editor
Summary(ja): グラフィカルな LDAP ディレクトリブラウザ/エディタ
Name: gq
Version: 1.2.3
Release: 2%{?_dist_release}
License: GPL
Group: Applications/System
URL: http://gq-project.org/
Source: http://prdownloads.sourceforge.net/gqclient/%{name}-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/gqclient/%{name}-1.2.1-langpack-1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel, openldap-devel, openssl-devel
BuildRequires: libgcrypt-devel, gnome-keyring-devel
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
#%{!?_without_freedesktop:BuildRequires: desktop-file-utils}

%description
GQ is a graphical browser for LDAP directories and schemas.  Using GQ,
an administrator can search through a directory and modify objects stored
in that directory.

%prep
%setup -q -a 1

%{name}-1.2.1-langpack-1/langpack .

%build
%configure \
	--enable-cache \
	--enable-browser-dnd \
        --disable-update-mimedb
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

%post 
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%postun
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README* TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gq
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/%{name}

%changelog
* Thu Apr  9 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.3-2
- rebuilt with openldap-2.4.11
- added Japanese summary

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.3-1vl5
- initial build for Vine Linux

* Wed Jun 09 2004 Dag Wieers <dag@wieers.com> - 0.6.0-4
- Merged SPEC file with my version.
- Changes to build on older releases.
- Added improved desktop file.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 1.0-0.beta1.1
- Update to 1.0beta1.
- Rebuild for Fedora Core 2.

* Thu Nov 13 2003 Matthias Saou <http://freshrpms.net/> 0.6.0-3
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.
- Added new desktop entry.
- Added find_lang usage.

* Wed Jan 29 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.6.0.

* Tue May 21 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.5.0.

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.4.0-5
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.4.0, fixes bugs #24160, #24161

* Wed Dec 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.1

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Nov 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package

