Summary: 	Remote Desktop Connection utility for GNOME
Summary(ja): 	GNOME 用リモートデスクトップ接続ユーティリティ
Name: 		grdc
Version: 	0.6.0
Release:        1%{?_dist_release}

Source0: 	%{name}-%{version}.tar.bz2
Source10:	grdc-0.6.0-ja.po
Patch1:		grdc-0.6.0-desktop-file.patch
Patch10:	grdc-0.6.0-ja.patch

License: 	GPLv2+
Group: 		Applications/Internet
URL: 		http://sourceforge.net/projects/grdc/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  glib-devel
BuildRequires:  intltool
BuildRequires:  gtk2-devel
BuildRequires:  libgcrypt-devel
#BuildRequires:  libvncserver-devel
#BuildRequires:  libssh2-devel
BuildRequires:  libssh-devel

%description
Grdc is a remote desktop connection client that can view and control a
desktop session running on another system. It can connect to a VNC platform
(using libvncserver0) as well windows terminal servers (with rdesktop).


%prep
%setup -q
%patch1 -p1
%patch10 -p1

cp -f %{SOURCE10} po/ja.po

%build
autoreconf -f -i
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor="" \
  --add-category="RemoteAccess" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q

%postun
update-desktop-database -q

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop

%changelog
* Tue Sep 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.0-1
- initial build for Vine Linux

* Tue Jul 07 2009 slick50 <lxgator@gmail.com> 0.6.0-1pclos2009 
- new version 0.6.0

* Sun May 17 2009 don_crissti <don_crissti@gmx.com> 0.5.1-1pclos2009
- build for PCLOS

