Summary: 	XFce engine for gtk+-1.2
Name: 		gtk1-xfce-engine
Version: 	3.8.18
Release: 	2%{?_dist_release}
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Patch10:        %{name}-%{version}-no-march.patch
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk+ >= 1.2.0
BuildRequires: 	gtk+-devel >= 1.2.0
BuildRequires: 	autoconf213
%ifarch x86_64
BuildRequires: 	automake19
%endif

%description
XFce engine for gtk+-1.2 extracted from xfce-3.8.18.

%prep
%setup -q
%patch10 -p1

%build
%ifarch x86_64
aclocal-1.9
automake-1.9
autoreconf-2.13
%configure --enable-gtk_engine=%{_libdir}/gtk/themes/engines
%else
autoreconf-2.13
%configure
%endif
make LIBTOOL=/usr/bin/libtool


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT%{_libdir}/gtk/themes/engines/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/gtk/themes/engines/*.so

%changelog
* Mon Oct 13 2008 Shu KONNO <owa@bg.wakwak.com> 3.8.18-2
- added BR: automake19 for x86_64
- added aclocal-1.9, automake-1.9 script

* Wed Oct  8 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8.18-1
- applied new versioning policy
- BuildRequires: autoconf213 instead of autoconf 

* Tue Aug 28 2007 Shu KONNO <owa@bg.wakwak.com> 3.8.18-0vl5
- added --enable-gtk_engine=%%{_libdir}/gtk/themes/engines to %%configure

* Tue Jun 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.8.18-0vl4
- run autoreconf 

* Fri Apr 06 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.8.18-0vl3
- added Patch10 (don't pass -march=$target to CFLAGS)

* Sat Mar 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8.18-0vl2
- clean up source tar ball

* Sat Mar 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8.18-0vl1
- initial release for vine

