Summary: software suspend 2 hibernate script
Summary(ja): ソフトウエアサスペンド2 ハイバネーションスクリプト
Name: hibernate
Version: 2.0
Release: 1%{?_dist_release}
License: GPL
Group: Applications/System
URL: http://www.tuxonice.net/
Source0: http://www.tuxonice.net/downloads/all/hibernate-script-%{version}.tar.gz
Patch10: hibernate-script-2.0-vine.patch
Patch11: hibernate-script-1.97-fix-gconftool-path.patch
Patch12: hibernate-script-1.97-disable-hibernation-on-smp-ppc.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
hibernate is a shell script that handles the process of getting ready
to suspend to disk and to resume from disk. It requires the Software
Suspend 2 patches available at http://softwaresuspend.berlios.de/
After installing you will want to run 'hibernate -h' to see available
options and modify your /etc/hibernate/hibernate.conf to set them. 

%prep

%setup -q -n hibernate-script-%{version}
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
# 1.97 tarball somewhat consists of all go-r files/directries...
find . | xargs chmod go+r

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/
export BASE_DIR=${RPM_BUILD_ROOT}
export PREFIX=%{_prefix}
export MAN_DIR=${BASE_DIR}%{_mandir}
sh install.sh

%clean
unset BASE_DIR
unset PREFIX
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README SCRIPTLET-API
%dir %{_datadir}/hibernate
%config %{_sysconfdir}/hibernate/*
%{_sbindir}/hibernate
%{_datadir}/hibernate/*
%{_mandir}/*

%changelog
* Thu Apr 30 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0-1
- new upstream release
- fix Patch10 (vine.patch) for 2.0

* Sat Oct 04 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.99-1
- new upstream release
- fix Patch10 (vine.patch) for 1.99

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.97-1vl5
- applied new versioning policy, spec in utf-8

* Fri Oct 19 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.97-0vl3
- updated to the newest upstream release 1.97
- URL changes from suspend2.net to tuxonice.net
- BuildArch changed to noarch
- updated Patch10
- added Patch11 to supress error message (since 0vl2)
- added Patch23 to disable hibernation on ppc SMP kernel (since 0vl3)

* Fri Oct 13 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.93-0vl4
- update Patch10 to unset FullSpeedCPU option. <BTS:VineLinux:220>

* Fri Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.93-0vl3
- remove "-b .vine" option from %%patch10

* Mon Sep 18 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.93-0vl2
- update Patch10 (<BTS:200>)
  - set "Runi915resolution yes"

* Thu Aug 03 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.93-0vl1
- new upstream release
- update Patch10 ([VineSeed:11039])
  - modify default common.conf
  - up/down network interfaces on hibernating.
  - change CPU to full speed when suspending.
  - enable some hardware tweaks

* Wed Mar 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.12-0vl2
- add Patch10
  - add all version of ndiswrapper module to blacklist
  - add autodetecting for userui program
  - modify default hibernate.conf

* Thu Mar 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.12-0vl1
- new upstream release

* Thu May 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.07-0vl1
- new upstream source
- use macros

* Tue Jan 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.03-0vl1
- initial build for Vine Linux

* Wed Jan  5 2005 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 1.03 final version
* Wed Nov 24 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 1.02 final version
* Thu Nov 18 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 1.01 final version
* Sun Nov  7 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 1.00 final version
* Fri Aug 20 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.99 final version
* Fri Aug 20 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.98 final version
* Thu Jul 29 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.97 final version
* Sat Jul 24 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.96 final version
* Sat Jul 24 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.96-rc2 version
* Sat Jul 24 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.96-rc1 version
* Fri Jul 23 2004 Bernard Blackham <bernard@blackham.com.au> -
- Updated to 0.95.1 final version
* Wed Jul 21 2004 Kevin Fenzi <kevin@tummy.com> -
- Updated to 0.95 final version
* Fri Jul 16 2004 Kevin Fenzi <kevin@tummy.com> -
- Updated to 0.95-rc1 version
* Mon Jul 12 2004 Kevin Fenzi <kevin@tummy.com> - 
- Initial build.
