Name:         hp2xx
License:      GPL
Group:        Applications/Graphics
URL:          http://www.gnu.org/software/hp2xx/hp2xx.html
Autoreqprov:  on
Version:      3.4.4
Release:      1%{?_dist_release}
Summary:      Converts HP-GL Plotter Language into a Variety of Formats
Summary(ja):  HPGL 形式のファイルを様々なフォーマットに変換するためのツール
Source:       hp2xx-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires:  XOrg-devel, glibc
BuildRequires:  libjpeg-devel, libpng-devel, libtiff-devel, zlib-devel
#Requires:	bash2, XOrg-libs, glibc, libjpeg, libpng, libtiff, zlib
Requires:	bash, XOrg-libs, glibc, libjpeg, libpng, libtiff, zlib

%description
The hp2xx program is a versatile tool for converting vector-oriented
graphics data given in Hewlett-Packard's HP-GL plotter language into a
variety of popular graphics formats, both vector- and raster-oriented.

%prep
%setup -q

%build
make OPTFLAGS="$RPM_OPT_FLAGS" LFLAGS="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_infodir},%{_mandir}/man1}
make bindir=$RPM_BUILD_ROOT%{_bindir} \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     mandir=$RPM_BUILD_ROOT%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/hp2xx
%{_mandir}/man1/hp2xx.*
%{_infodir}/hp2xx.*
%doc AUTHORS CHANGES README TODO copying doc/readme doc/changes doc/hp_cmds.lst hp-tests

%post

%postun

%changelog 
* Mon Jun 22 2009 Shu KONNO <owa@bg.wakwak.com> 3.4.4-1
- applied new versioning policy, spec in utf-8

* Sun Dec 30 2007 Shu KONNO <owa@bg.wakwak.com> 3.4.4-0vl3
- updated bash2 to bash in script Requires:

* Mon Jun  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.4.4-0vl2
- added Japanese summary
- changed Group to Applications/Graphics

* Sun Apr 17 2005 Satoshi MACHINO <machino@vinelinux.org> 3.4.4-0vl1
- initial built for VineLinux

