Summary: Tools for launching Preferred Applications
Summary(ja): お気に入りのアプリケーションを起動するツール
Name: htmlview
Version: 4.0.0
Release: 3%{?_dist_release}
License: Public Domain
Source0: htmlview
Source1: launchmail
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: vine-menus

%description
htmlview and launchmail are tools for launching Preferred Applications.
This package exists for compatibility reasons and is likely to be removed
later when equivalent functionality is implemented elsewhere.

%description -l ja
htmlview と launchmail はお気に入りのアプリケーションを起動するツール
です。このパッケージは互換性を保つために用意されており、同等の機能が
別のアプリケーションにより提供されれば、いずれ削除されます。

%prep
%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -c -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

###  Are these kind of links really required?
# mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
# ln -sf %{_datadir}/desktop-menu-patches/redhat-web.desktop \
#   $RPM_BUILD_ROOT/%{_datadir}/applications/redhat-web.desktop
# ln -sf %{_datadir}/desktop-menu-patches/redhat-email.desktop \
#   $RPM_BUILD_ROOT/%{_datadir}/applications/redhat-email.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/htmlview
%{_bindir}/launchmail
#%{_datadir}/applications/redhat-web.desktop
#%{_datadir}/applications/redhat-email.desktop

%changelog
* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 4.0.0-3vl5
- applied new versioning policy, spec in utf-8

* Mon Jul 09 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 4.0.0-3vl1
- update based on fedora development 4.0.0-3.
- added japanese description.

  * Wed May 09 2007 Warren Togami <wtogami@redhat.com> - 4.0.0-3
  - run konqueror in browser mode #239293
  
  * Mon May 07 2007 Warren Togami <wtogami@redhat.com> - 4.0.0-2
  - if KDE-only desktop, use fallback apps so konqueror and kmail will launch
    #239300 and #239293
  
  * Thu Dec 14 2006 Warren Togami <wtogami@redhat.com> - 4.0.0-1
  - minor modernization of htmlview's app lists
  - improve launchmail's non-GNOME error case
  
  * Wed Nov  1 2006 Matthias Clasen <mclasen@redhat.com> - 3.0.0-15
  - Ensure that launchmail always brings up the mail component 
    of evolution.  (#212718)
  
  * Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.0.0-14.1
  - rebuild
  
  * Tue Feb 28 2006 Matthias Clasen <mclasen@redhat.com>> 3.0.0-14
  - Create absolute symlinks to desktop files (#176104)
  
  * Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
  - rebuilt
  
  * Sat Nov 19 2005 Warren Togami <wtogami@redhat.com> - 3.0.0-13
  - xterm no longer in X11R6 dir
  
  * Mon Oct 24 2005 Warren Togami <wtogami@redhat.com> - 3.0.0-12
  - note deprecated compat status (#171609)
  
  * Wed May 11 2005 Warren Togami <wtogami@redhat.com> - 3.0.0-11
  - also ignore -remote (#154033)
  
  * Sun Apr 24 2005 Warren Togami <wtogami@redhat.com> - 3.0.0-10
  - handle names with spaces, ignore multiple targets (#92335)
  - req which (#145509)
  
* Fri Jan 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.0.0-8vl1
- initial build for Vine Linux

* Mon Oct 18 2004  <jrb@redhat.com> - 3.0.0-8
- special case mozilla to handle the ' -mail' flag.

* Mon Oct 18 2004  <jrb@redhat.com> - 3.0.0-7
- add back the redhat-web/redhat-email links for the panel

* Sat Sep 18 2004 Warren Togami <wtogaim@redhat.com> - 3.0.0-6
- #132869 Anvil's exists() fix

* Thu Sep 16 2004 GNOME <jrb@redhat.com> - 3.0.0-5
- remove desktop files.

* Wed May 05 2004 Warren Togami <wtogami@redhat.com> 3.00-4
- minor changes to htmlview
- add launchmail
- move redhat-email.desktop from evolution

* Sat Apr 17 2004 Warren Togami <wtogami@redhat.com> 3.0.0-3
- mimic gnome-open if available, otherwise fallback to old htmlview behavior
- fix error handling (karsten)

* Fri Apr 16 2004 Warren Togami <wtogami@redhat.com> 2.0.0-13
- read http instead of unknown key

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 21 2003 Matt Wilson <msw@redhat.com> 2.0.0-11
- add epiphany (#106255)

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Tim Waugh <twaugh@redhat.com> 2.0.0-9
- Be gconf-aware; use the 'preferred applications' setting.

* Tue Oct  8 2002 Mike A. Harris <mharris@redhat.com> 2.0.0-7
- All-arch rebuild
- Change {prefix}/bin and {prefix}/share to _bindir, _datadir, etc..

* Thu Aug 22 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-6
- Use an absolute symlink so that you can drag and drop the .desktop
  entry.

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-5
- Prefer Mozilla over galeon
- Include link to redhat-web.desktop

* Fri Aug 09 2002 Phil Knirsch <pknirsch@redhat.com> 2.0.0-4
- Updated to start the first look for the GENERIC browers and terms (#68848)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.0.0-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 2.0.0-2
- automated rebuild

* Mon Jan 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0.0-1
- Allow /etc/htmlview.conf and ~/.htmlviewrc files to allow users to
  pick their preferred browsers.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Aug 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.0-1
- Add Galeon to the list of known browsers, prefer Mozilla over
  Konqueror if in gnome (#52137)

* Wed Mar  7 2001 Bill Nottingham <notting@redhat.com>
- add a license note to the script

* Tue Jan  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.0:
  - Add konqueror to the list of known browsers
  - Add support for remote URLs (so we can use this for licq, as well)
  - Some cleanups

* Tue Sep 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm
