%define name	ipw2100-firmware
%define version	1.3
%define release	3%{?_dist_release}

Summary:	Firmware for the Intel(R) PRO/Wireless 2100 Driver.
Summary(ja): 	Intel(R) PRO/Wireless 2100 ドライバ用のファームウェア
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	ipw2100-fw-%{version}.tgz
License:	distributable
Group:		System Environment/Kernel
URL:		http://ipw1200.sourceforge.net/firmware.php

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch


%description
This package contains the firmware for the Intel(R) PRO/Wireless
2100 driver. Usage of the firmware is subject to the terms
contained in %{_datadir}/doc/%{name}-%{version}/LICENSE.
Please read the license carefully.

%description -l ja
このパッケージは Intel(R) PRO/Wireless 2100 ドライバ用の
ファームウェアを含んでいます。ファームウェアの使用は
%{_datadir}/doc/%{name}-%{version}/LICENSE に含まれる
内容により制限されています。
このファームウェアを使用する場合はライセンスを必ず読んで
ください。

%prep

%setup -q -c


%install
%__rm -rf ${RPM_BUILD_ROOT}
#%__mkdir_p ${RPM_BUILD_ROOT}/%{_lib}/firmware
#%__install -p -m644 *.fw ${RPM_BUILD_ROOT}/%{_lib}/firmware
#%__install -p -m644 LICENSE ${RPM_BUILD_ROOT}/%{_lib}/firmware/ipw2100-LICENSE.txt
%__mkdir_p ${RPM_BUILD_ROOT}/lib/firmware
%__install -p -m644 *.fw ${RPM_BUILD_ROOT}/lib/firmware
%__install -p -m644 LICENSE ${RPM_BUILD_ROOT}/lib/firmware/ipw2100-LICENSE.txt


%clean
%__rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE
#/%{_lib}/firmware/*
/lib/firmware/*


%changelog
* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 1.3-3
- rebuilt with rpm-4.8.1-3

* Sat Aug 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.3-2vl5
- use /lib/firmware instead of /%%{_lib}/firmware

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.3-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 06 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3-0vl2
- fix typo of Group <BTS:VineLinux:148>.

* Thu Jun 08 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.3-0vl1
- initial build for Vine Linux
