Summary: Microcode for the Intel Wireless WiFi Link 4965AGN Driver
Summary(ja): Intel Wireless WiFi Link 4965AGN ドライバ用マイクロコード
Name: iwlwifi-4965-ucode
Version: 228.61.2.24
Release: 1%{?_dist_release}
License: distributable, no modification permitted
Group: System Environment/Kernel
URL: http://intellinuxwireless.org/?p=iwlwifi
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
Source1: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-228.57.1.21.tgz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
This package contains the firmware required by the iwlwifi/iwl4965 driver for Linux.

%prep
%setup -q -a 1

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p -m0644 *.ucode  %{buildroot}/lib/firmware/
install -p -m0644 */*.ucode  %{buildroot}/lib/firmware/


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE* README*
/lib/firmware/*

%changelog
* Thu Apr 21 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 228.61.2.24-1
- new upstream release

* Tue Dec 30 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 228.57.2.23-1
- new upstream release
- add 228.57.2.23 (iwlwifi-4965-2)
- add 228.57.1.21 (iwlwifi-4965-1)

* Fri May 16 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 4.44.1.20-1
- initial build for Vine Linux

* Sat Dec 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.1.20-7
- Update to 4.44.1.20.

* Tue Jul 31 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.1.18-6
- Update to 4.44.1.18.

* Tue Jul 31 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.17-5
- Update to 4.44.17.

* Fri Jun 15 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.15-4
- Update to 4.44.15.

* Thu Jun 14 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 4.44.14-3
- iwlwifi-4965-ucode-4.44.14

* Mon May 28 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.3-1
- Update to 2.14.3.

* Tue Feb 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.14.1-1
- Initial build.
