Name:	jpegoptim
Version:	1.2.4
Release:	1%{?_dist_release}
Summary:	Utility to optimize jpeg files
Summary(ja):	jpeg ファイルを最適化するためのユーティリティ
Source0:	http://www.kokkonen.net/tjko/src/%{name}-%{version}.tar.gz
License:	GPLv2+
Group:	Applications/Graphics
URL:		http://www.kokkonen.net/tjko/projects.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libjpeg-turbo-devel

%description
Provides lossless optimization (based on optimizing the Huffman tables) 
and "lossy" optimization based on setting maximum quality factor.

%prep
%setup -q

%build
%configure

%{__make} %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
%{__make} INSTALL_ROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Apr 30 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.2.4-1
- new upstream release

* Sat Dec 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.2.3-1
- initial build for VineSeed

* Wed Sep 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2.3-1mdv2010.0
+ Revision: 451840
- Update to new version 1.2.3

* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-5mdv2010.0
+ Revision: 429646
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-4mdv2009.0
+ Revision: 247419
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-2mdv2008.1
+ Revision: 127413
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import jpegoptim


* Fri Jan 27 2006 Jerome Soyer <saispo@mandriva.org> 1.2.2-2mdk
- Need rebuild

* Sun Aug 08 2004 Couriousous <couriousous@sceen.net> 1.2.2-1mdk
- First Mandrakelinux version
