Name: kchmviewer
Summary: chm (MS HTML help file format) viewer
Summary(ja): chm (MS HTML ヘルプファイル形式) ビューア
Version: 3.1
Release: 4%{?_dist_release}
License: GPL
Group: Applications/Accessories
URL: http://www.kchmviewer.net/
Source0: %{name}-%{version}-2.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel libjpeg-devel libpng-devel
BuildRequires: qt-devel kdelibs-devel arts-devel libart_lgpl-devel
BuildRequires: gamin-devel libidn-devel

Patch10: kchmviewer-3.1-ppc.patch

Vendor: Project Vine
Distribution: Vine Linux

%description
kchmviewer is a chm (MS HTML help file format) viewer written in C++. Unlike
most existing CHM viewers for Unix, it uses Trolltech Qt widget library, and
could optionally use KDE libraries for better KDE integration. It does not
require KDE, but may be compiled with full KDE support, including KDE widgets
and KIO/KHTML.

The main advantage of kchmviewer is the best support for non-English languages.
Unlike other viewers, kchmviewer in most cases is able to correctly detect the
chm file encoding and show it. It correctly shows the index and table of context
in Russian, Korean, Chinese and Japanese help files, and with new search engine
is able to search in any chm file no matter what language it is written.

%prep
%setup -q
%patch10 -p1

%build
%configure --with-kde 
%__make

%install
%__rm -rf %{buildroot}
%makeinstall

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog FAQ README
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/kde3/*
%{_datadir}/applications/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/locale/*/*/*
%{_datadir}/services/*

%changelog
* Tue May 26 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 3.1-4
- add Patch10

* Wed May 13 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.1-3
- applied new versioning policy, spec in UTF-8

* Sat Jan 19 2008 USAMI Kosuke <usami-k@yc5.so-net.ne.jp> 3.1-2vl1
- Initial build.

