Summary: KON - Kanji ON Linux console
Summary(ja): KON - 󥽡
Name: kon2
Version: 0.3.9b
Release: 0vl9
Group: Applications/System
Copyright: distributable
Source0: ftp://ftp.linet.gr.jp/pub/KON/%{name}-%{version}.tar.gz
Source1: ftp.linux.or.jp/pub/PJE/PJE-0.1beta/tgz/install/konfnt.tgz
Patch: kon2-0.3.9-config.patch
# patches for vine
Patch100: kon2-0.3.9b-vine_config.patch
Patch104: kon2-0.3.8-exec.diff
#Patch105: kon2-0.3.8-tty.patch
#Patch106: kon2-0.3.8-bufover.patch
Patch107: kon2-0.3.9b-tty.patch
Patch108: kon2-0.3.9b-bufover-fix.patch
Patch109: kon2-0.3.9b-racecondition-fix3.patch
Prereq: /usr/bin/tic
ExclusiveArch: %{ix86}
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: ISHIKAWA Mutsumi <ishikawa@linux.or.jp>

%description
kon is a Kanji emulator for console

%description -l ja
  KON  Linux Υ󥽡̾Ǵɽ뤿ΥץǤ
ɽ DOS/V, minix-V, 386BSD KanjiHand (餯)ƱǤ
minix-V  KanjiHand ȰۤʤĤޤKON ǤϵüȤ
ƥ󥽡ϤեåVGA ŸƤޤäƥͥ
˥ѥåƤɬפϤޤ󤬡minix-V  KanjiHand Τ褦
ʳĥǽϴԤǤޤ

%package fonts
Summary: Fonts for KON
Summary(ja): KONѥե
Group: Applications/System

%description fonts
This package includes some fonts for Kon.
They are supplied with public domain.

%description fonts -l ja
KON ѤΥեȤǤPublic Domain 󶡤Ƥޤ

%prep
%setup -q
#%patch -p1
%patch100 -p1 -b .config
%patch104 -p0 -b .exec
#%patch105 -p1 -b .tty
#%patch106 -p1 -b .bufover
%patch107 -p1 -b .tty
%patch108 -p1 -b .fld
%patch109 -p1 -b .race

%setup -D -a 1 -T
find . -name '*.orig' -exec rm -f {} \;

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/ja/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/fonts
mkdir -p $RPM_BUILD_ROOT/etc
make install TOPDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}/ja/man1
install -m 0444 usr/share/fonts/pubfont.a.gz $RPM_BUILD_ROOT/usr/share/fonts
install -m 0444 usr/share/fonts/pubfont.k.gz $RPM_BUILD_ROOT/usr/share/fonts

chmod 644 $RPM_BUILD_ROOT/etc/kon.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /usr/share/terminfo/k/kon ];then
	tic /usr/doc/kon2-%{PACKAGE_VERSION}/terminfo.kon
fi

if [ `grep -c '^kon|kanji on console' /etc/termcap` -eq 0 ];then
	cat /usr/doc/kon2-%{PACKAGE_VERSION}/termcap.kon >> /etc/termcap
fi

%files
%defattr(-,root,root)
%doc doc/* terminfo.kon termcap.kon
%config /etc/kon.cfg
%attr (4755, root, root) /usr/bin/kon
%attr (0755, root, root) /usr/bin/fld
/usr/bin/swkon
%attr (4755, root, root) /usr/bin/newvc
%{_mandir}/ja/man1/kon.1*


%files fonts
%defattr(-,root,root)
%dir /usr/share/fonts/
/usr/share/fonts/pubfont.a.gz
/usr/share/fonts/pubfont.k.gz

%changelog
* Thu Mar 27 2003 KOBAYASHI R. Taizo <tkoba@vinelinux.prg> 0.3.9b-0vl9
- rebuild

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.9b-0vl8
- rebuild

* Fri Jun 01 2001 <sagami@vinelinux.org>
- 0.3.9b-0vl7: install manpage into %%{_mandir}
- ExclusiveArch: %%{ix86}

* Thu Jul 20 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- missing setgid(getgid()), setuid(getuid()) before shell
  fork(), now fixed.

* Wed Jul 19 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- race condition bug fix was incorrect, so really fixed.

* Mon Jul 10 2000 Jun Nishii <jun@vinelinux.org>
- fix wrong subpackage name (kon2-font -> kon2-fonts)

* Sun Jul  2 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- change from kon2-0.3.9-vine_config.patch to
  kon2-0.3.9b-vine_config.patch to rebuild collectly

* Sun Jul  2 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- Font loading can not work collectly in some environment. 
  It is fld and kon race condition bug. Now fixed.

* Wed Jun 22 2000 ISHIKAWA Mutsumi <ishikawa@linux.or.jp>
- updated to 0.3.9b
- fld security fix and more buffer overflow fix patch (writen by
  Fumitoshi UKAI <ukai@debian.or.jp>) added
- remove Vine's bufover patch because of fixed upstream.
- replace Vine's tty patch to be able to apply to 0.3.9b
- drop suid root from /usr/bin/fld
- rebuild on RedHat 6.2

* Thu Jun 9 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- remake SPEC file from rawhide.
- ja_JP.ujis -> ja
- added Vine's patches: exec, tty, bufover

* Thu Mar 23 2000 Chris Ding <cding@redhat.com>
- fixed terminfo path miss

* Wed Mar 22 2000 Chris Ding <cding@redhat.com>
- updated to 0.3.9
- ja_JP.ujis -> ja_JP.eucJP
- added prereq tag
- changed group

* Mon Oct 18 1999 Matt Wilson <msw@redhat.com>
- rebuilt for 6.1
- patched makefile so that it doesn't use hardcoded path
- added attr tags

* Sat Nov 22 1997 Susumu Nagashige <nagasige@netlaputa.ne.jp>
* Wed Feb  4 1998 Keiichi Matsuzaki <chaki@tkyosf1.phys.s.u-tokyo.ac.jp>
- 2nd release
