%define __spec_install_post /usr/lib/rpm/brp-compress || :

Summary: Line editor
Summary(ja): ラインエディタ
Name: ledit
Version: 2.01
Release: 3%{?_dist_release}
Source0: ledit-%{version}.tgz
License: BSD
Group: Development/Tools
URL: http://cristal.inria.fr/~ddr/ledit
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ocaml camlp5

%description
A line editor for interactive programs.

%description -l ja
対話型プログラム向けのラインエディタです

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man1
install -m755 ledit.out $RPM_BUILD_ROOT%{_bindir}/ledit
#install -m644 ledit.l $RPM_BUILD_ROOT%{_mandir}/man1/ledit.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES LICENSE README
%{_bindir}/ledit
#{_mandir}/man1/*

%changelog
* Fri Apr 16 2010 Shu KONNO <owa@bg.wakwak.com> 2.01-3
- rebuilt with new tool chain (and ocaml-3.11.0-2, camlp5-5.11-2)

* Wed Jun 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.01-2
- spec in UTF-8

* Sun Aug  3 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.01-1
- new upstream release

* Wed Feb  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.00-0vl2
- rebuilt for VineSeed

* Wed Feb  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.00-0vl1
- new upstream release
- rebuilt with ocaml 3.10.1

* Sun Sep 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.15-0vl1
- new upstream release
- rebuilt with ocaml 3.10.0

* Thu Nov 18 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.11-1vl1
- initial rpm based on 
  ftp://ftp.inria.fr/INRIA/Projects/cristal/Daniel.de_Rauglaudre/Tools/
- added Japanese summary and description
