Summary: The lrz and lsz modem communications programs.
Name: lrzsz
Version: 0.12.20
Release: 13%{?_dist_release}
License: GPL
Group: Applications/Communications
Source: http://www.ohse.de/uwe/releases/lrzsz-0.12.20.tar.gz
Patch1: lrzsz-0.12.20-glibc21.patch
Url: http://www.ohse.de/uwe/software/lrzsz.html
BuildRoot: %{_tmppath}/%{name}-root

%description
Lrzsz (consisting of lrz and lsz) is a cosmetically modified
zmodem/ymodem/xmodem package built from the public-domain version of
the rzsz package. Lrzsz was created to provide a working GNU
copylefted Zmodem solution for Linux systems.

%prep
%setup -q
%patch1 -p1 -b .glibc21

%build
%configure --disable-pubdir \
	--enable-syslog \
	--program-transform-name=s/l//
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 0.12.20-13vl5
- applied new versioning policy

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 0.12.20-12
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 0.12.20-10
- Copyright->License
- use %%find_lang

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- use RPM macros

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- cleanup specfile
- add Url
- put man pages to correct place

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Sat Feb 05 2000 Preston Brown <pbrown@redhat.com>
- rebuild to compress man pages, get new description

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.12.20, i18n translations included.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups 

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- Upgraded to 0.12.14 and changed makefiles so gettext isnt built.
