Name:           lxappearance-obconf
Version:        0.2.0
Release:        1%{?_dist_release}
Summary:        Plugin to configure Openbox inside LXAppearance
Summary(ja):    LXAppearance 内で OpenBox を設定するためのプラグイン

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.org/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: libSM-devel
BuildRequires: lxappearance-devel
BuildRequires: openbox-devel
BuildRequires: perl-XML-Parser

Requires:       lxappearance >= 0.5.0
Requires:       openbox

%description
This plugin adds an additional tab called "Window Border" to LXAppearance.
It is only visible when the plugin is installed and Openbox is in use.

%prep
%setup -q
# dirty hack for outdated/changing LINGUAS file
#cd po
#ls *.po | sed 's/.po//g' | sort > LINGUAS

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/lxappearance/plugins/obconf.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING NEWS README TODO
%{_libdir}/lxappearance/plugins/obconf.so
%{_datadir}/lxappearance/obconf/


%changelog
* Sun May 20 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.2.0-1
- new upstream release

* Sat Feb 18 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.0.2.git20120211-1
- new upstream release
  - built trunk snapshot

* Sun Jul 31 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.0.1-2
- rebuilt with new lxappearance

* Sun Jul 24 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.0.1-1
- initial build for Vine Linux

* Wed Jul 14 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20110714git3a0fd02d
- Update to latest GIT snapshot

* Fri Jan 28 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20110128git710ba0e6
- Update to latest GIT snapshot

* Fri Sep 03 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100903git1769cdca
- Update to latest GIT snapshot

* Fri Aug 13 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100813git1bf017ee
- initial package
