Name:           lxde-icon-theme
Version:        0.5.0
Release:        1%{?_dist_release}
Summary:        Default icon theme for LXDE

Summary(ja):    LXDE のデフォルトアイコンテーマ
Group:          User Interface/Desktops
License:        LGPLv3
URL:            http://lxde.sourceforge.net/
#original nuoveXT
#URL:            http://nuovext.pwsp.net/

Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch

%description
nuoveXT is a very complete set of icons for Linux, Mac OS X and Windows. It is
also the default icon-theme of LXDE, the Lightweight X11 Desktop Environment.

%description -l ja
nuoveXT は Linux や Mac OS X、Windows 用の完全なアイコンセットです。
LXDE - the Lightweight X11 Desktop Environment - の
デフォルトのアイコンテーマでもあります。

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
touch $RPM_BUILD_ROOT%{_datadir}/icons/nuoveXT2/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/nuoveXT2 &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/nuoveXT2 &>/dev/null || :

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%defattr(-,root,root,-)
%dir %{_datadir}/icons/nuoveXT2/
%{_datadir}/icons/nuoveXT2/*/*
%{_datadir}/icons/nuoveXT2/index.theme
%ghost %{_datadir}/icons/nuoveXT2/icon-theme.cache

%changelog
* Sun May 20 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.0-1
- new upstream release

* Sat Mar 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.2-4
- applied new naming policy to spec

* Fri Mar 5 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.2-3
- bumped up release number
  - Because already installed package is removed.

* Thu Mar 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.2-1
- initial build for VineSeed
  - This package is provisional. LXDE Original release source is 0.0.1...