Name:           lxde-settings-daemon
Version:        0.4.1
Release:        3%{?_dist_release}
Summary:        Settings daemon for LXDE
Summary(ja):    LXDE の設定デーモン

Group:          User Interface/Desktops
License:        GPLv3
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel libX11-devel
BuildRequires:  pkgconfig

%description
This package is the settings-daemon for LXDE,
the Lightweight X11 Desktop Environment.

%description -l ja
このパッケージは LXDE - the Lightweight X11 Desktop Environment - の
設定デーモンです。

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
mkdir -m 775 $RPM_BUILD_ROOT%{_datadir}/lxde/
cp -p $RPM_BUILD_ROOT/etc/lxde/config $RPM_BUILD_ROOT%{_datadir}/lxde/config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
#add ChangeLog and NEWS if there is content
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_sysconfdir}/lxde/*
%{_mandir}/man1/*.1.gz
%{_datadir}/lxde/config

%changelog
* Thu Aug 6 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.1-3
- installed %{_datadir}/lxde/config for default setting
  (read "README" in lxde-settings-daemon source)
- changed %files
- fixed summary(ja)

* Sat Jul 11 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.1-2
- didn't require lxde-common

* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.1-1
- initial release for VineSeed
