Summary: C library for writing of UNIX daemons
Name: libdaemon
Version: 0.14
Release: 2%{_dist_release}
Source0: %{name}-%{version}.tar.gz
License: LGPLv2
Group: System Environment/Libraries
URL: http://0pointer.de/lennart/projects/libdaemon/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
libdaemon is a leightweight C library which eases the writing of UNIX daemons.
Shared libraries and documents is included in this package.

%package devel
Summary: libdaemon developing environment
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
libdaemon is a leightweight C library which eases the writing of UNIX daemons.
Environment for programming using libdaemon is included in devel pakcage.

%prep
%setup -q

%build
%configure --disable-static --disable-doxygen --disable-lynx
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-pkgconfigDATA

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE README doc/README.html doc/style.css
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc LICENSE examples
%{_includedir}/%{name}/
%exclude %{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14-2
- rebuild with rpm-4.8.1 for pkg-config file

* Fri May 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.14-1
- new upstream release
- removed static libraries from devel package

* Wed Mar 04 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 0.13-1
- new upstream release

* Mon May 05 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 0.12-1
- rebuild with new versioning policy

* Sun Jul 22 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.12-0vl1
- new upstream release

* Sun Sep 17 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.10-0vl4
- changed devel Group to Development/Libraries

* Fri May 12 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.10-0vl3
- rebuild for VineSeed with gpg sign

* Wed May 10 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.10-0vl2
- rebuild for VineSeed

* Wed May 10 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.10-0vl1
- upstream release & build for VinePlus 3.x
- update url

* Sun Feb 12 2006 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.8-0vl3
- rebuild for VineSeed

* Wed Aug 31 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.8-0vl2
- upstream release for VinePlus 3.0/3.1/3.2
- brush up doc files

* Wed Aug 31 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.8-0vl1
- upstream release for VinePlus 2.5/2.6
- brush up doc files

* Sat Mar 26 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.7-0vl2
- upstream release for VinePlus 3.0/3.1

* Fri Mar 25 2005 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.7-0vl1
- upstream release for VinePlus 2.5/2.6

* Thu Dec 02 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.6-0vl2
- upstream release for VinePlus 3.0/3.1

* Thu Dec 02 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.6-0vl1
- upstream release for VinePlus 2.5/2.6

* Fri Feb 27 2004 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.5-0vl1
- upstream release
- add files list (pkgconfig data)

* Sun Aug 03 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.2-0vl2
- add Vendor / Distribution tag for VineLinux

* Sat Aug 02 2003 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp>
- 0.2-0vl1
- for Vine 2.5/2.6


