%define libname libflashsupport

%define svn .svn2829

Summary: Flash support for PulseAudio, ESD and OSS
Summary(ja): Flash に PulseAudio / ESD / OSS サポートを追加するライブラリ

Name: %{libname}
Version: 0.0%{svn}
Release: 3%{?_dist_release}

License: Adobe Source Code Licence
Group: System Environment/Libraries
#from https://svn.revolutionlinux.com/MILLE/XTERM/trunk/libflashsupport/src/
URL: http://www.revolutionlinux.com/mille-xterm

Source0: libflashsupport-%{version}.tar.bz2
Patch0: libflashsupport-0.0.svn2829_installlibdir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel
BuildRequires: esound-devel
BuildRequires: pulseaudio-libs-devel

%description
This library adds PulseAudio, ESD and OSS support to Flash Player 9.

%description -l ja
このライブラリを追加すると、Flash Player 9 で PulseAudio / ESD / OSS に
よる音声出力がサポートされます。


%prep
%setup -q -n %{libname}-%{version}
%patch0 -p1


%build 
make


%install
rm -fr %{buildroot}
%makeinstall


%files 
%defattr(-,root,root)
%doc README*
%{_libdir}/libflashsupport.*


%clean
rm -rf %{buildroot}

%changelog
* Sat Aug 28 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.0.svn2829-3
- changed Group to System Environment/Libraries

* Wed Oct 16 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.0.svn2829-2
- add Patch0

* Wed Oct 16 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.0.svn2829-1
- initial build for VineSeed
