%define mono_dir %(/usr/bin/monodir)
%define _name gluezilla
Name: libgluezilla
Version: 2.6
Release: 3%{?_dist_release}
Summary: Glue library for Winforms Web Control
Summary(ja): Mono Winforms 用ウェブ制御ライブラリ
Group: Development/Libraries
License: GPL
URL: http://www.go-mono.com
Source: http://mono.ximian.com/monobuild/preview/sources/%{_name}/%{_name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++ gtk2-devel
BuildRequires: xulrunner-devel
#BuildRequires: xulrunner-devel-unstable

%description
A simple library to embed Gecko (xulrunner) for the Mono Winforms WebControl.


%prep
%setup -q -n %{_name}-%{version}


%build
#export CFLAGS="$RPM_OPT_FLAGS"
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unuse files
rm -f $RPM_BUILD_ROOT/usr/%_lib/libgluezilla.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* INSTALL README TODO
%{_libdir}/libgluezilla.so
%{_libdir}/libgluezilla.so.*


%changelog
* Thu Apr 08 2010 Shu KONNO <owa@bg.wakwak.com> 2.6-3
- rebuilt with new environment
- dropt BR: xulrunner-devel-unstable

* Thu Dec 31 2009 Shu KONNO <owa@bg.wakwak.com> 2.6-2
- added BR: xulrunner-devel-unstable

* Sun Dec 27 2009 Shu KONNO <owa@bg.wakwak.com> 2.6-1
- updated gluezilla to 2.6

* Sun Apr 05 2009 Shu KONNO <owa@bg.wakwak.com> 2.4-1vl5
- updated gluezilla to 2.4

* Thu Sep 18 2008 Shu KONNO <owa@bg.wakwak.com> 2.0-1vl5
- initial build for VineSeed
    - updated gluezilla to 2.0
    - applied vine versioning policy
    - added japanese summary
    - spec in utf-8

* Mon Apr 21 2008 wberrier@suse.de
- Update to 1.9.1:
  - Fix bug where two browser widgets couldn't be in the same app
* Tue Mar 25 2008 wberrier@suse.de
- Update to 1.9:
  - Fixed to support more versions of windows, not just the one
  it was built for.
  - call ldconfig directly instead of invoking a shell
  - Several other bug fixes
* Wed Jan 16 2008 wberrier@suse.de
- rename gluezilla -> libgluezilla0
* Fri Jan 11 2008 wberrier@suse.de
- initial package
