Summary:	Library for Microsoft Media Server (MMS) streaming protocol
Name:		libmms
Version:	0.6.2
Release:	1%{?_dist_release}
Source0:	%{name}-%{version}.tar.gz
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://sourceforge.net/projects/libmms/

BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
LibMMS is a common library for parsing mms:// and mmsh:// type
network streams. These are commonly used to stream Windows
Media Video content over the web. LibMMS itself is only for
receiving MMS stream, it doesn't handle sending at all. 

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.


%prep
%setup -q


%build
%configure --disable-static
%{__make} %{?_smp_mflags} 


%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__rm} $RPM_BUILD_ROOT/%{_libdir}/%{name}.la


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig 


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING.LIB ChangeLog README*
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Jan 23 2011 Kazutaka HARADA <kazutaka@vinelinux.org> 0.6.2-1
- new upstream release

* Wed Dec 30 2009 Kazutaka HARADA <kazutaka@vinelinux.org> 0.5-1
- initial build for Vine Linux
