%define release		0vl5
%define STDC_VERSION	2.10.0
%define STDC_PKG_NAME	libstdc++2_10

Summary:	C++ compatibility library for the GNU Compiler Collection.
Name:		%{STDC_PKG_NAME}-compat
Version:	%{STDC_VERSION}
Release:	%{release}
Vendor:		Project Vine
Distribution:	Vine Linux
License:	GPL
Group:		System Environment/Libraries
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Provides:	libstdc++-libc6.1-2.so.3
Provides:	libstdc++-libc6.2-2.so.3
Prereq:		%{STDC_PKG_NAME} >= %{STDC_VERSION}-2vl23, glibc >= 2.3

%description
GNU C++ compatibility runtime Libraries for programs linked against
glibc 2.1.x and glibc-2.2.x.


%prep
%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}
pushd $RPM_BUILD_ROOT%{_libdir}
  ln -sf libstdc++-3-libc6.3-2-%{STDC_VERSION}.so libstdc++-libc6.1-2.so.3
  ln -sf libstdc++-3-libc6.3-2-%{STDC_VERSION}.so libstdc++-libc6.2-2.so.3
popd


%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libstdc++-libc6.1-2.so.3
%{_libdir}/libstdc++-libc6.2-2.so.3

%changelog
* Thu Aug  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.10.0-0vl5
- changed Group to System Environment/Libraries

* Tue Apr  8 2003 Hiroaki Irokawa <irorin@terra.dti.ne.jp> 2.10.0-0vl4
- rebuild

* Sun Nov 24 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.10.0-0vl2
- modified for glibc-2.3.x

* Wed Dec 12 2001 Tomoya TAKA <taka@vinelinux.org> 2.10.0-0vl1
- initial package
