Summary: An unwinding library
Name: libunwind
Version: 0.98.6
Release: 2%{?_dist_release}
License: BSD
Group: System Environment/Libraries
URL: http://savannah.nongnu.org/projects/libunwind
Source: http://download.savannah.nongnu.org/releases/libunwind/%{name}-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root

ExclusiveArch: %{ix86} x86_64 ia64

%description
Libunwind provides a C ABI to determine the call-chain of a program.

%package devel
Summary: Development package for libunwind
Group: Development/Libraries
Requires: libunwind = %{PACKAGE_VERSION}

%description devel
The libunwind-devel package includes the libraries and header files for
libunwind.

%prep
%setup -q

%build
%configure --disable-static --enable-shared
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/libunwind*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/libunwind*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README NEWS
%{_libdir}/libunwind*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libunwind*.so
#%{_libdir}/libunwind*.a
%{_mandir}/*/*
%{_includedir}/*

%changelog
* Tue Dec  2 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.98.6-2
- ExclusiveArch set to %%{ix86} x86_64 ia64

* Fri Nov 07 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.98.6-1
- new upstream release
- remove static libs

* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 0.98.5-1vl5
- applied new versioning policy

* Sat Jun 09 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.98.5
- initial build for Vine Linux
