%define lang_name %{name}-0.4

Summary: a framework that delivers audio visualisation
Summary(ja): オーディオビジュアル化を提供するフレームワーク
Name: libvisual-plugins
Version: 0.4.0
Release: 3%{?_dist_release}
Source0: %{name}-%{version}.tar.bz2
License: GPLv2
Group: System Environment/Libraries
URL: http://localhost.nl/~synap/libvisual-wiki/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libvisual-devel
BuildRequires: alsa-lib-devel
BuildRequires: gtk2-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel

Vendor:		Project Vine
Distribution:	Vine Linux

%description
Libvisual is meant as a framework that delivers audio visualisation(read: eye candy generated to the current music you are playing)
to multimedia applications. It works by acting as a middle layer between the visualisation plugin and application.

%description -l ja
Libvisualは音声視覚化を加えるフレームワークです（Read：現在演奏している音楽に合わせて発生する目の保養）
マルチメディアアプリケーションに最適です。視覚化プラグインとアプリケーションの間の中央のレイヤーの働きをすることによって動きます。

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

%find_lang %{lang_name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{lang_name}.lang
%defattr(-,root,root)
%{_libdir}/libvisual-0.4/*
%{_datadir}/libvisual-plugins-0.4/*

%changelog
* Mon May 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.4.0-3
- updated BR

* Sun Jan  4 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.4.0-2
- spec in UTF-8

* Fri Jan  2 2009 TOSHI <milk-tea1977@dune.ocn.ne.jp> 0.4.0-1vl5
- initial build for Vine Seed

# end of file
