%define _prefix /usr

Summary: Japanese Virtual Fonts builder
Summary(ja): 日本語仮想フォント生成ツール
Name: makejvf
Version: 1.1a
Release: 1%{?_dist_release}
License: distributable
Group: Applications/Publishing
Source0: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/%{name}-%{version}.tar.gz
Requires: tetex
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
makejvf builds Japanese Virtual Fonts required by dvipsk.

%description -l ja
VFファイルの作成に必要な makejvf です。
 
%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
install -s -m 755 makejvf $RPM_BUILD_ROOT%{_prefix}/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/makejvf
%doc Changes.txt README.txt

%changelog
* Fri Oct 03 2008 Shu KONNO <owa@bg.wakwak.com> 1.1a-1vl5
- applied new versioning policy, spec in utf-8

* Fri Jul  5 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.1a-0vl2
- changed tetex-ptex -> tetex.
- modified some description.

* Wed Jul 11 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 1.1a-0vl1
- separated from jvf

* Sat Jan 20 2001 Jun Nishii <jun@vinelinux.org>
- 1.0-6
- cp jis.pl min.pl and fix glue for "「,（,..." in min.pl to use DynaFonts
  Should I rename min.* as dyna.*?

* Fri Jan 21 2000 Jun Nishii <jun@vinelinux.org>
- 1.0-5
- make vfs for dynafonts
- tjis, tjisi, tmin, tmini,...
- correct installation of tfm

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- install makejvf

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- change group
- add defattr(-,root.root)

* Thu Jul 13 1999 Jun Nishii <jun@flatout.org>
- include jis fonts

* Mon Feb 8 1999 Jun Nishii <jun@flatout.org>
- build vfs by makejvf
- obsoletes vfkanji
