Summary:	Documentation utilities for MATE
Name:		mate-doc-utils
Version:	1.4.0
Release:	1%{?_dist_release}
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		Development/Tools
URL:		http://mate-desktop.org/

BuildRequires:	mate-common
BuildRequires:	libxml2-devel
BuildRequires:	libxml2-python
BuildRequires:	libxslt-devel
BuildRequires:	rarian-devel
BuildRequires:	gtk-doc
BuildRequires:	autoconf
BuildRequires:	automake

Requires:	gnome-doc-utils

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
PolicyKit-mate provides an Authentication Agent for PolicyKit that
integrates well with the MATE desktop environment


%prep
%setup -q


%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure \
	--disable-static \
	--disable-scrollkeeper

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# conflict with gnome-doc-utils
%{__rm} -f ${RPM_BUILD_ROOT}%{_bindir}/xml2po
%{__rm} -rf ${RPM_BUILD_ROOT}%{_mandir}
%{__rm} -rf ${RPM_BUILD_ROOT}%{python_sitelib}/xml2po
%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/pkgconfig/xml2po.pc
%{__rm} -rf ${RPM_BUILD_ROOT}%{_datadir}/xml/mallard

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/mate-doc-prepare
%{_bindir}/mate-doc-tool
%{_datadir}/aclocal/mate-doc-utils.m4
%{_datadir}/mate/help
%{_datadir}/mate-doc-utils
%{_datadir}/omf/mate-doc-make
%{_datadir}/omf/mate-doc-xslt
%{_datadir}/pkgconfig/*.pc
%{_datadir}/xml/mate


%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release
- add BuildRequires: libxml2-python

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

