Summary:	The base MIME and Application database for MATE.
Name:		mate-mime-data
Version:	1.4.0
Release:	1%{?_dist_release}
Source:		http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz
License:	GPLv2
Group:		System Environment/Libraries
URL:		http://mate-desktop.org/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	mate-common
BuildRequires:	glib2-devel
BuildRequires:	autoconf
BuildRequires:	automake

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       Takemikaduchi

%description
This module contains the base MIME and Application database for MATE.
It is meant to be accessed through the MIME functions in MateVFS.

%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%{_sysconfdir}/mate-vfs-mime-magic
%{_datadir}/application-registry/mate-vfs.applications
%{_datadir}/mime-info/mate-vfs.*
%{_datadir}/pkgconfig/mate-mime-data-2.0.pc

%changelog
* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- change category

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

