%define __libtoolize :

Summary: Mergeant database admin tool
Summary(ja): ǡ١ġ
Name: mergeant
Version: 0.67
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Databases
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome-db.org/

BuildRequires: libgnomedb-devel >= 1.9.100
BuildRequires: libgda-devel >= 1.9.100
BuildRequires: intltool scrollkeeper
Requires(post): scrollkeeper shared-mime-info
Requires(postun): scrollkeeper shared-mime-info

%description
Mergeant is a database admin tool working with libgnomedb and libgda

%description -l ja
Mergeant  libgnomedb  libgda Ѥǡ١ġǤ

%prep
%setup -q

%build
%configure --disable-update-mimedb
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if which scrollkeeper-update >/dev/null 2>&1; then scrollkeeper-update; fi
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null
							  
%postun
if which scrollkeeper-update >/dev/null 2>&1; then scrollkeeper-update; fi
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/bonobo/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*
%{_datadir}/pixmaps/mergeant.png
%{_datadir}/pixmaps/mergeant
%{_datadir}/gnome/help/mergeant/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/omf/mergeant/*

%changelog
* Mon Jun 24 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.67-1
- new upstream release
- built with libgda-3.1.4, libgnomedb-3.1.2

* Mon Jun 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.62-0vl2
- rebuilt with gamin-0.1.7

* Wed Feb  8 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.62-0vl1
- Built for Vine
- added Japanese summary and description

* Tue Jan 28 2003 Yanko Kaneti <yaneti@declera.com>
- Update/Rewrite

