%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: MMS stream downloader
Summary(ja): MMS ストリームダウンローダ
Name: mimms
Version: 3.2.1
Release: 3%{?_dist_release}
License: GPLv3+
Group: Applications/Multimedia
URL: http://savannah.nongnu.org/projects/mimms/
Source: http://download.savannah.gnu.org/releases/mimms/mimms-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-devel
Requires: libmms >= 0.4
BuildArch: noarch

%description
mimms is a program designed to allow you to download streams using the MMS
protocol and save them to your computer, as opposed to watching them live.

%description -l ja
mimms は、mms プロトコルを使っているストリームをダウンロードできて、
ライブでそれらを閲覧するのに対して、コンピュータ内にそれらを保存できるように
設計されたプログラムです。


%prep
%setup -q


%build
# No configure or SMP, this is just some python code
%{__make}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/mimms
%{python_sitelib}/mimms-*.egg-info
%{python_sitelib}/libmimms/
%{_mandir}/man1/mimms.1*


%changelog
* Fri Jan 28 2011 Munehiro Yamamoto <munepi@vinelinux.org> 3.2.1-3
- added Japanese translations for Summary: and %%description

* Sat Mar 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 3.2.1-2
- rebuild

* Sat Jul 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 3.2.1-1
- initia build

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3.2.1-4
- rebuild for new F11 features

* Mon Dec 22 2008 Matthias Saou <http://freshrpms.net/> 3.2.1-3
- Rebuild for new python.

* Sat Oct 18 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info - 3.2.1-2
- rebuild for RPM Fusion

* Sun Mar 18 2008 Matthias Saou <http://freshrpms.net/> 3.2.1-1
- Initial RPM release.

