Summary: Creates an bootdisk for Vine Linux
Summary(ja): ֡ȥǥġ
Name: mkbootdisk
Version: 1.4.2
Release: 4vl1
Copyright: GPL
Group: System Environment/Base
Source: mkbootdisk-%{version}.tar.gz
Patch: mkbootdisk-%{version}-vine.patch
ExclusiveArch: i386 sparc
ExclusiveOs: Linux
Requires: mkinitrd syslinux dosfstools
Conflicts: modutils < 2.3.23
%ifarch sparc
Requires: silo genromfs
%endif
BuildRoot: /var/tmp/%{name}-root

%description
The mkbootdisk program creates a standalone boot floppy disk for
booting the running system. The created boot disk will look for the
root filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image that will load any necessary SCSI modules for
the system.

%prep
%setup -q
%patch -p1 -b .vine

%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkbootdisk
%attr(644,root,root) %{_mandir}/man8/mkbootdisk.8.gz

%changelog
* Sat Mar 23 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.4.2-4vl1
- merged with rawhide's new mkbootdisk
  * Wed Jan 09 2002 Tim Powers <timp@redhat.com>
  - automated rebuild
  * Wed Aug 15 2001 Matt Wilson <msw@redhat.com>
  - changed Summary:, it's no longer a bad copy and paste job from the
    mkinitrd spec file (MF #50193)
  * Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
  - Bump release + rebuild.
  * Tue Feb 08 2001 Michael Fulbright <msf@redhat.com>
  - return error code when we cant format the floppy. Helps anaconda out.
  * Tue Jan 23 2001 Erik Troan <ewt@redhat.com>
  - switched to use syslinux rather then lilo
  - requires dosfstools
  - put version in only one place, mkbootdisk
  * Thu Jul 06 2000 Erik Troan <ewt@redhat.com>
  - wasn't including ethernet devices properly
  * Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
  - conf.modules -> modules.conf, fhs stuff
  * Mon May 01 2000 Erik Troan <ewt@redhat.com>
  - patched to work with disk labels

* Mon Mar 04 2002 Toru Sagami <sagami@vinelinux.org> 1.2.8-2vl3
- reject "lba32" LILO option (why was it necessary?)
- added a patch for mke2fs to create fd of maximum(?) disc space.

* Wed May 09 2001 <sagami@vinelinux.org>
- 1.2.8-2vl2: use cp --parent instead of cp -P due to POSIX conformance
- added the "lba32" LILO option
- added verbose.patch from Masaki Kawamura's package (1.2.5-3vl3)

* Tue Dec 26 2000 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 1.2.8-2vl1
- conf.modules -> modules.conf: Conflicts: modutils < 2.3.23
- fhs stuff

* Thu Oct 12 2000 Yoshihiro Kajiki <kajiki@ylug.org>
- change bootup message to suit with Vine Linux

* Fri Aug  4 2000 Jun Nishii <jun@vinelinux.org>
- 1.2.5-3vl1
- adapt to Vine Linux 2.1
  (simply added "ExclusiveArch ppc" line)
  
* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- gzip manpage

* Mon Jan 10 2000 Erik Troan <ewt@redhat.com>
- removed rescue stuff

* Mon Nov  8 1999 Matt Wilson <msw@redhat.com>
- removed 'prompt' from silo.conf

* Mon Oct 25 1999 Jakub Jelinek <jakub@redhat.com>
- fix sparc ramdisk making for new modutils and kernel
  file layout.

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- ignore commented lines in fstab, generally more robust
  fstab parsing

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- ditto

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- add fix

* Tue May 25 1999 Matt Wilson <msw@redhat.com>
- added -P to the cp lines for devices to pick up parent directories
  for ida/ and rd/

* Wed Apr  7 1999 Matt Wilson <msw@redhat.com>
- pass load_ramdisk=2 as alan had to port his ramdisk hack from 2.0.x 

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- pass load_ramdisk=1 for rescue image, as 2.2 kernels get this right

* Thu Mar 18 1999 Matt Wilson <msw@redhat.com>
- fixed misspelling in man page

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated the description

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Fri Oct 30 1998 Jakub Jelinek <jj@ultra.linux.cz>
- support for SPARC

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- wasn't including nfs, isofs, or fat modules properly
- mkinitrd args weren't passed right due to a typo
