Summary: mnews - mini news reader
Summary(ja): mnews - ߥˡ˥塼꡼
Name: mnews
Version: 1.22PL1
Release: 1vl6
Group: Applications/Internet
License: distributable
Source0: %{name}122PL1.tar.gz 
Patch0: %{name}-1.22-ignore.patch 
Patch1: %{name}-1.22PL1-vine.patch 
Patch2: %{name}-alpha.diff

BuildRequires: gcc295 make
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
mnews is mini news/mail reader.

%description -l ja
mnews Żҥ˥塼/Żҥ᡼ɤिξΥ˥塼꡼Ǥ
mnews Ͼ®ƴñ˻ѤǤ뤳Ȥɸ˳ȯޤ

%prep
%setup
%patch0 -b .ignore
%patch1 -b .vine
%patch2 -p1 -b .alpha

%build
cd build
./config.sh << EOF

7
y

%{_bindir}
%{_libdir}/mnews
%{_mandir}
/tmp
y
y
y
y
y
y
/var/spool/news
/var/lib/news
/var/spool/mail
y
/usr/bin/inews -h
y
/usr/lib/sendmail -t -om -oi
y
y
y
y
y
y
y
/var/spool/board
y
animate
display
display
play
evince
y
/usr/bin/less
y
y
n
n
-DCTRL_L -DCOMPLETION -DREF_SORT -DXOVER -DCOLOR -DUSE_NLINK -DDISPLAY_CTRL -DTRI -DNNTP_AUTH -DSUPPORT_X0201 -DLARGE -DBUILTIN_MMH
domain.name
4
4
1
4
4
1
1
1
lpr
y
y
y
y
y
y
y
y
/usr/bin/gcc-2.95.3
%{optflags} -DUSE_TERMIOS
/usr/bin/emacs -nw
y
EOF
make 

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/mnews
mkdir -p %{buildroot}%{_mandir}/ja/man1

cd build
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc doc/*.doc etc/jnames.* etc/_mnews.smp
%{_bindir}/mnews
%{_mandir}/ja/man1/mnews.1*
%dir %{_libdir}/mnews
#%config %{_libdir}/mnews/default-domain

%changelog
* Fri Nov  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.22PL1-1vl6
- removed Requires: <BTS:323>
- used evince instead of gv <BTS:323>

* Thu Jul 27 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.22PL1-1vl5
- rebuilt with new toolchains
- added Requires: emacs, gv, ImageMagick
- added BuildRequires: gcc295
- changed Group to Applications/Internet

* Sat Jun 09 2001 <sagami@vinelinux.org>
- 1.22PL1-1vl4: minor spec fixes

* Fri May 25 2001 Tomoya TAKA <tomoya@olive.plala.or.jp>
- 1.22PL1-1vl3
- add mnews-alpha.diff taken from Kondara MNU/Linux
- use macros

* Fri Sep 08 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.22PL1-1vl2
- ja_JP.ujis -> ja (including modification of vine patch)

* Fri Mar 3 2000 Taro FUNAKI <taro@KU3G.org>
- updated to 1.22PL1

* Fri Dec 24 1999 Taro FUNAKI <taro@KU3G.org>
- updated to 1.22
