Summary: an Internet Content Accelerator module for Apache
Name: mod_gzip
Version: 1.3.26.1a
Release: 0vl2
License: Apache Software License
Group: System Environment/Daemons
URL: http://sourceforge.net/projects/mod-gzip/
Source0: http://keihanna.dl.sourceforge.net/sourceforge/mod-gzip/%{name}-%{version}.tgz
PreReq: apache-devel < 2
BuildPreReq: apache-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
mod_gzip is an Internet Content Acceleration module for the popular
Apache Web Server.

mod_gzip does NOT require ANY 'extra' software to be installed on the
Client side. There is no 'Plug-in' or 'Client Proxy' of any kind. All
you need is your current HTTP 1.1 compliant browser. All modern
browsers released sinced early 1999 are already capable of receiving
compressed Internet content via standard IETF Content Encoding if they
are HTTP 1.1 compliant.

%prep
%setup -q

%build
make APXS=/usr/sbin/apxs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/lib/apache
install -s mod_gzip.so %{buildroot}/usr/lib/apache

%clean
rm -rf %{buildroot}

%post
/usr/sbin/apxs -e -S LIBEXECDIR=modules -a -n gzip mod_gzip.so 2> /dev/null

%postun
/usr/sbin/apxs -e -S LIBEXECDIR=modules -A -n gzip mod_gzip.so 2> /dev/null

%files
%defattr(-,root,root)
%doc docs/manual docs/mod_gzip.conf.sample
/usr/lib/apache/*

%changelog
* Wed May  5 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.3.26.1a-0vl2
- changed License to Apache Software License
- added Apache version check (PreReq: apache-devel < 2)
  (Apache 2 includes mod_deflate)

* Tue May  4 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.3.26.1a-0vl1
- updated to 1.3.26.1a

* Thu Sep 06 2001 Toru Sagami <sagami@vinelinux.org>
- 1.3.19.1a-0vl2: was ported to VineSeedPlus with minor spec fixes

* Thu Jun  7 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 1st release
