%define apxs /usr/bin/apxs
%define httpd_modulesdir %(%{apxs} -q LIBEXECDIR)
%define httpd_sysconfdir %{_sysconfdir}/apache2/conf.d
Summary: Run ASP.NET Pages on Unix with Apache and Mono
Summary(ja): mod_mono は Apacheサーバの ASP.NET モジュールです
Name: mod_mono
Version: 2.10
Release: 2%{?_dist_release}
Url: http://go-mono.com/
Source: %{name}-%{version}.tar.bz2
License: Apache Software License
Group: System Environment/Daemons
BuildRequires: apache2-devel
BuildRequires: apr-devel
BuildRequires: mono-devel
BuildRequires: pkgconfig
Requires: xsp >= %{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Project Vine
Distribution: Vine Linux

%description
mod_mono is a module that interfaces Apache with Mono and allows
running ASP.NET pages on Unix and Unix-like systems. To load the module
into Apache, run the command "a2enmod mono" as root.


%prep
%setup

%build
%configure \
	--with-remove-display \
	--with-apxs=%{apxs} \
	--with-apr-config=/usr/bin/apr-1-config \
	;
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT APXS_SYSCONFDIR="%{httpd_sysconfdir}"


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{httpd_modulesdir}/*
%config(noreplace) %{httpd_sysconfdir}/mod_mono.conf
%{_mandir}/man8/mod_mono.8*

%changelog
* Mon Apr 25 2011 Shu KONNO <owa@bg.wakwak.com> 2.10-2
- rebuilt with mono-2.10.1-3

* Sun Apr 03 2011 Shu KONNO <owa@bg.wakwak.com> 2.10-1
- updated mod_mono to 2.10

* Sat Jan 08 2011 Shu KONNO <owa@bg.wakwak.com> 2.8.2-1
- updated mod_mono to 2.8.2

* Tue Oct 12 2010 Shu KONNO <owa@bg.wakwak.com> 2.8-1
- initial build for VineSeed

