# $Id: monafont.spec,v 1.6 2003/09/10 02:54:10 s42335 Exp $
Summary: Mona Font
Summary(ja): ʡե
Name: monafont
Version: 2.90
Release: 1vl3
Group: User Interface/X
License: Public Domain
URL: http://monafont.sourceforge.net/
Source: http://prdownloads.sourceforge.net/monafont/monafont-2.90.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: TrueType-kochi-subst
Prereq: XOrg, XOrg-xfs, XOrg-font-utils, chkfontpath, initscripts
Vendor: Project Vine
Distribution: Vine Linux
Packager: IKEDA Katsumi <ikeda@webmasters.gr.jp>
Obsoletes: mona-font
Obsoletes: monafonts

%description
Mona Font is a Japanese font suitable for text arts posted in the Ni-channeru BBS.

%description -l ja
ʡեȤϥȤ򸫤뤿ΥեȤǤ

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
make
cd ttfsrc && \
make BASE_OUTLINE_TTF=/usr/X11R6/lib/X11/fonts/TrueType/kochi-gothic-subst.ttf

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR="${RPM_BUILD_ROOT}"
cp fonts.alias.mona ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/local
cd ttfsrc && \
make install install DESTDIR="${RPM_BUILD_ROOT}" \
TTFFONTDIR=${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/TrueType \
BASE_OUTLINE_TTF=/usr/X11R6/lib/X11/fonts/TrueType/kochi-gothic-subst.ttf

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
cd /usr/X11R6/lib/X11/fonts/local
/usr/X11R6/bin/mkfontdir
cat fonts.alias.mona >> fonts.alias
/usr/sbin/chkfontpath -a /usr/X11R6/lib/X11/fonts/local
/sbin/service xfs reload


%postun
cd /usr/X11R6/lib/X11/fonts/local
/usr/X11R6/bin/mkfontdir
mv fonts.alias fonts.alias.rpmsave
sed '/^!! MONAFONT_ALIAS_BEGIN/,/^!! MONAFONT_ALIAS_END/d' fonts.alias.rpmsave > fonts.alias
/sbin/service xfs reload


%files
%defattr(-, root, root)
/usr/X11R6/lib/X11/fonts/local/fonts.alias.mona
/usr/X11R6/lib/X11/fonts/local/mona*.pcf.gz
/usr/X11R6/lib/X11/fonts/TrueType/mona.ttf
%doc README.euc
%doc README.ascii

%changelog
* Sat Aug 14 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 2.90-1vl3
- Added creating mona.ttf.
- Rebuild for VinePlus/3.0

* Fri Jul 23 2004 IKEDA Katsumi <ikeda@webmasters.gr.jp> 2.90-1vl2
- Added Summary(ja).

* Tue Feb 5 2004 by IKEDA Katsumi
- 2.90-1vl1
- Modified %Group, %Source and %Prereq.
- Add %Vendor and %Distribution.
- Remove %Packager.

* Tue Sep 7 2003 by 1 <s42335@excite.co.jp>
- Update to 2.99.

* Tue Aug 5 2003 by 1 <s42335@excite.co.jp>
- Update to 2.30pre2.

* Thu Dec 22 2002 by 1 <s42335@users.sourceforge.net>
- Modified %post, %postun.

* Thu Dec 20 2002 by 1 <s42335@users.sourceforge.net>
- Updated to 2.22 and small fixes.

* Thu Jun 22 2002 by 1 <s42335@excite.co.jp>
- Update to 2.21.

* Thu May 14 2002 by 1 <s42335@excite.co.jp>
- Update to 2.2.

* Thu May 2 2002 by 1 <s42335@excite.co.jp>
- Update to 2.12.

* Fri Apr 5 2002 nanasisan@onakaippai <>
- Update to 2.11.

* Sun Jul 22 2001 Yukihiro Nakai <nakai@gnome.gr.jp>
- Update to 2.03.

* Sat May 18 2001 Yukihiro Nakai <nakai@gnome.gr.jp>
- Initial RPM release.
