Summary: 	A simple text editor for XFce
Summary(ja): 	XFce 向けのシンプルなテキストエディタ
Name: 		mousepad
Version: 	0.2.16
Release: 	4%{?_dist_release}
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Patch0:         00_resensitize-find-button.patch
Patch1:         01_fix-first-replace.patch

License: GPL
Group: 		Applications/Editors

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	gtk2-devel >= 2.6.0
BuildRequires:  libxfcegui4-devel >= 4.6.0
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Mousepad is a text editor for XFce based on Leafpad. The initial reason for
Mousepad was to provide printing support, which would have been difficult
for Leafpad for various reasons.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/*.cache

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/update-desktop-database -q %{_datadir}/applications

%postun
/usr/bin/update-desktop-database -q %{_datadir}/applications

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/mousepad
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.16-4
- rebuild with Xfce-4.10.0

* Fri Oct 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.16-3
- added Pacth0,1 from Debian
  - fixed find dialog problem

* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.16-2
- added Japanese summary
- fixed %%post, %%postun script for running silently

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.16-1
- new upstream release

* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.13-1vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.13-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.12-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.12-0vl1
- initial release

