%define	src_name  mtpaint_handbook
Summary:	Handbook for the mtpaint painting application
Summary(ja):	mtPaint ハンドブック
Name:		mtpaint-handbook
Version:	3.31
Release:	1%{?_dist_release}
License:	GFDL
Group:		Applications/Graphics
URL:		http://mtpaint.sourceforge.net/
Source:		http://downloads.sf.net/%{name}/%{src_name}-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	nkf unzip
BuildArch:	noarch

%description
mtPaint is a simple painting program designed for creating icons and
pixel-based artwork. 

Install this package is want to read the handbook for the painting
application mtpaint.

%description -l ja
mtPaint はシンプルなアイコンやピクセルベースの画像の作成用に
デザインされたペイントプログラムです。

mtPaint のハンドブックが必要な場合はこのパッケージをインストール
してください。


%prep
%setup -q -n %{src_name}-%{version}

%{__chmod} 0755 docs/{en_GB,img,files,cs}
nkf --unix --overwrite docs/index.html
nkf --unix --overwrite docs/{en_GB,cs}/*.html

%build

%install
%{__rm} -rf %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root, -)
%doc COPYING docs/*

%changelog
* Thu Mar 11 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 3.31-1
- initial build for Vine Linux based on fedora development
- split from mtpaint package

