%define mutt_version 1.4.2.1
%define mutt_manual_version 1.4i

Summary: A text mode mail user agent.
Summary(ja): ƥȥ١Υ᡼륯饤
Name: mutt
Version: %{mutt_version}i
Release: 0vl2
License: GPL
Group: Applications/Internet
Source0: ftp://ftp.mutt.org/pub/mutt/mutt-%{version}.tar.gz
Source1: http://www.emaillab.org/mutt/1.4/mutt-%{version}-ja.1.tar.gz
Source2: http://ha4.seikyou.ne.jp/home/Kohtaro.Hitomi/mutt/manual_ja-%{mutt_manual_version}-1.tar.gz
Patch: mutt-dotlock.patch
#patch1: mutt-configure.in.patch
URL: http://www.mutt.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: slang-devel openssl-devel automake autoconf
Requires: slang openssl

%description
Mutt is a small but very powerful text-based MIME mail client.
Mutt is highly configurable, and is well suited to the mail power user
with advanced features like key bindings, keyboard macros, mail threading,
regular expression searches and a powerful pattern matching language
for selecting groups of messages.

You should install mutt if you've used mutt in the past and you prefer
it, or if you're new to mail programs and you haven't decided which
one you're going to use.

%description -l ja
MuttϾɥѥեʥƥȥ١ MIME᡼륯饤ȤǤ
Mutt¿ΤȤǽǥХǥ󥰡ܡɥޥ᡼
åɡɽˤ븡å򤹤붯Ϥʥѥޥå
ʤɤι٤ʵǽġ᡼Υѥ桼˺ŬʥץǤ


%prep
rm -rf %{buildroot}

%setup -n mutt-%{mutt_version} -a 1 -q

patch	-p1 -b --suffix .ja -s < mutt-%{version}-ja.1/patch-%{mutt_version}.tt.ja.1
%patch -b .dotlock
#%patch1

%build
aclocal -I m4
autoconf
automake
%configure --with-slang \
	--enable-locales-fix --enable-pop --enable-imap \
	--with-docdir=%{_docdir}/%{name}-%{version} \
	--with-ssl

make

%install
%makeinstall docdir=%{_builddir}/%{name}-%{mutt_version}/DOCS

cp %{_builddir}/%{name}-%{mutt_version}/%{name}-%{version}-ja.1/INSTALL* %{_builddir}/%{name}-%{mutt_version}/DOCS
cp %{_builddir}/%{name}-%{mutt_version}/%{name}-%{version}-ja.1/NEWS* %{_builddir}/%{name}-%{mutt_version}/DOCS
cp %{_builddir}/%{name}-%{mutt_version}/%{name}-%{version}-ja.1/PGP-Notes* %{_builddir}/%{name}-%{mutt_version}/DOCS
cp %{_builddir}/%{name}-%{mutt_version}/%{name}-%{version}-ja.1/README.* %{_builddir}/%{name}-%{mutt_version}/DOCS
cp -r %{_builddir}/%{name}-%{mutt_version}/%{name}-%{version}-ja.1/docbook %{_builddir}/%{name}-%{mutt_version}/DOCS/docbook.ja
cp -r %{_builddir}/%{name}-%{mutt_version}/%{name}-%{version}-ja.1/html %{_builddir}/%{name}-%{mutt_version}/DOCS/html.ja
cp %{_builddir}/%{name}-%{mutt_version}/%{name}-%{version}-ja.1/samples/* %{_builddir}/%{name}-%{mutt_version}/DOCS/samples


%clean
rm -rf	%{buildroot}

%files
%doc DOCS/*
%defattr(-,root,root)
%config %{_sysconfdir}/Muttrc
%{_bindir}/flea
%{_bindir}/mutt
%attr(2755,root,mail) %{_bindir}/mutt_dotlock
%{_bindir}/muttbug
%{_bindir}/pgpewrap
%{_bindir}/pgpring
%{_localedir}/*/LC_MESSAGES/mutt.mo
%{_mandir}/man1/flea.1.gz
%{_mandir}/man1/mutt.1.gz
%{_mandir}/man1/mutt_dotlock.1.gz
%{_mandir}/man1/muttbug.1.gz
%{_mandir}/man5/mbox.5.gz
%{_mandir}/man5/muttrc.5.gz

%changelog
* Mon Mar 29 2004 UECHI Yasumasa <uechi@potaway.net> 1.4.2.1i-0vl2
- build with openssl-0.9.7d

* Fri Feb 13 2004 UECHI Yasumasa <uechi@potaway.net> 1.4.2.1i-0vl1
- new upstream version
- drop patch1

* Tue Mar 25 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 1.4.1i-0vl1
- new upstream version

* Mon Jul 29 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.4i-0vl1
- new upstream version

* Wed Mar 13 2002 UECHI Yasumasa <uh@u.dhis.portside.net> 1.3.27i-0vl1
- initial release
