Summary: Extensions for GnuPG.
Summary(ja): GnuPG ѳĥġ
Name: newpg
Version: 0.9.4
Release: 0vl1
License: GPL
Group: Applications/System
Source0: ftp://ftp.gnupg.org/gcrypt/alpha/aegypten/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnupg.org/gcrypt/alpha/aegypten/%{name}-%{version}.tar.gz.sig
URL: http://www.gnupg.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: install-info
BuildRequires: libgcrypt-devel >= 1.1.8, libksba-devel >= 0.4.6
Requires: libgcrypt >= 1.1.8, libksba >= 0.4.6

%description
NewPG is a temporary protect to work on GnuPG extensions.  It will be
merged into the regular GnuPG sources for a GnuPG 2.0 release.


%prep
%setup -q


%build
%configure --enable-shared \
	   --libexecdir=%{_libdir}/%{name}
%__make


%clean
rm -rf $RPM_BUILD_ROOT


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall libexecdir=$RPM_BUILD_ROOT/%{_libdir}/%{name}
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%find_lang %{name}

%post
/sbin/install-info --entry="* gpg: (gpg).                encryption and signing tool" %{_infodir}/gpg.info.gz %{_infodir}/dir
/sbin/install-info --entry="* gpgv: (gpgv).              signature verification tool" %{_infodir}/gpgv.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gpgv.info.gz %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/gpg.info.gz %{_infodir}/dir
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* THANKS TODO
%{_bindir}/*
%{_infodir}/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/gpg-protect-tool


%changelog
* Sun Mar  7 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.4-0vl1
- initial build

