Summary:      Public Domain EMACS style editor
Summary(ja):  EMACS スタイルの軽い日本語エディタ
Name:         ng
Version:      1.4.4
Release:      1%{?_dist_release}
License:      GPL
Group:        Applications/Editors
URL:          http://tt.sakura.ne.jp/~amura/ng/
Source0:      http://tt.sakura.ne.jp/~amura/ng/ng-%{version}.tar.gz
Patch:	      http://tt.sakura.ne.jp/~amura/ng/ng-1.4.4-replace_bug.patch
Buildroot:    %{_tmppath}/%{name}-root

Vendor:       Project Vine
Distribution: Vine Linux


%description
Small Emacs with Japanese support.  You can use uum (Wnn), canuum
(Canna), kinput2 or xwnmo.


%description -l ja
Emacs の小型版である Micro GNU Emacs をベースにした日本語エディタです.
Mule ほど高機能ではなくマクロも使用できませんが, キー操作等, Mule とほ
ぼ同じ環境を実現しています. 日本語入力には Canna, uum (Wnn), kinput2, 
xwnmo 等を使用します.


%prep
%setup
%patch -p0

%build
make -f sys/sysv/Makefile

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 ng ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc docs/* COPYING LICENSE
%{_bindir}/ng

%changelog
* Wed Oct 08 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.4-1vl5
- applied new versioning policy, spec in utf-8

* Thu May 15 2003 Jun Nishii <jun@vinelinux.org> 1.4.4-0vl1
- ver.up

* Sat Jul 14 2001 <sagami@vinelinux.org>
- 1.4.3-0vl2: added missing %%clean and tweaken spec a bit

* Fri Jan 19 2001 Jun Nishii <jun@vinelinux.org>
- 1.4.3-0vl1

* Tue Dec 19 2000 Jun Nishii <jun@vinelinux.org>
- 1.4.1-0vl1

* Mon Dec 18 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.4-0vl2
- partially used rpmmacros
- rebuilt on ncurses5

* Wed Sep 06 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.4-0vl1

* Tue Aug  1 2000 Jun Nishii <jun@vinelinux.org>
- 1.4-0.beta6vl1

* Mon Jun 19 2000 Jun Nishii <jun@vinelinux.org>
- 1.4-0.beta5vl1

* Fri Mar 31 2000 Jun Nishii <jun@vinelinux.org>
- 1.4-0.beta2vl1

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- added %defattr


* Wed Dec 22 1999 Jun Nishii <jun@vinelinux.org>
- strip bin

* Tue Apr 6 1999 Jun Nishii <jun@vinelinux.org>
- modify Summary, description, Group...
