Summary: NSS module for Multicast DNS name resolution
Name: nss-mdns
Version: 0.10
Release: 1%{?_dist_release}
URL: http://0pointer.de/lennart/projects/nss-mdns/
License: LGPL
Group: System Environment/Libraries
Source0: http://0pointer.de/lennart/projects/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: avahi

%description
nss-mdns is a plugin for the GNU Name Service Switch (NSS) functionality 
of the GNU C Library (glibc) providing host name resolution via Multicast 
DNS (using Zeroconf, aka Apple Bonjour / Apple Rendezvous ), effectively 
allowing name resolution by common Unix/Linux programs in the ad-hoc mDNS 
domain .local.

%prep
%setup -q

%build
%configure --disable-lynx --enable-avahi
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc LICENSE README
%{_libdir}/*

%changelog
* Fri Jul 25 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.10-1
- rebuild with current VineSeed environment under new versioning policy

* Wed Jun 20 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10-0vl2
- rebuild for VineSeed

* Sun Jun 17 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 0.10-0vl1
- initial release for Vine Linux 4.1
