%define ver 0.2.3
%define rel 2

Summary: simple network-diagram image generator
Name: nwdiag
Version: %{ver}
Release: %{rel}%{?_dist_release}

License: Apache License 2.0
Group: Applications/Text
URL: http://tk0miya.bitbucket.org/nwdiag/build/html/index.html
Source0: http://pypi.python.org/packages/source/n/nwdiag/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: python-devel >= 2.4
BuildRequires: python-setuptools
Requires: python >= 2.4
Requires: python-imaging >= 1.1.5
Requires: python-funcparserlib >= 0.3.4

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
nwdiag generate network-diagram image file from spec-text file.

%prep
%setup -q

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc src/README.txt src/TODO.txt LICENSE
%{_bindir}/nwdiag
%{python_sitelib}/nwdiag-%{ver}-py*.egg-info
%{python_sitelib}/nwdiag
%{python_sitelib}/sphinxcontrib_nwdiag.*
%{python_sitelib}/nwdiag_sphinxhelper.*

%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-2
- rebuild with python-2.7.2

* Mon May 16 2011 IWAI, Masaharu <iwai@alib.jp> 0.2.3-1
- Initial build.
