%define pkgname Skype
%define name	self-build-%{pkgname}
%define ver	2.2.0.99
%define rel	1

%define sourceurl0	http://download.skype.com/linux/skype_static-%{version}.tar.bz2

Summary:	Package to automatically build %{pkgname} rpm package
Summary(ja): 	%{pkgname} の rpm パッケージを自動作成するパッケージ
Name:		%{name}
Version:	%{ver}
Release: 	%{rel}%{?_dist_release}
Source0:	%{pkgname}-vl.spec
Source1:	vine-skype.desktop

License:      	non-free
Group:		Restricted Software

##!! Requires(posttrans) not yet implemented. So we use (post) instead.
Requires(post):		self-build-setup >= 0.9.9

BuildArch:    noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor:       Project Vine
Packager:     iwaim

%description
Skype Internet Telephony

If you install this package, it automaticaly downloads source
code, compile it, and create rpm packages of %{pkgname}-%{version}.
And the created rpm packages are automatically installed
if installation is executed by apt-get command or synaptic
package manager.

[About self-build package]
For some kind of software, distributing of binary package
may viorate the patent or law. Therefore we chose self-build
packge, create binary package on your machine, for such kind
of softwares instead of distributing binary package.

Please obey the national law when you use the created binary
packages. And if you want to use the softwares using patented 
thechnology, it may be required to get a permission, make an 
agreement or purchas a license. Please consider it with your
purpose or way of use and take appropriate action.

%description -l ja
Skype インターネット・テレフォニー

このパッケージをインストールすると、自動的にソースコードを
ダウンロードしてコンパイルし、%{pkgname}-%{version}
の rpm パッケージを作成します。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、作成された rpm パッケージのインストールも自動的に
行います。

[self-build パッケージについて]
ソフトウェアによってはバイナリパッケージの配布が特許や法律に
違反する可能性があるものがあります。その為、このような問題が
懸念されるソフトウェアについてはバイナリパッケージを直接配布
せずに、ユーザの環境でバイナリを作成する self-build パッケー
ジという方法を採っています。

作成されたバイナリパッケージの利用にあたっては、各ソフトウェ
アのライセンス、および利用する国の各種法令に従ってください。
また特許に関連するソフトウェアの場合、利用許諾や契約、ライ
センスの購入などが必要となる場合がありますので、利用する目的
や形態に応じて各自で判断し適切な対応を取ってください。


%prep
[ "%{version}-%{release}" != $(rpm -q --queryformat "%%{version}-%%{release}\n" --specfile %{SOURCE0} | tail -1) ] && exit 1

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE0} %{buildroot}%{_datadir}/%{name}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%posttrans
/usr/lib/rpm/self-build-rpm.sh %{name} %{pkgname}-vl.spec "%{sourceurl0}" 5000

%files
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Fri May 18 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.99-1
- update to 2.2.0.99

* Wed Jan  4 2012 IWAI, Masaharu <iwai@alib.jp> 2.2.0.35-1
- first release for Vine Linux

