Summary: oneko - Neko runs over the windows with biff function
Summary(ja): oneko - 画面の上を縦横無尽に走り回る pop な「Ｘウィンドウ版 猫」
Name: oneko
Group:  User Interface/Desktops
Version: 2.0b
Release: 1%{?_dist_release}
Source: http://www02.so-net.ne.jp/~nsasaki/oneko/%{name}-%{version}.tar.gz
Source1: http://www02.so-net.ne.jp/~nsasaki/oneko/%{name}-%{version}-pop1.1-patch.tar.gz
Source2: Oneko.ad.vine
Source3: oneko.netrc
Patch: oneko-mail.c.patch
Patch1: oneko-Imakefile.patch
Url: http://www02.so-net.ne.jp/~nsasaki/oneko/
Vendor: Project Vine
Distribution: Vine Linux
Packager: YOSHIDA Erio <Erio@YOSHIDA.no-sa.to>
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: distributable
BuildPreReq: nkf

%description
oneko - Neko runs over the windows with biff function

%description -l ja
oneko は画面の上を縦横無尽に走り回る「Ｘウィンドウ版 猫」です。これは 
Masayuki Koba さんの作成した xneko を元にいくつかの機能アップを計った
ものです。メールが到着すると鳴いて知らせます。

%prep
%setup -n oneko
%setup -D -a 1 -T -n oneko
rm README.pop
patch < oneko-2.0b-pop1.1.patch
%patch -p 1
%patch1 -p 1
cp %{SOURCE2} %{SOURCE3} ./

%build
xmkmf
make depend
make oneko all Oneko.ad MANPATH=%{_mandir} LIBDIR=%{_libdir}

%install
if [ "${RPM_BUILD_ROOT}" != '/' ] ; then rm -rf ${RPM_BUILD_ROOT} ; fi
##mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin
##mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/X11R6/lib/X11/oneko/oneko
##mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/X11R6/lib/X11/oneko/tora
##mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/
##mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/
##mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/X11R6/lib/X11/app-defaults/
##make DESTDIR=%{buildroot} MANPATH=%{_mandir} install.man
##nkf -e oneko.man.jp > oneko.man
##make DESTDIR=%{buildroot} MANPATH=%{_mandir}/ja install.man
##install -m 755 oneko ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin
##install -m 644 *.xbm oneko2.au help ${RPM_BUILD_ROOT}%{_prefix}/X11R6/lib/X11/oneko
##install -m 644 bitmaps/* oneko2.au ${RPM_BUILD_ROOT}%{_prefix}/X11R6/lib/X11/oneko/oneko
##install -m 644 bitmaps.tora/* oneko2.au ${RPM_BUILD_ROOT}%{_prefix}/X11R6/lib/X11/oneko/tora
##install -m 644 Oneko.ad.vine ${RPM_BUILD_ROOT}%{_prefix}/X11R6/lib/X11/app-defaults/Oneko.ad
##cd ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin 
##ln oneko tora

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/oneko/oneko
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}/oneko/tora
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1/
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/ja/man1/
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/X11/app-defaults/
make DESTDIR=%{buildroot} MANPATH=%{_mandir} install.man
nkf -e oneko.man.jp > oneko.man
make DESTDIR=%{buildroot} MANPATH=%{_mandir}/ja install.man
install -m 755 oneko ${RPM_BUILD_ROOT}%{_bindir}
install -m 644 *.xbm oneko2.au help ${RPM_BUILD_ROOT}%{_libdir}/oneko
install -m 644 bitmaps/* oneko2.au ${RPM_BUILD_ROOT}%{_libdir}/oneko/oneko
install -m 644 bitmaps.tora/* oneko2.au ${RPM_BUILD_ROOT}%{_libdir}/oneko/tora
install -m 644 Oneko.ad.vine ${RPM_BUILD_ROOT}%{_datadir}/X11/app-defaults/Oneko.ad
cd ${RPM_BUILD_ROOT}%{_bindir}
ln oneko tora



%clean
if [ "${RPM_BUILD_ROOT}" != '/' ] ; then rm -rf ${RPM_BUILD_ROOT} ; fi

%files

%attr(- root root)
%doc README* CHANGES* COPYRIGHTS* Oneko.ad oneko.netrc patchlevel.h
%{_bindir}/oneko
%{_bindir}/tora
%{_libdir}/oneko/*
%{_mandir}/man1/oneko.1*
%{_mandir}/ja/man1/oneko.1*
%{_datadir}/X11/app-defaults/Oneko.ad

%changelog
* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 2.0b-1vl5
- applied new versioning policy, spec in utf-8
- modified X11 paths

* Sat Dec 29 2007 Shu KONNO <owa@bg.wakwak.com> 2.0b-0vl3
- s/Copyright/License/

* Thu Jul 17 2003 IWAI Masaharu <iwai@alib.jp> 2.0b-0vl2
- rebuild on VineSeed
- using rpmmacros

* Mon Jul 22 2002 YOSHIDA Erio <Erio@YOSHIDA.no-sa.to> 2.0b-0vl1
- 2.0b-0vl1
- VinePlus first release
- oneko-mail.c.patch by YOSHIDA Erio
- oneko-Imakefile.patch by YOSHIDA Erio
- oneko.netrc by YOSHIDA Erio
- Oneko.ad.vine by YOSHIDA Erio
