%define name othelet
%define version 1.8
%define release 1%{?_dist_release}

Summary: reversi game
Summary(ja): いわゆるリバーシ
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}.tar.gz
Source1: %{name}.png
Source2: %{name}.desktop
Patch1: othelet_log2home.patch
Patch2: othelet_jyouseki2share.patch
Patch3: othelet_Makefile.patch
Patch4: othelet_font.patch
License: Copyleft
Group: Applications/Games
URL: http://uguisu.skr.jp/othello/

#Requires: libstdc++3
BuildPrereq: gcc-c++
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Ryoichi INAGAKI <ryo1@bc.wakwak.com>

%description
reversi game

%description -l ja
初段〜1級(〜5級?)程度の実力をもつリバーシゲーム

%prep
%setup -n %{name}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%__make LDFLAGS="-L/usr/X11R6/%{_lib} -lX11 -lstdc++"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -p -m0755 %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}

# jyouseki file install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -p -m0644 AAA.dat $RPM_BUILD_ROOT/%{_datadir}/%{name}/AAA.dat

# add desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# add desktop icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -p -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/
%{_datadir}/applications


%changelog
* Wed Aug 27 2008 Shu KONNO <owa@bg.wakwak.com> 1.8-1vl5
- applied new versioning policy, spec in utf-8
- added othelet_font.patch

* Sun Dec 30 2007 Shu KONNO <owa@bg.wakwak.com> 1.8-0vl5
- added othelet_Makefile.patch  

* Sun Jul  8 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8-0vl4
- rebuilt with new toolchain

* Wed Aug  9 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.8-0vl3
- changed Group to Applications/Games

* Wed Feb 16 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> 1.8-0vl2
- new URL:

* Fri Feb 11 2005 OOI Keita <ooik.ovwqlsjxcqwg4dc@privango.jp> 1.8-0vl1
- initial build for Vine Linux
- log2home patch
- add desktop and icon
