%define	module	Compress-Raw-Bzip2
%define	name	perl-%{module}
%define	version	2.021
%define	release	1%{?_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Low-Level Interface to bzip2 compression library
License:	GPL or Artistic
Group:          Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

Vendor:         Project Vine
Distribution:   Vine Linux

%description
Low-Level Interface to bzip2 compression library.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
# %make
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
# %makeinstall_std
%makeinstall
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress

%changelog
* Fri Oct 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.021-1
- new upstream release
- applied new versioning policy

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.008-0vl1
- built for release

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.008-0vl0.1
- test package for VineSeed
- new upstream release 
