Name: 		perl-Crypt-PasswdMD5
Version:	1.3
Release:	6%{?_dist_release}
Summary:	Provides interoperable MD5-based crypt() functions 
License:	GPL+ or Artistic
Group:		Development/Libraries
URL: 		http://search.cpan.org/dist/Crypt-PasswdMD5/
Source0: 	http://search.cpan.org/CPAN/authors/id/L/LU/LUISMUNOZ/Crypt-PasswdMD5-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if "%{?_dist_release}" == "vl4"
Requires:  	perl = %(rpm -q --qf '%%{epoch}:%%{version}' perl)
%else
Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
BuildArch: 	noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  %{_bindir}/iconv

Vendor: Project Vine
Distribution: Vine Linux

%description
This package provides MD5-based crypt() functions

%prep
%setup -q -n Crypt-PasswdMD5-%{version}
%{_bindir}/iconv -f iso-8859-1 -t utf-8 -o PasswdMD5.pm.new PasswdMD5.pm && mv PasswdMD5.pm.new PasswdMD5.pm
%{__sed} -i -e 's/ISO-8859-1/UTF-8/' PasswdMD5.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%clean
rm -rf $RPM_BUILD_ROOT

%check
make test

%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/Crypt
%{_mandir}/man3/*

%changelog
* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.3-6vl6
- build with perl 5.12.3
- add Vendor and Distribution tags

* Tue Jul 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.3-5
- do not require perl(:MODULE_COMPAT_x.y.z) on Vine Linux 4.x

* Sat May 31 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.3-4
- initial build for Vine Linux

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3-3.1
- Rebuild for new perl

* Mon Oct 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3-2.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Tue Feb 27 2007 Mike McGrath <mmcgrath@redhat.com> - 1.3-2
- Basic fixes (BZ 230228)

* Tue Feb 27 2007 Mike McGrath <mmcgrath@redhat.com> - 1.3-1
- Initial Packaging
