%define	module	IO-Compress-Base
%define	name	perl-%{module}
%define	version	2.008
%define	release	0vl1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A sole purpose if to to be sub-classed by IO::Compress modules
License:	GPL or Artistic
Group:          Development/Languages
Url:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/IO/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

Vendor:         Project Vine
Distribution:   Vine Linux

%description
This module is not intended for direct use in application code. 
Its sole purpose if to to be sub-classed by IO::Compress modules.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{perl_vendorarch}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.008-0vl1
- built for release

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.008-0vl0.1
- test package for VineSeed
- new upstream release 

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.006-1mdv2008.0
+ Revision: 78128
- new version

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.005-1mdv2008.0
+ Revision: 48097
- new version


* Mon Mar 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.004-1mdv2007.0
+ Revision: 132945
- 2.004

* Sat Jan 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.003-1mdv2007.1
+ Revision: 104824
- 2.003

* Mon Nov 13 2006 Olivier Thauvin <nanardon@mandriva.org> 2.001-1mdv2007.1
+ Revision: 83924
- first mdv package
- Create perl-IO-Compress-Base

