%define	module	IO-Compress-Bzip2
%define	name	perl-%{module}
%define	version	2.008
%define	release	1%{?_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Perl interface to allow reading and writing bzip2 files/buffers
License:	GPL or Artistic
Group:          Development/Languages
Source0:	http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  perl(Compress::Raw::Zlib) >= %version
BuildRequires:  perl(IO::Compress::Base) >= %version
BuildArch:      noarch

Vendor:         Project Vine
Distribution:   Vine Linux

%description
A Perl interface to allow reading and writing of 
bzip2 files/buffers.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

# %check
# %{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{perl_archlib}/perllocal.pod
rm -rf %{buildroot}%{perl_vendorarch}

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog
* Wed Apr 08 2009 Shu KONNO <owa@bg.wakwak.com> 2.008-1vl5
- applied vine5 versioning policy

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.008-0vl1
- built for release

* Sun Mar 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.008-0vl0.1
- test package for VineSeed
