Name:           perl-Net-CIDR
Version:        0.14
Release:        1%{?_dist_release}
Summary:        Manipulate IPv4/IPv6 netblocks in CIDR notation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-CIDR/
Source0:        http://www.cpan.org/authors/id/M/MR/MRSAM/Net-CIDR-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Net::CIDR package contains functions that manipulate lists of IP
netblocks expressed in CIDR notation. The Net::CIDR functions handle both
IPv4 and IPv6 addresses.

%prep
%setup -q -n Net-CIDR-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorlib}/Net/
%{_mandir}/man3/*.3pm*

%changelog
* Thu May 05 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14-1
- initial build for Vine Linux


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.14-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Jul 01 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.14-1
- Update to 0.14

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.13-3
- rebuild against perl 5.10.1

* Mon Nov  9 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 0.13-2
- Fix License tag
- Remove Net-CIDR.spec from %%doc
- List files more explicitely

* Fri Sep 25 2009 Nicolas Chauvet <kwizart@fedoraproject.org> - 0.13-1
- Specfile autogenerated by cpanspec 1.78.
