Name:           perl-Net-IPv6Addr
Summary:        Check validity of IPv6 addresses
Version:        0.2
Release:        1%{?_dist_release}
License:        Artistic or GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-IPv6Addr/

Source:         http://search.cpan.org/CPAN/authors/id/T/TM/TMONROE/Net-IPv6Addr-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::IPv4Addr)
BuildRequires:  perl(Math::Base85)

%description
Check validity of IPv6 addresses.

%prep
%setup -q -n Net-IPv6Addr-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install DESTDIR=%{buildroot}

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog MANIFEST README rfc1886.txt rfc1924.txt rfc2373.txt
%doc %{_mandir}/man3/Net::IPv6Addr.3pm*
%dir %{perl_vendorlib}/Net/
%{perl_vendorlib}/Net/IPv6Addr.pm

%changelog
* Mon Mar 05 2012 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.2-1
- initial build for Vine Linux
