Summary: Alternative PHP Cache
Name: php-ext-apc
Version: 3.1.10
Release: 1%{_dist_release}
Source: APC-%{version}.tgz
License: The PHP License
Group: Development/Languages
BuildRequires: php5-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: %{req_php_api}

%description
APC is the Alternative PHP Cache. It was conceived of to provide a free,
open, and robust framework for caching and optimizing PHP intermediate code.

apc.php is placed into %{_docdir}/%{name}-%{version}.

%package devel
Summary: A header file to serialize with APC
Group: Development/Libraries
Requires: php5-devel
Requires: %{name} = %{version}

%description devel
This package contains definitions of apc.serializer hooks.

%prep
%setup -q -n APC-%{version}
mv ../package.xml ./
phpize

%build
%configure --with-apc=shared --enable-mmap --enable-sem
%__make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/php5/
mkdir -p %{buildroot}%{_sysconfdir}/php5/php.d
%makeinstall INSTALL_ROOT=%{buildroot}


cat > %{buildroot}%{_sysconfdir}/php5/php.d/apc.ini <<EOF
; Enable APC extension module
extension="apc.so"

EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENSE NOTICE TODO TECHNOTES.txt apc.php
%{_libdir}/php5/*
%config(noreplace) %{_sysconfdir}/php5/php.d/*

%files devel
%{_includedir}/php5/ext/apc

%changelog
* Sat Apr 28 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.1.10-1
- new upstream release.

* Wed Mar 11 2009 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 3.0.19-1
- initial build.

