Summary: A zip management extension for PHP
Summary(ja): PHP用zip拡張
Name: php-ext-zip
Version: 1.10.2
Release: 3%{_dist_release}
Source: zip-%{version}.tgz
License: The PHP License
Group: Development/Languages
BuildRequires: php5-devel zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: %{req_php_api}

%description
Zip is an extension to create, modify and read zip files.

%description -l ja
zipモジュールは、zipファイルの生成/変更/読み込みを行うPHP拡張です。

%prep
%setup -q -n zip-%{version}
mv ../package.xml ./
phpize

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/php5/
mkdir -p %{buildroot}%{_sysconfdir}/php5/php.d
%makeinstall INSTALL_ROOT=%{buildroot}


cat > %{buildroot}%{_sysconfdir}/php5/php.d/zip.ini <<EOF
; Enable zip extension module
extension=zip.so

EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS examples
%{_libdir}/php5/*
%config(noreplace) %{_sysconfdir}/php5/php.d/*

%changelog
* Sun Apr 29 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10.2-3
- converted encoding to UTF-8.

* Sat Apr 28 2012 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10.2-2
- rebuilt with current environment.

* Mon Oct 31 2011 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10.2-1
- initial build.

