%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary:	Python bindings for Pigment Media Center Toolkit
Summary(ja):	Pigment メディアセンター・ツールキット用の Python バインディング
Name:		pigment-python
Version:	0.3.12
Release: 	2%{?_dist_release}
Source0:	http://elisa.fluendo.com/static/download/pigment/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		Development/Languages
URL:		http://elisa.fluendo.com/

Requires:	gstreamer-python, pygtk2, pigment
BuildRequires:	glib2-devel, gtk2-devel, python-devel, pygtk2-devel
BuildRequires:	pigment-devel
BuildRequires:	gstreamer-devel, gstreamer-plugins-base-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka


%description
Python bindings for Pigment Media Center software.

%description -l ja
Pigment メディアセンター・ツールキット用の Python バインディングです。


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary *.la files
find ${RPM_BUILD_ROOT} -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASE TODO
%{python_sitelib}/pgm/
%{python_sitearch}/_pgm*.so
%{_datadir}/pigment-python/


%changelog
* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.3.12-2
- rebuild with python-2.6

* Sun Jun 07 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.12-1
- new upstream release

* Mon Apr 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.11-1
- new upstream release

* Fri Feb 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.10-1
- new upstream release

* Wed Dec 24 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.9-1
- new upstream release

* Mon Oct 27 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.8-1
- initial build for Vine Linux
