Summary:	Media Center Toolkit
Summary(ja): 	メディアセンターツールキット
Name:		pigment
Version:	0.3.17
Release: 	1%{?_dist_release}
Source0:	http://elisa.fluendo.com/static/download/pigment/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		Applications/Multimedia
URL:		http://elisa.fluendo.com/


BuildRequires: glib2-devel, gtk2-devel, cairo-devel
BuildRequires: libglade2-devel
BuildRequires: gstreamer-devel, gstreamer-plugins-base-devel
BuildRequires: mesa-libGLU-devel
Buildrequires: check, gtk-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Packager:	kazutaka

%description
Pigment is a toolkit for writing Media Center software.

%description -l ja
Pigment はメディアセンター・ソフトウェア作成用のツールキット
です。


%package	devel
Summary:	Development libraries and include files for Pigment
Summary(ja):	Pigmentの開発用ファイルとライブラリ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Pigment はメディアセンター・ソフトウェア作成用のツールキット
です。

このパッケージは Pigment を使ったアプリケーション及びプラグインを
開発するのに必要なライブラリとインクルードファイルを含んでいます。


%prep

%setup -q


%build
%configure  --enable-gtk-doc --enable-shared --disable-static
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary *.la files
find %{buildroot} -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README RELEASE TODO
%{_libdir}/*.so.*
%{_libdir}/pigment-0.3/

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/pigment/
%{_includedir}/pigment-0.3/
%{_libdir}/*.so
#%{_libdir}/*.a
%{_libdir}/pkgconfig/pigment-0.3.pc
%{_libdir}/pkgconfig/pigment-gtk-0.3.pc
%{_libdir}/pkgconfig/pigment-imaging-0.3.pc


%changelog
* Sun Jun 07 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.17-1
- new upstream release

* Mon Apr 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.16-1
- new upstream release
- add configure option --enable-shared --disable-static

* Fri Feb 06 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.14-1
- new upstream release

* Tue Dec 23 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.13-1
- new upstream release

* Mon Dec 08 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.12-1
- new upstream release

* Fri Nov 07 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.11-1
- new upstream release

* Sun Oct 05 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.10-1
- initial build for Vine Linux
