%define _lib lib

Summary: Plum - proxy irc deamon
Summary(ja): Plum - IRC 用中継/クライアントプログラム
Name: plum3
Version: 3.1.0
Release: 0.2.b18%{?_dist_release}
License: GPL
Group: Applications/System
Url: http://sourceforge.jp/projects/plum/
Source: plum-%{version}b18.tar.bz2
Source10: plum-vine.conf.sample
Patch1: plum-3.1.0b18-vine.patch

Autoreqprov: no
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Requires: perl > 5.8.1
Conflicts: plum < 3.0

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
plum - proxy irc daemon


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup -n plum-%{version}
%patch1 -p1 -b .vine
cp %{SOURCE10} .

%build


%install

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/plum

install -m 755 plum ${RPM_BUILD_ROOT}%{_bindir}/plum
cp -af module ${RPM_BUILD_ROOT}%{_datadir}/plum


%files
%defattr(-,root,root)
%doc *.conf.sample
%{_bindir}/plum
%dir %{_datadir}/plum
%{_datadir}/plum/*


%changelog
* Thu Nov 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.0-0.2.b18
- add plum-vine.conf.sample to %%doc

* Tue Sep 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 3.1.0-0.1.b18
- rename to plum3
- update to svn trunk

* Wed Mar 18 2009 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.33.2-2
- moved files from /usr/lib64 to /usr/lib. (for x86_64)

* Thu Oct 09 2008 Shu KONNO <owa@bg.wakwak.com> 2.33.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Apr  7 2003 IWAI Masaharu <iwai@alib.jp> 2.33.2-0vl2
- add plum-2.33.2-rfc2822.patch (Patch2)
   - from http://sourceforge.jp/tracker/index.php?func=detail&aid=807&group_id=291&atid=1181

* Mon Nov  4 2002 IWAI Masaharu <iwai@alib.jp> 2.33.2-0vl1
- new upstream release
- add URL tag
- use rpmmacros
- add example configuration files in %%doc
- rename Patch0 in Spec file

* Wed May 09 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 2.33.1-0vl2
- increased release tag to avoid conflicting %{arch} & noarch rpm
  (both 2.33.1-0vl1.{i386,noarch}.rpm still exists on the tree)
