Summary:        Collection of tools for processing ACPI tables.
Summary(ja):    ACPI テーブルを処理するためのツール群
Name:           pmtools
Version:        20110323
Release:        1%{?_dist_release}
Group:          System Environment/Base
License:        GPLv2+
Source0:	http://kernel.org/pub/linux/kernel/people/lenb/acpi/utils/%{name}-%{version}.tar.bz2
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
ExclusiveArch:  %{ix86} x86_64 ia64
Url:            http://www.lesswatts.org/projects/acpi/utilities.php

Patch1:         cflags.patch

%description
This is a small collection of power management test and
investigation tools.

%prep
%setup -q -n %{name}
%patch1 -p1

%build
for i in acpidump acpixtract madt turbostat; do
  CFLAGS="$CFLAGS $RPM_OPT_FLAGS" make -C $i
done

%install
rm -rf %{buildroot}
for i in acpidump acpixtract madt turbostat; do
  install -D $i/$i %{buildroot}%{_sbindir}/$i
done

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
%{_sbindir}/acpidump
%{_sbindir}/acpixtract
%{_sbindir}/madt
%{_sbindir}/turbostat

%changelog
* Thu Aug 25 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 20110323-1
- initial build for Vine Linux

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071116-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071116-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20071116-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 13 2008 Dave Jones <davej@redhat.com> 20071116-1
- Initial packaging
