# Basic Information
Name:		postr
Version:	0.12.4
Release:	2%{?_dist_release}
License:	GPLv2
Group:		Applications/Internet
Source0:	http://ftp.gnome.org/pub/GNOME/sources/postr/0.12/postr-0.12.4.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Flickr Uploader
Summary(ja):	Flickr アップローダー

# Dependency
Requires:	python
Requires:	pygtk2
Requires:	nautilus-python
BuildRequires:	python-devel

%description
Postr is a Flickr uploading tool for the GNOME desktop, which aims to be
simple to use but exposing enough of Flickr to be useful. It isn't finished
yet, but its a very capable uploader already.

%description -l ja
Postr は、GNOME デスクトップ向けの Flickr アップロードツールです。利用が簡単
でありながら、便利に Flicker へ十分露出できることを目標としています。目標は
まだ完了していませんが、既にとても有能なアップローダーです。

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}

#%%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{_bindir}/postr
/usr/lib/nautilus/extensions-1.0/python/postrExtension.py
/usr/lib/nautilus/extensions-2.0/python/postrExtension.py
%{python_sitelib}/Postr-0.12.4-py%{pyver}.egg-info
%{python_sitelib}/postr
%{_datadir}/applications/postr.desktop
%{_datadir}/icons/hicolor/16x16/apps/postr.png
%{_datadir}/icons/hicolor/22x22/apps/postr.png
%{_datadir}/icons/hicolor/24x24/apps/postr.png
%{_datadir}/icons/hicolor/32x32/apps/postr.png
%{_datadir}/icons/hicolor/scalable/apps/postr.svg


%changelog
* Tue Feb 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.4-2
- rebuild with python-2.7.2

* Sun Sep 18 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.12.4-1
- initial build for Vine Linux
