%define name      prime
%define version	  1.0.0.1
%define release   1%{?_dist_release}

Summary:      a Japanese PRedictive Input Method Editor
Summary(ja):  日本語予測入力システム
Name:         %{name}
Version:      %{version}
Release:      %{release}
URL:          http://sourceforge.jp/projects/prime/
Source0:      %{name}-%{version}.tar.bz2
Group:        Applications/System
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
License:      GPL
Requires:        prime-dict
Requires:        suikyo
Requires:        ruby-progressbar
Requires:        ruby-sary >= 1.2.0
BuildRequires:   ruby

%description
PRIME is Japanese PRedictive Input Method Editor.

%description -l ja
PRIME は日本語予測入力システムです．


%prep
%setup -q

%build
[[ ! -x configure ]] && ./autogen.sh

%configure --with-rubydir=%{rlibdir}
# parallel build is broken:
#% {__make} %{?_smp_mflags}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/prime
cp -f etc/Custom_prime.rb $RPM_BUILD_ROOT/%{_sysconfdir}/prime/


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO
%{_sysconfdir}/*
%{_datadir}/%{name}
%{_datadir}/doc/%{name}/
%{_bindir}/*
%{_libdir}/*


%changelog
* Sat Nov 01 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0.1-1
- initial build for VineSeed

* Sat Mar 29 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0.1-1vl5
- initial build for VineSeed

### end of file
