%{!?python_sitelib:     %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define ver 0.9.6
%define rel 2

Summary: A collection of tools for internationalizing Python applications
Name: python-babel
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: http://ftp.edgewall.com/pub/babel/Babel-%{version}.tar.gz
License: modified BSD-style License
Group: Development/Libraries
URL: http://babel.edgewall.org/

BuildRequires: python-setuptools

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux


%description
Babel is composed of two major parts:

 * tools to build and work with gettext message catalogs
 * a Python interface to the CLDR (Common Locale Data Repository), 
   providing access to various locale display names, localized number 
   and date formatting, etc. 


%prep
%setup -q -n Babel-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog README.txt contrib doc scripts
%{_bindir}/pybabel
%{python_sitelib}/Babel-*.egg-info
%{python_sitelib}/babel

%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.6-2
- rebuild with python-2.7.2
- add BuildRequires: python-setuptools

* Sun Oct 30 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.6-1
- new upstream release

* Wed Feb  3 2010 Shu KONNO <owa@bg.wakwak.com> 0.9.4-2
- rebuilt with python-2.6.4

* Sun Apr  5 2009 IWAI, Masaharu <iwai@alib.jp> 0.9.4-1
- initial release

