%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-xmldiff
Version:        0.6.9
Release:        2%{?_dist_release}
Summary:        Python classes to diff XML files

Group:          System Environment/Libraries
License:        GPL
URL:            http://moblin.org/projects/clutter-gesture

Source0:        ftp://ftp.logilab.org/pub/xmldiff/xmldiff-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
XMLdiff is a python tool that figures out the differences between two similar
XML files, in the same way the diff utility does it for text files. It was
developed for the Narval project and could also be used as a library or as a
command line tool. It can work either with XML files or DOM trees

%prep
%setup -q -n xmldiff-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --record=INSTALLED_FILES
rm -rf %{buildroot}%{_libdir}/python%{pyver}/site-packages/%{module}/test
chmod 755 %{buildroot}%{_bindir}/*


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/xmldiff
%{_bindir}/xmlrev
%{python_sitearch}/xmldiff/*
%{python_sitearch}/xmldiff-%{version}-py%{pyver}.egg-info
%{_datadir}/sgml/stylesheet/xmldiff/*


%changelog
* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.9-2
- rebuild with python-2.7.2

* Thu Sep 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.9-1
- initial build for Vine Linux

