#%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
#%define pyver %(python -c 'import sys;print(sys.version[0:3])')

Summary:	Zope 3 Interface Infrastructure 
Summary(ja): 	Zope 3 インターフェース・インフラストラクチャ
Name:		python-zope-interface
Version:	3.8.0
Release: 	1%{?_dist_release}
Source0:	http://pypi.python.org/packages/source/z/zope.interface/zope.interface-%{version}.tar.gz
License:	ZPL (Zope Public License 2.1)
Group:		Development/Languages
URL:		http://pypi.python.org/pypi/zope.interface

Requires:	python
BuildRequires:	python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildArch:	noarch


%description
This is a separate distribution of the zope.interface package
used in Zope 3.

%description -l ja
python-zope-interface は Zope 3 で利用されている zope.interface
を、単体で分離して配布しているパッケージです。

%prep
%setup -q -n zope.interface-%{version}


%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}

# Will put docs in %%{_docdir} instead
%{__rm} -f %{buildroot}%{python_sitearch}/zope/interface/{,tests/}*.txt


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYRIGHT.txt CHANGES.txt LICENSE.txt README.txt
%{python_sitelib}/zope
%{python_sitelib}/zope.interface-%{version}-py%{pyver}.egg-info

%changelog
* Sat Feb 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.8.0-1
- update to 3.8.0

* Wed Dec 01 2010 Shu KONNO <owa@bg.wakwak.com> 3.6.1-1
- updated zope.interface to 3.6.1

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 3.5.0-2
- rebuild with python-2.6
- fixed path

* Tue Dec 23 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 3.5.0-1
- initial build for Vine Linux
