%define kde_major_version 4
%define qt_ver 4.6.1

Name: qimageblitz
Summary: Blitz KDE/Qt image filter library
Version: 0.0.6
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPL
URL: http://sourceforge.net/projects/qimageblitz

Source: %{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt4-devel >= %{qt_ver}
BuildRequires: cmake >= 2.4.5
BuildRequires: pkgconfig
Requires: qt4 >= %{qt_ver}

%description
Blitz is a graphical effect and filter library for KDE4.0 that contains
many improvements over KDE 3.x's kdefx library including bugfixes, memory
and speed improvements, and MMX/SSE support.

%package devel
Summary: Development files for blitz
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt4-devel

%description devel
Header files for developing applications using blitz

%prep
%setup -q

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DCMAKE_BUILD_TYPE=release ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/qimageblitz
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Sep 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.6-2
- rebuilt with rpm-4.8.1

* Tue Aug 17 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.6-1
- new upstream release

* Tue Sep 01 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.0.4-4
- use %%cmake macro
- drop redundant cmake options

* Sat Aug 29 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.0.4-3
- rebuilt with qt-4.5.2

* Thu Oct 23 2008 Shu KONNO <owa@bg.wakwak.com> 0.0.4-2
- added -DLIB_INSTALL_DIR=%%{_libdir} at cmake

* Sun Oct 12 2008 AKIYAMA KAzuhito <akiyama@yb3.so-net.ne.jp> 0.0.4-1
- initial release
