%define rbindir  %(ruby -r rbconfig -e 'print Config::CONFIG["bindir"]')
%define rlibdir  %(ruby -r rbconfig -e 'print Config::CONFIG["rubylibdir"]')
%define rarchdir %(ruby -r rbconfig -e 'print Config::CONFIG["archdir"]')
%define rdatadir %(ruby -r rbconfig -e 'print Config::CONFIG["datadir"]')

Summary: Ruby module/class browser
Summary(ja): Rubyのためのモジュール・クラスブラウザ
Name: rbbr
Version: 0.5.1
Release: 1%{?_dist_release}
License: distributable
Group: Development/Languages
Source: http://prdownloads.sourceforge.net/ruby-gnome2/%{name}-%{version}-withapi.tar.gz
URL: http://ruby-gnome2.sourceforge.net/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby >= 1.8, ruby-gettext-package
Requires: ruby >= 1.8, ruby-gnome2, ruby-gettext-package, refe

%description

%description -l ja
rbbr(RuBy BRowser)は、モジュール・クラス階層や、モジュール・クラスの定数・メ
ソッドを一覧するためのアプリケーションです。ドキュメント参照のためのオプショ
ンモジュール(ReFe, ri)がインストールされていれば、メソッドのドキュメントもブ
ラウザ内で参照できます。

また、Ruby-GNOME2 Project WebsiteにあるAPIリファレンスのデータを適宜インストー
ルすることでAPIリファレンスのドキュメントもブラウザ内で参照できます。

このパッケージではRuby-GNOME2のAPIリファレンスのデータを提供しています。

%prep
%setup -q -c

%build
cd %{name}-%{version}-withapi
ruby install.rb config --rb-dir='$std-ruby'
ruby install.rb setup
cd ..

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{rbindir}
mkdir -p ${RPM_BUILD_ROOT}%{rlibdir}
mkdir -p ${RPM_BUILD_ROOT}%{rdatadir}

cd %{name}-%{version}-withapi
ruby install.rb install --prefix=${RPM_BUILD_ROOT}
cd ..

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%{rbindir}/%{name}
%{rlibdir}/%{name}*
%{rdatadir}/%{name}
%{_datadir}/locale/*/*/*

%changelog
* Fri Oct 10 2008 Shu KONNO <owa@bg.wakwak.com> 0.5.1-1vl5
- applied new versioning policy, spec in utf-8

* Mon Dec 29 2003 akira yamada <akira@ruby-lang.org> 0.5.1-0vl1
- initial packaging.

