#%%define rlibdir ruby -r rbconfig -e 'print Config::CONFIG["rubylibdir"]'

Summary: RSS(RDF Site Summary) library for Ruby
Name: rss-ruby
Version: 0.9.1
Release: 0vl2
License: Ruby's
Group: Development/Libraries
Source0: http://www.chadfowler.com/ruby/rss/rss-ruby-%{version}.tar.gz
URL: http://www.chadfowler.com/ruby/rss/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ruby-xmlparser, drb >= 1.2.2, ruby >= 1.6.2, ruby-uconv
BuildRequires: ruby, rpm >=  3.0.6-0vl16
Prefix: /usr
Patch0: http://everybody.good-day.net/~iwai/patch/rss-ruby-0.9.1_description.patch
Patch1: http://everybody.good-day.net/~iwai/patch/rss-ruby-0.9.1_silent.patch

%description
This library provides and object oriented interface for the RSS 
(http://http://my.netscape.com/publish/help/mnn20/quickstart.html) xml format.
It currently supports RSS 0.91.  Aside from RSS parsing and creation code,
classes are provided for downloading and caching existing RSS content via HTTP
and (very basically) providing a distributed Ruby interface to this content.

%prep
rm -rf ${RPM_BUILD_DIR}/%{name}-%{version}

%setup -q
%patch0 -p1 -b .description
%patch1 -p1 -b .silent

%install
mkdir -p ${RPM_BUILD_ROOT}%{rlibdir}
install -m 644 *.rb ${RPM_BUILD_ROOT}%{rlibdir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README ChangeLog samples
%{rlibdir}/*.rb

%changelog
* Wed Feb  6 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.9.1-0vl2
- moved the directory installed the ruby library
    - sitelibdir -> rubylibdir
- changed  rpm version in BuildRequires: 3.0.6-0vl19 -> rpm-3.0.6-0vl16

* Thu Jan  3 2002 IWAI Masaharu <iwaim@cc.mbn.or.jp> 0.9.1-0vl1
- first release for Vine Linux
- added description.patch (Patch0)
- added silent.patch (Patch1)

