Summary: Firmware for the Ralink RT28XX/RT30XX USB driver
Summary(ja): Ralink RT28XX/RT30XX USB ドライバ用のファームウェア
Name: rt2870-firmware
Version: 22
Release: 1%{?_dist_release}
License: distributable
Group: System Environment/Kernel
URL: http://www.ralinktech.com/support.php?s=2
Source0: RT2870_Firmware_V22.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: shaolin

%description
Firwmare used by the rt2870usb wireless driver.

%prep
%setup -q -n RT2870_Firmware_V%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p *.bin  %{buildroot}/lib/firmware/
ln -sf rt2870.bin %{buildroot}/lib/firmware/rt3070.bin

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE*
/lib/firmware/*

%changelog
* Sun Sep 12 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 22-1
- initial build for Vine Linux
