%global gitdate 20120524

Summary: rbenv plugin to compile and install ruby
SUmmary(ja): ruby をコンパイルしてインストールするrbenvプラグイン

Name: ruby-build
Version: 0.0.%{gitdate}
Release: 1%{?_dist_release}
License: MIT
Group: Development/Tools
URL: https://github.com/sstephenson/ruby-build
Source0: %{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: gcc
Requires: zlib-devel
Requires: readline-devel
Requires: openssl-devel

%description
ruby-build provides a simple way to compile and install 
different versions of Ruby on UNIX-like systems.
You can also use ruby-build without rbenv in environments 
where you need precise control over Ruby version installation.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
PREFIX=%{buildroot}%{_prefix} ./install.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}/ruby-build
%{_bindir}/rbenv-install
%{_datadir}/ruby-build

%changelog
* Fri Jun 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 20110914-1
- initial build for Vine Linux

