Name: rubysdl
Version: 2.0.1b
Release: 1%{?_dist_release}
License: LGPL
Group: Development/Libraries
Source: http://rubyforge.org/frs/download.php/40059/%{name}-%{version}.tar.gz
URL: http://www.kmc.gr.jp/~ohai/index.html

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby, ruby-devel >= 1.8.1-0vl6
BuildRequires: SDL-devel, SDL_mixer-devel, SDL_image-devel, SDL_ttf-devel, smpeg-devel
Summary: Ruby/SDL is the Ruby extension library to use SDL
Summary(ja): Ruby/SDLはRubyからSDLを使うための拡張ライブラリ

%description
Ruby/SDL is the ruby extension library to use SDL.  SDL(Simple
DirectMedia Layer) is a cross-platform multimedia library designed to
provide fast access to the graphics framebuffer and audio device. See
http://www.libsdl.org/ if you want to know SDL in detail.

%description -l ja
Ruby/SDLはRubyからSDLを使うための拡張ライブラリです．SDL(Simple
DirectMedia Layer)は様々なプラットホームで動作するように作られたマルチ
メディアライブラリで，グラフィックフレームバッファやオーディオデバイス
にアクセスすることができます．SDLについての詳しい情報は
http://www.libsdl.org/から得られます．

%prep
%setup -q -c

%build
cd %{name}-%{version}
ruby extconf.rb
make
cd ..

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

# installing binaries ...
cd %{name}-%{version}
make DESTDIR=${RPM_BUILD_ROOT} sitelibdir=${RPM_BUILD_ROOT}%{rlibdir} install
cd ..

(find \
  $RPM_BUILD_ROOT%{_libdir} \
      -type f -o -type l) | 
 sort | sed -e "s,^$RPM_BUILD_ROOT,," > rubysdl.files

%clean
rm -f rubysdl.files
rm -rf ${RPM_BUILD_ROOT}

%pre

%post

%files -f rubysdl.files
%defattr(-, root, root)
%doc %{name}-%{version}/README*
%doc %{name}-%{version}/*.rd
%doc %{name}-%{version}/rubysdl_const_list.txt
%doc %{name}-%{version}/sample

%changelog
* Sun Nov 23 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.1b-1
- new upstream release
- applied new versioning policy
- spec in UTF-8

* Wed May 04 2005 Satoshi MACHINO <machino@vinelinux.org> 0.9.4-0vl2
- fixed distribted files

* Tue May 03 2005 Satoshi MACHINO <machino@vinelinux.org> 0.9.4-0vl1
- new upstream version

* Wed May 05 2004 Satoshi MACHINO <machino@vinelinux.org> 0.9.2-0vl1
- new upstream version
- built by ruby-1.8.1 and SDL-1.2.7

* Sun Oct 13 2002 Satoshi MACHINO <machino@vinelinux.org> 0.8.2-0vl1
- new upstream version.
- change URL 

* Sat Jul 05 2002 Satoshi MACHINO <machino@vinelinux.org> 0.8.1-0vl1
- new upstream version.

* Tue Jul 02 2002 Satoshi MACHINO <machino@vinelinux.org> 0.8-0vl1
- new upstream version.

* Wed Oct 31 2001 akira yamada <akira@vinelinux.org> 0.7-0vl1
- new upstream version.

* Sat Oct 27 2001 akira yamada <akira@vinelinux.org> 0.6-0vl1
- Initial packaging.
