%define src_name honoka-plugin-anthy
%define version  0.9.0
%define release  2%{_dist_release}

%define honoka_version   0.9.0
%define anthy_version    6606

Name:       scim-honoka-plugin-anthy
Summary:    An Anthy input plugin for HONOKA-TAN
Summary(ja): ほのかたんのための Anthy 入力プラグイン
Version:    %{version}
Release:    %{release}
Group:      System Environment/Libraries
License:    GPLv2
URL:        http://sourceforge.jp/projects/scim-imengine/
Source0:    %{src_name}-%{version}.tar.bz2
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
Requires:      anthy >= %{anthy_version}
Requires:      scim-honoka-plugin-ascii     >= %{honoka_version}
Requires:      scim-honoka-plugin-kanainput >= %{honoka_version}
Requires:      scim-honoka-plugin-romkan    >= %{honoka_version}
Requires:      scim-honoka-plugin-simpleprediction >= %{honoka_version}
BuildRequires: scim-honoka-devel >= %{honoka_version}
BuildRequires: anthy-devel >= %{anthy_version}
BuildRequires: automake
BuildRequires: libtool-ltdl

%description
scim-honoka-plugin-anthy is an Anthy input plugin for HONOKA-TAN.

%description -l ja
scim-honoka-plugin-anthy はほのかたんのための Anthy 入力プラグインです．

%prep
%setup -q -n %{src_name}-%{version}

%build
autoreconf
[[ -f configure ]] || ./bootstrap

%configure
# (tv) parallel build is broken: --> OK???
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/honoka/*.{a,la}

%find_lang %{src_name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{src_name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.jp
%{_libdir}/scim-1.0/*/honoka/*.so


%changelog
* Sat Oct 25 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-2
- spec in utf-8

* Sat Mar 22 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.0-1vl5
- initial build for VineSeed

### end of file
