Summary: an onscreen input pad used to input some symbols very easily
Summary(ja): とても簡単に様々なシンボルを入力できる入力パッド
Name: scim-input-pad
Version: 0.1.1
Release: 1%{?_dist_release}
Vendor: Project Vine
Distribution: Vine Linux
URL: http://www.scim-im.org/
Source0: http://jaist.dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
Patch0: scim-input-pad-0.1.1-libexecdir.patch
License: GPL 2
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

%description
It's an onscreen input pad used to input some symbols very easily.

All symbols are stored into pure text files. Several predefined files
are shipped within this package. They are:

data/base.pad        includes some common symbols,
                     eg. Technical Symbols, Punctuations etc.
data/japanese.pad    includes Japanese Katakana and Hiragana symbols.
data/chinese.pad     includes Chinese numbers, radicals etc.
data/keyboard.pad    includes some special keyboard events,
                     like dead keys, composing keys etc.


%prep
%setup -q
%patch0 -p1 -b .libexecdir

%build
# running for Patch0
autoconf
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

# remove unpackaged files
rm -rf %{buildroot}%{_libdir}/libscim-input-pad.{a,la}
rm -rf %{buildroot}%{_libdir}/scim-1.0/1.4.0/Helper/input-pad.{a,la}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/scim-input-pad
%{_libdir}/libscim-input-pad.so*
%{_libdir}/scim-1.0/1.4.0/Helper/input-pad.so
%{_datadir}/scim/icons/input-pad.png
%dir %{_datadir}/scim/input-pad
%{_datadir}/scim/input-pad/base.pad
%{_datadir}/scim/input-pad/chinese.pad
%{_datadir}/scim/input-pad/japanese.pad
%{_datadir}/scim/input-pad/keyboard.pad

%changelog
* Sat Jul 26 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.1-1vl5
- applied new versioning policy and spec in utf-8

* Sun Nov 25 2007 IWAI, Masaharu <iwai@alib.jp> 0.1.1-0vl2
- add libexecdir patch (Patch0): <VineLinux:565>
- running autoconf

* Tue Apr 11 2006 IWAI, Masaharu <iwai@alib.jp> 0.1.1-0vl1
- Initial build.

