Summary: a utility for managing user customized dictionary
Summary(ja): ユーザ定義辞書管理のためのユーティリティ
Name: sumika
Version: 0.12
Release: 1%{?_dist_release}
URL: http://sumika.sourceforge.jp/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.2.0, gdome2-devel, libxml2-devel
Requires: gtk2 >= 2.2.0, gdome2, libxml2
#BuildRequires: automake16

%description
Sumika is a utility for managing user customized dictionary. Sumika now
supports Anthy, Canna and SKK.


%description -l ja
Sumika は、ユーザ定義辞書を管理するためのユーティリティです。
現在、Sumika は、Anthy と Canna、SKK をサポートしています。

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%{find_lang} %{name}

rm -rf $RPM_BUILD_ROOT/usr/doc/sumika

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.canna ChangeLog README TODO 
%{_bindir}/sumika

%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.12-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jul 16 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.12-0vl2
- changed Group to Applications/System

* Mon Jul 26 2004 IWAI, Masaharu <iwai@alib.jp> 0.12-0vl1
- new upstream release

* Sun May  2 2004 IWAI, Masaharu <iwai@alib.jp> 0.11-0vl1
- new upstream release

* Mon Feb 16 2004 IWAI, Masaharu <iwai@alib.jp> 0.10-0vl1
- new upstream release
- drop obsolete CVS patch (Patch0)
   - stop running automake

* Sat Jan 17 2004 IWAI, Masaharu <iwai@alib.jp> 0.07-20040117vl1
- Initial build.

