Summary:	Software Suspend userspace utility (aka swsuspctl)
Summary(ja):	ソフトウエアサスペンド用ユーティリティ (swsuspctl)
Name:		swsuspctl
Version:	0.93
Release:	1%{?_dist_release}
License:	GPL
Group:		System Environment/Base
Source:		http://dagobah.ucc.asn.au/swsusp/swsuspctl5.c
URL:		http://dagobah.ucc.asn.au/swsusp/swsuspctl.html
BuildRoot:	%{_tmppath}/%{name}-root

%description
Swsuspctl makes it easier to understand the numbers in
/proc/sys/kernel/swsusp. It also substitutes for the shutdown+z program to
call software suspend. Be sure to get the version corresponding to your kernel
swsusp version.

%prep

%build
rm -rf %{name}-%{version}
mkdir -p %{name}-%{version}
cd %{name}-%{version}
gcc -O2 -o swsuspctl %{SOURCE0}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
cd %{name}-%{version}
cp -a swsuspctl %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/swsuspctl

%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.93-1vl5
- applied new versioning policy, spec in utf-8

* Wed Jul 16 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.93-0vl1
- new upstream release for swsusp-1.0

* Mon Jul 14 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.91-0vl1
- initial build.
