%define name synergy
%define version 1.3.1
%define release 1%{?_dist_release}

Summary: Mouse and keyboard sharing utility
Summary(ja): マウス・キーボード共有ユーティリティ
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}2/%{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Daemons
URL: http://synergy2.sourceforge.net/

#Requires: 
BuildRequires: XOrg-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux


%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%description -l ja
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.


%prep

%setup

%build
%configure
%__make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%__mkdir_p $RPM_BUILD_ROOT/%{_sysconfdir}
%__cp $RPM_BUILD_DIR/%{name}-%{version}/examples/synergy.conf $RPM_BUILD_ROOT/%{_sysconfdir}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%config %{_sysconfdir}/synergy.conf
%{_bindir}/synergyc
%{_bindir}/synergys
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc doc/PORTING doc/*.html doc/*.css doc/images/ examples/


%changelog
* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 1.3.1-1vl5
- applied new versioning policy, spec in utf-8

* Sun Sep  2 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.1-0vl3
- rebuilt with new toolchain

* Sun Sep  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.3.1-0vl2
- rebuilt for Vine Linux 4.0
- added Japanese summary

* Sat Aug 26 2006 Atsushi SHICHI <ats777@gmail.com> 1.3.1-0vl1
- new upstream release
- modified spec file

* Mon Feb 06 2006 Atsushi SHICHI <ats7@a.email.ne.jp> 1.2.7-0vl1
- new upstream release
- modified spec file

* Thu Apr 10 2003 Kazuhisa TAKEI <takei@vinelinux.org> 1.0.6-1vl2
- initial release


# end of file
