Summary: Virtual package for Trac install
Summary(ja): Tracをインストールするための仮想パッケージ
Name: task-trac
Version: 1.0
Release: 2%{?_dist_release}
License: public domain
Group: Applications/Development
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Requires: trac sqlite3
Requires: subversion subversion-python
%if %{?_dist_release} == "vl5"
Requires: python
Requires: mod_python pysqlite
%else
Requires: python >= 2.6
Requires: mod_wsgi
%endif

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
This is a virtual package to install Trac packages.
If you use apt-get for RPM, This package will install
all packages related to Trac automatically.

Summary(ja): Trac仮想パッケージ
%description -l ja
Trac簡単にインストールするための仮想パッケージです。
apt-get を使ってこのパッケージをインストールすることで、
関連するTracパッケージをすべてインストールすることができます。

%files

%changelog
* Mon Dec  6 2010 IWAI, Masaharu <iwai@alib.jp> 1.0-2
- update Requires for VineSeed
 - replace Requires: s/mod_python/mod_wsgi/
 - drop Requires: pysqlite
 - add Requires: python >= 2.6
- add some tags: Vendor, Distribution and Packager

* Sun Apr  5 2009 IWAI, Masaharu <iwai@alib.jp> 1.0-1
- initial release

