Summary: Virtual package for X.Org X11
Summary(ja): X.Org X11 バーチャルパッケージ
Name: task-xorg-x11
Version: 7.6
Release: 1%{?_dist_release}
License: GPL
Group: User Interface/Desktops

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
Requires: vine-backgrounds >= 4.0
Requires: TrueType-vlgothic >= 2.18
Requires: TrueType-ipafont-mincho >= 3.01
Requires: xorg-x11-server-Xorg >= 1.6.3
Requires: xorg-x11-server-Xephyr >= 1.6.3
Requires: xorg-x11-drivers >= 7.4
Requires: xorg-x11-xinit >= 1.1.1
Requires: xorg-x11-filesystem >= 7.4
Requires: xorg-x11-xauth >= 1.0.3
Requires: xorg-x11-font-utils >= 7.4
Requires: xorg-x11-fonts-misc >= 7.2
Requires: xorg-x11-apps >= 7.4
Requires: xorg-x11-utils >= 7.3
Requires: xorg-x11-xsm >= 1.0.2
Requires: xorg-x11-xdm >= 1.1.8
Requires: xorg-x11-xkb-utils >= 7.3
Requires: xorg-x11-resutils >= 7.1
Requires: xorg-x11-libs >= 7.3
Requires: mesa-libGL >= 7.4.1
Requires: mesa-libGLU >= 7.4.1
Requires: mesa-libOSMesa >= 7.4.1
Requires: glx-utils >= 7.4.1
Requires: freeglut >= 2.4.0
Requires: system-config-display >= 1.1.3
Requires: gdm >= 2.20.10
Requires: openssh-askpass >= 5.2p1
Requires: usermode-gtk >= 1.98
Requires: mktcapdir >= 0.6.0
Requires: twm, xterm
Requires: mesa-demos

Obsoletes: XOrg < 7.0

%description
This is a virtual package to install X.Org X11.

%description -l ja
X.Org X11 を簡単にインストールするための仮想パッケージです。

%files

%changelog
* Sun May 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 7.6-1
- bump version to 7.6
- remove Provides: xorg-x11

* Sun Aug 02 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-2
- add twm, xterm, mesa-demos
- update required version

* Mon May 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 7.4-1
- initial build for Vine Linux

