# -*- coding: utf-8 -*-
Summary: Base Python library for the Tegaki project
Summary(ja): Tegaki プロジェクトのための Python ベースライブラリ
Name: tegaki-python
Version: 0.3.1
Release: 1%{?_dist_release}
License: GPLv2
Group: Development/Libraries
URL: http://www.tegaki.org/
Source0: http://www.tegaki.org/releases/%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python >= 2.4 zinnia-python >= 0.05
BuildRequires: python-devel >= 2.4
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
Base Python library for the Tegaki project.

%description -l ja
Tegaki プロジェクトのための Python ベースライブラリ

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYRIGHT README COPYING ChangeLog TODO
%{python_sitelib}/tegaki
%{python_sitelib}/tegaki_python*.egg-info

%changelog
* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.3.1-1
- Initial build.


