# -*- coding: utf-8 -*-
Summary: Open-Source Chinese and Japanese Handwriting Recognition
Summary: オープンソースの中国語/日本語手書き認識
Name: tegaki-recognize
Version: 0.3.1.2
Release: 1%{?_dist_release}
License: GPLv2
Group: Applications/System
URL: http://www.tegaki.org/
Source0: http://www.tegaki.org/releases/%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires(check): desktop-file-utils
Requires: tegaki-pygtk >= 0.2
Requires: tegaki-model
BuildArch: noarch

%description
Open-Source Chinese and Japanese Handwriting Recognition

%description -l ja
オープンソースの中国語/日本語手書き認識

%prep
%setup -q
%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --prefix %{buildroot}%{_prefix}

%check
%{_bindir}/desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%post
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi

%postun
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYRIGHT README COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/menu/tegaki-recognize
%{_datadir}/pixmaps/tegaki-recognize.svg

%changelog
* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.3.1.2-1
- Initial build.


