# -*- coding: utf-8 -*-
%define tegaki_model_dir %{_datadir}/tegaki/models

Summary: Japanese handwriting model for Zinnia
Summary: Zinnia のための日本語手書きモデル
Name: tegaki-zinnia-japanese
Version: 0.3
Release: 1%{?_dist_release}
License: LGPLv2.1
Group: Development/Libraries
URL: http://www.tegaki.org/
Source0: http://www.tegaki.org/releases/%{version}/models/%{name}-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: unzip
BuildArch: noarch
Provides: tegaki-zinnia-model
Provides: tegaki-model

%description
Japanese handwriting model for Zinnia

%description -l ja
Zinnia のための日本語手書きモデル

%prep
%setup -q

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{tegaki_model_dir}/zinnia
%{__install} -m 0644 handwriting-ja.{model,meta} %{buildroot}%{tegaki_model_dir}/zinnia

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README.txt VERSION
%{tegaki_model_dir}/zinnia

%changelog
* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 0.3-1
- Initial build.


