%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%define texmf		%{_datadir}/texmf
%define build_texmf	%{buildroot}%{texmf}

%define altplatex	platex --kanji=euc
%define makepdf(%1)	%altplatex %1 && %altplatex %1 && %altplatex %1 && dvipdfmx %1;

Summary: TeX Live macro packages of writing manuscript for the Journal of the Acoustical Society of Japan
Summary(ja): TeX Live で使うマクロパッケージ 日本音響学会誌（和文誌）原稿作成用
Name: texmacro-jasj
Version: 1.0
Release: 2%{?_dist_release}
BuildArch: noarch
Source0: http://www2.iee.or.jp/ver2/honbu/32-doc-kenq/latex2e.zip
URL: http://www.iee.or.jp/
License: distributable
Group: Applications/Publishing
BuildRequires: texlive-common
Requires: texlive-common
Requires(post): texlive
Requires(postun): texlive
Buildroot: %{_tmppath}/%{name}-%{version}-root

Distribution: Vine Linux
Vendor: Project Vine

%description
TeX Live macro packages of writing manuscript for the 
Journal of the Acoustical Society of Japan.
Users can use this macro specifying "jasj" class.
Including
	jasj.cls

%description -l ja
日本音響学会誌（和文誌）原稿作成用の TeX Live で用いる追加マクロパッケージです。
jasj クラスを指定して使用します。
以下のマクロが含まれています
	jasj.cls


%define jasjsrcdir	latex2e/UNIXEUC

%prep
%setup -q -c -n %{name}-%{version}/

%build

(cd %jasjsrcdir
%makepdf readme
)

%install
%__rm -rf %{buildroot}

%__mkdir_p %{build_texmf}/ptex/platex/jasj
%__cp -a %jasjsrcdir/*.cls %{build_texmf}/ptex/platex/jasj

%post
%{exec_texhash}
exit 0

%postun
%{exec_texhash}
exit 0

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %jasjsrcdir/*.{tex,pdf,1st}
%{texmf}/ptex/platex/jasj


%changelog 
* Sun Jul 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.0-2
- TeX Live 2009

* Sun Mar 29 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0-1
- initial build
