;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 23 用 Vine Linux text-translator 設定
;;    IWAI, Masaharu <iwai@alib.jp>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; text-translator の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(require 'text-translator)
(global-set-key "\C-x\M-t" 'text-translator)

;;  ;; set prefix-key to M-n
;; (setq text-translator-prefix-key "\M-n")

;; use translation type auto selection (english/japanese only)
;; set function that use auto selection
(setq text-translator-auto-selection-func
      'text-translator-translate-by-auto-selection-enja)

;; set global-key
(global-set-key "\C-xt" 'text-translator-translate-by-auto-selection)

;; ;; if you are setting environment variables HTTP_PROXY,
;; ;; you have not to set this.
;; (setq text-translator-proxy-server "proxy.example.com")
;; (setq text-translator-proxy-port   8080)

(provide 'vine-default-text-translator)

;; Local Variables:
;; mode: emacs-lisp
;; End:
