Summary: Broadcom NetXtreme Gigabit ethernet driver
Summary(ja): Broadcom NetXtreme ギガビットイーサネットドライバ
Name: tg3
Version: 3.116j
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Kernel
URL: http://ja.broadcom.com/support/ethernet_nic/netlink_k57.php
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
This package contains the Broadcom NetXtreme Gigabit ethernet driver.

%description -l ja
このパッケージには Broadcom NetXtreme ギガビットイーサネットドライバ(tg3)
が含まれています。

%package -n dkms-%{name}
Summary: Broadcom NetXtreme Gigabit ethernet driver
Summary(ja): Broadcom NetXtreme ギガビットイーサネットドライバ
Group: System Environment/Kernel
Requires(post): dkms
Requires(preun):dkms


%description -n dkms-%{name}
This package contains the Broadcom NetXtreme Gigabit ethernet driver.

%description -l ja -n dkms-%{name}
このパッケージには Broadcom NetXtreme ギガビットイーサネットドライバ(tg3)
が含まれています。

%prep
%setup -q

%build

%install
%{__rm} -rf %{buildroot}

# Kernel module sources install for dkms
%{__mkdir_p} %{buildroot}%{_usrsrc}/%{name}-%{version}/
%{__cp} -a * %{buildroot}%{_usrsrc}/%{name}-%{version}/

# Configuration for dkms
%{__cat} > %{buildroot}%{_usrsrc}/%{name}-%{version}/dkms.conf << 'EOF'
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}
MAKE[0]="make;make"
BUILT_MODULE_NAME[0]=%{name}
DEST_MODULE_LOCATION[0]=/kernel/drivers/misc
AUTOINSTALL="YES"
EOF

%clean
%{__rm} -rf %{buildroot}

%post -n dkms-%{name}
dkms add     -m %{name} -v %{version} --rpm_safe_upgrade &&
dkms build   -m %{name} -v %{version} --rpm_safe_upgrade &&
dkms install -m %{name} -v %{version} --rpm_safe_upgrade --force || :

%preun -n dkms-%{name} 
dkms remove  -m %{name} -v %{version} --rpm_safe_upgrade --all || :

%files -n dkms-%{name}
%defattr(-,root,root,-)
%doc README.TXT ChangeLog
%{_usrsrc}/%{name}-%{version}/

%changelog
* Tue Apr 19 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 3.116j-1
- initial build
