Name:	thunarx-python
Version: 0.3.0
Release: 2%{?_dist_release}
Summary: Python bindings for the Thunar Extension Framework
Summary(ja): Thunar 機能拡張フレームワーク用の Python バインディング

Group:	System Environment/Libraries
License: LGPLv2+	
URL: http://goodies.xfce.org/projects/bindings/thunarx-python
Source0: http://archive.xfce.org/src/bindings/thunarx-python/0.3/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: Thunar-devel >= 0.4.0
BuildRequires: pygtk2-devel >= 2.6.0
BuildRequires: pygobject-devel
BuildRequires: pygobject-doc
BuildRequires: python-devel
BuildRequires: gnome-python-devel >= 2.12.0
BuildRequires: gtk-doc

Requires: Thunar

%description
These bindings allow one to create python plugins for Thunar.

%prep
%setup -q


%build
%configure --enable-gtk-doc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/thunarx-2/
%{_libdir}/thunarx-python/
%doc %{_datadir}/gtk-doc/
%doc %{_datadir}/doc/thunarx-python/


%changelog
* Tue Feb 21 2012 Toshiharu kudoh <toshi.kd2@gmail.com> 0.3.0-2
- rebuilt with python-2.7

* Wed Feb 08 2012 Toshiharu kudoh <toshi.kd2@gmail.com> 0.3.0-1
- initial build for Vine Linux

* Tue Mar 22 2011 G.Balaji <balajig81@gmail.com> 0.2.3-3.1
- Addressed build issues for fedora_14.
* Tue Mar 21 2011 G.Balaji <balajig81@gmail.com> 0.2.3-3
- Addressed Second level of Review Comments.
* Tue Mar 21 2011 G.Balaji <balajig81@gmail.com> 0.2.3-2
- Addressed Review Comments.
* Tue Mar 15 2011 G.Balaji <balajig81@gmail.com> 0.2.3-1
- Initial Version.
