Name:           tintwizard
Version:        0.3.4
Release:        1%{?_dist_release}
Summary:        graphical user interface to generate configs and apply to them tint2
Summary(ja):    tint2 に適用される config を生成するためのグラフィカルユーザーインターフェース

Group:          User Interface/Desktops
License:        GPLv3
URL:            http://code.google.com/p/tintwizard/
Source0:        http://tintwizard.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	LICENSE

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:	desktop-file-utils
Requires:       tint2 python pygtk2

%description
This project aims to provide an easy way to change
the appearance of tint2.
Through an easy-to-use graphical user interface,
you can generate configs and apply to them tint2.

%description -l ja
このプロジェクトは tint2 の外観を容易に変更する方法の
提供を目的としています。
簡単に使えるグラフィカルユーザーインターフェイスを介して
config を生成し、それらを tint2 に適用することができます。


%prep
%setup -q -c %{name}-%{version}

# Add a copy of the license
cp %{SOURCE2} .

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %{name}.py $RPM_BUILD_ROOT/%{_bindir}

desktop-file-install					\
	--dir=%{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/%{name}.py
%{_datadir}/applications/%{name}.desktop

%changelog
* Tue Aug 31 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.4-1
- initial build for VineSeed
