Summary: a tty recorder
Name: ttyrec
Version: 1.0.8
Release: 1%{?_dist_release}
License: BSD
Group: Applications/Text
Source: http://0xcc.net/ttyrec/ttyrec-%{version}.tar.gz
URL: http://0xcc.net/ttyrec/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary(ja): ttyレコーダー

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
ttyrec is a tty recorder. A recorded data can be playback with the
included ttyplay command. ttyrec is just a derivative of script
command for recording timing information with microsecond accuracy as
well. It can record emacs -nw, vi, lynx, or any programs running on
tty.

%description -l ja
ttyrecはttyを録画します。録画したデータは付属のttyplayコマンドで再生で
きます。ttyrecはscriptコマンドにマイクロ秒単位で時間情報を埋め込む機能
を追加しただけの代物です。emacs -nwでもviでもlynxでもtty上で動くプログ
ラムなら何でも録画できます。

%prep
%setup -q

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

install -m 755 tty{rec,play,time} $RPM_BUILD_ROOT%{_bindir}
install -m 644 *.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Sat Jun 11 2011 IWAI, Masaharu <iwai@alib.jp> 1.0.8-1
- new upstream release
- drop Patch0: upstream merged
- update URL and Source0's URL
- apply new versioning policy
- using UTF-8 in spec file
- add Vendor and Distribution tags
- add Packager: iwaim

* Mon Aug 27 2007 Shu KONNO <owa@bg.wakwak.com> 1.0.6-0vl4
- s/Copyright/License/

* Sun Jun 26 2005 HOTTA Michihide <hotta@net-newbie.com> 1.0.6-0vl3
- add ttyrec-1.0.6-pty.patch

* Sun May  4 2003 IWAI Masaharu <iwai@alib.jp> 1.0.6-0vl2
- fix %%{files}

* Fri May  2 2003 IWAI Masaharu <iwai@alib.jp> 1.0.6-0vl1
- Updated to new upstream version 1.0.6

* Fri Sep 20 2002 yoshihiro ota <ota@j.email.ne.jp>
- Updated to new upstream version 1.0.5.
- Cleaned up spec file.

* Fri May 18 2001 akira yamada <akira@vinelinux.org>
- Updated to new upstream version 1.0.4.

* Fri Dec 29 2000 akira yamada <akira@vinelinux.org>
- Updated to new upstream version 1.0.2.

* Wed Dec 27 2000 akira yamada <akira@vinelinux.org>
- Initial packaging.
