Summary: A high quality TV viewer.
Summary(ja): ϥƥ TV ӥ奢
Name: tvtime
Version: 0.99
Release: 0vl1
License: GPL
Group: Applications/Multimedia
URL: http://tvtime.sourceforge.net/

Source: http://prdownloads.sourceforge.net/tvtime/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: freetype2-devel, zlib-devel, libpng-devel, XFree86-libs
BuildRequires: SDL-devel, libdirectfb-devel, libxml2-devel
Requires: libdirectfb, libpng, libxml2, zlib, freetype2, esound, audiofile

%description
tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

%description -l ja
tvtime ϥӥǥץ㥫ɤѤϥƥʥƥӥץ
Ǥtvtime ϥץ㥫ɤϤPCΥ˥ץ
ɽޤ¾ΥƥӥץꥱȰ㤤ӥǥޥ˥
ۤ˶Ť⤤ƥܻؤƤޤ


%prep
%setup

%build
%configure \
	--disable-dependency-tracking
%{__make} %{_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

desktop-file-install --vendor net                  \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/net-tvtime.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README* data/COPYING*
%doc docs/default.tvtime.xml docs/example.lircrc docs/html/
%doc %{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/tvtime/
%{_bindir}/tvtime-command
%{_bindir}/tvtime-configure
%{_bindir}/tvtime-scanner
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/tvtime.png
%{_datadir}/pixmaps/*
%{_datadir}/tvtime/
%defattr(4775, root, root, 0755)
%{_bindir}/tvtime

%changelog
* Tue May 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 0.99-0vl1
- new upstream release

* Tue Sep 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.10-0vl1
- build for Vine Linux

* Sun Sep 14 2003 Dag Wieers <dag@wieers.com> - 0.9.10-1
- Updated to release 0.9.10.

* Wed Sep 03 2003 Dag Wieers <dag@wieers.com> - 0.9.9-0
- Updated to release 0.9.9.

* Sat Jun 21 2003 Dag Wieers <dag@wieers.com> - 0.9.8.5-0
- Initial package. (using DAR)
