;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  -*- coding: utf-8-unix -*-
;;  FSF Emacs 23 用 Vine Linux uim-el 設定
;;    IWAI, Masaharu <iwai@alib.jp>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; uim-el の設定
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(if
    (or (equal emacs-ime "uim")
        (equal emacs-ime "uim-el"))
    (progn
      
      ;; uim.elを読み込む
      (require 'uim)
      ;; Emacs起動時に読み込んでほしくない場合は，上記をコメントアウトし，
      ;; 代わりに下記の行をアンコメント
      ;;(autoload 'uim-mode "uim" nil t)
      
      ;; uim-modeをトグルするためのキーバインド (C-oを使う場合の例)
      (global-set-key "\C-o" 'uim-mode)
      )
  (if
      (equal emacs-ime "uim-leim")
      (progn
	
	;; uim.elを読み込みEmacsへIMを登録する
	(require 'uim-leim)
	
	;; デフォルトのIMをuim提供のものに設定
	(setq default-input-method "japanese-anthy-utf8-uim")
	)))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(provide 'vine-default-uim-el)

;; Local Variables:
;; mode: emacs-lisp
;; End:
