Summary: remove idle mouse cursor image from screen
Summary(ja): 一定時間動かないマウスカーソルを見えなくする
Name: unclutter
Version: 1.8
Release: 1%{?_dist_release}
Source0: unclutter-8.tar.Z
License: public domain
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group: User Interface/X
Packager: Hiroto Watanabe <watanabe@cij.co.jp>
Vendor: Project Vine
Distribution: Vine Linux

%description
unclutter is a program which runs permanently in the background of an X11
session.  It checks on the X11 pointer (cursor) position every few
seconds, and when it finds it has not moved (and no buttons
are pressed on the mouse, and the cursor is not in the root window)

%description -l ja
unclutter は X11 セッションのバックグランドで動き続けるプログラムです。
マウスポインタが動いていないか(そしてクリックされていないか、更にルート
ウィンドウ上に無いか)を数秒間隔でチェックします。ルートウィンドウ上に
マウスポインタがある場合はマウスポインタを消しません。一旦消えたカーソ
ルは、マウスポインタを移動(クリック)することで再表示されます。

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}

%build
xmkmf -a
make

%install
#mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
#mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
make DESTDIR="$RPM_BUILD_ROOT" MANPATH=%{_mandir} install install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_bindir}/unclutter
%{_mandir}/man1/unclutter.1x*

%changelog
* Mon Oct 13 2008 Shu KONNO <owa@bg.wakwak.com> 1.8-1vl5
- applied new versioning policy, spec in utf-8
- added option MANPATH at make-install
- modified %%files

* Tue May  4 2004 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.8-0vl2
- rebuild for VineSeed

* Wed Jun 26 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- merged VinePlus1.0 and Kondara2.1

* Fri Oct 27 2000 Toru Hoshina <toru@df-usa.com>
- fixed man file name.

* Sat Oct 21 2000 TANAKA, Ken'ichiro <tanaka@elelab.nsc.co.jp>
- Initial release for Kondara

* Tue Apr 19 1999 Hiroto Watanabe <watanabe@cij.co.jp>
- Initial Release
