Summary: FUSE-based user-space union filesystem
Summary(ja): FUSEベースのユーザ空間 union ファイルシステム
Name: unionfs-fuse
Version: 0.24
Release: 1%{?_dist_release}
License: GPL
Group: System Environment/Kernel
URL: http://podgorny.cz/moin/UnionFsFuse

Source: http://podgorny.cz/unionfs-fuse/releases/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: fuse-devel >= 2.2
Requires: fuse

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
unionfs-fuse is a FUSE-base user-space union filesystem.

%description -l ja
unionfs-fuse は FUSE ベースのユーザ空間 union ファイルシステムです。

%prep
%setup -q

%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_syssbindir}
%{__install} -d -m0755 %{buildroot}%{_sysbindir}
%{__install} -d -m0755 %{buildroot}%{_mandir}/man8/
%{__install} -Dp -m0755 src/unionfs %{buildroot}%{_sysbindir}/unionfs
%{__install} -Dp -m0644 man/unionfs-fuse.8 %{buildroot}%{_mandir}/man8/unionfs-fuse.8

### Symlink different locations
%{__ln_s} -f %{_sysbindir}/unionfs %{buildroot}%{_syssbindir}/mount.unionfs
%{__ln_s} -f unionfs-fuse.8 %{buildroot}%{_mandir}/man8/unionfs.8

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CREDITS LICENSE NEWS examples/
%doc %{_mandir}/man8/unionfs-fuse.8*
%doc %{_mandir}/man8/unionfs.8*
%{_sysbindir}/unionfs
%{_syssbindir}/mount.unionfs

%changelog
* Mon Apr 04 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 0.24-1
- initial build for Vine Linux

* Mon Mar 23 2009 Dag Wieers <dag@wieers.com> - 0.23-1 - 7981/dag
- Updated to release 0.23.

* Thu Sep 04 2008 Dag Wieers <dag@wieers.com> - 0.22-1
- Updated to release 0.22.

* Sun Jul 27 2008 Dag Wieers <dag@wieers.com> - 0.21-1
- Updated to release 0.21.

* Tue Jun 03 2008 Dag Wieers <dag@wieers.com> - 0.20-1
- Updated to release 0.20.

* Tue Jun 03 2008 Dag Wieers <dag@wieers.com> - 0.19-1
- Updated to release 0.19.

* Sat Aug 11 2007 Dag Wieers <dag@wieers.com> - 0.18-1
- Updated to release 0.18.

* Sat May 12 2007 Dag Wieers <dag@wieers.com> - 0.17-1
- Initial package. (using DAR)
