%define pkg_version 0.1.1

Summary:	update config files from etcskel
Summary(ja):	etcskel のファイルから設定ファイルを更新する
Name:		update-from-skel
Version:	%{pkg_version}
Release:	1%{?_dist_release}
Source:		%{name}-%{version}.tar.bz2
License:	GPLv3
Group: 		Applications/Administration
URL:		http://vinelinux.org/

#Requires: 
#BuildRequires: 

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi


%description
FIXME!!

%description -l ja
/etc/skel にある設定ファイルとホームディレクトリにある設定ファイルを比較して
違いがあれば、sdiff や vim を利用して更新します。

%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/%{name}



%changelog
* Wed Aug 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.1-1
- fixed wrong msgid.

* Wed Aug 10 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1-1
- initial build for Vine Linux

