%define name vhelpdesk
%define version 0.1.2
%define release 1%{?_dist_release}

Summary: The applet that is the front end of Namazu.
Summary(ja): Namazuのフロントエンドとして働くアップレットです。
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Documentation
URL: http://vinedocs.sourceforge.jp/

Requires: gnome-panel, namazu_VineDocsdb, namazu_JFdb, namazu_JMANdb
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: gnome-desktop-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux


%description
The applet that is the front end of Namazu.
The document is retrieved based on the key word, and the result is 
displayed in a browser.

%description -l ja
Namazuのフロントエンドであるアップレットです。
キーワードを元に文書を検索し、結果をブラウザに表示します。

%prep
if [ -e $RPM_BUILD_ROOT ] ; then
    [ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT
fi

%setup -q


%build
%configure
%__make


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL


%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vhelpdesk.schemas > /dev/null

%files
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/vhelpdesk.schemas
%{_bindir}/vhelpdesk
%{_libdir}/bonobo/servers/VHelpDeskApplet.server
%{_libexecdir}/vhelpdesk_applet
%{_datadir}/locale/ja/LC_MESSAGES/vhelpdesk.mo
%{_datadir}/vhelpdesk/preferenses.glade
%{_datadir}/vhelpdesk/vhelpdesk_menu.xml



%changelog
* Mon Oct 13 2008 Shu KONNO <owa@bg.wakwak.com> 0.1.2-1vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 04 2007 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.2-0vl1
- update source.

* Sat Nov 25 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.1-0vl1
- update source.

* Fri Nov 24 2006 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.0-0vl1
- First release for VineSeed.



# end of file

