Name:		vine-manual-base
Version:	0.3.0
Release:	1%{?_dist_release}
License:	Vine Linux General Public License 4.0
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Common files for Vine Linux Online Manual
Summary(ja):	Vine Linuxマニュアルのための共通ファイル

# Dependency
Obsoletes:	Vine-manual

%description
Common files for Vine Linux Online Manual

%description -l ja
Vine Linuxマニュアルのための共通ファイルを提供します。

# Prepare
%prep
%setup -q

# Build
%build
%configure
#%%{__make} %{?_smp_mflags}

# Install
%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# Clean
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# after install
%post 
vine-manual-index-update

# File list
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_datadir}/vine-manual-base/doc-list.csv
%dir %{_datadir}/vine-manual-base
%{_bindir}/vine-manual-index-update
%{_bindir}/vine-manual-regist
%{_docdir}/Vine
%{_datadir}/vine-manual-base/index.html
%{_datadir}/pkgconfig/vine-manual-base.pc

# Change Log
%changelog
* Sat Jun 25 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.3.0-1
- new upstream release.

* Tue Mar 08 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.2-1
- Fixed regular expression

* Fri Mar 04 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1.1-1
- Use macro for Source0
- Obsoletes Vine-manual

* Fri Feb 18 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1-1
- written first.

