Name:		vine-manual-build
Version:	0.9.3
Release:	1%{?_dist_release}
License:	Vine Linux General Public License 4.0
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	A wrapper of xsltproc to build manual of Vine Linux.
Summary(ja):	Vine Linuxマニュアルをビルドするためのxsltprocラッパー

# Dependency
Requires:	vine-manual-base >= 0.3.0
Requires:	libxslt
Requires:	gnome-doc-utils

BuildRequires:	vine-manual-base >= 0.3.0
BuildRequires:	gnome-doc-utils

%description
A wrapper of xsltproc to build vine documentation.

%description -l ja
Vineドキュメントをビルドするためのxsltprocラッパーです。


# Prepare
%prep
%setup -q

# Build
%build
%configure
%{__make} %{?_smp_mflags}

# Install
%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# Clean
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# File list
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/sgml/docbook/vine-style-xsl/
%{_datadir}/pkgconfig/vine-manual-build.pc

# Change Log
%changelog
* Tue Aug 09 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.3-1
- move page top from head to body.
- When -w is used, add footer after navbar.

* Sat Jun 25 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.2-1
- add options.(-c,-i,-w,--help,--version)

* Sat Mar 05 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.1-1
- use macro for Source0

* Mon Jun 07 2010 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.9.0-1
- written first.

