# Basic Information
Name:		vine-manual-skel
Version:	0.1
Release:	1%{?_dist_release}
License:	GPLv3
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Initialize package of manual for Vine Linux
Summary(ja):	Vine Linux 用マニュアルのパッケージを初期化

# Dependency
Requires:	autoconf
Requires:	automake
Requires:	rarian-compat

%description
Initialize package of manual for Vine Linux.

%description -l ja
新しい Vine Linux 用マニュアルのパッケージを初期化します。

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

#%%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


#%%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
/usr/bin/vine-manual-init
/usr/share/vine-manual-skel

%changelog
* Fri Aug 12 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.1-1
- initial build for Vine Linux
