Name:		vine-vlgpl
Version:	4.0
Release:	1%{?_dist_release}
License:	GFDL
Group:		Applications/Documentation
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Vine Linux General Public License
Summary(ja):	Vine Linuxの利用および再配布について

# Dependency
Requires:	vine-manual-base

BuildRequires:	vine-manual-base
BuildRequires:	vine-manual-build

%description
Vine Linux General Public License

%description -l ja
Vine Linuxの利用および再配布について

# Prepare
%prep
%setup -q

# Build
%build
%configure
%{__make} html

# Install
%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install-html DESTDIR=${RPM_BUILD_ROOT}

# Clean
%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

# after install
%post 
scrollkeeper-update > /dev/null 2>&1 || :
vine-manual-regist -p 890 %{_docdir}/Vine/VLGPL/vine-vlgpl.html
vine-manual-index-update

%postun
if [ $1 -eq 0 ]; then
	scrollkeeper-update > /dev/null 2>&1 || :
	vine-manual-regist -r %{_docdir}/Vine/VLGPL/vine-vlgpl.html
	vine-manual-index-update
fi

# File list
%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_docdir}/Vine/VLGPL
%{_datadir}/omf/vine-vlgpl

# Change Log
%changelog
* Sun Mar 20 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 4.0-1
- written first.

