Summary:	a free OpenGL-based voumetrix visualization program
Name:		vis5d+
Version:	1.2.1
Release:	1%{?_dist_release}
Source:		vis5d+-%{version}.tar.bz2

Group:		Applications/Engineering
URL:		http://vis5d.sourceforge.net/
License:	GPL

Buildroot: 	%{_tmppath}/%{name}-%{version}-root
Provides:	vis5d
Obsoletes:	vis5d
#BuildRequires:	XOrg-devel, XOrg-gl-devel
BuildRequires:	xorg-x11-devel, mesa-libGL-devel
BuildRequires:	netcdf-devel

%description
Vis5d is a free OpenGL-based volumetric visualization program for 
scientific datasets in 3+ dimensions.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/netcdf"
%configure --with-memory=256
export tagname=CC
%__make LIBTOOL=/usr/bin/libtool

%install
rm -rf %{buildroot}
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool
## remove unuse files
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING
%doc COPYRIGHT NEWS README
%{_bindir}/*
%{_libdir}/lib*
%{_includedir}/vis5d+
%{_datadir}/locale/*
%{_datadir}/vis5d+

%changelog
* Sat Sep 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.2.1-1vl5
- applied new versioning policy, spec in utf-8
- removed *.la
- modified build-requires xorg

* Fri Oct 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2.1-0vl1
- initial build for Vine Linux

