%define pkg_major_version 1.4
%define pkg_name wine-docs
#%define pkg_suffix rc4
%define pkg_release 2

# NEW Release: numbering rule. -- Release: 1%{?_dist_release} 

Summary:        Documentation for wine (development)
Summary(ja):   WINE のドキュメント(主に開発者用)
Name:		%{pkg_name}
Version:	%{pkg_major_version}
#Release:	%{pkg_release}.%{pkg_suffix}%{?_dist_release}
Release:	%{pkg_release}%{?_dist_release}

Group:          Documentation
License:        LGPLv2+
URL:            http://www.winehq.org
Source0: http://ibiblio.org/pub/linux/system/emulators/wine/wine-docs-%{version}.tar.bz2
Patch0: wine-build.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
#--------------------------------------------------------------------
BuildArch:      noarch
BuildRequires:  docbook-utils-pdf
BuildRequires:  openjade
BuildRequires:  texlive-collection-genericrecommended
BuildRequires:  texlive-collection-htmlxml
BuildRequires:  texlive-common

#--------------------------------------------------------------------
%description 
This package is Wine's documentation repository. It consists of 
various guides and their translations.

%description -l ja
このパッケージは、WINE のドキュメント レポジトリです。
様々なガイド(英語)とその翻訳(※欧州)を含みます。
#--------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{version}
%patch0

%build
./configure
make


%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


#--------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc en/*pdf en/*ps en/*txt en/*html COPYING.LIB

#--------------------------------------------------------------------
%changelog
* Sat Jun 30 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.4-2
- spec in UTF-8

* Fri Jun 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.4-1
- new upstream release
- added BuildRequires: texlive-common, texlive-collection-htmlxml,
  texlive-collection-genericrecommended
- added Patch0 from Fedora to fix build error

* Wed Jun 11 2008 Seiichirou Babasaki 1.0-1rc4
- Updated specfile
- Update to 1.0-rc4

* Tue Jun 03 2008 Seiichirou Babasaki 1.0-1rc3
- Updated specfile
- Update to 1.0-rc3

* Mon Mar 24 2008 Seiichirou Babasaki 0.9.58
- Import wine-docs - Packager: Babasaki
- Updated specfile

#--------------------------------------------------------------------

* Tue Mar 11 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.57-1
- version upgrade

* Sun Feb 10 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.55-1
- version upgrade

* Fri Jan 25 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.54-1
- version upgrade

* Sat Jan 12 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.53-1
- version upgrade

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.52-1
- version upgrade

# ---- abbreviatio ----------------------------------------------------#

