Summary: One-click Windows package manager / wine frontend
Summary(ja): Wine フロントエンド
Name: wine-doors
Version: 0.1.3
Release: 1%{?_dist_release}
License: GPL
Group: Applications/Emulators
URL: http://www.wine-doors.org
Source0: wine-doors-%{version}.tar.gz
Source1: preferences-vine.xml

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)

Requires: libxml2-python
Requires: python >= 2.4
Requires: pygtk2
Requires: pygtk2-libglade
Requires: glade2
Requires: libglade2
Requires: wine
Requires: unzip
Requires: gnome-python-desktop
Requires: gnome-python-rsvg
Requires: cabextract
Requires: tar
Requires: pycairo
Requires: orange
Requires: xorg-x11-xkb-utils

BuildRequires: python >= 2.4

Vendor: Project Vine
Distribution: Vine Linux

%description
Wine-doors is an application designed to make installing windows 
software on Linux, Solaris or other Unix systems easier. Wine-doors 
is essentially a package management tool for windows software on 
Linux systems. Most Linux desktop users are familiar with package 
management style application delivery, so it made sense to apply 
this model to windows software.

Wine-doors works by leveraging the exquisite software, libraries 
and tools created over at WineHQ, there are also plans to support 
Cedega, cvscedega and Crossover Office.

Updating to 0.1.3 is highly recommended.

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT
python setup.py install -S --nodeps --temp=$RPM_BUILD_ROOT --prefix=%{_prefix}

# override preferences.xml
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/wine-doors/preferences.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_bindir}/wine-doors
%{_datadir}/wine-doors/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
/etc/wine-doors/preferences.xml

%changelog
* Sun Jun 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.3-1
- initial build for Vine Linux


* Sun Mar 16 2009 Andrew Stormont <andyjstormont@googlemail.com>
- Several bug fixes over 0.1.3rc1
- Several new packages including PhotoshopCS2 and Spotify
- IE works again!

* Sun Jan 18 2009 Andrew Stormont <andyjstormont@googlemail.com>
- Updated for 0.1.3rc1

* Sun Jan 20 2008 Karl Lattimer <karl@wine-doors.org>
- Initial RPM build
- 0.1.2-1
