Summary: wmSMPmon - CPU monitoring applet for SMP systems
Summary(ja): wmSMPmon - SMP システム用 CPU/負荷モニタ
Name:    wmSMPmon
Version: 3.1
Release: 1%{?_dist_release}
License: GPL2
Source0:  http://goupilfr.org/creations/archives/arch/wmSMPmon-%{version}.tar.gz
#Patch0: %{name}-%{version}-ppc.patch
URL: http://www.ribbrock.org/binabit/wmSMPmon
Group: User Interface/Desktops

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: libXext-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
wmSMPmon is a CPU monitoring applet for SMP systems
running Window Maker.

%description -l ja
wmSMPmon は WindowMaker 用のドックアプリケーションで，
SMP システム用 CPU モニタです．

%prep
%setup -q 

%build
cd wmSMPmon
make 

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 wmSMPmon/wmSMPmon ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 wmSMPmon/wmSMPmon.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc COPYING GREETINGS LISEZ-MOI
%{_bindir}/wmSMPmon
%{_mandir}/man1/*

%changelog
* Sat Jan 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.1-1
- updated to 3.1, dropped Patch1
- applied new versioning policy, spec in UTF-8
- updated URL
- s/Copyright/License/
- changed Group to User Interface/Desktops

* Tue Aug 28 2001 Jun Nishii <jun@vinelinux.org> 2.2-0vl1
- ver.up

* Fri Sep 29 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 2.1-0vl1
- initial package
