Summary: wmpop3 - a dockable pop3 mailbox checker
Summary(ja): wmpop3 - POP3 メールチェック用 dock app
Name:    wmpop3
Version: 0.5.6a
Release: 3%{?_dist_release}
License: GPL
Source0:  http://www.cs.mun.ca/~scotth/download/WMPop3-%{version}.tar.gz
URL: http://www.cs.mun.ca/~scotth/index.html

Group:    User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXpm-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
WMPop3 is a POP3 mail box checker. It will connect to a POP3
server to check if you have mail, if you do then it will alert you
of new mail and how many messages are currently in your mail box

When in furst execution of wmpop3, you'll be notified if you don't
have ~/.wmpop3rc configured. Modify the ~/.wmpop3rc file for your need,
and changing the permission to 600 would be recommended.


%description -l ja
WMPop3 は POP3 メールボックスチェック用のアプリケーションです．
POP3 サーバに接続してメールがあるかどうかチェックし，メールがあれば
何通届いているかを知らせてくれます．

最初に wmpop3 を起動した際に，~/.wmpop3rc がないか設定されていない場合は
その旨表示されますので，~/.wmpop3rc を適切に設定して下さい．
また，~/.wmpop3rc のパーミッションを 600 に変更することをお勧めします．


%prep
%setup -q

%build
cd wmpop3
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cd wmpop3
install -m 755 wmpop3 ${RPM_BUILD_ROOT}%{_bindir}
cp -p wmpop3rc ../sample.wmpop3rc


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGE_LOG COPYING INSTALL README sample.wmpop3rc
%{_bindir}/wmpop3

%changelog
* Sat Jan 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.6a-3
- applied new versioning policy, spec in UTF-8
- s/Copyright/License/
- changed Group to User Interface/Desktops 

* Thu Jan 13 2000 MATSUBAYASHI 'Shaolin' Kohji
  - 0.5.6a-2
  - BuildRoot changed to /var/tmp/wmpop3-root

* Sun Aug 22 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 0.5.6a-1
