Summary: Common filesystem layout for Web servers and applications
Summary(ja): Webサーバとアプリケーションのための共通ファイルと設定
Name: www-common
Version: 0.1
Release: 1%{?_dist_release}
License: Public Domain
Group: System Environment/Base

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
The package contains common filesystem layout and system settings
for web servers and applications.

%description -l ja
このパッケージには、Web サーバや Web アプリケーションに必要な
共通のファイルとシステム設定が含まれてます。

%prep

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/var/www

%clean
rm -rf %{buildroot}

%pre
# add "www-data" group
/usr/sbin/groupadd -f -g 48 -o -r www-data 2> /dev/null || :
# add "www-data" user
/usr/sbin/useradd -c "www data" -u 48 -g 48 -o -M \
    -s /sbin/nologin -r -d /var/www www-data 2> /dev/null || :

%files
%defattr(-,root,root)
%dir %attr(0775,www-data,www-data) /var/www

%changelog
* Mon May 21 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-1
- initial build
