Summary: Bench mark soft for X window system
Summary(ja): X のベンチマークソフト

Name: xengine
Version: 1.10pl1
Release: 6%{?_dist_release}
Group: Applications/Other
Source0: xengine-j-part01.z 
# ftp.lab.kdd.co.jp/Usenet/fj.sources/1990/xengine/part01.z
Source1: xengine-e-part01.z
# ftp.lab.kdd.co.jp/Usenet/comp.sources.x/volume09/xengine/part01.z
Patch1: xengine-j-patch1.z
# ftp.lab.kdd.co.jp/Usenet/fj.sources/1990/xengine/patch1.z
Patch2: xengine-e-patch1.z
# ftp.lab.kdd.co.jp/Usenet/comp.sources.x/volume09/xengine/patch1.z
Patch3: xengine-1.10pl1.patch
Patch4: xengine-1.10pl1p.patch
# http://www-jlc.kek.jp/~fujiik/mklinux/Packages/rawhide/SOURCES/
License: distributable
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: libX11-devel, libICE-devel, libSM-devel, libXext-devel
BuildRequires: libXmu-devel, libXt-devel
BuildRequires: libXaw-devel >= 1.0.5
Vendor: Project Vine
Distribution: Vine Linux

%description
xengine displays a animating reciprocating engine. 
Please don't ask me why. :-)

%description -l ja
レシプロエンジン・シミュレータです。なんの役にたつかなんて
ことは気にしないでください. :-)

%prep 
mkdir -p xengine/{xengine-j,xengine-e}

cd xengine
(cd xengine-j
zcat %{SOURCE0} | unshar -c
%patch1 -p1
%patch3 
%patch4 -p1
)
(
cd xengine-e
zcat %{SOURCE1} | unshar -c

%patch2 -p1
)

%build
cd xengine/xengine-j
xmkmf
make xengine
uudecode README.j.uu
cat xengine.c | sed -e '17,337d' | sed -e '1,2d' > COPYRIGHT

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1

cd xengine/xengine-j
make install DESTDIR="%{buildroot}"
cd ../xengine-e
install -c -m 0444 xengine.man %{buildroot}/%{_mandir}/man1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/xengine
%{_mandir}/man1/*
%doc xengine/xengine-j/README.j xengine/xengine-j/COPYRIGHT xengine/xengine-e/README


%changelog
* Sun Nov 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10pl1-6
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Thu Jul 10 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.10pl1-5
- rebuild with xorg-x11-7.3
- new versioning policy
- change install directory to %%{_bindir}

* Fri Sep 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.10pl1-4vl4
- rebuilt with new toolchains
- changed Group to Applications/Other

* Tue Jun 26 2001 Jun Nishii <jun@vinelinux.org> 1.10pl1-4vl3
- modify spec

* Sat Sep 30 2000 Jun Nishii <jun@vinelinux.org>
- 1.10pl1-4vl2
- added %defattr

* Mon Jun 05 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.10pl1-4vl1
- included a patch (by Mr. K.Fujii) for ppc

* Wed Mar 15 2000 Jun Nishii <jun@vinelinux.org>
- build for Vine Linux 2.0

* Tue May 13 1999 Takashi Hashimoto <hash@jaist.ac.jp>
- ported from JRPM for Vine Linux 
- added Japanese summary and description
