Summary: 	Time-managing application for xfce4.
Name: 		xfcalendar
Version: 	4.2.3
Release: 	0vl1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-4.0.6/src/%{name}-%{version}.tar.gz
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: XOrg-libs atk dbh glib2 glibc gtk2 pango
Requires: libxfce4mcs libxfce4util libxfcegui4
Requires: xfce-mcs-manager
BuildRequires: XOrg-devel atk-devel dbh glib2-devel glibc-devel gtk2-devel
BuildRequires: pango-devel
BuildRequires: libxfce4mcs-devel libxfce4util-devel libxfcegui4-devel
BuildRequires: xfce-mcs-manager-devel

%description
Time-managing application for xfce4

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog INSTALL COPYING AUTHORS
%{_bindir}/*
%{_libdir}/xfce4
%{_datadir}/*

%changelog
* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release
- add Requires: xfce-mcs-manager and BuildRequires: xfce-mcs-manager-devel

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 0.1.9-0vl1
- new upstream release

* Wed Jun 23 2004 UECHI Yasumasa <uechi@potaway.net> 0.1.8-0vl2
- add Requires and BuildRequires
- revise xfce version of source URL (4.0.3 -> 4.0.5)

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 0.1.8-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 0.1.6-0vl1
- new upstream release

* Fri Jan 09 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 0.1.5-0vl1
- initial release for vine

