Summary: 	Plugins for multi channel settings manager
Name: 		xfce-mcs-plugins
Version: 	4.4.2
Release: 	1%{?_dist_release}
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk2 >= 2.4.0
Requires:	glib2 >= 2.4.0
Requires:	libxfce4mcs >= %{version}
Requires:	libxfce4util >= %{version}
Requires:	libxfcegui4 >= %{version}
Requires:	xfce-mcs-manager >= %{version}
Requires:	atk pango
BuildRequires: 	gtk2-devel >= 2.4.0
BuildRequires: 	glib2-devel >= 2.4.0
BuildRequires:	libxfce4mcs-devel >= %{version}
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	libxfcegui4-devel >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	atk-devel pango-devel

%description
xfce-mcs-plugins is a set of plugins for the multi channel settings manager

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog ChangeLog.pre-xfce-mcs-plugins
%{_datadir}/xfce4/doc
%{_datadir}/icons
%{_datadir}/applications/*
%{_datadir}/%{name}
%dir %{_libdir}/xfce4/mcs-plugins
%{_libdir}/xfce4/mcs-plugins/*

%changelog
* Sun Aug 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.4.2-1
- appiled new versioning policy
- removed *.a files from plugins directory

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version
- add %{_datadir}/%{name} to files section

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Thu Jan 08 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Sun Jan 04 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial related for vine

