Summary: System Load plugin for Xfce
Summary(ja): Xfce 用システム負荷監視プラグイン
Name: xfce4-systemload-plugin
Version: 1.1.0
Release: 1%{?_dist_release}

License: BSD
Group: User Interface/Desktops
URL: http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: http://archive.xfce.org/src/panel-plugins/%{name}/1.1/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk2-devel >= 2.6.0
BuildRequires: libxfce4util-devel >= 4.3.99.1
BuildRequires: libxfce4ui-devel >= 4.7.0
BuildRequires: xfce4-panel-devel >= 4.3.99.1
BuildRequires: upower-devel >= 0.9.0

%description
A system load plugin for the Xfce4 desktop environment, written by Riccardo
Persichetti. It displays the current CPU load, the memory in use, the swap
space and the system uptime in the Xfce4 panel.

%description -l ja
Riccardo Persichetti が書いた Xfce デスクトップ環境用のシステム負荷監視
プラグインです．CPU負荷、メモリ使用量、スワップスペース、システム稼働時間
を Xfce パネルに表示します．

%prep
rm -rf %{buildroot}

%setup -q

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop

%changelog
* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- new upstream release
- remove BuildRequires: libxfcegui4-devel
- add BuildRequires: libxfce4ui-devel

* Sun May 22 2011 Ryoiochi INAGAKI <ryo1@bc.wakwak.com> 1.0.0-1
- updated to 1.0.0
- added BR: xfce4-panel-devel

* Mon Oct 27 2008 Shu KONNO <owa@bg.wakwak.com> 0.4.2-1vl5
- applied new versioning policy, spec in utf-8

* Mon Oct 22 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 0.4.2-0vl2
- new upstream release
- build with Xfce 4.4
- cleanup Requires and BuildRequires
- update %%files section

* Mon Jan 24 2005 UECHI Yasumasa <uechi@potaway.net> 0.3.6-0vl2
- new upstream release
- build against Xfce 4.2

* Fri Aug 20 2004 UECHI Yasumasa <uechi@potaway.net> 0.3.4-0vl2
- build for VineSeedPlus

* Fri Aug 20 2004 UECHI Yasumasa <uechi@potaway.net> 0.3.4-0vl1
- build for VinePlus 3.0

