Name: 		xfce4-verve-plugin
Summary:        Command line plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 CPU コマンドラインプラグイン
Version:        1.0.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/1.0/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  libxfce4util-devel >= 4.4.0
BuildRequires:  libxfcegui4-devel >= 4.4.0
BuildRequires:  xfce4-panel-devel >= 4.4.0
BuildRequires:  libexo-devel >= 0.5.0
BuildRequires:  pcre-devel >= 5.0
BuildRequires:  dbus-glib-devel >= 0.60

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The Verve panel plugin is a comfortable command line plugin for the Xfce panel. It supports several nice features, such as:

  - Command history
  - Auto-completion (including command history)
  - Open URLs and eMail addresses in your favourite applications
  - Focus grabbing via D-BUS (so you can bind a shortcut to it)
  - Custom input field width


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/verve-focus
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/%{name}.desktop

%changelog
* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.0.0-1
- initial build for Vine Linux

