Summary: Memo on X11
Summary(ja): 付箋紙 on X11
Name: xfusen
Version: 0.3.0
Release: 4%{?_dist_release}
Source: xfusen-%{version}.tar.gz
# Vine Patch
Patch0: xfusen-kinput2.patch.gz
Patch1: xfusen-font.diff
License: distributable
Group: Applications/Text
Url: http://arch.jpn.org/.museum/archives/
Buildroot: %{_tmppath}/%{name}-root

BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: libXaw-devel
BuildRequires: libX11-devel
Requires: xorg-x11-jpfonts

%description
Fusen-shi (a tag paper) on X11, like Stickies on Macintosh.

%description -l ja
このプログラムは，X11 のデスクトップ上に付箋紙を作成するものです．
XPostIt(+) とは異なり，Macintosh の Stickies に似た動作をします．
kinput2で日本語入力ができます。

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -n %{name}
%patch0 -p0
%patch1 -p1

%build
xmkmf -a
make

%install
make install BINDIR=$RPM_BUILD_ROOT%{_bindir}

%clean

%files
%defattr(-,root,root)
%doc ChangeLog README
%{_bindir}/xfusen

%changelog 
* Sun Mar 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-4
- fix Url

* Mon Jan 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.0-3
- add BuildRequires: imake, libXt-devel, libXaw-devel, libX11-devel
- add Requires: xorg-x11-jpfonts <BTS:884>

* Sun Nov 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.3.0-2vl5
- rebuild with libXaw.so.7 (libXaw-1.0.5)

* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.3.0-1vl5
- applied new versioning policy, spec in utf-8

* Fri Aug 24 2007 Shu KONNO <owa@bg.wakwak.com> 0.3.0-0vl2
- s/Copyright/License/

* Mon Mar 25 2002 Jun Nishii <jun@vinelinux.org> 0.3.0-0vl1
- first build for Vine

