Summary: Excel 95/97 and PowerPoint to HTML converter
Name: xlHtml
Version: 0.5
Release: 2%{?_dist_release}
License: GPL
Distribution: Vine Linux
Vendor: Project Vine 
Group: Applications/Text
Source0: xlhtml-%{version}.tgz 
Patch0: xlHtml-0.2.8-destdir.patch
Patch1: xlhtml-0.5-config-x86_64.patch
URL: http://chicago.sourceforge.net/xlhtml/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildPrereq: autoconf automake
Provides: xlhtml ppthtml

%description
The xlHtml program will take an Excel 95, or 97 file as input and
convert it to highly optimized html. The output is via standard out
so it can be re-directed to files or piped to filters or used as a
gateway on the internet.


%prep
%setup -q -n xlhtml-%{version}
%patch1 -p1 -b .config-x86_64

%build
rm -f config.{guess,sub}
aclocal
autoconf
automake -a

# Workaround for legacy auto* tools
#%ifnarch x86_64 %{ix86}
#[ -x /usr/bin/autoheader-2.13 ] && ln -s /usr/bin/autoheader-2.13 autoheader
#[ -x /usr/bin/autoconf-2.13 ] && ln -s /usr/bin/autoconf-2.13 autoconf
#%endif
#[ -x /usr/bin/aclocal-1.4 ] && ln -s /usr/bin/aclocal-1.4 aclocal
#[ -x /usr/bin/automake-1.4 ] && ln -s /usr/bin/automake-1.4 automake
#
#export PATH=`pwd`:$PATH
## End workaround

%configure
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/*
%{_mandir}/*/*

%changelog 
* Mon Jun 15 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.5-2vl5
- fix build section

* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.5-1vl5
- applied new versioning policy, spec in utf-8

* Sun Jan 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5-0vl3
- fixed autoconf version on x86 arch

* Mon Dec 24 2007 Shu KONNO <owa@bg.wakwak.com> - 0.5-0vl2
- added Patch1: xlhtml-0.5-config-x86_64.patch
- fixed autoconf version

* Thu Jun  9 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5-0vl1
- rebuild with new toolchains
- added BuildPrereq and Provides
- updated Summary, URL, Group and Description
- s/Copyright/License/

* Wed May  2 2001 SHoji Matsumoto <shom@vinelinux.org>
- 0.2.8-0vl0
- create

