Summary:     xlogical - parallel thinking puzzle game
Summary(ja): xlogical - ѥ륲

%define rel     7

Name:		xlogical
Version:	1.0
Release:	%{rel}vl2
License:	GPL
Group:		Applications/Games
Source: http://changeling.dynip.com/xlogical/downloads/%{name}-%{version}-%{rel}.tar.gz
## Vine Patch
Patch10:	%{name}-%{version}-scoredir.patch

URL:		http://changeling.dynip.com/xlogical/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	SDL >= 1.1.0, SDL_image, SDL_mixer
BuildRequires:	SDL-devel, SDL_image-devel, SDL_mixer-devel
BuildPrereq:    automake14, gcc295-c++

%description
This is a puzzle game based on a game by Rainbow Arts called Logical! which
was released on the Commodore Amiga in 1980's.  It requires parallel thinking
and quick reflexes.

#'

%description -l ja
xlogical  Rainbow Arts  Logical! ( Commodore Amiga Ѥ
1980ǯ˺줿) 򻲹ͤˤѥ륲Ǥ
ƱˤȿŪ˻׹/뤳Ȥ׵ᤵޤ


%prep
%setup -q
%patch10 -p1 -b .scoredir


%build
# Workaround for legacy auto* tools
#[ -x /usr/bin/autoconf-2.13 ] && ln -s /usr/bin/autoconf-2.13 autoconf
#[ -x /usr/bin/autoheader-2.13 ] && ln -s /usr/bin/autoheader-2.13 autoheader
[ -x /usr/bin/aclocal-1.4 ] && ln -s /usr/bin/aclocal-1.4 aclocal
[ -x /usr/bin/automake-1.4 ] && ln -s /usr/bin/automake-1.4 automake
export PATH=`pwd`:$PATH
# End workaround

%configure --localstatedir=/var/lib/games
make prefix=/usr localstatedir=/var/lib/games CXX=g++-2.95.3


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall \
	localstatedir="$RPM_BUILD_ROOT/var/lib/games" \
#make prefix="$RPM_BUILD_ROOT/usr" \
#	install-strip


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS NEWS TODO LICENSE
%attr(2755, root, root) %{_bindir}/xlogical
%{_datadir}/xlogical
/var/lib/games/xlogical.scores


%changelog
* Mon Sep 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0-7vl2
- using autoconf-2.59
- changed Group to Applications/Games

* Mon Sep 13 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.0-7vl1
- based on 1.0-7 at xlogical offical web site
- rebuild with new toolchains
- added BuildPrereq: automake14, autoconf213, gcc295-c++
- updated scoredir patch
- used better macros
- s/Copytright/License/
- Changed Group: to Amusements/Games

* Tue Nov 28 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.0-4vl1
- based on 1.0-4 at xlogical offical web site
- rebuild for Vine Linux
- added Japanese summary and description
- spec modified for rebuilding by non-root user
- score file stored in /var/lib/games (same as many gnome-games apps)

* Sat Nov 18 2000 Tom Warkentin <tom@changeling.dynip.com>
- fixed infinite loop when calculating time bonus after finishing "DIMLIGHTS"
  level
  (reported by <wuff@writeme.com>
- fixed disappearing ball bug when balls were bouncing back and forth between
  full spinners
  (reported by <wuff@writeme.com>
- fixed compiler errors/warnings from RedHat 7.0 C++ compiler
  (reported by <Nat.Pryce@quokka.com>)
- implemented and tested 'make uninstall'
  (reported by <Nat.Pryce@quokka.com>)
- changed install target to install data files into ${prefix}/share/xlogical
  (reported by <Nat.Pryce@quokka.com>)
- changed install target to install high score file into
  ${localstatedir}/var/xlogical
  (reported by <Nat.Pryce@quokka.com>)

* Fri Oct 13 2000 Tom Warkentin <tom@changeling.dynip.com>
- added usage information if invalid command line arguments are supplied
  (reported by <Daniel_Burrows@brown.edu>)
- fixed core dump when no module info is available (only shows up with audio
  disabled)
  (reported by <Daniel_Burrows@brown.edu>)
- changed generation of xlogical.properties file to be a build dependency
  instead of an install dependency.  "make install prefix=/usr/foobar" will
  not modify any configuration files now - they are all generated as needed
  during the build.
  (reported by <Daniel_Burrows@brown.edu>)

* Mon Oct 9 2000 Tom Warkentin <tom@changeling.dynip.com>
- fixed a large memory leak in graphics routines that were called constantly
- fix is in xlogical-1.0-2

* Sat Oct 7 2000 Tom Warkentin <tom@changeling.dynip.com>
- initial release

