%define	ver	0.14a
%define	rel	1%{?_dist_release}

Summary:	Input plug-in for xmms that reads audio data from CDs
Summary(ja):	xmms で CD からオーディオデータを読む為の入力プラグイン
Name:		xmms-cdread
Version:	%{ver}
Release:	%{rel}
License:	GPL
Group:		Applications/Multimedia
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://www.xmms.org/plugins_input.html

Source:		ftp://mud.stack.nl/pub/OuterSpace/willem/%{name}-%{version}.tar.gz

BuildPreReq:    xmms-devel
BuildPreReq:    glib-devel >= 1.2.2
BuildPreReq:    gtk+-devel >= 1.2.2

PreReq:         xmms

%description
xmms-cdread is a plug-in library for xmms to read audio data from Audio-CDs.
It's pretty usable when your CD-ROM drives only have digital output and to
play audio CDs thru xmms player.

%description -l ja
xmms-cdread はオーディオ CD からオーディオデータを読み出す為の
xmms プラグインです．ディジタル出力しか備えていない CD-ROM ドライブでも
xmms でオーディオ CD を再生する事が出来るようになります．


%prep
%setup -q


%build
%ifarch x86_64
%configure %{_arch}-vine-linux
%else
./configure %{_arch}-vine-linux
%endif
make


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BULD_ROOT}" != / ] && rm -rf ${RPM_BUILD_ROOT}

make libdir=${RPM_BUILD_ROOT}%{_libdir}/xmms/Input install


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BULD_ROOT}" != / ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/xmms/Input/libcdread*


%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 0.14a-1vl5
- applied new versioning policy, spec in utf-8

* Thu Dec 27 2007 Shu KONNO <owa@bg.wakwak.com> 0.14a-0vl2
- updated %%configure (for x86_64)

* Sat Feb 02 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.14a-0vl1
- initial rpm for Vine Linux
  (throughly tested with slot-loading DVD-ROM drive on PowerBook G4)
