%define tarball xf86-video-avivo
%define driverdir %(pkg-config xorg-server --variable=moduledir)/drivers
%define gitdate 20070918
%define gitrev be7d380aba8d1ff2272bf2c931b2c9f78a549b46

Name:           xorg-x11-drv-avivo
Version:        0.0.1
Release: 1%{?_dist_release}
Summary:        Xorg X11 AVIVO video driver
Summary(ja):        Xorg X11 AVIVO ビデオドライバ

Group:          User Interface/X Hardware Support
License:        GPLv2 and zlib
URL:            http://www.x.org/
# git snapshot.  To recreate, run
# % ./make-snapshot.sh %{gitrev}
Source0:        %{tarball}-%{gitdate}.tar.bz2
Source1:	make-snapshot.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  autoconf automake libtool pkgconfig
BuildRequires:  libpciaccess-devel
BuildRequires:  xorg-x11-server-sdk >= 1.3.0.0
Requires:       xorg-x11-server-Xorg

Patch0:		x2300.patch

%description
X.Org X11 video driver for ATI R500 (AVIVO) cards and newer.

%prep
%setup -q -n %{tarball}-%{gitdate}
%patch0 -p1 -b .x2300

%build
autoreconf -v --install
# this is just paranoia.
%configure --disable-pciaccess
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{driverdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING STATUS
%{_bindir}/avivotool
%{driverdir}/avivo_drv.so

%changelog
* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.1-1
- initial build for Vine Linux

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.1-7
- Autorebuild for GCC 4.3

* Thu Oct  4 2007 Kristian Høgsberg <krh@redhat.com> - 0.0.1-6
- Add patch to add X2300 PCI IDs.

* Tue Sep 18 2007 Adam Jackson <ajax@redhat.com> 0.0.1-4
- Package review feedback (#293801)

* Mon Sep 17 2007 Adam Jackson <ajax@redhat.com> 0.0.1-3
- Post-doc-drop git build.

* Wed Jul 25 2007 Adam Jackson <ajax@redhat.com> 0.0.1-2
- Updated git build.

* Thu Jun 14 2007 Adam Jackson <ajax@redhat.com> 0.0.1-1
- Initial revision.
