Name:           xorg-x11-drv-ivtv
Version:        1.0.1
Release: 1%{?_dist_release}
Summary:        Xorg X11 ivtv video driver
Summary(ja):        Xorg X11 ivtv ビデオドライバ

Group:          User Interface/X Hardware Support
License:        MIT
URL:            http://ivtvdriver.org
Source0:        http://dl.ivtvdriver.org/xf86-video-ivtv/archive/1.0.x/xf86-video-ivtv-%{version}.tar.gz
Patch0:         xf86-video-ivtv-1.0.1-pagesize.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: xorg-x11-server-sdk >= 1.3.0.0-6
#BuildRequires: libtool
Requires:  xorg-x11-server-Xorg
Requires:  ivtv-firmware
Obsoletes: ivtv_xdriver < %{version}

%description
X.Org X11 ivtv video driver.

%prep
%setup -q -n xf86-video-ivtv-%{version}
%patch0 -p0 -b .pagesize
#sh autogen.sh

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers/ivtv_drv.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_libdir}/xorg/modules/drivers/ivtv_drv.so


%changelog
* Sat May 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.1-1
- initial build for Vine Linux

* Thu Mar  6 2008 kwizart < kwizart at gmail.com > - 1.0.1-2
- Add back xf86-video-ivtv-1.0.1-pagesize.patch

* Thu Mar  6 2008 kwizart < kwizart at gmail.com > - 1.0.1-1
- Update to 1.0.1 (final)

* Thu Mar  6 2008 kwizart < kwizart at gmail.com > - 1.0.1-0.2
- Add xf86-video-ivtv-1.0.1-pagesize.patch

* Wed Mar  5 2008 kwizart < kwizart at gmail.com > - 1.0.1-0.1
- Backport the libpciaccess support from pre 1.0.1

* Tue Feb 19 2008 kwizart < kwizart at gmail.com > - 1.0.0-3
- Fix for libpciaccess support

* Mon Feb 18 2008 kwizart < kwizart at gmail.com > - 1.0.0-2
- Bump for Fedora introduction.

* Mon Oct 22 2007 kwizart < kwizart at gmail.com > - 1.0.0-1
- Initial package.
