Summary:	Xsnow will spread Christmas cheer on your X display
Summary(ja):	あなたのディスプレイをクリスマスの雰囲気にします．
Name:		xsnow
Version:	1.42
Release:	1%{?_dist_release}
License:	MIT
Group:		Applications/Other
URL:		http://www.euronet.nl/~rja/Xsnow/
Source0:	http://www.euronet.nl/~rja/Xsnow/xsnow-%{version}.tar.gz
Source1:	xsnow.wmconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	xorg-x11-devel
Requires:	xorg-x11-libs

%description
A continual gentle snowfall is accompanied by Santa Claus flying his
sleigh around your screen. Don't forget to shake the snow off those
windows every now and then!

%prep
%setup -q

%build
xmkmf
%__make

%install
%__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_sysconfdir}/X11/wmconfig

%__make DESTDIR=%{buildroot} MANPATH=%{_mandir} install install.man
%__install -p -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/X11/wmconfig/xsnow

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_bindir}/xsnow
%{_mandir}/man1/xsnow.1x*
%config %{_sysconfdir}/X11/wmconfig/xsnow

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.42-1vl5
- applied new versioning policy, spec in utf-8
- added MANPATH at make-install
- modified directories

* Fri Sep 29 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.42-0vl3
- changed Group to Applications/Other

* Tue Jan 31 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.42-0vl2
- rebuild

* Tue Jan 31 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.42-0vl1
- upstream release
- update URL
- s/Copyright/License/
- use more macros
- add BuildRequires: XOrg-devel
- add README

* Thu Nov  9 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 1.40-7vl2
- modified %files section to handle compressed man pages

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
