Summary:   X Set Root Image
Summary(ja): X のルートウィンドウに画像を表示するプログラム
Name:      xsri
Version:   2.1.0
Release:   4%{?_dist_release}
License:   GPL
Group:     User Interface/X
Source0:   %{name}-%{version}.tar.gz
Obsoletes: xbanner

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 1.3.13
BuildRequires: popt

%description
X Set Root Image - displays images on the root window with 
parameters. Does nothing much more.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
export CFLAGS=$RPM_OPT_FLAGS
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_bindir}/*

%changelog
* Sun May 25 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.0-4
- applied new versioning policy
- spec in UTF-8

* Sun May 21 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.0-3vl4
- added Japanese summary
- changed Group to User Interface/X

* Thu Jan 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.1.0-3vl3
- rebuilt with new XOrg
- Make rpm install section export RPM_OPT_FLAGS in CFLAGS

* Sun Jan 12 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.0-3vl2
- add obsoletes xbanner.

* Mon Dec 30 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.0-3vl1
- build for Vine Linux

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Feb 11 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.1.0

* Wed Aug 15 2001 Owen Taylor <otaylor@redhat.com>
- Version 2.0.3

* Fri Aug 03 2001 Owen Taylor <otaylor@redhat.com>
- Version 2.0.2

* Sun Jul 08 2001 Owen Taylor <otaylor@redhat.com>
- Version 2.0.1

* Sun Jul 08 2001 Owen Taylor <otaylor@redhat.com>
- Epoch is 1

* Sun Jul 08 2001 Owen Taylor <otaylor@redhat.com>
- Version 2.0.0

* Sun Jul  8 2001 Owen Taylor <otaylor@redhat.com>
- Completely new version

* Tue Apr 6 1999 The Rasterman <raster@redhat.com>
- made rpm
