%define name	xvkbd
%define version	2.8
%define release	1%{?_dist_release}

Summary:	Virtual keyboard for X window system
Summary(ja): 	X Window System 用仮想キーボード
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	http://homepage3.nifty.com/tsato/xvkbd/%{name}-%{version}.tar.gz
Source1:	xvkbd.desktop
License:	GPL
Group:		Applications/Accessories
URL:		http://homepage3.nifty.com/tsato/xvkbd/index-j.html

BuildRequires:	XOrg-devel, Xaw3d-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(softwares) by clicking on a keyboard displayed on the screen.  This
may be used for systems without a hardware keyboard such as kiosk
terminals or handheld devices.  This program also has facility to
send characters specified as the command line option to another
client.

%description -l ja
xvkbd は X Window System 用の仮想 (グラフィカル) キーボード・プログラム
であり、画面上に表示されたキーボードをクリックすることによって他のクラ
イアント (ソフトウェア) へのキーの入力を行なうための機能を提供します。
これは、キオスク端末やハンドヘルド・デバイスのようなキーボード無しのシス
テムのために使用できるかも知れません。また、これはコマンド行オプションと
して指定された文字列を他のクライアントへ送る機能も持っています。


%prep
%setup -q


%build
xmkmf
%{__make}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%{__make} install.man DESTDIR=${RPM_BUILD_ROOT} MANPATH=%{_mandir}

# install .desktop file
%{__install} -d ${RPM_BUILD_ROOT}/%{_datadir}/applications
%{__install} -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_datadir}/applications

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
%{_bindir}/xvkbd
%{_sysconfdir}/X11/app-defaults/XVkbd*
%{_mandir}/man1/xvkbd.1x.gz
%{_datadir}/applications/xvkbd.desktop

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.8-1vl5
- applied new versioning policy, spec in utf-8
- modified install directories

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.8-0vl2
- rebuild with Xaw3d-1.5E

* Wed Jan 16 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 2.8-0vl1
- initial build for Vine Linux
