Summary: An X Window System screenshot grabber.
Summary(ja): X ウィンドウ・システムの画像切取ツール
Name: xwpick
Version: 2.20
Release: 12%{?_dist_release}
License: MIT
Group: User Interface/X
Source: ftp://ftp.x.org/contrib/applications/xwpick-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: XOrg-devel

%description
The xwpick program allows you to choose an image or a rectangular piece
of an image from an X Window System window and then write the image to
a file in a variety of formats, incuding PostScript(TM), GIF, and PICT.

Install the xwpick program if you need to take screenshots from X Window
System screens and write them to files.

%description -l ja
xwpick を使うと X Window System のウィンドウの画像を切り取って
PostScript(TM), GIF, PICT などのフォーマットで保存することができます．

%prep
%setup -q

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT MANPATH=%{_mandir} install install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 0README
%{_bindir}/xwpick
%{_mandir}/man1/xwpick.1*

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 2.20-12vl5
- applied new versioning policy, spec in utf-8
- modified install directories

* Tue Jul 11 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20-11vl3
- rebuilt with new toolchains
- changed Group to User Interface/X
- added BuildRequires
- s/Copyright/License/

* Thu Nov  9 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 2.20-11vl2
- modified %files section to handle compressed man pages

* Fri Mar 10 2000 Jun Nishii <jun@vinelinux.org>
- build for Vine Linux 2.0

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Fri Dec 20 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed src url

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
