Summary: xyaku is an English-Japanese translation program and more under X11.
Name: xyaku 
Version: 1.4.0
Release: 1%{?_dist_release}
#Source: http://www.ainet.or.jp/~inoue/software/xyaku/xyaku-%{version}.tar.gz
Source: http://www.sepia.dti.ne.jp/inoue/software/xyaku/xyaku-%{version}.tar.gz
License: GPL
Group: Applications/Text
#Url: http://www.ainet.or.jp/~inoue/software/xyaku/
Url: http://www.sepia.dti.ne.jp/inoue/software/xyaku/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: grep edict

%description
xyaku is an English-Japanese translation program and more under X11.
Furthermore, xyaku is yet another Web search engine front-end.

%prep
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/bin
#mkdir -p $RPM_BUILD_ROOT/usr/libexec/xyaku
#mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
%setup -q 

%build
##./configure --prefix=/usr --with-egrep=/bin/egrep --with-edict=/usr/share/edict
%configure --with-egrep=%{_bindir}/egrep --with-edict=%{_datadir}/edict
make

%install
rm -rf $RPM_BUILD_ROOT
##make install prefix=$RPM_BUILD_ROOT/usr
##install -m 644 Xyaku.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Xyaku 
##install -m 644 addin/ChangeLog $RPM_BUILD_ROOT/usr/libexec/xyaku/ChangeLog
##install -m 644 addin/ADDIN.txt $RPM_BUILD_ROOT/usr/libexec/xyaku/ADDIN.txt
##install -m 644 addin/README.searcheb.ja $RPM_BUILD_ROOT/usr/libexec/xyaku/README.searcheb.ja

mkdir -p $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults
make install prefix=$RPM_BUILD_ROOT%{_prefix} DESTDIR=$RPM_BUILD_ROOT
install -m 644 Xyaku.ad $RPM_BUILD_ROOT%{_datadir}/X11/app-defaults/Xyaku 
install -m 644 addin/ChangeLog $RPM_BUILD_ROOT%{_libexecdir}/xyaku/ChangeLog
install -m 644 addin/ADDIN.txt $RPM_BUILD_ROOT%{_libexecdir}/xyaku/ADDIN.txt
install -m 644 addin/README.searcheb.ja $RPM_BUILD_ROOT%{_libexecdir}/xyaku/README.searcheb.ja

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog INSTALL NEWS TODO
%{_bindir}/xyaku
%{_libexecdir}/xyaku/README.searcheb.ja
%{_libexecdir}/xyaku/xyakurc
%{_libexecdir}/xyaku/clearcache.sh
%{_libexecdir}/xyaku/dict.sh
%{_libexecdir}/xyaku/edict.sh
%{_libexecdir}/xyaku/help.sh
%{_libexecdir}/xyaku/help.ja
%{_libexecdir}/xyaku/ndtp.rb
%{_libexecdir}/xyaku/openurl.sh
%{_libexecdir}/xyaku/searcheb.rb
%{_libexecdir}/xyaku/showrc.sh
%{_libexecdir}/xyaku/websearch.sh
%{_libexecdir}/xyaku/ChangeLog
%{_libexecdir}/xyaku/ADDIN.txt
%{_datadir}/X11/app-defaults/Xyaku

%changelog
* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.0-1vl5
- applied new versioning policy
- modified directories

* Wed Jan 16 2008 Shu KONNO <owa@bg.wakwak.com> 1.4.0-0vl1
- updated xyaku to 1.4.0
- changed url
- changed some scripts

* Thu Mar  1 2001 Uechi Yasumasa <uh@u.dhis.portside.net>
- 1.3.0-0vl1
- version up to 1.3.0
- modify SPEC file for Vine

* Sat Jun 24 2000 Uechi Yasumasa <uh@kondara.org>
- 1.2.1-1k
- version up to 1.2.1

* Tue Apr 04 2000 Chiaki Nakata <hanibi@kondara.org>
- change description section.

* Tue Apr 04 2000 Chiaki Nakata <hanibi@kondara.org>
- First release in Kondara MNU/Linux
