Summary:     A graphical program to install bootloader for NewWorld machines
Summary(ja): X ١Υ֡ȥ󥹥ȡ (NewWorld )

Name:      xybin
Version:   1.56
Release:   0vl1
Copyright: distributable
Group:     X11/Utilities

Source0:    %{name}-%{version}.tar.bz2
Source10:   pdisk.20000516.src.tar

Patch10:    pdisk.20000516.jp.patch
Patch11:    list_all_disks.patch

Requires:     usermode, pam >= 0.72
Requires:     ruby, gtk+, ruby-gtk, ruby-libglade
Requires:     yaboot >= 1.3.6-0vl2
Conflicts:    vine-xinstaller < 4.1-0vl12
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>


%description
xybin is a graphical wrapper program to install yaboot bootloader onto
small bootstrap partition for NewWorld PowerMac/PowerBooks.

%description -l ja
xybin ϡNewWorld PowerMac/PowerBook ѥåѡץ
֡ȥȥåץѡƥ yaboot 򥤥󥹥ȡ뤷ޤ


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%setup -q -n %{name}-%{version} -a 10
pushd pdisk
%patch10 -p0
%patch11 -p1
popd


%build
pushd pdisk
make list_all_disks
popd


%install
mkdir -p ${RPM_BUILD_ROOT}/etc/pam.d
mkdir -p ${RPM_BUILD_ROOT}/etc/security/console.apps
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/share/applications
mkdir -p ${RPM_BUILD_ROOT}/usr/share/xybin
mkdir -p ${RPM_BUILD_ROOT}/usr/share/pixmaps/xybin


install -m 755 pdisk/list_all_disks \
	${RPM_BUILD_ROOT}/usr/sbin/
install -m 755 xybin.rb \
	${RPM_BUILD_ROOT}/usr/sbin/xybin


install -m 644 xybin.pam \
	${RPM_BUILD_ROOT}/etc/pam.d/xybin
install -m 644 xybin.consolehelper \
	${RPM_BUILD_ROOT}/etc/security/console.apps/xybin
ln -sf consolehelper \
	${RPM_BUILD_ROOT}/usr/bin/xybin

install -m 755 *.glade *.xybin \
	${RPM_BUILD_ROOT}/usr/share/xybin/

install -m 644 xybin.png \
	${RPM_BUILD_ROOT}/usr/share/pixmaps/

install -m 644 pixmaps/*.xpm \
	${RPM_BUILD_ROOT}/usr/share/pixmaps/xybin/

install -m 644 xybin.desktop \
	${RPM_BUILD_ROOT}/usr/share/applications/


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog
%dir /usr/share/xybin
%dir /usr/share/pixmaps/xybin

%config /etc/security/console.apps/xybin
%config /etc/pam.d/xybin

/usr/bin/xybin
/usr/sbin/xybin
/usr/sbin/list_all_disks

/usr/share/xybin/*
/usr/share/pixmaps/xybin.png
/usr/share/pixmaps/xybin/*
/usr/share/applications/*


%changelog
* Wed Sep 29 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.56-0vl1
- replaced xybin.desktop file for gnome2

* Wed Sep 29 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.55-0vl2
- minor fixes

* Sat Aug 28 2004 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.55-0vl1
- added Options
- xybin.conf is not used anymore

* Sun Sep 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.54-0vl1
- fixed a bug to incorrectly designate "brokenosx"

* Wed Mar 20 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.53-0vl1
- check and set default linux entry if nothing is selected

* Wed Mar 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.52-0vl1
- Doh! One important line mistakenly removed. Restored.

* Fri Mar 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.51-0vl1
- added dialog box while scanning disks

* Fri Mar 08 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.50-0vl1
- first release for Vine Linux/ppc
