;;
;; yatex-init.el
;;
;; 	for Vine Linux with emacsen-common
;; 	Munehiro Yamamoto <munepi@vinelinux.org>

(defcustom vine-default-yatex t
  "A boolean for vine-default-yatex"
  :type 'boolean)

(defcustom vine-default-yahtml t
  "A boolean for vine-default-yahtml"
  :type 'boolean)

(add-hook 'vine-default-setup-hook
	  (lambda()
	    (when vine-default-yatex
	      (message "Loading vine-default-yatex ...")
	      (drop-vine-default-from-load-path "/auctex");; /auctex /auctex/images;; "not /auctex$"
	      (drop-vine-default-from-load-path "/preview-latex");; /preview-latex /preview-latex/images;; not "/preview-latex$"
	      (require 'vine-default-yatex))
	    (when vine-default-yahtml
	      (message "Loading vine-default-yahtml ...")
	      (require 'vine-default-yahtml))
	    ))

;;; end of file
